Kernel32 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Kernel32

Package com.sun.jna.platform.win32

# Interface Kernel32

All Superinterfaces:
  `AltCallingConvention`, `BaseTSD`, `Library`, `StdCall`, `StdCallLibrary`, `WinBase`, `Wincon`, `WinDef`, `WinError`, `WinNT`

public interface Kernel32 extends StdCallLibrary, WinNT, Wincon
Interface definitions for `kernel32.dll`. Includes additional alternate mappings from `WinNT` which make use of NIO buffers, `Wincon` for console API.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.BaseTSD

  `BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

  ## Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

  `StdCallLibrary.StdCallCallback`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinBase

  `WinBase.COMMTIMEOUTS, WinBase.COMPUTER_NAME_FORMAT, WinBase.DCB, WinBase.EnumResNameProc, WinBase.EnumResTypeProc, WinBase.FE_EXPORT_FUNC, WinBase.FE_IMPORT_FUNC, WinBase.FILE_ATTRIBUTE_TAG_INFO, WinBase.FILE_BASIC_INFO, WinBase.FILE_COMPRESSION_INFO, WinBase.FILE_DISPOSITION_INFO, WinBase.FILE_ID_INFO, WinBase.FILE_STANDARD_INFO, WinBase.FILETIME, WinBase.FOREIGN_THREAD_START_ROUTINE, WinBase.MEMORYSTATUSEX, WinBase.OVERLAPPED, WinBase.PROCESS_INFORMATION, WinBase.SECURITY_ATTRIBUTES, WinBase.STARTUPINFO, WinBase.SYSTEM_INFO, WinBase.SYSTEMTIME, WinBase.THREAD_START_ROUTINE, WinBase.TIME_ZONE_INFORMATION, WinBase.WIN32_FIND_DATA`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.Wincon

  `Wincon.CONSOLE_SCREEN_BUFFER_INFO, Wincon.COORD, Wincon.INPUT_RECORD, Wincon.KEY_EVENT_RECORD, Wincon.MOUSE_EVENT_RECORD, Wincon.SMALL_RECT, Wincon.WINDOW_BUFFER_SIZE_RECORD`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

  `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HKL, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinNT

  `WinNT.ACCESS_ACEStructure, WinNT.ACCESS_ALLOWED_ACE, WinNT.ACCESS_DENIED_ACE, WinNT.ACE_HEADER, WinNT.ACL, WinNT.BATTERY_REPORTING_SCALE, WinNT.CACHE_DESCRIPTOR, WinNT.CACHE_RELATIONSHIP, WinNT.EVENTLOGRECORD, WinNT.FILE_NOTIFY_INFORMATION, WinNT.GENERIC_MAPPING, WinNT.GROUP_AFFINITY, WinNT.GROUP_RELATIONSHIP, WinNT.HANDLE, WinNT.HANDLEByReference, WinNT.HRESULT, WinNT.IO_COUNTERS, WinNT.LARGE_INTEGER, WinNT.LocaleMacros, WinNT.LOGICAL_PROCESSOR_RELATIONSHIP, WinNT.LUID, WinNT.LUID_AND_ATTRIBUTES, WinNT.MEMORY_BASIC_INFORMATION, WinNT.NUMA_NODE_RELATIONSHIP, WinNT.OSVERSIONINFO, WinNT.OSVERSIONINFOEX, WinNT.OVERLAPPED_COMPLETION_ROUTINE, WinNT.PACLByReference, WinNT.POWER_ACTION, WinNT.POWER_ACTION_POLICY, WinNT.PRIVILEGE_SET, WinNT.PROCESSOR_CACHE_TYPE, WinNT.PROCESSOR_GROUP_INFO, WinNT.PROCESSOR_POWER_INFORMATION, WinNT.PROCESSOR_RELATIONSHIP, WinNT.PSID, WinNT.PSIDByReference, WinNT.SECURITY_DESCRIPTOR, WinNT.SECURITY_DESCRIPTOR_RELATIVE, WinNT.SECURITY_IMPERSONATION_LEVEL, WinNT.SECURITY_QUALITY_OF_SERVICE, WinNT.SID_AND_ATTRIBUTES, WinNT.SID_NAME_USE, WinNT.SYSTEM_BATTERY_STATE, WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION, WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX, WinNT.SYSTEM_POWER_CAPABILITIES, WinNT.SYSTEM_POWER_INFORMATION, WinNT.SYSTEM_POWER_LEVEL, WinNT.SYSTEM_POWER_POLICY, WinNT.SYSTEM_POWER_STATE, WinNT.TOKEN_ELEVATION, WinNT.TOKEN_GROUPS, WinNT.TOKEN_INFORMATION_CLASS, WinNT.TOKEN_OWNER, WinNT.TOKEN_PRIMARY_GROUP, WinNT.TOKEN_PRIVILEGES, WinNT.TOKEN_TYPE, WinNT.TOKEN_USER, WinNT.UNKNOWN_RELATIONSHIP, WinNT.WELL_KNOWN_SID_TYPE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final WinDef.DWORD`
  `ABOVE_NORMAL_PRIORITY_CLASS`
  `static final WinDef.DWORD`
  `BELOW_NORMAL_PRIORITY_CLASS`
  `static final WinDef.DWORD`
  `HIGH_PRIORITY_CLASS`
  `static final WinDef.DWORD`
  `IDLE_PRIORITY_CLASS`
  `static final Kernel32`
  `INSTANCE`
  The instance.
  `static final int`
  `LOAD_LIBRARY_AS_DATAFILE`
  LOAD_LIBRARY_AS_DATAFILE
  0x00000002
  If this value is used, the system maps the file into the calling process's virtual address space as if it were a data file.
  Nothing is done to execute or prepare to execute the mapped file.
  Therefore, you cannot call functions like GetModuleFileName , GetModuleHandle or GetProcAddress with this DLL.
  `static final int`
  `MAX_PIPE_NAME_LENGTH`
  `static final WinDef.DWORD`
  `NORMAL_PRIORITY_CLASS`
  Process priority classes
  `static final int`
  `PF_3DNOW_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ALPHA_BYTE_INSTRUCTIONS`
  `static final int`
  `PF_ARM_64BIT_LOADSTORE_ATOMIC`
  `static final int`
  `PF_ARM_DIVIDE_INSTRUCTION_AVAILABLE`
  `static final int`
  `PF_ARM_EXTERNAL_CACHE_AVAILABLE`
  `static final int`
  `PF_ARM_FMAC_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_NEON_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V8_CRC32_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V8_CRYPTO_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V8_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V81_ATOMIC_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V82_DP_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V83_JSCVT_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_V83_LRCPC_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_ARM_VFP_32_REGISTERS_AVAILABLE`
  `static final int`
  `PF_AVX_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_AVX2_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_AVX512F_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_CHANNELS_ENABLED`
  `static final int`
  `PF_COMPARE_EXCHANGE_DOUBLE`
  `static final int`
  `PF_COMPARE_EXCHANGE128`
  `static final int`
  `PF_COMPARE64_EXCHANGE128`
  `static final int`
  `PF_FASTFAIL_AVAILABLE`
  `static final int`
  `PF_FLOATING_POINT_EMULATED`
  `static final int`
  `PF_FLOATING_POINT_PRECISION_ERRATA`
  Processor Feature flags
  `static final int`
  `PF_MMX_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_NX_ENABLED`
  `static final int`
  `PF_PAE_ENABLED`
  `static final int`
  `PF_PPC_MOVEMEM_64BIT_OK`
  `static final int`
  `PF_RDPID_INSTRUCTION_AVAILABLE`
  `static final int`
  `PF_RDRAND_INSTRUCTION_AVAILABLE`
  `static final int`
  `PF_RDTSC_INSTRUCTION_AVAILABLE`
  `static final int`
  `PF_RDTSCP_INSTRUCTION_AVAILABLE`
  `static final int`
  `PF_RDWRFSGSBASE_AVAILABLE`
  `static final int`
  `PF_SECOND_LEVEL_ADDRESS_TRANSLATION`
  `static final int`
  `PF_SSE_DAZ_MODE_AVAILABLE`
  `static final int`
  `PF_SSE3_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_SSE4_1_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_SSE4_2_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_SSSE3_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_VIRT_FIRMWARE_ENABLED`
  `static final int`
  `PF_XMMI_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_XMMI64_INSTRUCTIONS_AVAILABLE`
  `static final int`
  `PF_XSAVE_ENABLED`
  `static final WinDef.DWORD`
  `PROCESS_MODE_BACKGROUND_BEGIN`
  Process mode flags
  `static final WinDef.DWORD`
  `PROCESS_MODE_BACKGROUND_END`
  `static final WinDef.DWORD`
  `REALTIME_PRIORITY_CLASS`
  `static final int`
  `THREAD_MODE_BACKGROUND_BEGIN`
  Thread mode flags
  `static final int`
  `THREAD_MODE_BACKGROUND_END`
  `static final int`
  `THREAD_PRIORITY_ABOVE_NORMAL`
  `static final int`
  `THREAD_PRIORITY_BELOW_NORMAL`
  `static final int`
  `THREAD_PRIORITY_ERROR_RETURN`
  Thread priority error code
  `static final int`
  `THREAD_PRIORITY_HIGHEST`
  `static final int`
  `THREAD_PRIORITY_IDLE`
  Thread priorities
  `static final int`
  `THREAD_PRIORITY_LOWEST`
  `static final int`
  `THREAD_PRIORITY_NORMAL`
  `static final int`
  `THREAD_PRIORITY_TIME_CRITICAL`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

  `FUNCTION_MAPPER, STDCALL_CONVENTION`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinBase

  `CBR_110, CBR_1200, CBR_128000, CBR_14400, CBR_19200, CBR_2400, CBR_256000, CBR_300, CBR_38400, CBR_4800, CBR_56000, CBR_600, CBR_9600, CREATE_BREAKAWAY_FROM_JOB, CREATE_DEFAULT_ERROR_MODE, CREATE_FOR_DIR, CREATE_FOR_IMPORT, CREATE_FORCEDOS, CREATE_NEW_CONSOLE, CREATE_NEW_PROCESS_GROUP, CREATE_NO_WINDOW, CREATE_PRESERVE_CODE_AUTHZ_LEVEL, CREATE_PROTECTED_PROCESS, CREATE_SEPARATE_WOW_VDM, CREATE_SHARED_WOW_VDM, CREATE_SUSPENDED, CREATE_UNICODE_ENVIRONMENT, DEBUG_ONLY_THIS_PROCESS, DEBUG_PROCESS, DETACHED_PROCESS, DRIVE_CDROM, DRIVE_FIXED, DRIVE_NO_ROOT_DIR, DRIVE_RAMDISK, DRIVE_REMOTE, DRIVE_REMOVABLE, DRIVE_UNKNOWN, DTR_CONTROL_DISABLE, DTR_CONTROL_ENABLE, DTR_CONTROL_HANDSHAKE, ES_AWAYMODE_REQUIRED, ES_CONTINUOUS, ES_DISPLAY_REQUIRED, ES_SYSTEM_REQUIRED, ES_USER_PRESENT, EVENPARITY, EXTENDED_STARTUPINFO_PRESENT, FILE_DIR_DISALOWED, FILE_ENCRYPTABLE, FILE_IS_ENCRYPTED, FILE_MAP_ALL_ACCESS, FILE_MAP_COPY, FILE_MAP_EXECUTE, FILE_MAP_READ, FILE_MAP_WRITE, FILE_READ_ONLY, FILE_ROOT_DIR, FILE_SYSTEM_ATTR, FILE_SYSTEM_DIR, FILE_SYSTEM_NOT_SUPPORT, FILE_UNKNOWN, FILE_USER_DISALLOWED, FileAlignmentInfo, FileAllocationInfo, FileAttributeTagInfo, FileBasicInfo, FileCompressionInfo, FileDispositionInfo, FileEndOfFileInfo, FileFullDirectoryInfo, FileFullDirectoryRestartInfo, FileIdBothDirectoryInfo, FileIdBothDirectoryRestartInfo, FileIdExtdDirectoryInfo, FileIdExtdDirectoryRestartInfo, FileIdInfo, FileIoPriorityHintInfo, FileNameInfo, FileRemoteProtocolInfo, FileRenameInfo, FileStandardInfo, FileStorageInfo, FileStreamInfo, FindExInfoBasic, FindExInfoMaxInfoLevel, FindExInfoStandard, FindExSearchLimitToDevices, FindExSearchLimitToDirectories, FindExSearchNameMatch, FORMAT_MESSAGE_ALLOCATE_BUFFER, FORMAT_MESSAGE_ARGUMENT_ARRAY, FORMAT_MESSAGE_FROM_HMODULE, FORMAT_MESSAGE_FROM_STRING, FORMAT_MESSAGE_FROM_SYSTEM, FORMAT_MESSAGE_IGNORE_INSERTS, HANDLE_FLAG_INHERIT, HANDLE_FLAG_PROTECT_FROM_CLOSE, INFINITE, INHERIT_PARENT_AFFINITY, INVALID_FILE_ATTRIBUTES, INVALID_FILE_SIZE, INVALID_HANDLE_VALUE, INVALID_SET_FILE_POINTER, LHND, LMEM_DISCARDABLE, LMEM_DISCARDED, LMEM_FIXED, LMEM_INVALID_HANDLE, LMEM_LOCKCOUNT, LMEM_MODIFY, LMEM_MOVEABLE, LMEM_NOCOMPACT, LMEM_NODISCARD, LMEM_VALID_FLAGS, LMEM_ZEROINIT, LOGON32_LOGON_BATCH, LOGON32_LOGON_INTERACTIVE, LOGON32_LOGON_NETWORK, LOGON32_LOGON_NETWORK_CLEARTEXT, LOGON32_LOGON_NEW_CREDENTIALS, LOGON32_LOGON_SERVICE, LOGON32_LOGON_UNLOCK, LOGON32_PROVIDER_DEFAULT, LOGON32_PROVIDER_WINNT35, LOGON32_PROVIDER_WINNT40, LOGON32_PROVIDER_WINNT50, LPTR, MARKPARITY, MAX_COMPUTERNAME_LENGTH, MOVEFILE_COPY_ALLOWED, MOVEFILE_CREATE_HARDLINK, MOVEFILE_DELAY_UNTIL_REBOOT, MOVEFILE_FAIL_IF_NOT_TRACKABLE, MOVEFILE_REPLACE_EXISTING, MOVEFILE_WRITE_THROUGH, MUTEX_ALL_ACCESS, MUTEX_MODIFY_STATE, NMPWAIT_NOWAIT, NMPWAIT_USE_DEFAULT_WAIT, NMPWAIT_WAIT_FOREVER, NOPARITY, ODDPARITY, ONE5STOPBITS, ONESTOPBIT, OVERWRITE_HIDDEN, PIPE_ACCEPT_REMOTE_CLIENTS, PIPE_ACCESS_DUPLEX, PIPE_ACCESS_INBOUND, PIPE_ACCESS_OUTBOUND, PIPE_CLIENT_END, PIPE_NOWAIT, PIPE_READMODE_BYTE, PIPE_READMODE_MESSAGE, PIPE_REJECT_REMOTE_CLIENTS, PIPE_SERVER_END, PIPE_TYPE_BYTE, PIPE_TYPE_MESSAGE, PIPE_UNLIMITED_INSTANCES, PIPE_WAIT, RTS_CONTROL_DISABLE, RTS_CONTROL_ENABLE, RTS_CONTROL_HANDSHAKE, RTS_CONTROL_TOGGLE, SPACEPARITY, STARTF_FORCEOFFFEEDBACK, STARTF_FORCEONFEEDBACK, STARTF_RUNFULLSCREEN, STARTF_USECOUNTCHARS, STARTF_USEFILLATTRIBUTE, STARTF_USEPOSITION, STARTF_USESHOWWINDOW, STARTF_USESIZE, STARTF_USESTDHANDLES, STILL_ACTIVE, TWOSTOPBITS, WAIT_ABANDONED, WAIT_ABANDONED_0, WAIT_FAILED, WAIT_OBJECT_0`

  ### Fields inherited from interface com.sun.jna.platform.win32.Wincon

  `ATTACH_PARENT_PROCESS, CONSOLE_FULLSCREEN, CONSOLE_FULLSCREEN_HARDWARE, CTRL_BREAK_EVENT, CTRL_C_EVENT, DISABLE_NEWLINE_AUTO_RETURN, ENABLE_ECHO_INPUT, ENABLE_EXTENDED_FLAGS, ENABLE_INSERT_MODE, ENABLE_LINE_INPUT, ENABLE_MOUSE_INPUT, ENABLE_PROCESSED_INPUT, ENABLE_PROCESSED_OUTPUT, ENABLE_QUICK_EDIT_MODE, ENABLE_VIRTUAL_TERMINAL_INPUT, ENABLE_VIRTUAL_TERMINAL_PROCESSING, ENABLE_WINDOW_INPUT, ENABLE_WRAP_AT_EOL_OUTPUT, MAX_CONSOLE_TITLE_LENGTH, STD_ERROR_HANDLE, STD_INPUT_HANDLE, STD_OUTPUT_HANDLE`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

  `MAX_PATH`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinError

  `CACHE_E_FIRST, CACHE_E_LAST, CACHE_E_NOCACHE_UPDATED, CACHE_S_FIRST, CACHE_S_FORMATETC_NOTSUPPORTED, CACHE_S_LAST, CACHE_S_SAMECACHE, CACHE_S_SOMECACHES_NOTUPDATED, CAT_E_CATIDNOEXIST, CAT_E_FIRST, CAT_E_LAST, CAT_E_NODESCRIPTION, CERT_E_CHAINING, CERT_E_CN_NO_MATCH, CERT_E_CRITICAL, CERT_E_EXPIRED, CERT_E_INVALID_NAME, CERT_E_INVALID_POLICY, CERT_E_ISSUERCHAINING, CERT_E_MALFORMED, CERT_E_PATHLENCONST, CERT_E_PURPOSE, CERT_E_REVOCATION_FAILURE, CERT_E_REVOKED, CERT_E_ROLE, CERT_E_UNTRUSTEDCA, CERT_E_UNTRUSTEDROOT, CERT_E_UNTRUSTEDTESTROOT, CERT_E_VALIDITYPERIODNESTING, CERT_E_WRONG_USAGE, CERTSRV_E_ALIGNMENT_FAULT, CERTSRV_E_ARCHIVED_KEY_REQUIRED, CERTSRV_E_ARCHIVED_KEY_UNEXPECTED, CERTSRV_E_BAD_RENEWAL_CERT_ATTRIBUTE, CERTSRV_E_BAD_RENEWAL_SUBJECT, CERTSRV_E_BAD_REQUEST_KEY_ARCHIVAL, CERTSRV_E_BAD_REQUESTSTATUS, CERTSRV_E_BAD_REQUESTSUBJECT, CERTSRV_E_BAD_TEMPLATE_VERSION, CERTSRV_E_CERT_TYPE_OVERLAP, CERTSRV_E_DOWNLEVEL_DC_SSL_OR_UPGRADE, CERTSRV_E_ENCODING_LENGTH, CERTSRV_E_ENROLL_DENIED, CERTSRV_E_INVALID_CA_CERTIFICATE, CERTSRV_E_ISSUANCE_POLICY_REQUIRED, CERTSRV_E_KEY_ARCHIVAL_NOT_CONFIGURED, CERTSRV_E_KEY_LENGTH, CERTSRV_E_NO_CAADMIN_DEFINED, CERTSRV_E_NO_CERT_TYPE, CERTSRV_E_NO_DB_SESSIONS, CERTSRV_E_NO_REQUEST, CERTSRV_E_NO_VALID_KRA, CERTSRV_E_PROPERTY_EMPTY, CERTSRV_E_RESTRICTEDOFFICER, CERTSRV_E_ROLECONFLICT, CERTSRV_E_SERVER_SUSPENDED, CERTSRV_E_SIGNATURE_COUNT, CERTSRV_E_SIGNATURE_POLICY_REQUIRED, CERTSRV_E_SIGNATURE_REJECTED, CERTSRV_E_SMIME_REQUIRED, CERTSRV_E_SUBJECT_ALT_NAME_REQUIRED, CERTSRV_E_SUBJECT_DIRECTORY_GUID_REQUIRED, CERTSRV_E_SUBJECT_DNS_REQUIRED, CERTSRV_E_SUBJECT_EMAIL_REQUIRED, CERTSRV_E_SUBJECT_UPN_REQUIRED, CERTSRV_E_TEMPLATE_CONFLICT, CERTSRV_E_TEMPLATE_DENIED, CERTSRV_E_TEMPLATE_POLICY_REQUIRED, CERTSRV_E_TOO_MANY_SIGNATURES, CERTSRV_E_UNKNOWN_CERT_TYPE, CERTSRV_E_UNSUPPORTED_CERT_TYPE, CLASS_E_CLASSNOTAVAILABLE, CLASS_E_NOAGGREGATION, CLASS_E_NOTLICENSED, CLASSFACTORY_E_FIRST, CLASSFACTORY_E_LAST, CLASSFACTORY_S_FIRST, CLASSFACTORY_S_LAST, CLIENTSITE_E_FIRST, CLIENTSITE_E_LAST, CLIENTSITE_S_FIRST, CLIENTSITE_S_LAST, CLIPBRD_E_BAD_DATA, CLIPBRD_E_CANT_CLOSE, CLIPBRD_E_CANT_EMPTY, CLIPBRD_E_CANT_OPEN, CLIPBRD_E_CANT_SET, CLIPBRD_E_FIRST, CLIPBRD_E_LAST, CLIPBRD_S_FIRST, CLIPBRD_S_LAST, CO_E_ACCESSCHECKFAILED, CO_E_ACESINWRONGORDER, CO_E_ACNOTINITIALIZED, CO_E_ACTIVATIONFAILED, CO_E_ACTIVATIONFAILED_CATALOGERROR, CO_E_ACTIVATIONFAILED_EVENTLOGGED, CO_E_ACTIVATIONFAILED_TIMEOUT, CO_E_ALREADYINITIALIZED, CO_E_APPDIDNTREG, CO_E_APPNOTFOUND, CO_E_APPSINGLEUSE, CO_E_ASYNC_WORK_REJECTED, CO_E_ATTEMPT_TO_CREATE_OUTSIDE_CLIENT_CONTEXT, CO_E_BAD_PATH, CO_E_BAD_SERVER_NAME, CO_E_CALL_OUT_OF_TX_SCOPE_NOT_ALLOWED, CO_E_CANCEL_DISABLED, CO_E_CANT_REMOTE, CO_E_CANTDETERMINECLASS, CO_E_CLASS_CREATE_FAILED, CO_E_CLASS_DISABLED, CO_E_CLASSSTRING, CO_E_CLRNOTAVAILABLE, CO_E_CLSREG_INCONSISTENT, CO_E_CONVERSIONFAILED, CO_E_CREATEPROCESS_FAILURE, CO_E_DBERROR, CO_E_DECODEFAILED, CO_E_DLLNOTFOUND, CO_E_ELEVATION_DISABLED, CO_E_ERRORINAPP, CO_E_ERRORINDLL, CO_E_EXCEEDSYSACLLIMIT, CO_E_EXIT_TRANSACTION_SCOPE_NOT_CALLED, CO_E_FAILEDTOCLOSEHANDLE, CO_E_FAILEDTOCREATEFILE, CO_E_FAILEDTOGENUUID, CO_E_FAILEDTOGETSECCTX, CO_E_FAILEDTOGETTOKENINFO, CO_E_FAILEDTOGETWINDIR, CO_E_FAILEDTOIMPERSONATE, CO_E_FAILEDTOOPENPROCESSTOKEN, CO_E_FAILEDTOOPENTHREADTOKEN, CO_E_FAILEDTOQUERYCLIENTBLANKET, CO_E_FAILEDTOSETDACL, CO_E_FIRST, CO_E_IIDREG_INCONSISTENT, CO_E_IIDSTRING, CO_E_INCOMPATIBLESTREAMVERSION, CO_E_INIT_CLASS_CACHE, CO_E_INIT_MEMORY_ALLOCATOR, CO_E_INIT_ONLY_SINGLE_THREADED, CO_E_INIT_RPC_CHANNEL, CO_E_INIT_SCM_EXEC_FAILURE, CO_E_INIT_SCM_FILE_MAPPING_EXISTS, CO_E_INIT_SCM_MAP_VIEW_OF_FILE, CO_E_INIT_SCM_MUTEX_EXISTS, CO_E_INIT_SHARED_ALLOCATOR, CO_E_INIT_TLS, CO_E_INIT_TLS_CHANNEL_CONTROL, CO_E_INIT_TLS_SET_CHANNEL_CONTROL, CO_E_INIT_UNACCEPTED_USER_ALLOCATOR, CO_E_INITIALIZATIONFAILED, CO_E_INVALIDSID, CO_E_ISOLEVELMISMATCH, CO_E_LAST, CO_E_LAUNCH_PERMSSION_DENIED, CO_E_LOOKUPACCNAMEFAILED, CO_E_LOOKUPACCSIDFAILED, CO_E_MALFORMED_SPN, CO_E_MISSING_DISPLAYNAME, CO_E_MSI_ERROR, CO_E_NETACCESSAPIFAILED, CO_E_NO_SECCTX_IN_ACTIVATE, CO_E_NOCOOKIES, CO_E_NOIISINTRINSICS, CO_E_NOMATCHINGNAMEFOUND, CO_E_NOMATCHINGSIDFOUND, CO_E_NOSYNCHRONIZATION, CO_E_NOT_SUPPORTED, CO_E_NOTCONSTRUCTED, CO_E_NOTINITIALIZED, CO_E_NOTPOOLED, CO_E_OBJISREG, CO_E_OBJNOTCONNECTED, CO_E_OBJNOTREG, CO_E_OBJSRV_RPC_FAILURE, CO_E_OLE1DDE_DISABLED, CO_E_PATHTOOLONG, CO_E_RELEASED, CO_E_RELOAD_DLL, CO_E_REMOTE_COMMUNICATION_FAILURE, CO_E_RUNAS_CREATEPROCESS_FAILURE, CO_E_RUNAS_LOGON_FAILURE, CO_E_RUNAS_SYNTAX, CO_E_RUNAS_VALUE_MUST_BE_AAA, CO_E_SCM_ERROR, CO_E_SCM_RPC_FAILURE, CO_E_SERVER_EXEC_FAILURE, CO_E_SERVER_INIT_TIMEOUT, CO_E_SERVER_NOT_PAUSED, CO_E_SERVER_PAUSED, CO_E_SERVER_START_TIMEOUT, CO_E_SERVER_STOPPING, CO_E_SETSERLHNDLFAILED, CO_E_START_SERVICE_FAILURE, CO_E_SXS_CONFIG, CO_E_THREADINGMODEL_CHANGED, CO_E_THREADPOOL_CONFIG, CO_E_TRACKER_CONFIG, CO_E_TRUSTEEDOESNTMATCHCLIENT, CO_E_WRONG_SERVER_IDENTITY, CO_E_WRONGOSFORAPP, CO_E_WRONGTRUSTEENAMESYNTAX, CO_S_FIRST, CO_S_LAST, CO_S_MACHINENAMENOTFOUND, CO_S_NOTALLINTERFACES, COMADMIN_E_ALREADYINSTALLED, COMADMIN_E_AMBIGUOUS_APPLICATION_NAME, COMADMIN_E_AMBIGUOUS_PARTITION_NAME, COMADMIN_E_APP_FILE_READFAIL, COMADMIN_E_APP_FILE_VERSION, COMADMIN_E_APP_FILE_WRITEFAIL, COMADMIN_E_APP_NOT_RUNNING, COMADMIN_E_APPDIRNOTFOUND, COMADMIN_E_APPLICATIONEXISTS, COMADMIN_E_APPLID_MATCHES_CLSID, COMADMIN_E_AUTHENTICATIONLEVEL, COMADMIN_E_BADPATH, COMADMIN_E_BADREGISTRYLIBID, COMADMIN_E_BADREGISTRYPROGID, COMADMIN_E_BASE_PARTITION_ONLY, COMADMIN_E_BASEPARTITION_REQUIRED_IN_SET, COMADMIN_E_CAN_NOT_EXPORT_APP_PROXY, COMADMIN_E_CAN_NOT_EXPORT_SYS_APP, COMADMIN_E_CAN_NOT_START_APP, COMADMIN_E_CANNOT_ALIAS_EVENTCLASS, COMADMIN_E_CANT_SUBSCRIBE_TO_COMPONENT, COMADMIN_E_CANTCOPYFILE, COMADMIN_E_CANTMAKEINPROCSERVICE, COMADMIN_E_CANTRECYCLELIBRARYAPPS, COMADMIN_E_CANTRECYCLESERVICEAPPS, COMADMIN_E_CAT_BITNESSMISMATCH, COMADMIN_E_CAT_DUPLICATE_PARTITION_NAME, COMADMIN_E_CAT_IMPORTED_COMPONENTS_NOT_ALLOWED, COMADMIN_E_CAT_INVALID_PARTITION_NAME, COMADMIN_E_CAT_PARTITION_IN_USE, COMADMIN_E_CAT_PAUSE_RESUME_NOT_SUPPORTED, COMADMIN_E_CAT_SERVERFAULT, COMADMIN_E_CAT_UNACCEPTABLEBITNESS, COMADMIN_E_CAT_WRONGAPPBITNESS, COMADMIN_E_CLSIDORIIDMISMATCH, COMADMIN_E_COMP_MOVE_BAD_DEST, COMADMIN_E_COMP_MOVE_DEST, COMADMIN_E_COMP_MOVE_LOCKED, COMADMIN_E_COMP_MOVE_PRIVATE, COMADMIN_E_COMP_MOVE_SOURCE, COMADMIN_E_COMPFILE_BADTLB, COMADMIN_E_COMPFILE_CLASSNOTAVAIL, COMADMIN_E_COMPFILE_DOESNOTEXIST, COMADMIN_E_COMPFILE_GETCLASSOBJ, COMADMIN_E_COMPFILE_LOADDLLFAIL, COMADMIN_E_COMPFILE_NOREGISTRAR, COMADMIN_E_COMPFILE_NOTINSTALLABLE, COMADMIN_E_COMPONENTEXISTS, COMADMIN_E_COREQCOMPINSTALLED, COMADMIN_E_DEFAULT_PARTITION_NOT_IN_SET, COMADMIN_E_DLLLOADFAILED, COMADMIN_E_DLLREGISTERSERVER, COMADMIN_E_EVENTCLASS_CANT_BE_SUBSCRIBER, COMADMIN_E_FILE_PARTITION_DUPLICATE_FILES, COMADMIN_E_INVALID_PARTITION, COMADMIN_E_INVALIDUSERIDS, COMADMIN_E_KEYMISSING, COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_1_0_FORMAT, COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_NONBASE_PARTITIONS, COMADMIN_E_LIB_APP_PROXY_INCOMPATIBLE, COMADMIN_E_MIG_SCHEMANOTFOUND, COMADMIN_E_MIG_VERSIONNOTSUPPORTED, COMADMIN_E_NOREGISTRYCLSID, COMADMIN_E_NOSERVERSHARE, COMADMIN_E_NOTCHANGEABLE, COMADMIN_E_NOTDELETEABLE, COMADMIN_E_NOTINREGISTRY, COMADMIN_E_NOUSER, COMADMIN_E_OBJECT_DOES_NOT_EXIST, COMADMIN_E_OBJECT_PARENT_MISSING, COMADMIN_E_OBJECTERRORS, COMADMIN_E_OBJECTEXISTS, COMADMIN_E_OBJECTINVALID, COMADMIN_E_OBJECTNOTPOOLABLE, COMADMIN_E_PARTITION_ACCESSDENIED, COMADMIN_E_PARTITION_MSI_ONLY, COMADMIN_E_PARTITIONS_DISABLED, COMADMIN_E_PAUSEDPROCESSMAYNOTBERECYCLED, COMADMIN_E_PRIVATE_ACCESSDENIED, COMADMIN_E_PROCESSALREADYRECYCLED, COMADMIN_E_PROGIDINUSEBYCLSID, COMADMIN_E_PROPERTY_OVERFLOW, COMADMIN_E_PROPERTYSAVEFAILED, COMADMIN_E_RECYCLEDPROCESSMAYNOTBEPAUSED, COMADMIN_E_REGDB_ALREADYRUNNING, COMADMIN_E_REGDB_NOTINITIALIZED, COMADMIN_E_REGDB_NOTOPEN, COMADMIN_E_REGDB_SYSTEMERR, COMADMIN_E_REGFILE_CORRUPT, COMADMIN_E_REGISTERTLB, COMADMIN_E_REGISTRARFAILED, COMADMIN_E_REGISTRY_ACCESSDENIED, COMADMIN_E_REMOTEINTERFACE, COMADMIN_E_REQUIRES_DIFFERENT_PLATFORM, COMADMIN_E_ROLE_DOES_NOT_EXIST, COMADMIN_E_ROLEEXISTS, COMADMIN_E_SAFERINVALID, COMADMIN_E_SERVICENOTINSTALLED, COMADMIN_E_SESSION, COMADMIN_E_START_APP_DISABLED, COMADMIN_E_START_APP_NEEDS_COMPONENTS, COMADMIN_E_SVCAPP_NOT_POOLABLE_OR_RECYCLABLE, COMADMIN_E_SYSTEMAPP, COMADMIN_E_USER_IN_SET, COMADMIN_E_USERPASSWDNOTVALID, COMQC_E_APPLICATION_NOT_QUEUED, COMQC_E_BAD_MESSAGE, COMQC_E_NO_IPERSISTSTREAM, COMQC_E_NO_QUEUEABLE_INTERFACES, COMQC_E_QUEUING_SERVICE_NOT_AVAILABLE, COMQC_E_UNAUTHENTICATED, COMQC_E_UNTRUSTED_ENQUEUER, CONTEXT_E_ABORTED, CONTEXT_E_ABORTING, CONTEXT_E_FIRST, CONTEXT_E_LAST, CONTEXT_E_NOCONTEXT, CONTEXT_E_NOJIT, CONTEXT_E_NOTRANSACTION, CONTEXT_E_OLDREF, CONTEXT_E_ROLENOTFOUND, CONTEXT_E_SYNCH_TIMEOUT, CONTEXT_E_TMNOTAVAILABLE, CONTEXT_E_WOULD_DEADLOCK, CONTEXT_S_FIRST, CONTEXT_S_LAST, CONVERT10_E_FIRST, CONVERT10_E_LAST, CONVERT10_E_OLESTREAM_BITMAP_TO_DIB, CONVERT10_E_OLESTREAM_FMT, CONVERT10_E_OLESTREAM_GET, CONVERT10_E_OLESTREAM_PUT, CONVERT10_E_STG_DIB_TO_BITMAP, CONVERT10_E_STG_FMT, CONVERT10_E_STG_NO_STD_STREAM, CONVERT10_S_FIRST, CONVERT10_S_LAST, CONVERT10_S_NO_PRESENTATION, CRYPT_E_ALREADY_DECRYPTED, CRYPT_E_ASN1_BADARGS, CRYPT_E_ASN1_BADPDU, CRYPT_E_ASN1_BADREAL, CRYPT_E_ASN1_BADTAG, CRYPT_E_ASN1_CHOICE, CRYPT_E_ASN1_CONSTRAINT, CRYPT_E_ASN1_CORRUPT, CRYPT_E_ASN1_EOD, CRYPT_E_ASN1_ERROR, CRYPT_E_ASN1_EXTENDED, CRYPT_E_ASN1_INTERNAL, CRYPT_E_ASN1_LARGE, CRYPT_E_ASN1_MEMORY, CRYPT_E_ASN1_NOEOD, CRYPT_E_ASN1_NYI, CRYPT_E_ASN1_OVERFLOW, CRYPT_E_ASN1_PDU_TYPE, CRYPT_E_ASN1_RULE, CRYPT_E_ASN1_UTF8, CRYPT_E_ATTRIBUTES_MISSING, CRYPT_E_AUTH_ATTR_MISSING, CRYPT_E_BAD_ENCODE, CRYPT_E_BAD_LEN, CRYPT_E_BAD_MSG, CRYPT_E_CONTROL_TYPE, CRYPT_E_DELETED_PREV, CRYPT_E_EXISTS, CRYPT_E_FILE_ERROR, CRYPT_E_FILERESIZED, CRYPT_E_HASH_VALUE, CRYPT_E_INVALID_IA5_STRING, CRYPT_E_INVALID_INDEX, CRYPT_E_INVALID_MSG_TYPE, CRYPT_E_INVALID_NUMERIC_STRING, CRYPT_E_INVALID_PRINTABLE_STRING, CRYPT_E_INVALID_X500_STRING, CRYPT_E_ISSUER_SERIALNUMBER, CRYPT_E_MISSING_PUBKEY_PARA, CRYPT_E_MSG_ERROR, CRYPT_E_NO_DECRYPT_CERT, CRYPT_E_NO_KEY_PROPERTY, CRYPT_E_NO_MATCH, CRYPT_E_NO_PROVIDER, CRYPT_E_NO_REVOCATION_CHECK, CRYPT_E_NO_REVOCATION_DLL, CRYPT_E_NO_SIGNER, CRYPT_E_NO_TRUSTED_SIGNER, CRYPT_E_NO_VERIFY_USAGE_CHECK, CRYPT_E_NO_VERIFY_USAGE_DLL, CRYPT_E_NOT_CHAR_STRING, CRYPT_E_NOT_DECRYPTED, CRYPT_E_NOT_FOUND, CRYPT_E_NOT_IN_CTL, CRYPT_E_NOT_IN_REVOCATION_DATABASE, CRYPT_E_OID_FORMAT, CRYPT_E_OSS_ERROR, CRYPT_E_PENDING_CLOSE, CRYPT_E_RECIPIENT_NOT_FOUND, CRYPT_E_REVOCATION_OFFLINE, CRYPT_E_REVOKED, CRYPT_E_SECURITY_SETTINGS, CRYPT_E_SELF_SIGNED, CRYPT_E_SIGNER_NOT_FOUND, CRYPT_E_STREAM_INSUFFICIENT_DATA, CRYPT_E_STREAM_MSG_NOT_READY, CRYPT_E_UNEXPECTED_ENCODING, CRYPT_E_UNEXPECTED_MSG_TYPE, CRYPT_E_UNKNOWN_ALGO, CRYPT_E_VERIFY_USAGE_OFFLINE, CRYPT_I_NEW_PROTECTION_REQUIRED, CS_E_ADMIN_LIMIT_EXCEEDED, CS_E_CLASS_NOTFOUND, CS_E_FIRST, CS_E_INTERNAL_ERROR, CS_E_INVALID_PATH, CS_E_INVALID_VERSION, CS_E_LAST, CS_E_NETWORK_ERROR, CS_E_NO_CLASSSTORE, CS_E_NOT_DELETABLE, CS_E_OBJECT_ALREADY_EXISTS, CS_E_OBJECT_NOTFOUND, CS_E_PACKAGE_NOTFOUND, CS_E_SCHEMA_MISMATCH, DATA_E_FIRST, DATA_E_LAST, DATA_S_FIRST, DATA_S_LAST, DATA_S_SAMEFORMATETC, DIGSIG_E_CRYPTO, DIGSIG_E_DECODE, DIGSIG_E_ENCODE, DIGSIG_E_EXTENSIBILITY, DISP_E_ARRAYISLOCKED, DISP_E_BADCALLEE, DISP_E_BADINDEX, DISP_E_BADPARAMCOUNT, DISP_E_BADVARTYPE, DISP_E_BUFFERTOOSMALL, DISP_E_DIVBYZERO, DISP_E_EXCEPTION, DISP_E_MEMBERNOTFOUND, DISP_E_NONAMEDARGS, DISP_E_NOTACOLLECTION, DISP_E_OVERFLOW, DISP_E_PARAMNOTFOUND, DISP_E_PARAMNOTOPTIONAL, DISP_E_TYPEMISMATCH, DISP_E_UNKNOWNINTERFACE, DISP_E_UNKNOWNLCID, DISP_E_UNKNOWNNAME, DNS_ERROR_ALIAS_LOOP, DNS_ERROR_AUTOZONE_ALREADY_EXISTS, DNS_ERROR_AXFR, DNS_ERROR_BACKGROUND_LOADING, DNS_ERROR_BAD_PACKET, DNS_ERROR_CANNOT_FIND_ROOT_HINTS, DNS_ERROR_CNAME_COLLISION, DNS_ERROR_CNAME_LOOP, DNS_ERROR_DATABASE_BASE, DNS_ERROR_DATAFILE_BASE, DNS_ERROR_DATAFILE_OPEN_FAILURE, DNS_ERROR_DATAFILE_PARSING, DNS_ERROR_DNAME_COLLISION, DNS_ERROR_DP_ALREADY_ENLISTED, DNS_ERROR_DP_ALREADY_EXISTS, DNS_ERROR_DP_BASE, DNS_ERROR_DP_DOES_NOT_EXIST, DNS_ERROR_DP_FSMO_ERROR, DNS_ERROR_DP_NOT_AVAILABLE, DNS_ERROR_DP_NOT_ENLISTED, DNS_ERROR_DS_UNAVAILABLE, DNS_ERROR_DS_ZONE_ALREADY_EXISTS, DNS_ERROR_DWORD_VALUE_TOO_LARGE, DNS_ERROR_DWORD_VALUE_TOO_SMALL, DNS_ERROR_FILE_WRITEBACK_FAILED, DNS_ERROR_FORWARDER_ALREADY_EXISTS, DNS_ERROR_GENERAL_API_BASE, DNS_ERROR_INCONSISTENT_ROOT_HINTS, DNS_ERROR_INVALID_DATA, DNS_ERROR_INVALID_DATAFILE_NAME, DNS_ERROR_INVALID_IP_ADDRESS, DNS_ERROR_INVALID_NAME, DNS_ERROR_INVALID_NAME_CHAR, DNS_ERROR_INVALID_PROPERTY, DNS_ERROR_INVALID_TYPE, DNS_ERROR_INVALID_ZONE_OPERATION, DNS_ERROR_INVALID_ZONE_TYPE, DNS_ERROR_MASK, DNS_ERROR_NAME_DOES_NOT_EXIST, DNS_ERROR_NAME_NOT_IN_ZONE, DNS_ERROR_NBSTAT_INIT_FAILED, DNS_ERROR_NEED_SECONDARY_ADDRESSES, DNS_ERROR_NEED_WINS_SERVERS, DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE, DNS_ERROR_NO_CREATE_CACHE_DATA, DNS_ERROR_NO_DNS_SERVERS, DNS_ERROR_NO_MEMORY, DNS_ERROR_NO_PACKET, DNS_ERROR_NO_TCPIP, DNS_ERROR_NO_ZONE_INFO, DNS_ERROR_NODE_CREATION_FAILED, DNS_ERROR_NODE_IS_CNAME, DNS_ERROR_NODE_IS_DNAME, DNS_ERROR_NON_RFC_NAME, DNS_ERROR_NOT_ALLOWED_ON_RODC, DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER, DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION, DNS_ERROR_NOT_ALLOWED_UNDER_DNAME, DNS_ERROR_NOT_UNIQUE, DNS_ERROR_NUMERIC_NAME, DNS_ERROR_OPERATION_BASE, DNS_ERROR_PACKET_FMT_BASE, DNS_ERROR_PRIMARY_REQUIRES_DATAFILE, DNS_ERROR_RCODE, DNS_ERROR_RCODE_BADKEY, DNS_ERROR_RCODE_BADSIG, DNS_ERROR_RCODE_BADTIME, DNS_ERROR_RCODE_FORMAT_ERROR, DNS_ERROR_RCODE_LAST, DNS_ERROR_RCODE_NAME_ERROR, DNS_ERROR_RCODE_NO_ERROR, DNS_ERROR_RCODE_NOT_IMPLEMENTED, DNS_ERROR_RCODE_NOTAUTH, DNS_ERROR_RCODE_NOTZONE, DNS_ERROR_RCODE_NXRRSET, DNS_ERROR_RCODE_REFUSED, DNS_ERROR_RCODE_SERVER_FAILURE, DNS_ERROR_RCODE_YXDOMAIN, DNS_ERROR_RCODE_YXRRSET, DNS_ERROR_RECORD_ALREADY_EXISTS, DNS_ERROR_RECORD_DOES_NOT_EXIST, DNS_ERROR_RECORD_FORMAT, DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT, DNS_ERROR_RECORD_TIMED_OUT, DNS_ERROR_RESPONSE_CODES_BASE, DNS_ERROR_SECONDARY_DATA, DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP, DNS_ERROR_SECURE_BASE, DNS_ERROR_SETUP_BASE, DNS_ERROR_SOA_DELETE_INVALID, DNS_ERROR_TRY_AGAIN_LATER, DNS_ERROR_UNKNOWN_RECORD_TYPE, DNS_ERROR_UNSECURE_PACKET, DNS_ERROR_WINS_INIT_FAILED, DNS_ERROR_ZONE_ALREADY_EXISTS, DNS_ERROR_ZONE_BASE, DNS_ERROR_ZONE_CONFIGURATION_ERROR, DNS_ERROR_ZONE_CREATION_FAILED, DNS_ERROR_ZONE_DOES_NOT_EXIST, DNS_ERROR_ZONE_HAS_NO_NS_RECORDS, DNS_ERROR_ZONE_HAS_NO_SOA_RECORD, DNS_ERROR_ZONE_IS_SHUTDOWN, DNS_ERROR_ZONE_LOCKED, DNS_ERROR_ZONE_NOT_SECONDARY, DNS_ERROR_ZONE_REQUIRES_MASTER_IP, DNS_INFO_ADDED_LOCAL_WINS, DNS_INFO_AXFR_COMPLETE, DNS_INFO_NO_RECORDS, DNS_STATUS_CONTINUE_NEEDED, DNS_STATUS_DOTTED_NAME, DNS_STATUS_FQDN, DNS_STATUS_PACKET_UNSECURE, DNS_STATUS_SINGLE_PART_NAME, DNS_WARNING_DOMAIN_UNDELETED, DNS_WARNING_PTR_CREATE_FAILED, DRAGDROP_E_ALREADYREGISTERED, DRAGDROP_E_FIRST, DRAGDROP_E_INVALIDHWND, DRAGDROP_E_LAST, DRAGDROP_E_NOTREGISTERED, DRAGDROP_S_CANCEL, DRAGDROP_S_DROP, DRAGDROP_S_FIRST, DRAGDROP_S_LAST, DRAGDROP_S_USEDEFAULTCURSORS, DS_S_SUCCESS, DV_E_CLIPFORMAT, DV_E_DVASPECT, DV_E_DVTARGETDEVICE, DV_E_DVTARGETDEVICE_SIZE, DV_E_FORMATETC, DV_E_LINDEX, DV_E_NOIVIEWOBJECT, DV_E_STATDATA, DV_E_STGMEDIUM, DV_E_TYMED, DWM_E_COMPOSITIONDISABLED, DWM_E_NO_REDIRECTION_SURFACE_AVAILABLE, DWM_E_NOT_QUEUING_PRESENTS, DWM_E_REMOTING_NOT_SUPPORTED, E_ABORT, E_ACCESSDENIED, E_FAIL, E_HANDLE, E_INVALIDARG, E_NOINTERFACE, E_NOTIMPL, E_OUTOFMEMORY, E_PENDING, E_POINTER, E_UNEXPECTED, ENUM_E_FIRST, ENUM_E_LAST, ENUM_S_FIRST, ENUM_S_LAST, EPT_S_CANT_CREATE, EPT_S_CANT_PERFORM_OP, EPT_S_INVALID_ENTRY, EPT_S_NOT_REGISTERED, ERROR_ABANDON_HIBERFILE, ERROR_ABANDONED_WAIT_0, ERROR_ABANDONED_WAIT_63, ERROR_ABIOS_ERROR, ERROR_ACCESS_AUDIT_BY_POLICY, ERROR_ACCESS_DENIED, ERROR_ACCESS_DISABLED_BY_POLICY, ERROR_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY, ERROR_ACCESS_DISABLED_WEBBLADE, ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER, ERROR_ACCOUNT_DISABLED, ERROR_ACCOUNT_EXPIRED, ERROR_ACCOUNT_LOCKED_OUT, ERROR_ACCOUNT_RESTRICTION, ERROR_ACPI_ERROR, ERROR_ACTIVATION_COUNT_EXCEEDED, ERROR_ACTIVE_CONNECTIONS, ERROR_ADAP_HDW_ERR, ERROR_ADDRESS_ALREADY_ASSOCIATED, ERROR_ADDRESS_NOT_ASSOCIATED, ERROR_ADVANCED_INSTALLER_FAILED, ERROR_ALERTED, ERROR_ALIAS_EXISTS, ERROR_ALL_NODES_NOT_AVAILABLE, ERROR_ALL_SIDS_FILTERED, ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED, ERROR_ALLOCATE_BUCKET, ERROR_ALLOTTED_SPACE_EXCEEDED, ERROR_ALREADY_ASSIGNED, ERROR_ALREADY_EXISTS, ERROR_ALREADY_FIBER, ERROR_ALREADY_INITIALIZED, ERROR_ALREADY_REGISTERED, ERROR_ALREADY_RUNNING_LKG, ERROR_ALREADY_THREAD, ERROR_ALREADY_WAITING, ERROR_ALREADY_WIN32, ERROR_AMBIGUOUS_SYSTEM_DEVICE, ERROR_APP_INIT_FAILURE, ERROR_APP_WRONG_OS, ERROR_APPHELP_BLOCK, ERROR_ARBITRATION_UNHANDLED, ERROR_ARENA_TRASHED, ERROR_ARITHMETIC_OVERFLOW, ERROR_ASSERTION_FAILURE, ERROR_ATOMIC_LOCKS_NOT_SUPPORTED, ERROR_AUDIT_FAILED, ERROR_AUDITING_DISABLED, ERROR_AUTHENTICATION_FIREWALL_FAILED, ERROR_AUTHIP_FAILURE, ERROR_AUTODATASEG_EXCEEDS_64k, ERROR_BACKUP_CONTROLLER, ERROR_BAD_ACCESSOR_FLAGS, ERROR_BAD_ARGUMENTS, ERROR_BAD_CLUSTERS, ERROR_BAD_COMMAND, ERROR_BAD_COMPRESSION_BUFFER, ERROR_BAD_CONFIGURATION, ERROR_BAD_CURRENT_DIRECTORY, ERROR_BAD_DESCRIPTOR_FORMAT, ERROR_BAD_DEV_TYPE, ERROR_BAD_DEVICE, ERROR_BAD_DLL_ENTRYPOINT, ERROR_BAD_DRIVER, ERROR_BAD_DRIVER_LEVEL, ERROR_BAD_ENVIRONMENT, ERROR_BAD_EXE_FORMAT, ERROR_BAD_FILE_TYPE, ERROR_BAD_FORMAT, ERROR_BAD_FUNCTION_TABLE, ERROR_BAD_IMPERSONATION_LEVEL, ERROR_BAD_INHERITANCE_ACL, ERROR_BAD_LENGTH, ERROR_BAD_LOGON_SESSION_STATE, ERROR_BAD_MCFG_TABLE, ERROR_BAD_NET_NAME, ERROR_BAD_NET_RESP, ERROR_BAD_NETPATH, ERROR_BAD_PATHNAME, ERROR_BAD_PIPE, ERROR_BAD_PROFILE, ERROR_BAD_PROVIDER, ERROR_BAD_QUERY_SYNTAX, ERROR_BAD_RECOVERY_POLICY, ERROR_BAD_REM_ADAP, ERROR_BAD_SERVICE_ENTRYPOINT, ERROR_BAD_STACK, ERROR_BAD_THREADID_ADDR, ERROR_BAD_TOKEN_TYPE, ERROR_BAD_UNIT, ERROR_BAD_USER_PROFILE, ERROR_BAD_USERNAME, ERROR_BAD_VALIDATION_CLASS, ERROR_BADDB, ERROR_BADKEY, ERROR_BADSTARTPOSITION, ERROR_BEGINNING_OF_MEDIA, ERROR_BEYOND_VDL, ERROR_BIOS_FAILED_TO_CONNECT_INTERRUPT, ERROR_BIZRULES_NOT_ENABLED, ERROR_BOOT_ALREADY_ACCEPTED, ERROR_BROKEN_PIPE, ERROR_BUFFER_ALL_ZEROS, ERROR_BUFFER_OVERFLOW, ERROR_BUS_RESET, ERROR_BUSY, ERROR_BUSY_DRIVE, ERROR_CACHE_PAGE_LOCKED, ERROR_CALL_NOT_IMPLEMENTED, ERROR_CALLBACK_POP_STACK, ERROR_CALLBACK_SUPPLIED_INVALID_DATA, ERROR_CAN_NOT_COMPLETE, ERROR_CAN_NOT_DEL_LOCAL_WINS, ERROR_CANCEL_VIOLATION, ERROR_CANCELLED, ERROR_CANNOT_ABORT_TRANSACTIONS, ERROR_CANNOT_ACCEPT_TRANSACTED_WORK, ERROR_CANNOT_COPY, ERROR_CANNOT_DETECT_DRIVER_FAILURE, ERROR_CANNOT_DETECT_PROCESS_ABORT, ERROR_CANNOT_EXECUTE_FILE_IN_TRANSACTION, ERROR_CANNOT_FIND_WND_CLASS, ERROR_CANNOT_IMPERSONATE, ERROR_CANNOT_LOAD_REGISTRY_FILE, ERROR_CANNOT_MAKE, ERROR_CANNOT_OPEN_PROFILE, ERROR_CANT_ACCESS_DOMAIN_INFO, ERROR_CANT_ACCESS_FILE, ERROR_CANT_BREAK_TRANSACTIONAL_DEPENDENCY, ERROR_CANT_CREATE_MORE_STREAM_MINIVERSIONS, ERROR_CANT_CROSS_RM_BOUNDARY, ERROR_CANT_DELETE_LAST_ITEM, ERROR_CANT_DISABLE_MANDATORY, ERROR_CANT_ENABLE_DENY_ONLY, ERROR_CANT_EVICT_ACTIVE_NODE, ERROR_CANT_OPEN_ANONYMOUS, ERROR_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT, ERROR_CANT_RECOVER_WITH_HANDLE_OPEN, ERROR_CANT_RESOLVE_FILENAME, ERROR_CANT_TERMINATE_SELF, ERROR_CANT_WAIT, ERROR_CANTFETCHBACKWARDS, ERROR_CANTOPEN, ERROR_CANTREAD, ERROR_CANTSCROLLBACKWARDS, ERROR_CANTWRITE, ERROR_CARDBUS_NOT_SUPPORTED, ERROR_CHECKING_FILE_SYSTEM, ERROR_CHECKOUT_REQUIRED, ERROR_CHILD_MUST_BE_VOLATILE, ERROR_CHILD_NOT_COMPLETE, ERROR_CHILD_WINDOW_MENU, ERROR_CIRCULAR_DEPENDENCY, ERROR_CLASS_ALREADY_EXISTS, ERROR_CLASS_DOES_NOT_EXIST, ERROR_CLASS_HAS_WINDOWS, ERROR_CLEANER_CARTRIDGE_INSTALLED, ERROR_CLEANER_CARTRIDGE_SPENT, ERROR_CLEANER_SLOT_NOT_SET, ERROR_CLEANER_SLOT_SET, ERROR_CLIENT_SERVER_PARAMETERS_INVALID, ERROR_CLIPBOARD_NOT_OPEN, ERROR_CLIPPING_NOT_SUPPORTED, ERROR_CLUSCFG_ALREADY_COMMITTED, ERROR_CLUSCFG_ROLLBACK_FAILED, ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT, ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME, ERROR_CLUSTER_CANT_DESERIALIZE_DATA, ERROR_CLUSTER_DATABASE_SEQMISMATCH, ERROR_CLUSTER_DATABASE_TRANSACTION_IN_PROGRESS, ERROR_CLUSTER_DATABASE_TRANSACTION_NOT_IN_PROGRESS, ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP, ERROR_CLUSTER_GROUP_MOVING, ERROR_CLUSTER_GUM_NOT_LOCKER, ERROR_CLUSTER_INCOMPATIBLE_VERSIONS, ERROR_CLUSTER_INSTANCE_ID_MISMATCH, ERROR_CLUSTER_INTERNAL_INVALID_FUNCTION, ERROR_CLUSTER_INVALID_IPV6_NETWORK, ERROR_CLUSTER_INVALID_IPV6_TUNNEL_NETWORK, ERROR_CLUSTER_INVALID_NETWORK, ERROR_CLUSTER_INVALID_NETWORK_PROVIDER, ERROR_CLUSTER_INVALID_NODE, ERROR_CLUSTER_INVALID_REQUEST, ERROR_CLUSTER_INVALID_STRING_FORMAT, ERROR_CLUSTER_INVALID_STRING_TERMINATION, ERROR_CLUSTER_IPADDR_IN_USE, ERROR_CLUSTER_JOIN_ABORTED, ERROR_CLUSTER_JOIN_IN_PROGRESS, ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS, ERROR_CLUSTER_LAST_INTERNAL_NETWORK, ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND, ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED, ERROR_CLUSTER_MEMBERSHIP_HALT, ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE, ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME, ERROR_CLUSTER_NETINTERFACE_EXISTS, ERROR_CLUSTER_NETINTERFACE_NOT_FOUND, ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE, ERROR_CLUSTER_NETWORK_ALREADY_ONLINE, ERROR_CLUSTER_NETWORK_EXISTS, ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS, ERROR_CLUSTER_NETWORK_NOT_FOUND, ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP, ERROR_CLUSTER_NETWORK_NOT_INTERNAL, ERROR_CLUSTER_NO_NET_ADAPTERS, ERROR_CLUSTER_NO_QUORUM, ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED, ERROR_CLUSTER_NO_SECURITY_CONTEXT, ERROR_CLUSTER_NODE_ALREADY_DOWN, ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT, ERROR_CLUSTER_NODE_ALREADY_MEMBER, ERROR_CLUSTER_NODE_ALREADY_UP, ERROR_CLUSTER_NODE_DOWN, ERROR_CLUSTER_NODE_EXISTS, ERROR_CLUSTER_NODE_NOT_FOUND, ERROR_CLUSTER_NODE_NOT_MEMBER, ERROR_CLUSTER_NODE_NOT_PAUSED, ERROR_CLUSTER_NODE_NOT_READY, ERROR_CLUSTER_NODE_PAUSED, ERROR_CLUSTER_NODE_SHUTTING_DOWN, ERROR_CLUSTER_NODE_UNREACHABLE, ERROR_CLUSTER_NODE_UP, ERROR_CLUSTER_NOT_INSTALLED, ERROR_CLUSTER_NULL_DATA, ERROR_CLUSTER_OLD_VERSION, ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST, ERROR_CLUSTER_PARAMETER_MISMATCH, ERROR_CLUSTER_PARAMETER_OUT_OF_BOUNDS, ERROR_CLUSTER_PARTIAL_READ, ERROR_CLUSTER_PARTIAL_SEND, ERROR_CLUSTER_PARTIAL_WRITE, ERROR_CLUSTER_POISONED, ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH, ERROR_CLUSTER_QUORUMLOG_NOT_FOUND, ERROR_CLUSTER_REGISTRY_INVALID_FUNCTION, ERROR_CLUSTER_RESNAME_NOT_FOUND, ERROR_CLUSTER_RESOURCE_TYPE_BUSY, ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND, ERROR_CLUSTER_RESOURCES_MUST_BE_ONLINE_ON_THE_SAME_NODE, ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED, ERROR_CLUSTER_RHS_FAILED_INITIALIZATION, ERROR_CLUSTER_SHUTTING_DOWN, ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED, ERROR_CLUSTER_WRONG_OS_VERSION, ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND, ERROR_CLUSTERLOG_CORRUPT, ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE, ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE, ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE, ERROR_COLORSPACE_MISMATCH, ERROR_COMMITMENT_LIMIT, ERROR_COMMITMENT_MINIMUM, ERROR_COMPRESSION_DISABLED, ERROR_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION, ERROR_CONNECTED_OTHER_PASSWORD, ERROR_CONNECTED_OTHER_PASSWORD_DEFAULT, ERROR_CONNECTION_ABORTED, ERROR_CONNECTION_ACTIVE, ERROR_CONNECTION_COUNT_LIMIT, ERROR_CONNECTION_INVALID, ERROR_CONNECTION_REFUSED, ERROR_CONNECTION_UNAVAIL, ERROR_CONTENT_BLOCKED, ERROR_CONTEXT_EXPIRED, ERROR_CONTINUE, ERROR_CONTROL_C_EXIT, ERROR_CONTROL_ID_NOT_FOUND, ERROR_CONTROLLING_IEPORT, ERROR_CONVERT_TO_LARGE, ERROR_CORE_DRIVER_PACKAGE_NOT_FOUND, ERROR_CORE_RESOURCE, ERROR_CORRUPT_SYSTEM_FILE, ERROR_COULD_NOT_INTERPRET, ERROR_COULD_NOT_RESIZE_LOG, ERROR_COUNTER_TIMEOUT, ERROR_CRASH_DUMP, ERROR_CRC, ERROR_CREATE_FAILED, ERROR_CRED_REQUIRES_CONFIRMATION, ERROR_CRM_PROTOCOL_ALREADY_EXISTS, ERROR_CRM_PROTOCOL_NOT_FOUND, ERROR_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE, ERROR_CS_ENCRYPTION_FILE_NOT_CSE, ERROR_CS_ENCRYPTION_INVALID_SERVER_RESPONSE, ERROR_CS_ENCRYPTION_NEW_ENCRYPTED_FILE, ERROR_CS_ENCRYPTION_UNSUPPORTED_SERVER, ERROR_CSCSHARE_OFFLINE, ERROR_CTX_ACCOUNT_RESTRICTION, ERROR_CTX_BAD_VIDEO_MODE, ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY, ERROR_CTX_CDM_CONNECT, ERROR_CTX_CDM_DISCONNECT, ERROR_CTX_CLIENT_LICENSE_IN_USE, ERROR_CTX_CLIENT_LICENSE_NOT_SET, ERROR_CTX_CLIENT_QUERY_TIMEOUT, ERROR_CTX_CLOSE_PENDING, ERROR_CTX_CONSOLE_CONNECT, ERROR_CTX_CONSOLE_DISCONNECT, ERROR_CTX_ENCRYPTION_LEVEL_REQUIRED, ERROR_CTX_GRAPHICS_INVALID, ERROR_CTX_INVALID_MODEMNAME, ERROR_CTX_INVALID_PD, ERROR_CTX_INVALID_WD, ERROR_CTX_LICENSE_CLIENT_INVALID, ERROR_CTX_LICENSE_EXPIRED, ERROR_CTX_LICENSE_NOT_AVAILABLE, ERROR_CTX_LOGON_DISABLED, ERROR_CTX_MODEM_INF_NOT_FOUND, ERROR_CTX_MODEM_RESPONSE_BUSY, ERROR_CTX_MODEM_RESPONSE_ERROR, ERROR_CTX_MODEM_RESPONSE_NO_CARRIER, ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE, ERROR_CTX_MODEM_RESPONSE_TIMEOUT, ERROR_CTX_MODEM_RESPONSE_VOICE, ERROR_CTX_NO_FORCE_LOGOFF, ERROR_CTX_NO_OUTBUF, ERROR_CTX_NOT_CONSOLE, ERROR_CTX_PD_NOT_FOUND, ERROR_CTX_SECURITY_LAYER_ERROR, ERROR_CTX_SERVICE_NAME_COLLISION, ERROR_CTX_SESSION_IN_USE, ERROR_CTX_SHADOW_DENIED, ERROR_CTX_SHADOW_DISABLED, ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE, ERROR_CTX_SHADOW_INVALID, ERROR_CTX_SHADOW_NOT_RUNNING, ERROR_CTX_TD_ERROR, ERROR_CTX_WD_NOT_FOUND, ERROR_CTX_WINSTATION_ACCESS_DENIED, ERROR_CTX_WINSTATION_ALREADY_EXISTS, ERROR_CTX_WINSTATION_BUSY, ERROR_CTX_WINSTATION_NAME_INVALID, ERROR_CTX_WINSTATION_NOT_FOUND, ERROR_CTX_WINSTATIONS_DISABLED, ERROR_CURRENT_DIRECTORY, ERROR_CURRENT_DOMAIN_NOT_ALLOWED, ERROR_CURRENT_TRANSACTION_NOT_VALID, ERROR_DATA_LOST_REPAIR, ERROR_DATA_NOT_ACCEPTED, ERROR_DATABASE_BACKUP_CORRUPT, ERROR_DATABASE_DOES_NOT_EXIST, ERROR_DATABASE_FAILURE, ERROR_DATABASE_FULL, ERROR_DATATYPE_MISMATCH, ERROR_DBG_COMMAND_EXCEPTION, ERROR_DBG_CONTINUE, ERROR_DBG_CONTROL_BREAK, ERROR_DBG_CONTROL_C, ERROR_DBG_EXCEPTION_HANDLED, ERROR_DBG_EXCEPTION_NOT_HANDLED, ERROR_DBG_PRINTEXCEPTION_C, ERROR_DBG_REPLY_LATER, ERROR_DBG_RIPEXCEPTION, ERROR_DBG_TERMINATE_PROCESS, ERROR_DBG_TERMINATE_THREAD, ERROR_DBG_UNABLE_TO_PROVIDE_HANDLE, ERROR_DC_NOT_FOUND, ERROR_DDE_FAIL, ERROR_DEBUG_ATTACH_FAILED, ERROR_DEBUGGER_INACTIVE, ERROR_DECRYPTION_FAILED, ERROR_DELAY_LOAD_FAILED, ERROR_DELETE_PENDING, ERROR_DELETING_ICM_XFORM, ERROR_DEPENDENCY_ALREADY_EXISTS, ERROR_DEPENDENCY_NOT_ALLOWED, ERROR_DEPENDENCY_NOT_FOUND, ERROR_DEPENDENCY_TREE_TOO_COMPLEX, ERROR_DEPENDENT_RESOURCE_EXISTS, ERROR_DEPENDENT_RESOURCE_PROPERTY_CONFLICT, ERROR_DEPENDENT_SERVICES_RUNNING, ERROR_DESTINATION_ELEMENT_FULL, ERROR_DESTROY_OBJECT_OF_OTHER_THREAD, ERROR_DEV_NOT_EXIST, ERROR_DEVICE_ALREADY_ATTACHED, ERROR_DEVICE_ALREADY_REMEMBERED, ERROR_DEVICE_DOOR_OPEN, ERROR_DEVICE_ENUMERATION_ERROR, ERROR_DEVICE_IN_USE, ERROR_DEVICE_NOT_AVAILABLE, ERROR_DEVICE_NOT_CONNECTED, ERROR_DEVICE_NOT_PARTITIONED, ERROR_DEVICE_REINITIALIZATION_NEEDED, ERROR_DEVICE_REMOVED, ERROR_DEVICE_REQUIRES_CLEANING, ERROR_DHCP_ADDRESS_CONFLICT, ERROR_DIFFERENT_SERVICE_ACCOUNT, ERROR_DIR_EFS_DISALLOWED, ERROR_DIR_NOT_EMPTY, ERROR_DIR_NOT_ROOT, ERROR_DIRECT_ACCESS_HANDLE, ERROR_DIRECTORY, ERROR_DIRECTORY_NOT_RM, ERROR_DISCARDED, ERROR_DISK_CHANGE, ERROR_DISK_CORRUPT, ERROR_DISK_FULL, ERROR_DISK_OPERATION_FAILED, ERROR_DISK_QUOTA_EXCEEDED, ERROR_DISK_RECALIBRATE_FAILED, ERROR_DISK_REPAIR_DISABLED, ERROR_DISK_RESET_FAILED, ERROR_DISK_TOO_FRAGMENTED, ERROR_DLL_INIT_FAILED, ERROR_DLL_INIT_FAILED_LOGOFF, ERROR_DLL_MIGHT_BE_INCOMPATIBLE, ERROR_DLL_MIGHT_BE_INSECURE, ERROR_DLL_NOT_FOUND, ERROR_DOMAIN_CONTROLLER_EXISTS, ERROR_DOMAIN_CONTROLLER_NOT_FOUND, ERROR_DOMAIN_CTRLR_CONFIG_ERROR, ERROR_DOMAIN_EXISTS, ERROR_DOMAIN_LIMIT_EXCEEDED, ERROR_DOMAIN_TRUST_INCONSISTENT, ERROR_DOWNGRADE_DETECTED, ERROR_DRIVE_LOCKED, ERROR_DRIVE_MEDIA_MISMATCH, ERROR_DRIVER_BLOCKED, ERROR_DRIVER_CANCEL_TIMEOUT, ERROR_DRIVER_DATABASE_ERROR, ERROR_DRIVER_FAILED_PRIOR_UNLOAD, ERROR_DRIVER_FAILED_SLEEP, ERROR_DRIVER_PROCESS_TERMINATED, ERROR_DRIVERS_LEAKING_LOCKED_PAGES, ERROR_DS_ADD_REPLICA_INHIBITED, ERROR_DS_ADMIN_LIMIT_EXCEEDED, ERROR_DS_AFFECTS_MULTIPLE_DSAS, ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER, ERROR_DS_ALIAS_DEREF_PROBLEM, ERROR_DS_ALIAS_POINTS_TO_ALIAS, ERROR_DS_ALIAS_PROBLEM, ERROR_DS_ALIASED_OBJ_MISSING, ERROR_DS_ATT_ALREADY_EXISTS, ERROR_DS_ATT_IS_NOT_ON_OBJ, ERROR_DS_ATT_NOT_DEF_FOR_CLASS, ERROR_DS_ATT_NOT_DEF_IN_SCHEMA, ERROR_DS_ATT_SCHEMA_REQ_ID, ERROR_DS_ATT_SCHEMA_REQ_SYNTAX, ERROR_DS_ATT_VAL_ALREADY_EXISTS, ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS, ERROR_DS_ATTRIBUTE_OWNED_BY_SAM, ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED, ERROR_DS_AUDIT_FAILURE, ERROR_DS_AUTH_METHOD_NOT_SUPPORTED, ERROR_DS_AUTH_UNKNOWN, ERROR_DS_AUTHORIZATION_FAILED, ERROR_DS_AUX_CLS_TEST_FAIL, ERROR_DS_BACKLINK_WITHOUT_LINK, ERROR_DS_BAD_ATT_SCHEMA_SYNTAX, ERROR_DS_BAD_HIERARCHY_FILE, ERROR_DS_BAD_INSTANCE_TYPE, ERROR_DS_BAD_NAME_SYNTAX, ERROR_DS_BAD_RDN_ATT_ID_SYNTAX, ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED, ERROR_DS_BUSY, ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD, ERROR_DS_CANT_ADD_ATT_VALUES, ERROR_DS_CANT_ADD_SYSTEM_ONLY, ERROR_DS_CANT_ADD_TO_GC, ERROR_DS_CANT_CACHE_ATT, ERROR_DS_CANT_CACHE_CLASS, ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC, ERROR_DS_CANT_CREATE_UNDER_SCHEMA, ERROR_DS_CANT_DEL_MASTER_CROSSREF, ERROR_DS_CANT_DELETE, ERROR_DS_CANT_DELETE_DSA_OBJ, ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC, ERROR_DS_CANT_DEREF_ALIAS, ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN, ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF, ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN, ERROR_DS_CANT_FIND_DSA_OBJ, ERROR_DS_CANT_FIND_EXPECTED_NC, ERROR_DS_CANT_FIND_NC_IN_CACHE, ERROR_DS_CANT_MIX_MASTER_AND_REPS, ERROR_DS_CANT_MOD_OBJ_CLASS, ERROR_DS_CANT_MOD_PRIMARYGROUPID, ERROR_DS_CANT_MOD_SYSTEM_ONLY, ERROR_DS_CANT_MOVE_ACCOUNT_GROUP, ERROR_DS_CANT_MOVE_APP_BASIC_GROUP, ERROR_DS_CANT_MOVE_APP_QUERY_GROUP, ERROR_DS_CANT_MOVE_DELETED_OBJECT, ERROR_DS_CANT_MOVE_RESOURCE_GROUP, ERROR_DS_CANT_ON_NON_LEAF, ERROR_DS_CANT_ON_RDN, ERROR_DS_CANT_REM_MISSING_ATT, ERROR_DS_CANT_REM_MISSING_ATT_VAL, ERROR_DS_CANT_REMOVE_ATT_CACHE, ERROR_DS_CANT_REMOVE_CLASS_CACHE, ERROR_DS_CANT_REPLACE_HIDDEN_REC, ERROR_DS_CANT_RETRIEVE_ATTS, ERROR_DS_CANT_RETRIEVE_CHILD, ERROR_DS_CANT_RETRIEVE_DN, ERROR_DS_CANT_RETRIEVE_INSTANCE, ERROR_DS_CANT_RETRIEVE_SD, ERROR_DS_CANT_START, ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ, ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS, ERROR_DS_CHILDREN_EXIST, ERROR_DS_CLASS_MUST_BE_CONCRETE, ERROR_DS_CLASS_NOT_DSA, ERROR_DS_CLIENT_LOOP, ERROR_DS_CODE_INCONSISTENCY, ERROR_DS_COMPARE_FALSE, ERROR_DS_COMPARE_TRUE, ERROR_DS_CONFIDENTIALITY_REQUIRED, ERROR_DS_CONFIG_PARAM_MISSING, ERROR_DS_CONSTRAINT_VIOLATION, ERROR_DS_CONSTRUCTED_ATT_MOD, ERROR_DS_CONTROL_NOT_FOUND, ERROR_DS_COULDNT_CONTACT_FSMO, ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE, ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE, ERROR_DS_COULDNT_UPDATE_SPNS, ERROR_DS_COUNTING_AB_INDICES_FAILED, ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE, ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2, ERROR_DS_CROSS_DOM_MOVE_ERROR, ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD, ERROR_DS_CROSS_NC_DN_RENAME, ERROR_DS_CROSS_REF_BUSY, ERROR_DS_CROSS_REF_EXISTS, ERROR_DS_DATABASE_ERROR, ERROR_DS_DECODING_ERROR, ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED, ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST, ERROR_DS_DIFFERENT_REPL_EPOCHS, ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER, ERROR_DS_DNS_LOOKUP_FAILURE, ERROR_DS_DOMAIN_RENAME_IN_PROGRESS, ERROR_DS_DOMAIN_VERSION_TOO_HIGH, ERROR_DS_DOMAIN_VERSION_TOO_LOW, ERROR_DS_DRA_ABANDON_SYNC, ERROR_DS_DRA_ACCESS_DENIED, ERROR_DS_DRA_BAD_DN, ERROR_DS_DRA_BAD_INSTANCE_TYPE, ERROR_DS_DRA_BAD_NC, ERROR_DS_DRA_BUSY, ERROR_DS_DRA_CONNECTION_FAILED, ERROR_DS_DRA_DB_ERROR, ERROR_DS_DRA_DN_EXISTS, ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT, ERROR_DS_DRA_EXTN_CONNECTION_FAILED, ERROR_DS_DRA_GENERIC, ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET, ERROR_DS_DRA_INCONSISTENT_DIT, ERROR_DS_DRA_INTERNAL_ERROR, ERROR_DS_DRA_INVALID_PARAMETER, ERROR_DS_DRA_MAIL_PROBLEM, ERROR_DS_DRA_MISSING_PARENT, ERROR_DS_DRA_NAME_COLLISION, ERROR_DS_DRA_NO_REPLICA, ERROR_DS_DRA_NOT_SUPPORTED, ERROR_DS_DRA_OBJ_IS_REP_SOURCE, ERROR_DS_DRA_OBJ_NC_MISMATCH, ERROR_DS_DRA_OUT_OF_MEM, ERROR_DS_DRA_OUT_SCHEDULE_WINDOW, ERROR_DS_DRA_PREEMPTED, ERROR_DS_DRA_REF_ALREADY_EXISTS, ERROR_DS_DRA_REF_NOT_FOUND, ERROR_DS_DRA_REPL_PENDING, ERROR_DS_DRA_RPC_CANCELLED, ERROR_DS_DRA_SCHEMA_CONFLICT, ERROR_DS_DRA_SCHEMA_INFO_SHIP, ERROR_DS_DRA_SCHEMA_MISMATCH, ERROR_DS_DRA_SHUTDOWN, ERROR_DS_DRA_SINK_DISABLED, ERROR_DS_DRA_SOURCE_DISABLED, ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA, ERROR_DS_DRA_SOURCE_REINSTALLED, ERROR_DS_DRS_EXTENSIONS_CHANGED, ERROR_DS_DS_REQUIRED, ERROR_DS_DSA_MUST_BE_INT_MASTER, ERROR_DS_DST_DOMAIN_NOT_NATIVE, ERROR_DS_DST_NC_MISMATCH, ERROR_DS_DUP_LDAP_DISPLAY_NAME, ERROR_DS_DUP_LINK_ID, ERROR_DS_DUP_MAPI_ID, ERROR_DS_DUP_MSDS_INTID, ERROR_DS_DUP_OID, ERROR_DS_DUP_RDN, ERROR_DS_DUP_SCHEMA_ID_GUID, ERROR_DS_DUPLICATE_ID_FOUND, ERROR_DS_ENCODING_ERROR, ERROR_DS_EPOCH_MISMATCH, ERROR_DS_EXISTING_AD_CHILD_NC, ERROR_DS_EXISTS_IN_AUX_CLS, ERROR_DS_EXISTS_IN_MAY_HAVE, ERROR_DS_EXISTS_IN_MUST_HAVE, ERROR_DS_EXISTS_IN_POSS_SUP, ERROR_DS_EXISTS_IN_RDNATTID, ERROR_DS_EXISTS_IN_SUB_CLS, ERROR_DS_FILTER_UNKNOWN, ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS, ERROR_DS_FOREST_VERSION_TOO_HIGH, ERROR_DS_FOREST_VERSION_TOO_LOW, ERROR_DS_GC_NOT_AVAILABLE, ERROR_DS_GC_REQUIRED, ERROR_DS_GCVERIFY_ERROR, ERROR_DS_GENERIC_ERROR, ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER, ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER, ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER, ERROR_DS_GOVERNSID_MISSING, ERROR_DS_GROUP_CONVERSION_ERROR, ERROR_DS_HAVE_PRIMARY_MEMBERS, ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED, ERROR_DS_HIERARCHY_TABLE_TOO_DEEP, ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD, ERROR_DS_ILLEGAL_MOD_OPERATION, ERROR_DS_ILLEGAL_SUPERIOR, ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION, ERROR_DS_INAPPROPRIATE_AUTH, ERROR_DS_INAPPROPRIATE_MATCHING, ERROR_DS_INCOMPATIBLE_CONTROLS_USED, ERROR_DS_INCOMPATIBLE_VERSION, ERROR_DS_INCORRECT_ROLE_OWNER, ERROR_DS_INIT_FAILURE, ERROR_DS_INIT_FAILURE_CONSOLE, ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE, ERROR_DS_INSTALL_NO_SRC_SCH_VERSION, ERROR_DS_INSTALL_SCHEMA_MISMATCH, ERROR_DS_INSUFF_ACCESS_RIGHTS, ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT, ERROR_DS_INTERNAL_FAILURE, ERROR_DS_INVALID_ATTRIBUTE_SYNTAX, ERROR_DS_INVALID_DMD, ERROR_DS_INVALID_DN_SYNTAX, ERROR_DS_INVALID_GROUP_TYPE, ERROR_DS_INVALID_LDAP_DISPLAY_NAME, ERROR_DS_INVALID_NAME_FOR_SPN, ERROR_DS_INVALID_ROLE_OWNER, ERROR_DS_INVALID_SCRIPT, ERROR_DS_INVALID_SEARCH_FLAG, ERROR_DS_INVALID_SEARCH_FLAG_SUBTREE, ERROR_DS_INVALID_SEARCH_FLAG_TUPLE, ERROR_DS_IS_LEAF, ERROR_DS_KEY_NOT_UNIQUE, ERROR_DS_LDAP_SEND_QUEUE_FULL, ERROR_DS_LINK_ID_NOT_AVAILABLE, ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER, ERROR_DS_LOCAL_ERROR, ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY, ERROR_DS_LOOP_DETECT, ERROR_DS_LOW_DSA_VERSION, ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4, ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED, ERROR_DS_MASTERDSA_REQUIRED, ERROR_DS_MAX_OBJ_SIZE_EXCEEDED, ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY, ERROR_DS_MISSING_EXPECTED_ATT, ERROR_DS_MISSING_FSMO_SETTINGS, ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER, ERROR_DS_MISSING_REQUIRED_ATT, ERROR_DS_MISSING_SUPREF, ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG, ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE, ERROR_DS_MODIFYDN_WRONG_GRANDPARENT, ERROR_DS_MUST_BE_RUN_ON_DST_DC, ERROR_DS_NAME_ERROR_DOMAIN_ONLY, ERROR_DS_NAME_ERROR_NO_MAPPING, ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING, ERROR_DS_NAME_ERROR_NOT_FOUND, ERROR_DS_NAME_ERROR_NOT_UNIQUE, ERROR_DS_NAME_ERROR_RESOLVING, ERROR_DS_NAME_ERROR_TRUST_REFERRAL, ERROR_DS_NAME_NOT_UNIQUE, ERROR_DS_NAME_REFERENCE_INVALID, ERROR_DS_NAME_TOO_LONG, ERROR_DS_NAME_TOO_MANY_PARTS, ERROR_DS_NAME_TYPE_UNKNOWN, ERROR_DS_NAME_UNPARSEABLE, ERROR_DS_NAME_VALUE_TOO_LONG, ERROR_DS_NAMING_MASTER_GC, ERROR_DS_NAMING_VIOLATION, ERROR_DS_NC_MUST_HAVE_NC_PARENT, ERROR_DS_NC_STILL_HAS_DSAS, ERROR_DS_NCNAME_MISSING_CR_REF, ERROR_DS_NCNAME_MUST_BE_NC, ERROR_DS_NO_ATTRIBUTE_OR_VALUE, ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN, ERROR_DS_NO_CHAINED_EVAL, ERROR_DS_NO_CHAINING, ERROR_DS_NO_CHECKPOINT_WITH_PDC, ERROR_DS_NO_CROSSREF_FOR_NC, ERROR_DS_NO_DELETED_NAME, ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS, ERROR_DS_NO_MORE_RIDS, ERROR_DS_NO_MSDS_INTID, ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN, ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN, ERROR_DS_NO_NTDSA_OBJECT, ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC, ERROR_DS_NO_PARENT_OBJECT, ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION, ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA, ERROR_DS_NO_REF_DOMAIN, ERROR_DS_NO_REQUESTED_ATTS_FOUND, ERROR_DS_NO_RESULTS_RETURNED, ERROR_DS_NO_RIDS_ALLOCATED, ERROR_DS_NO_SERVER_OBJECT, ERROR_DS_NO_SUCH_OBJECT, ERROR_DS_NO_TREE_DELETE_ABOVE_NC, ERROR_DS_NON_ASQ_SEARCH, ERROR_DS_NON_BASE_SEARCH, ERROR_DS_NONEXISTENT_MAY_HAVE, ERROR_DS_NONEXISTENT_MUST_HAVE, ERROR_DS_NONEXISTENT_POSS_SUP, ERROR_DS_NONSAFE_SCHEMA_CHANGE, ERROR_DS_NOT_AN_OBJECT, ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC, ERROR_DS_NOT_CLOSEST, ERROR_DS_NOT_INSTALLED, ERROR_DS_NOT_ON_BACKLINK, ERROR_DS_NOT_SUPPORTED, ERROR_DS_NOT_SUPPORTED_SORT_ORDER, ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX, ERROR_DS_NTDSCRIPT_PROCESS_ERROR, ERROR_DS_NTDSCRIPT_SYNTAX_ERROR, ERROR_DS_OBJ_CLASS_NOT_DEFINED, ERROR_DS_OBJ_CLASS_NOT_SUBCLASS, ERROR_DS_OBJ_CLASS_VIOLATION, ERROR_DS_OBJ_GUID_EXISTS, ERROR_DS_OBJ_NOT_FOUND, ERROR_DS_OBJ_STRING_NAME_EXISTS, ERROR_DS_OBJ_TOO_LARGE, ERROR_DS_OBJECT_BEING_REMOVED, ERROR_DS_OBJECT_CLASS_REQUIRED, ERROR_DS_OBJECT_RESULTS_TOO_LARGE, ERROR_DS_OFFSET_RANGE_ERROR, ERROR_DS_OPERATIONS_ERROR, ERROR_DS_OUT_OF_SCOPE, ERROR_DS_OUT_OF_VERSION_STORE, ERROR_DS_PARAM_ERROR, ERROR_DS_PARENT_IS_AN_ALIAS, ERROR_DS_PDC_OPERATION_IN_PROGRESS, ERROR_DS_POLICY_NOT_KNOWN, ERROR_DS_PROTOCOL_ERROR, ERROR_DS_RANGE_CONSTRAINT, ERROR_DS_RDN_DOESNT_MATCH_SCHEMA, ERROR_DS_RECALCSCHEMA_FAILED, ERROR_DS_REFERRAL, ERROR_DS_REFERRAL_LIMIT_EXCEEDED, ERROR_DS_REFUSING_FSMO_ROLES, ERROR_DS_REMOTE_CROSSREF_OP_FAILED, ERROR_DS_REPL_LIFETIME_EXCEEDED, ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR, ERROR_DS_REPLICATOR_ONLY, ERROR_DS_RESERVED_LINK_ID, ERROR_DS_RIDMGR_INIT_ERROR, ERROR_DS_ROLE_NOT_VERIFIED, ERROR_DS_ROOT_CANT_BE_SUBREF, ERROR_DS_ROOT_MUST_BE_NC, ERROR_DS_ROOT_REQUIRES_CLASS_TOP, ERROR_DS_SAM_INIT_FAILURE, ERROR_DS_SAM_INIT_FAILURE_CONSOLE, ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY, ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD, ERROR_DS_SCHEMA_ALLOC_FAILED, ERROR_DS_SCHEMA_NOT_LOADED, ERROR_DS_SCHEMA_UPDATE_DISALLOWED, ERROR_DS_SEC_DESC_INVALID, ERROR_DS_SEC_DESC_TOO_SHORT, ERROR_DS_SECURITY_CHECKING_ERROR, ERROR_DS_SECURITY_ILLEGAL_MODIFY, ERROR_DS_SEMANTIC_ATT_TEST, ERROR_DS_SENSITIVE_GROUP_VIOLATION, ERROR_DS_SERVER_DOWN, ERROR_DS_SHUTTING_DOWN, ERROR_DS_SINGLE_USER_MODE_FAILED, ERROR_DS_SINGLE_VALUE_CONSTRAINT, ERROR_DS_SIZELIMIT_EXCEEDED, ERROR_DS_SORT_CONTROL_MISSING, ERROR_DS_SOURCE_AUDITING_NOT_ENABLED, ERROR_DS_SOURCE_DOMAIN_IN_FOREST, ERROR_DS_SRC_AND_DST_NC_IDENTICAL, ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH, ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER, ERROR_DS_SRC_GUID_MISMATCH, ERROR_DS_SRC_NAME_MISMATCH, ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER, ERROR_DS_SRC_SID_EXISTS_IN_FOREST, ERROR_DS_STRING_SD_CONVERSION_FAILED, ERROR_DS_STRONG_AUTH_REQUIRED, ERROR_DS_SUB_CLS_TEST_FAIL, ERROR_DS_SUBREF_MUST_HAVE_PARENT, ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD, ERROR_DS_SYNTAX_MISMATCH, ERROR_DS_THREAD_LIMIT_EXCEEDED, ERROR_DS_TIMELIMIT_EXCEEDED, ERROR_DS_TREE_DELETE_NOT_FINISHED, ERROR_DS_UNABLE_TO_SURRENDER_ROLES, ERROR_DS_UNAVAILABLE, ERROR_DS_UNAVAILABLE_CRIT_EXTENSION, ERROR_DS_UNICODEPWD_NOT_IN_QUOTES, ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER, ERROR_DS_UNKNOWN_ERROR, ERROR_DS_UNKNOWN_OPERATION, ERROR_DS_UNWILLING_TO_PERFORM, ERROR_DS_USER_BUFFER_TO_SMALL, ERROR_DS_VERSION_CHECK_FAILURE, ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL, ERROR_DS_WRONG_LINKED_ATT_SYNTAX, ERROR_DS_WRONG_OM_OBJ_CLASS, ERROR_DUP_DOMAINNAME, ERROR_DUP_NAME, ERROR_DUPLICATE_SERVICE_NAME, ERROR_DUPLICATE_TAG, ERROR_DYNLINK_FROM_INVALID_RING, ERROR_EA_ACCESS_DENIED, ERROR_EA_FILE_CORRUPT, ERROR_EA_LIST_INCONSISTENT, ERROR_EA_TABLE_FULL, ERROR_EAS_DIDNT_FIT, ERROR_EAS_NOT_SUPPORTED, ERROR_EC_CIRCULAR_FORWARDING, ERROR_EC_CRED_NOT_FOUND, ERROR_EC_CREDSTORE_FULL, ERROR_EC_LOG_DISABLED, ERROR_EC_NO_ACTIVE_CHANNEL, ERROR_EC_SUBSCRIPTION_CANNOT_ACTIVATE, ERROR_EFS_ALG_BLOB_TOO_BIG, ERROR_EFS_DISABLED, ERROR_EFS_NOT_ALLOWED_IN_TRANSACTION, ERROR_EFS_SERVER_NOT_TRUSTED, ERROR_EFS_VERSION_NOT_SUPPORT, ERROR_ELEVATION_REQUIRED, ERROR_EMPTY, ERROR_ENCRYPTION_FAILED, ERROR_END_OF_MEDIA, ERROR_ENLISTMENT_NOT_FOUND, ERROR_ENLISTMENT_NOT_SUPERIOR, ERROR_ENVVAR_NOT_FOUND, ERROR_EOM_OVERFLOW, ERROR_ERRORS_ENCOUNTERED, ERROR_EVALUATION_EXPIRATION, ERROR_EVENT_DONE, ERROR_EVENT_PENDING, ERROR_EVENTLOG_CANT_START, ERROR_EVENTLOG_FILE_CHANGED, ERROR_EVENTLOG_FILE_CORRUPT, ERROR_EVT_CANNOT_OPEN_CHANNEL_OF_QUERY, ERROR_EVT_CHANNEL_CANNOT_ACTIVATE, ERROR_EVT_CHANNEL_NOT_FOUND, ERROR_EVT_CONFIGURATION_ERROR, ERROR_EVT_EVENT_DEFINITION_NOT_FOUND, ERROR_EVT_EVENT_TEMPLATE_NOT_FOUND, ERROR_EVT_FILTER_ALREADYSCOPED, ERROR_EVT_FILTER_INVARG, ERROR_EVT_FILTER_INVTEST, ERROR_EVT_FILTER_INVTYPE, ERROR_EVT_FILTER_NOTELTSET, ERROR_EVT_FILTER_OUT_OF_RANGE, ERROR_EVT_FILTER_PARSEERR, ERROR_EVT_FILTER_TOO_COMPLEX, ERROR_EVT_FILTER_UNEXPECTEDTOKEN, ERROR_EVT_FILTER_UNSUPPORTEDOP, ERROR_EVT_INVALID_CHANNEL_PATH, ERROR_EVT_INVALID_CHANNEL_PROPERTY_VALUE, ERROR_EVT_INVALID_EVENT_DATA, ERROR_EVT_INVALID_OPERATION_OVER_ENABLED_DIRECT_CHANNEL, ERROR_EVT_INVALID_PUBLISHER_NAME, ERROR_EVT_INVALID_PUBLISHER_PROPERTY_VALUE, ERROR_EVT_INVALID_QUERY, ERROR_EVT_MALFORMED_XML_TEXT, ERROR_EVT_MAX_INSERTS_REACHED, ERROR_EVT_MESSAGE_ID_NOT_FOUND, ERROR_EVT_MESSAGE_LOCALE_NOT_FOUND, ERROR_EVT_MESSAGE_NOT_FOUND, ERROR_EVT_NON_VALIDATING_MSXML, ERROR_EVT_PUBLISHER_DISABLED, ERROR_EVT_PUBLISHER_METADATA_NOT_FOUND, ERROR_EVT_QUERY_RESULT_INVALID_POSITION, ERROR_EVT_QUERY_RESULT_STALE, ERROR_EVT_SUBSCRIPTION_TO_DIRECT_CHANNEL, ERROR_EVT_UNRESOLVED_PARAMETER_INSERT, ERROR_EVT_UNRESOLVED_VALUE_INSERT, ERROR_EVT_VERSION_TOO_NEW, ERROR_EVT_VERSION_TOO_OLD, ERROR_EXCEPTION_IN_RESOURCE_CALL, ERROR_EXCEPTION_IN_SERVICE, ERROR_EXCL_SEM_ALREADY_OWNED, ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY, ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY, ERROR_EXE_MACHINE_TYPE_MISMATCH, ERROR_EXE_MARKED_INVALID, ERROR_EXTENDED_ERROR, ERROR_EXTRANEOUS_INFORMATION, ERROR_FAIL_I24, ERROR_FAIL_NOACTION_REBOOT, ERROR_FAIL_REBOOT_INITIATED, ERROR_FAIL_REBOOT_REQUIRED, ERROR_FAIL_RESTART, ERROR_FAIL_SHUTDOWN, ERROR_FAILED_DRIVER_ENTRY, ERROR_FAILED_SERVICE_CONTROLLER_CONNECT, ERROR_FATAL_APP_EXIT, ERROR_FILE_CHECKED_OUT, ERROR_FILE_CORRUPT, ERROR_FILE_ENCRYPTED, ERROR_FILE_EXISTS, ERROR_FILE_IDENTITY_NOT_PERSISTENT, ERROR_FILE_INVALID, ERROR_FILE_NOT_ENCRYPTED, ERROR_FILE_NOT_FOUND, ERROR_FILE_OFFLINE, ERROR_FILE_READ_ONLY, ERROR_FILE_SYSTEM_LIMITATION, ERROR_FILE_TOO_LARGE, ERROR_FILEMARK_DETECTED, ERROR_FILENAME_EXCED_RANGE, ERROR_FIRMWARE_UPDATED, ERROR_FLOAT_MULTIPLE_FAULTS, ERROR_FLOAT_MULTIPLE_TRAPS, ERROR_FLOATED_SECTION, ERROR_FLOPPY_BAD_REGISTERS, ERROR_FLOPPY_ID_MARK_NOT_FOUND, ERROR_FLOPPY_UNKNOWN_ERROR, ERROR_FLOPPY_VOLUME, ERROR_FLOPPY_WRONG_CYLINDER, ERROR_FLT_ALREADY_ENLISTED, ERROR_FLT_CBDQ_DISABLED, ERROR_FLT_CONTEXT_ALLOCATION_NOT_FOUND, ERROR_FLT_CONTEXT_ALREADY_DEFINED, ERROR_FLT_CONTEXT_ALREADY_LINKED, ERROR_FLT_DELETING_OBJECT, ERROR_FLT_DISALLOW_FAST_IO, ERROR_FLT_DO_NOT_ATTACH, ERROR_FLT_DO_NOT_DETACH, ERROR_FLT_DUPLICATE_ENTRY, ERROR_FLT_FILTER_NOT_FOUND, ERROR_FLT_FILTER_NOT_READY, ERROR_FLT_INSTANCE_ALTITUDE_COLLISION, ERROR_FLT_INSTANCE_NAME_COLLISION, ERROR_FLT_INSTANCE_NOT_FOUND, ERROR_FLT_INTERNAL_ERROR, ERROR_FLT_INVALID_ASYNCHRONOUS_REQUEST, ERROR_FLT_INVALID_CONTEXT_REGISTRATION, ERROR_FLT_INVALID_NAME_REQUEST, ERROR_FLT_IO_COMPLETE, ERROR_FLT_MUST_BE_NONPAGED_POOL, ERROR_FLT_NAME_CACHE_MISS, ERROR_FLT_NO_DEVICE_OBJECT, ERROR_FLT_NO_HANDLER_DEFINED, ERROR_FLT_NO_WAITER_FOR_REPLY, ERROR_FLT_NOT_INITIALIZED, ERROR_FLT_NOT_SAFE_TO_POST_OPERATION, ERROR_FLT_POST_OPERATION_CLEANUP, ERROR_FLT_VOLUME_ALREADY_MOUNTED, ERROR_FLT_VOLUME_NOT_FOUND, ERROR_FORMS_AUTH_REQUIRED, ERROR_FOUND_OUT_OF_SCOPE, ERROR_FS_DRIVER_REQUIRED, ERROR_FSFILTER_OP_COMPLETED_SUCCESSFULLY, ERROR_FT_READ_RECOVERY_FROM_BACKUP, ERROR_FT_WRITE_RECOVERY, ERROR_FULL_BACKUP, ERROR_FULLSCREEN_MODE, ERROR_FUNCTION_FAILED, ERROR_FUNCTION_NOT_CALLED, ERROR_GEN_FAILURE, ERROR_GENERIC_COMMAND_FAILED, ERROR_GENERIC_NOT_MAPPED, ERROR_GLOBAL_ONLY_HOOK, ERROR_GRACEFUL_DISCONNECT, ERROR_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED, ERROR_GRAPHICS_ADAPTER_CHAIN_NOT_READY, ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE, ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET, ERROR_GRAPHICS_ADAPTER_WAS_RESET, ERROR_GRAPHICS_ALLOCATION_BUSY, ERROR_GRAPHICS_ALLOCATION_CLOSED, ERROR_GRAPHICS_ALLOCATION_CONTENT_LOST, ERROR_GRAPHICS_ALLOCATION_INVALID, ERROR_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION, ERROR_GRAPHICS_CANNOTCOLORCONVERT, ERROR_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN, ERROR_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION, ERROR_GRAPHICS_CANT_LOCK_MEMORY, ERROR_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION, ERROR_GRAPHICS_CHAINLINKS_NOT_ENUMERATED, ERROR_GRAPHICS_CHAINLINKS_NOT_POWERED_ON, ERROR_GRAPHICS_CHAINLINKS_NOT_STARTED, ERROR_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED, ERROR_GRAPHICS_CLIENTVIDPN_NOT_SET, ERROR_GRAPHICS_COPP_NOT_SUPPORTED, ERROR_GRAPHICS_DATASET_IS_EMPTY, ERROR_GRAPHICS_DDCCI_CURRENT_CURRENT_VALUE_GREATER_THAN_MAXIMUM_VALUE, ERROR_GRAPHICS_DDCCI_INVALID_DATA, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH, ERROR_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE, ERROR_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED, ERROR_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP, ERROR_GRAPHICS_DRIVER_MISMATCH, ERROR_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION, ERROR_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET, ERROR_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET, ERROR_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED, ERROR_GRAPHICS_GPU_EXCEPTION_ON_DEVICE, ERROR_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST, ERROR_GRAPHICS_I2C_ERROR_RECEIVING_DATA, ERROR_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA, ERROR_GRAPHICS_I2C_NOT_SUPPORTED, ERROR_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT, ERROR_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE, ERROR_GRAPHICS_INSUFFICIENT_DMA_BUFFER, ERROR_GRAPHICS_INTERNAL_ERROR, ERROR_GRAPHICS_INVALID_ACTIVE_REGION, ERROR_GRAPHICS_INVALID_ALLOCATION_HANDLE, ERROR_GRAPHICS_INVALID_ALLOCATION_INSTANCE, ERROR_GRAPHICS_INVALID_ALLOCATION_USAGE, ERROR_GRAPHICS_INVALID_CLIENT_TYPE, ERROR_GRAPHICS_INVALID_COLORBASIS, ERROR_GRAPHICS_INVALID_COPYPROTECTION_TYPE, ERROR_GRAPHICS_INVALID_DISPLAY_ADAPTER, ERROR_GRAPHICS_INVALID_DRIVER_MODEL, ERROR_GRAPHICS_INVALID_FREQUENCY, ERROR_GRAPHICS_INVALID_GAMMA_RAMP, ERROR_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM, ERROR_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET, ERROR_GRAPHICS_INVALID_MONITOR_SOURCE_MODE, ERROR_GRAPHICS_INVALID_MONITOR_SOURCEMODESET, ERROR_GRAPHICS_INVALID_MONITORDESCRIPTOR, ERROR_GRAPHICS_INVALID_MONITORDESCRIPTORSET, ERROR_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION, ERROR_GRAPHICS_INVALID_PATH_CONTENT_TYPE, ERROR_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL, ERROR_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE, ERROR_GRAPHICS_INVALID_PIXELFORMAT, ERROR_GRAPHICS_INVALID_PIXELVALUEACCESSMODE, ERROR_GRAPHICS_INVALID_POINTER, ERROR_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE, ERROR_GRAPHICS_INVALID_SCANLINE_ORDERING, ERROR_GRAPHICS_INVALID_STRIDE, ERROR_GRAPHICS_INVALID_TOTAL_REGION, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE, ERROR_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET, ERROR_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET, ERROR_GRAPHICS_INVALID_VIDPN, ERROR_GRAPHICS_INVALID_VIDPN_PRESENT_PATH, ERROR_GRAPHICS_INVALID_VIDPN_SOURCEMODESET, ERROR_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE, ERROR_GRAPHICS_INVALID_VIDPN_TARGETMODESET, ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY, ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON, ERROR_GRAPHICS_INVALID_VISIBLEREGION_SIZE, ERROR_GRAPHICS_LEADLINK_NOT_ENUMERATED, ERROR_GRAPHICS_LEADLINK_START_DEFERRED, ERROR_GRAPHICS_MAX_NUM_PATHS_REACHED, ERROR_GRAPHICS_MCA_INTERNAL_ERROR, ERROR_GRAPHICS_MCA_INVALID_CAPABILITIES_STRING, ERROR_GRAPHICS_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, ERROR_GRAPHICS_MCA_INVALID_VCP_VERSION, ERROR_GRAPHICS_MCA_MCCS_VERSION_MISMATCH, ERROR_GRAPHICS_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, ERROR_GRAPHICS_MCA_UNSUPPORTED_COLOR_TEMPERATURE, ERROR_GRAPHICS_MCA_UNSUPPORTED_MCCS_VERSION, ERROR_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED, ERROR_GRAPHICS_MODE_ALREADY_IN_MODESET, ERROR_GRAPHICS_MODE_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_MODE_NOT_IN_MODESET, ERROR_GRAPHICS_MODE_NOT_PINNED, ERROR_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER, ERROR_GRAPHICS_MONITOR_NO_LONGER_EXISTS, ERROR_GRAPHICS_MONITOR_NOT_CONNECTED, ERROR_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET, ERROR_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET, ERROR_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED, ERROR_GRAPHICS_NO_ACTIVE_VIDPN, ERROR_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS, ERROR_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET, ERROR_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME, ERROR_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT, ERROR_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE, ERROR_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET, ERROR_GRAPHICS_NO_PREFERRED_MODE, ERROR_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN, ERROR_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY, ERROR_GRAPHICS_NO_VIDEO_MEMORY, ERROR_GRAPHICS_NO_VIDPNMGR, ERROR_GRAPHICS_NOT_A_LINKED_ADAPTER, ERROR_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER, ERROR_GRAPHICS_NOT_POST_DEVICE_DRIVER, ERROR_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED, ERROR_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE, ERROR_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR, ERROR_GRAPHICS_OPM_HDCP_SRM_NEVER_SET, ERROR_GRAPHICS_OPM_INTERNAL_ERROR, ERROR_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST, ERROR_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS, ERROR_GRAPHICS_OPM_INVALID_HANDLE, ERROR_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST, ERROR_GRAPHICS_OPM_INVALID_SRM, ERROR_GRAPHICS_OPM_NO_VIDEO_OUTPUTS_EXIST, ERROR_GRAPHICS_OPM_NOT_SUPPORTED, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP, ERROR_GRAPHICS_OPM_RESOLUTION_TOO_HIGH, ERROR_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS, ERROR_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED, ERROR_GRAPHICS_OPM_SPANNING_MODE_ENABLED, ERROR_GRAPHICS_OPM_THEATER_MODE_ENABLED, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_NO_LONGER_EXISTS, ERROR_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL, ERROR_GRAPHICS_PARTIAL_DATA_POPULATED, ERROR_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY, ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED, ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED, ERROR_GRAPHICS_PATH_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET, ERROR_GRAPHICS_POLLING_TOO_FREQUENTLY, ERROR_GRAPHICS_PRESENT_DENIED, ERROR_GRAPHICS_PRESENT_MODE_CHANGED, ERROR_GRAPHICS_PRESENT_OCCLUDED, ERROR_GRAPHICS_PVP_HFS_FAILED, ERROR_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH, ERROR_GRAPHICS_RESOURCES_NOT_RELATED, ERROR_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS, ERROR_GRAPHICS_SOURCE_ALREADY_IN_SET, ERROR_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED, ERROR_GRAPHICS_STALE_MODESET, ERROR_GRAPHICS_STALE_VIDPN_TOPOLOGY, ERROR_GRAPHICS_START_DEFERRED, ERROR_GRAPHICS_TARGET_ALREADY_IN_SET, ERROR_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_TARGET_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_TOO_MANY_REFERENCES, ERROR_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED, ERROR_GRAPHICS_TRY_AGAIN_LATER, ERROR_GRAPHICS_TRY_AGAIN_NOW, ERROR_GRAPHICS_UAB_NOT_SUPPORTED, ERROR_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS, ERROR_GRAPHICS_UNKNOWN_CHILD_STATUS, ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE, ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED, ERROR_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES, ERROR_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED, ERROR_GRAPHICS_VIDPN_SOURCE_IN_USE, ERROR_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED, ERROR_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED, ERROR_GRAPHICS_WRONG_ALLOCATION_DEVICE, ERROR_GROUP_EXISTS, ERROR_GROUP_NOT_AVAILABLE, ERROR_GROUP_NOT_FOUND, ERROR_GROUP_NOT_ONLINE, ERROR_GUID_SUBSTITUTION_MADE, ERROR_HANDLE_DISK_FULL, ERROR_HANDLE_EOF, ERROR_HANDLE_NO_LONGER_VALID, ERROR_HANDLES_CLOSED, ERROR_HIBERNATED, ERROR_HIBERNATION_FAILURE, ERROR_HOOK_NEEDS_HMOD, ERROR_HOOK_NOT_INSTALLED, ERROR_HOOK_TYPE_NOT_ALLOWED, ERROR_HOST_DOWN, ERROR_HOST_NODE_NOT_AVAILABLE, ERROR_HOST_NODE_NOT_GROUP_OWNER, ERROR_HOST_NODE_NOT_RESOURCE_OWNER, ERROR_HOST_UNREACHABLE, ERROR_HOTKEY_ALREADY_REGISTERED, ERROR_HOTKEY_NOT_REGISTERED, ERROR_HUNG_DISPLAY_DRIVER_THREAD, ERROR_HWNDS_HAVE_DIFF_PARENT, ERROR_ICM_NOT_ENABLED, ERROR_IEPORT_FULL, ERROR_ILL_FORMED_PASSWORD, ERROR_ILLEGAL_CHARACTER, ERROR_ILLEGAL_DLL_RELOCATION, ERROR_ILLEGAL_ELEMENT_ADDRESS, ERROR_ILLEGAL_FLOAT_CONTEXT, ERROR_IMAGE_MACHINE_TYPE_MISMATCH, ERROR_IMAGE_MACHINE_TYPE_MISMATCH_EXE, ERROR_IMAGE_NOT_AT_BASE, ERROR_IMPLEMENTATION_LIMIT, ERROR_IMPLICIT_TRANSACTION_NOT_SUPPORTED, ERROR_INC_BACKUP, ERROR_INCOMPATIBLE_SERVICE_PRIVILEGE, ERROR_INCOMPATIBLE_SERVICE_SID_TYPE, ERROR_INCORRECT_ADDRESS, ERROR_INCORRECT_SIZE, ERROR_INDEX_ABSENT, ERROR_INDIGENOUS_TYPE, ERROR_INDOUBT_TRANSACTIONS_EXIST, ERROR_INFLOOP_IN_RELOC_CHAIN, ERROR_INSTALL_ALREADY_RUNNING, ERROR_INSTALL_FAILURE, ERROR_INSTALL_LANGUAGE_UNSUPPORTED, ERROR_INSTALL_LOG_FAILURE, ERROR_INSTALL_NOTUSED, ERROR_INSTALL_PACKAGE_INVALID, ERROR_INSTALL_PACKAGE_OPEN_FAILED, ERROR_INSTALL_PACKAGE_REJECTED, ERROR_INSTALL_PACKAGE_VERSION, ERROR_INSTALL_PLATFORM_UNSUPPORTED, ERROR_INSTALL_REMOTE_DISALLOWED, ERROR_INSTALL_REMOTE_PROHIBITED, ERROR_INSTALL_SERVICE_FAILURE, ERROR_INSTALL_SERVICE_SAFEBOOT, ERROR_INSTALL_SOURCE_ABSENT, ERROR_INSTALL_SUSPEND, ERROR_INSTALL_TEMP_UNWRITABLE, ERROR_INSTALL_TRANSFORM_FAILURE, ERROR_INSTALL_TRANSFORM_REJECTED, ERROR_INSTALL_UI_FAILURE, ERROR_INSTALL_USEREXIT, ERROR_INSTRUCTION_MISALIGNMENT, ERROR_INSUFFICIENT_BUFFER, ERROR_INSUFFICIENT_LOGON_INFO, ERROR_INSUFFICIENT_POWER, ERROR_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE, ERROR_INTERNAL_DB_CORRUPTION, ERROR_INTERNAL_DB_ERROR, ERROR_INTERNAL_ERROR, ERROR_INTERRUPT_STILL_CONNECTED, ERROR_INTERRUPT_VECTOR_ALREADY_CONNECTED, ERROR_INVALID_ACCEL_HANDLE, ERROR_INVALID_ACCESS, ERROR_INVALID_ACCOUNT_NAME, ERROR_INVALID_ACL, ERROR_INVALID_ADDRESS, ERROR_INVALID_AT_INTERRUPT_TIME, ERROR_INVALID_BLOCK, ERROR_INVALID_BLOCK_LENGTH, ERROR_INVALID_CATEGORY, ERROR_INVALID_CLEANER, ERROR_INVALID_CLUSTER_IPV6_ADDRESS, ERROR_INVALID_CMM, ERROR_INVALID_COLORINDEX, ERROR_INVALID_COLORSPACE, ERROR_INVALID_COMBOBOX_MESSAGE, ERROR_INVALID_COMMAND_LINE, ERROR_INVALID_COMPUTERNAME, ERROR_INVALID_CRUNTIME_PARAMETER, ERROR_INVALID_CURSOR_HANDLE, ERROR_INVALID_DATA, ERROR_INVALID_DATATYPE, ERROR_INVALID_DEVICE_OBJECT_PARAMETER, ERROR_INVALID_DLL, ERROR_INVALID_DOMAIN_ROLE, ERROR_INVALID_DOMAIN_STATE, ERROR_INVALID_DOMAINNAME, ERROR_INVALID_DRIVE, ERROR_INVALID_DRIVE_OBJECT, ERROR_INVALID_DWP_HANDLE, ERROR_INVALID_EA_HANDLE, ERROR_INVALID_EA_NAME, ERROR_INVALID_EDIT_HEIGHT, ERROR_INVALID_ENVIRONMENT, ERROR_INVALID_EVENT_COUNT, ERROR_INVALID_EVENTNAME, ERROR_INVALID_EXE_SIGNATURE, ERROR_INVALID_FIELD, ERROR_INVALID_FILTER_PROC, ERROR_INVALID_FLAG_NUMBER, ERROR_INVALID_FLAGS, ERROR_INVALID_FORM_NAME, ERROR_INVALID_FORM_SIZE, ERROR_INVALID_FUNCTION, ERROR_INVALID_GROUP_ATTRIBUTES, ERROR_INVALID_GROUPNAME, ERROR_INVALID_GW_COMMAND, ERROR_INVALID_HANDLE, ERROR_INVALID_HANDLE_STATE, ERROR_INVALID_HOOK_FILTER, ERROR_INVALID_HOOK_HANDLE, ERROR_INVALID_HW_PROFILE, ERROR_INVALID_ICON_HANDLE, ERROR_INVALID_ID_AUTHORITY, ERROR_INVALID_IMAGE_HASH, ERROR_INVALID_IMPORT_OF_NON_DLL, ERROR_INVALID_INDEX, ERROR_INVALID_KEYBOARD_HANDLE, ERROR_INVALID_LABEL, ERROR_INVALID_LB_MESSAGE, ERROR_INVALID_LDT_DESCRIPTOR, ERROR_INVALID_LDT_OFFSET, ERROR_INVALID_LDT_SIZE, ERROR_INVALID_LEVEL, ERROR_INVALID_LIBRARY, ERROR_INVALID_LIST_FORMAT, ERROR_INVALID_LOGON_HOURS, ERROR_INVALID_LOGON_TYPE, ERROR_INVALID_MEDIA, ERROR_INVALID_MEDIA_POOL, ERROR_INVALID_MEMBER, ERROR_INVALID_MENU_HANDLE, ERROR_INVALID_MESSAGE, ERROR_INVALID_MESSAGEDEST, ERROR_INVALID_MESSAGENAME, ERROR_INVALID_MINALLOCSIZE, ERROR_INVALID_MODULETYPE, ERROR_INVALID_MONITOR_HANDLE, ERROR_INVALID_MSGBOX_STYLE, ERROR_INVALID_NAME, ERROR_INVALID_NETNAME, ERROR_INVALID_OPERATION, ERROR_INVALID_OPERATION_ON_QUORUM, ERROR_INVALID_OPLOCK_PROTOCOL, ERROR_INVALID_ORDINAL, ERROR_INVALID_OWNER, ERROR_INVALID_PARAMETER, ERROR_INVALID_PASSWORD, ERROR_INVALID_PASSWORDNAME, ERROR_INVALID_PATCH_XML, ERROR_INVALID_PIXEL_FORMAT, ERROR_INVALID_PLUGPLAY_DEVICE_PATH, ERROR_INVALID_PORT_ATTRIBUTES, ERROR_INVALID_PRIMARY_GROUP, ERROR_INVALID_PRINT_MONITOR, ERROR_INVALID_PRINTER_COMMAND, ERROR_INVALID_PRINTER_NAME, ERROR_INVALID_PRINTER_STATE, ERROR_INVALID_PRIORITY, ERROR_INVALID_PROFILE, ERROR_INVALID_QUOTA_LOWER, ERROR_INVALID_REPARSE_DATA, ERROR_INVALID_SCROLLBAR_RANGE, ERROR_INVALID_SECURITY_DESCR, ERROR_INVALID_SEGDPL, ERROR_INVALID_SEGMENT_NUMBER, ERROR_INVALID_SEPARATOR_FILE, ERROR_INVALID_SERVER_STATE, ERROR_INVALID_SERVICE_ACCOUNT, ERROR_INVALID_SERVICE_CONTROL, ERROR_INVALID_SERVICE_LOCK, ERROR_INVALID_SERVICENAME, ERROR_INVALID_SHARENAME, ERROR_INVALID_SHOWWIN_COMMAND, ERROR_INVALID_SID, ERROR_INVALID_SIGNAL_NUMBER, ERROR_INVALID_SPI_VALUE, ERROR_INVALID_STACKSEG, ERROR_INVALID_STARTING_CODESEG, ERROR_INVALID_STATE, ERROR_INVALID_SUB_AUTHORITY, ERROR_INVALID_TABLE, ERROR_INVALID_TARGET_HANDLE, ERROR_INVALID_TASK_INDEX, ERROR_INVALID_TASK_NAME, ERROR_INVALID_THREAD_ID, ERROR_INVALID_TIME, ERROR_INVALID_TRANSACTION, ERROR_INVALID_TRANSFORM, ERROR_INVALID_UNWIND_TARGET, ERROR_INVALID_USER_BUFFER, ERROR_INVALID_VARIANT, ERROR_INVALID_VERIFY_SWITCH, ERROR_INVALID_WINDOW_HANDLE, ERROR_INVALID_WINDOW_STYLE, ERROR_INVALID_WORKSTATION, ERROR_IO_DEVICE, ERROR_IO_INCOMPLETE, ERROR_IO_PENDING, ERROR_IO_PRIVILEGE_FAILED, ERROR_IO_REISSUE_AS_CACHED, ERROR_IOPL_NOT_ENABLED, ERROR_IP_ADDRESS_CONFLICT1, ERROR_IP_ADDRESS_CONFLICT2, ERROR_IPSEC_BAD_SPI, ERROR_IPSEC_CLEAR_TEXT_DROP, ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND, ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND, ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND, ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED, ERROR_IPSEC_IKE_ATTRIB_FAIL, ERROR_IPSEC_IKE_AUTH_FAIL, ERROR_IPSEC_IKE_BENIGN_REINIT, ERROR_IPSEC_IKE_CERT_CHAIN_POLICY_MISMATCH, ERROR_IPSEC_IKE_CGA_AUTH_FAILED, ERROR_IPSEC_IKE_CRL_FAILED, ERROR_IPSEC_IKE_DECRYPT, ERROR_IPSEC_IKE_DH_FAIL, ERROR_IPSEC_IKE_DH_FAILURE, ERROR_IPSEC_IKE_DOS_COOKIE_SENT, ERROR_IPSEC_IKE_DROP_NO_RESPONSE, ERROR_IPSEC_IKE_ENCRYPT, ERROR_IPSEC_IKE_ERROR, ERROR_IPSEC_IKE_FAILQUERYSSP, ERROR_IPSEC_IKE_FAILSSPINIT, ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR, ERROR_IPSEC_IKE_GETSPIFAIL, ERROR_IPSEC_IKE_INVALID_AUTH_ALG, ERROR_IPSEC_IKE_INVALID_AUTH_PAYLOAD, ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN, ERROR_IPSEC_IKE_INVALID_CERT_TYPE, ERROR_IPSEC_IKE_INVALID_COOKIE, ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG, ERROR_IPSEC_IKE_INVALID_FILTER, ERROR_IPSEC_IKE_INVALID_GROUP, ERROR_IPSEC_IKE_INVALID_HASH, ERROR_IPSEC_IKE_INVALID_HASH_ALG, ERROR_IPSEC_IKE_INVALID_HASH_SIZE, ERROR_IPSEC_IKE_INVALID_HEADER, ERROR_IPSEC_IKE_INVALID_KEY_USAGE, ERROR_IPSEC_IKE_INVALID_MM_FOR_QM, ERROR_IPSEC_IKE_INVALID_PAYLOAD, ERROR_IPSEC_IKE_INVALID_POLICY, ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY, ERROR_IPSEC_IKE_INVALID_SIG, ERROR_IPSEC_IKE_INVALID_SIGNATURE, ERROR_IPSEC_IKE_INVALID_SITUATION, ERROR_IPSEC_IKE_KERBEROS_ERROR, ERROR_IPSEC_IKE_LOAD_FAILED, ERROR_IPSEC_IKE_LOAD_SOFT_SA, ERROR_IPSEC_IKE_MM_ACQUIRE_DROP, ERROR_IPSEC_IKE_MM_DELAY_DROP, ERROR_IPSEC_IKE_MM_EXPIRED, ERROR_IPSEC_IKE_MM_LIMIT, ERROR_IPSEC_IKE_NEG_STATUS_BEGIN, ERROR_IPSEC_IKE_NEG_STATUS_END, ERROR_IPSEC_IKE_NEGOTIATION_DISABLED, ERROR_IPSEC_IKE_NEGOTIATION_PENDING, ERROR_IPSEC_IKE_NO_CERT, ERROR_IPSEC_IKE_NO_MM_POLICY, ERROR_IPSEC_IKE_NO_PEER_CERT, ERROR_IPSEC_IKE_NO_POLICY, ERROR_IPSEC_IKE_NO_PRIVATE_KEY, ERROR_IPSEC_IKE_NO_PUBLIC_KEY, ERROR_IPSEC_IKE_NOTCBPRIV, ERROR_IPSEC_IKE_OUT_OF_MEMORY, ERROR_IPSEC_IKE_PEER_CRL_FAILED, ERROR_IPSEC_IKE_PEER_MM_ASSUMED_INVALID, ERROR_IPSEC_IKE_POLICY_CHANGE, ERROR_IPSEC_IKE_POLICY_MATCH, ERROR_IPSEC_IKE_PROCESS_ERR, ERROR_IPSEC_IKE_PROCESS_ERR_CERT, ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ, ERROR_IPSEC_IKE_PROCESS_ERR_DELETE, ERROR_IPSEC_IKE_PROCESS_ERR_HASH, ERROR_IPSEC_IKE_PROCESS_ERR_ID, ERROR_IPSEC_IKE_PROCESS_ERR_KE, ERROR_IPSEC_IKE_PROCESS_ERR_NATOA, ERROR_IPSEC_IKE_PROCESS_ERR_NONCE, ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY, ERROR_IPSEC_IKE_PROCESS_ERR_PROP, ERROR_IPSEC_IKE_PROCESS_ERR_SA, ERROR_IPSEC_IKE_PROCESS_ERR_SIG, ERROR_IPSEC_IKE_PROCESS_ERR_TRANS, ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR, ERROR_IPSEC_IKE_QM_ACQUIRE_DROP, ERROR_IPSEC_IKE_QM_DELAY_DROP, ERROR_IPSEC_IKE_QM_EXPIRED, ERROR_IPSEC_IKE_QM_LIMIT, ERROR_IPSEC_IKE_QUEUE_DROP_MM, ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM, ERROR_IPSEC_IKE_RPC_DELETE, ERROR_IPSEC_IKE_SA_DELETED, ERROR_IPSEC_IKE_SA_REAPED, ERROR_IPSEC_IKE_SECLOADFAIL, ERROR_IPSEC_IKE_SHUTTING_DOWN, ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN, ERROR_IPSEC_IKE_SRVACQFAIL, ERROR_IPSEC_IKE_SRVQUERYCRED, ERROR_IPSEC_IKE_TIMED_OUT, ERROR_IPSEC_IKE_TOO_MANY_FILTERS, ERROR_IPSEC_IKE_UNEXPECTED_MESSAGE_ID, ERROR_IPSEC_IKE_UNKNOWN_DOI, ERROR_IPSEC_IKE_UNSUPPORTED_ID, ERROR_IPSEC_INTEGRITY_CHECK_FAILED, ERROR_IPSEC_INVALID_PACKET, ERROR_IPSEC_MM_AUTH_EXISTS, ERROR_IPSEC_MM_AUTH_IN_USE, ERROR_IPSEC_MM_AUTH_NOT_FOUND, ERROR_IPSEC_MM_AUTH_PENDING_DELETION, ERROR_IPSEC_MM_FILTER_EXISTS, ERROR_IPSEC_MM_FILTER_NOT_FOUND, ERROR_IPSEC_MM_FILTER_PENDING_DELETION, ERROR_IPSEC_MM_POLICY_EXISTS, ERROR_IPSEC_MM_POLICY_IN_USE, ERROR_IPSEC_MM_POLICY_NOT_FOUND, ERROR_IPSEC_MM_POLICY_PENDING_DELETION, ERROR_IPSEC_QM_POLICY_EXISTS, ERROR_IPSEC_QM_POLICY_IN_USE, ERROR_IPSEC_QM_POLICY_NOT_FOUND, ERROR_IPSEC_QM_POLICY_PENDING_DELETION, ERROR_IPSEC_REPLAY_CHECK_FAILED, ERROR_IPSEC_SA_LIFETIME_EXPIRED, ERROR_IPSEC_TRANSPORT_FILTER_EXISTS, ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND, ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION, ERROR_IPSEC_TUNNEL_FILTER_EXISTS, ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND, ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION, ERROR_IPSEC_WRONG_SA, ERROR_IRQ_BUSY, ERROR_IS_JOIN_PATH, ERROR_IS_JOIN_TARGET, ERROR_IS_JOINED, ERROR_IS_SUBST_PATH, ERROR_IS_SUBST_TARGET, ERROR_IS_SUBSTED, ERROR_ITERATED_DATA_EXCEEDS_64k, ERROR_JOIN_TO_JOIN, ERROR_JOIN_TO_SUBST, ERROR_JOURNAL_DELETE_IN_PROGRESS, ERROR_JOURNAL_ENTRY_DELETED, ERROR_JOURNAL_HOOK_SET, ERROR_JOURNAL_NOT_ACTIVE, ERROR_KERNEL_APC, ERROR_KEY_DELETED, ERROR_KEY_HAS_CHILDREN, ERROR_KM_DRIVER_BLOCKED, ERROR_LABEL_TOO_LONG, ERROR_LAST_ADMIN, ERROR_LB_WITHOUT_TABSTOPS, ERROR_LIBRARY_FULL, ERROR_LIBRARY_OFFLINE, ERROR_LICENSE_QUOTA_EXCEEDED, ERROR_LISTBOX_ID_NOT_FOUND, ERROR_LM_CROSS_ENCRYPTION_REQUIRED, ERROR_LOCAL_USER_SESSION_KEY, ERROR_LOCK_FAILED, ERROR_LOCK_VIOLATION, ERROR_LOCKED, ERROR_LOG_APPENDED_FLUSH_FAILED, ERROR_LOG_ARCHIVE_IN_PROGRESS, ERROR_LOG_ARCHIVE_NOT_IN_PROGRESS, ERROR_LOG_BLOCK_INCOMPLETE, ERROR_LOG_BLOCK_INVALID, ERROR_LOG_BLOCK_VERSION, ERROR_LOG_BLOCKS_EXHAUSTED, ERROR_LOG_CANT_DELETE, ERROR_LOG_CLIENT_ALREADY_REGISTERED, ERROR_LOG_CLIENT_NOT_REGISTERED, ERROR_LOG_CONTAINER_LIMIT_EXCEEDED, ERROR_LOG_CONTAINER_OPEN_FAILED, ERROR_LOG_CONTAINER_READ_FAILED, ERROR_LOG_CONTAINER_STATE_INVALID, ERROR_LOG_CONTAINER_WRITE_FAILED, ERROR_LOG_CORRUPTION_DETECTED, ERROR_LOG_DEDICATED, ERROR_LOG_EPHEMERAL, ERROR_LOG_FILE_FULL, ERROR_LOG_FULL, ERROR_LOG_FULL_HANDLER_IN_PROGRESS, ERROR_LOG_GROWTH_FAILED, ERROR_LOG_HARD_ERROR, ERROR_LOG_INCONSISTENT_SECURITY, ERROR_LOG_INVALID_RANGE, ERROR_LOG_METADATA_CORRUPT, ERROR_LOG_METADATA_FLUSH_FAILED, ERROR_LOG_METADATA_INCONSISTENT, ERROR_LOG_METADATA_INVALID, ERROR_LOG_MULTIPLEXED, ERROR_LOG_NO_RESTART, ERROR_LOG_NOT_ENOUGH_CONTAINERS, ERROR_LOG_PINNED, ERROR_LOG_PINNED_ARCHIVE_TAIL, ERROR_LOG_PINNED_RESERVATION, ERROR_LOG_POLICY_ALREADY_INSTALLED, ERROR_LOG_POLICY_CONFLICT, ERROR_LOG_POLICY_INVALID, ERROR_LOG_POLICY_NOT_INSTALLED, ERROR_LOG_READ_CONTEXT_INVALID, ERROR_LOG_READ_MODE_INVALID, ERROR_LOG_RECORD_NONEXISTENT, ERROR_LOG_RECORDS_RESERVED_INVALID, ERROR_LOG_RESERVATION_INVALID, ERROR_LOG_RESIZE_INVALID_SIZE, ERROR_LOG_RESTART_INVALID, ERROR_LOG_SECTOR_INVALID, ERROR_LOG_SECTOR_PARITY_INVALID, ERROR_LOG_SECTOR_REMAPPED, ERROR_LOG_SPACE_RESERVED_INVALID, ERROR_LOG_START_OF_LOG, ERROR_LOG_STATE_INVALID, ERROR_LOG_TAIL_INVALID, ERROR_LOGIN_TIME_RESTRICTION, ERROR_LOGIN_WKSTA_RESTRICTION, ERROR_LOGON_FAILURE, ERROR_LOGON_NOT_GRANTED, ERROR_LOGON_SERVER_CONFLICT, ERROR_LOGON_SESSION_COLLISION, ERROR_LOGON_SESSION_EXISTS, ERROR_LOGON_TYPE_NOT_GRANTED, ERROR_LONGJUMP, ERROR_LOST_WRITEBEHIND_DATA, ERROR_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR, ERROR_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED, ERROR_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR, ERROR_LUIDS_EXHAUSTED, ERROR_MACHINE_LOCKED, ERROR_MAGAZINE_NOT_PRESENT, ERROR_MALFORMED_SUBSTITUTION_STRING, ERROR_MAPPED_ALIGNMENT, ERROR_MARSHALL_OVERFLOW, ERROR_MAX_SESSIONS_REACHED, ERROR_MAX_THRDS_REACHED, ERROR_MCA_EXCEPTION, ERROR_MCA_INTERNAL_ERROR, ERROR_MCA_INVALID_CAPABILITIES_STRING, ERROR_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, ERROR_MCA_INVALID_VCP_VERSION, ERROR_MCA_MCCS_VERSION_MISMATCH, ERROR_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, ERROR_MCA_OCCURED, ERROR_MCA_UNSUPPORTED_COLOR_TEMPERATURE, ERROR_MCA_UNSUPPORTED_MCCS_VERSION, ERROR_MEDIA_CHANGED, ERROR_MEDIA_CHECK, ERROR_MEDIA_INCOMPATIBLE, ERROR_MEDIA_NOT_AVAILABLE, ERROR_MEDIA_OFFLINE, ERROR_MEDIA_UNAVAILABLE, ERROR_MEDIUM_NOT_ACCESSIBLE, ERROR_MEMBER_IN_ALIAS, ERROR_MEMBER_IN_GROUP, ERROR_MEMBER_NOT_IN_ALIAS, ERROR_MEMBER_NOT_IN_GROUP, ERROR_MEMBERS_PRIMARY_GROUP, ERROR_MEMORY_HARDWARE, ERROR_MENU_ITEM_NOT_FOUND, ERROR_MESSAGE_EXCEEDS_MAX_SIZE, ERROR_MESSAGE_SYNC_ONLY, ERROR_META_EXPANSION_TOO_LONG, ERROR_METAFILE_NOT_SUPPORTED, ERROR_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION, ERROR_MISSING_SYSTEMFILE, ERROR_MOD_NOT_FOUND, ERROR_MONITOR_INVALID_DESCRIPTOR_CHECKSUM, ERROR_MONITOR_INVALID_DETAILED_TIMING_BLOCK, ERROR_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK, ERROR_MONITOR_INVALID_STANDARD_TIMING_BLOCK, ERROR_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK, ERROR_MONITOR_NO_DESCRIPTOR, ERROR_MONITOR_NO_MORE_DESCRIPTOR_DATA, ERROR_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT, ERROR_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED, ERROR_MORE_DATA, ERROR_MORE_WRITES, ERROR_MOUNT_POINT_NOT_RESOLVED, ERROR_MP_PROCESSOR_MISMATCH, ERROR_MR_MID_NOT_FOUND, ERROR_MUI_FILE_NOT_FOUND, ERROR_MUI_FILE_NOT_LOADED, ERROR_MUI_INTLSETTINGS_INVALID_LOCALE_NAME, ERROR_MUI_INTLSETTINGS_UILANG_NOT_INSTALLED, ERROR_MUI_INVALID_FILE, ERROR_MUI_INVALID_LOCALE_NAME, ERROR_MUI_INVALID_RC_CONFIG, ERROR_MUI_INVALID_ULTIMATEFALLBACK_NAME, ERROR_MULTIPLE_FAULT_VIOLATION, ERROR_MUTANT_LIMIT_EXCEEDED, ERROR_MUTUAL_AUTH_FAILED, ERROR_NDIS_ADAPTER_NOT_FOUND, ERROR_NDIS_ADAPTER_NOT_READY, ERROR_NDIS_ADAPTER_REMOVED, ERROR_NDIS_ALREADY_MAPPED, ERROR_NDIS_BAD_CHARACTERISTICS, ERROR_NDIS_BAD_VERSION, ERROR_NDIS_BUFFER_TOO_SHORT, ERROR_NDIS_DEVICE_FAILED, ERROR_NDIS_DOT11_AUTO_CONFIG_ENABLED, ERROR_NDIS_DOT11_MEDIA_IN_USE, ERROR_NDIS_DOT11_POWER_STATE_INVALID, ERROR_NDIS_ERROR_READING_FILE, ERROR_NDIS_FILE_NOT_FOUND, ERROR_NDIS_GROUP_ADDRESS_IN_USE, ERROR_NDIS_INDICATION_REQUIRED, ERROR_NDIS_INTERFACE_CLOSING, ERROR_NDIS_INTERFACE_NOT_FOUND, ERROR_NDIS_INVALID_ADDRESS, ERROR_NDIS_INVALID_DATA, ERROR_NDIS_INVALID_DEVICE_REQUEST, ERROR_NDIS_INVALID_LENGTH, ERROR_NDIS_INVALID_OID, ERROR_NDIS_INVALID_PACKET, ERROR_NDIS_INVALID_PORT, ERROR_NDIS_INVALID_PORT_STATE, ERROR_NDIS_LOW_POWER_STATE, ERROR_NDIS_MEDIA_DISCONNECTED, ERROR_NDIS_MULTICAST_EXISTS, ERROR_NDIS_MULTICAST_FULL, ERROR_NDIS_MULTICAST_NOT_FOUND, ERROR_NDIS_NOT_SUPPORTED, ERROR_NDIS_OPEN_FAILED, ERROR_NDIS_PAUSED, ERROR_NDIS_REQUEST_ABORTED, ERROR_NDIS_RESET_IN_PROGRESS, ERROR_NDIS_RESOURCE_CONFLICT, ERROR_NDIS_UNSUPPORTED_MEDIA, ERROR_NDIS_UNSUPPORTED_REVISION, ERROR_NEGATIVE_SEEK, ERROR_NESTING_NOT_ALLOWED, ERROR_NET_OPEN_FAILED, ERROR_NET_WRITE_FAULT, ERROR_NETLOGON_NOT_STARTED, ERROR_NETNAME_DELETED, ERROR_NETWORK_ACCESS_DENIED, ERROR_NETWORK_BUSY, ERROR_NETWORK_NOT_AVAILABLE, ERROR_NETWORK_UNREACHABLE, ERROR_NO_ASSOCIATION, ERROR_NO_BROWSER_SERVERS_FOUND, ERROR_NO_CALLBACK_ACTIVE, ERROR_NO_DATA, ERROR_NO_DATA_DETECTED, ERROR_NO_EFS, ERROR_NO_EVENT_PAIR, ERROR_NO_GUID_TRANSLATION, ERROR_NO_IMPERSONATION_TOKEN, ERROR_NO_INHERITANCE, ERROR_NO_LINK_TRACKING_IN_TRANSACTION, ERROR_NO_LOG_SPACE, ERROR_NO_LOGON_SERVERS, ERROR_NO_MATCH, ERROR_NO_MEDIA_IN_DRIVE, ERROR_NO_MORE_DEVICES, ERROR_NO_MORE_FILES, ERROR_NO_MORE_ITEMS, ERROR_NO_MORE_MATCHES, ERROR_NO_MORE_SEARCH_HANDLES, ERROR_NO_MORE_USER_HANDLES, ERROR_NO_NET_OR_BAD_PATH, ERROR_NO_NETWORK, ERROR_NO_PAGEFILE, ERROR_NO_PROC_SLOTS, ERROR_NO_PROMOTION_ACTIVE, ERROR_NO_QUOTAS_FOR_ACCOUNT, ERROR_NO_RECOVERY_POLICY, ERROR_NO_RECOVERY_PROGRAM, ERROR_NO_SAVEPOINT_WITH_OPEN_FILES, ERROR_NO_SCROLLBARS, ERROR_NO_SECRETS, ERROR_NO_SECURITY_ON_OBJECT, ERROR_NO_SHUTDOWN_IN_PROGRESS, ERROR_NO_SIGNAL_SENT, ERROR_NO_SITE_SETTINGS_OBJECT, ERROR_NO_SITENAME, ERROR_NO_SPOOL_SPACE, ERROR_NO_SUCH_ALIAS, ERROR_NO_SUCH_DOMAIN, ERROR_NO_SUCH_GROUP, ERROR_NO_SUCH_LOGON_SESSION, ERROR_NO_SUCH_MEMBER, ERROR_NO_SUCH_PACKAGE, ERROR_NO_SUCH_PRIVILEGE, ERROR_NO_SUCH_SITE, ERROR_NO_SUCH_USER, ERROR_NO_SUPPORTING_DRIVES, ERROR_NO_SYSTEM_MENU, ERROR_NO_SYSTEM_RESOURCES, ERROR_NO_TOKEN, ERROR_NO_TRACKING_SERVICE, ERROR_NO_TRUST_LSA_SECRET, ERROR_NO_TRUST_SAM_ACCOUNT, ERROR_NO_TXF_METADATA, ERROR_NO_UNICODE_TRANSLATION, ERROR_NO_USER_KEYS, ERROR_NO_USER_SESSION_KEY, ERROR_NO_VOLUME_ID, ERROR_NO_VOLUME_LABEL, ERROR_NO_WILDCARD_CHARACTERS, ERROR_NO_WRITABLE_DC_FOUND, ERROR_NO_YIELD_PERFORMED, ERROR_NOACCESS, ERROR_NODE_CANNOT_BE_CLUSTERED, ERROR_NODE_CANT_HOST_RESOURCE, ERROR_NODE_NOT_AVAILABLE, ERROR_NOINTERFACE, ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT, ERROR_NOLOGON_SERVER_TRUST_ACCOUNT, ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT, ERROR_NON_ACCOUNT_SID, ERROR_NON_DOMAIN_SID, ERROR_NON_MDICHILD_WINDOW, ERROR_NONE_MAPPED, ERROR_NONPAGED_SYSTEM_RESOURCES, ERROR_NOT_A_REPARSE_POINT, ERROR_NOT_ALL_ASSIGNED, ERROR_NOT_AUTHENTICATED, ERROR_NOT_CAPABLE, ERROR_NOT_CHILD_WINDOW, ERROR_NOT_CONNECTED, ERROR_NOT_CONTAINER, ERROR_NOT_DOS_DISK, ERROR_NOT_EMPTY, ERROR_NOT_ENOUGH_MEMORY, ERROR_NOT_ENOUGH_QUOTA, ERROR_NOT_ENOUGH_SERVER_MEMORY, ERROR_NOT_EXPORT_FORMAT, ERROR_NOT_FOUND, ERROR_NOT_JOINED, ERROR_NOT_LOCKED, ERROR_NOT_LOGGED_ON, ERROR_NOT_LOGON_PROCESS, ERROR_NOT_OWNER, ERROR_NOT_QUORUM_CAPABLE, ERROR_NOT_QUORUM_CLASS, ERROR_NOT_READY, ERROR_NOT_REGISTRY_FILE, ERROR_NOT_SAFE_MODE_DRIVER, ERROR_NOT_SAFEBOOT_SERVICE, ERROR_NOT_SAME_DEVICE, ERROR_NOT_SNAPSHOT_VOLUME, ERROR_NOT_SUBSTED, ERROR_NOT_SUPPORTED, ERROR_NOT_SUPPORTED_ON_SBS, ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER, ERROR_NOT_TINY_STREAM, ERROR_NOTHING_TO_TERMINATE, ERROR_NOTIFY_CLEANUP, ERROR_NOTIFY_ENUM_DIR, ERROR_NT_CROSS_ENCRYPTION_REQUIRED, ERROR_NTLM_BLOCKED, ERROR_NULL_LM_PASSWORD, ERROR_OBJECT_ALREADY_EXISTS, ERROR_OBJECT_IN_LIST, ERROR_OBJECT_NAME_EXISTS, ERROR_OBJECT_NO_LONGER_EXISTS, ERROR_OBJECT_NOT_FOUND, ERROR_OLD_WIN_VERSION, ERROR_ONLY_IF_CONNECTED, ERROR_OPEN_FAILED, ERROR_OPEN_FILES, ERROR_OPERATION_ABORTED, ERROR_OPERATION_NOT_SUPPORTED_IN_TRANSACTION, ERROR_OPLOCK_BREAK_IN_PROGRESS, ERROR_OPLOCK_NOT_GRANTED, ERROR_OUT_OF_PAPER, ERROR_OUT_OF_STRUCTURES, ERROR_OUTOFMEMORY, ERROR_OVERRIDE_NOCHANGES, ERROR_PAGE_FAULT_COPY_ON_WRITE, ERROR_PAGE_FAULT_DEMAND_ZERO, ERROR_PAGE_FAULT_GUARD_PAGE, ERROR_PAGE_FAULT_PAGING_FILE, ERROR_PAGE_FAULT_TRANSITION, ERROR_PAGED_SYSTEM_RESOURCES, ERROR_PAGEFILE_CREATE_FAILED, ERROR_PAGEFILE_QUOTA, ERROR_PAGEFILE_QUOTA_EXCEEDED, ERROR_PARAMETER_QUOTA_EXCEEDED, ERROR_PARTIAL_COPY, ERROR_PARTITION_FAILURE, ERROR_PASSWORD_EXPIRED, ERROR_PASSWORD_MUST_CHANGE, ERROR_PASSWORD_RESTRICTION, ERROR_PATCH_MANAGED_ADVERTISED_PRODUCT, ERROR_PATCH_NO_SEQUENCE, ERROR_PATCH_PACKAGE_INVALID, ERROR_PATCH_PACKAGE_OPEN_FAILED, ERROR_PATCH_PACKAGE_REJECTED, ERROR_PATCH_PACKAGE_UNSUPPORTED, ERROR_PATCH_REMOVAL_DISALLOWED, ERROR_PATCH_REMOVAL_UNSUPPORTED, ERROR_PATCH_TARGET_NOT_FOUND, ERROR_PATH_BUSY, ERROR_PATH_NOT_FOUND, ERROR_PER_USER_TRUST_QUOTA_EXCEEDED, ERROR_PIPE_BUSY, ERROR_PIPE_CONNECTED, ERROR_PIPE_LISTENING, ERROR_PIPE_LOCAL, ERROR_PIPE_NOT_CONNECTED, ERROR_PKINIT_FAILURE, ERROR_PLUGPLAY_QUERY_VETOED, ERROR_PNP_BAD_MPS_TABLE, ERROR_PNP_INVALID_ID, ERROR_PNP_IRQ_TRANSLATION_FAILED, ERROR_PNP_REBOOT_REQUIRED, ERROR_PNP_RESTART_ENUMERATION, ERROR_PNP_TRANSLATION_FAILED, ERROR_POINT_NOT_FOUND, ERROR_POLICY_OBJECT_NOT_FOUND, ERROR_POLICY_ONLY_IN_DS, ERROR_POPUP_ALREADY_ACTIVE, ERROR_PORT_MESSAGE_TOO_LONG, ERROR_PORT_NOT_SET, ERROR_PORT_UNREACHABLE, ERROR_POSSIBLE_DEADLOCK, ERROR_POTENTIAL_FILE_FOUND, ERROR_PREDEFINED_HANDLE, ERROR_PRIMARY_TRANSPORT_CONNECT_FAILED, ERROR_PRINT_CANCELLED, ERROR_PRINT_JOB_RESTART_REQUIRED, ERROR_PRINT_MONITOR_ALREADY_INSTALLED, ERROR_PRINT_MONITOR_IN_USE, ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED, ERROR_PRINTER_ALREADY_EXISTS, ERROR_PRINTER_DELETED, ERROR_PRINTER_DRIVER_ALREADY_INSTALLED, ERROR_PRINTER_DRIVER_BLOCKED, ERROR_PRINTER_DRIVER_DOWNLOAD_NEEDED, ERROR_PRINTER_DRIVER_IN_USE, ERROR_PRINTER_DRIVER_PACKAGE_IN_USE, ERROR_PRINTER_DRIVER_WARNED, ERROR_PRINTER_HAS_JOBS_QUEUED, ERROR_PRINTER_NOT_FOUND, ERROR_PRINTQ_FULL, ERROR_PRIVATE_DIALOG_INDEX, ERROR_PRIVILEGE_NOT_HELD, ERROR_PROC_NOT_FOUND, ERROR_PROCESS_ABORTED, ERROR_PROCESS_IN_JOB, ERROR_PROCESS_IS_PROTECTED, ERROR_PROCESS_MODE_ALREADY_BACKGROUND, ERROR_PROCESS_MODE_NOT_BACKGROUND, ERROR_PROCESS_NOT_IN_JOB, ERROR_PRODUCT_UNINSTALLED, ERROR_PRODUCT_VERSION, ERROR_PROFILE_DOES_NOT_MATCH_DEVICE, ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE, ERROR_PROFILE_NOT_FOUND, ERROR_PROFILING_AT_LIMIT, ERROR_PROFILING_NOT_STARTED, ERROR_PROFILING_NOT_STOPPED, ERROR_PROMOTION_ACTIVE, ERROR_PROTOCOL_UNREACHABLE, ERROR_PWD_HISTORY_CONFLICT, ERROR_PWD_TOO_RECENT, ERROR_PWD_TOO_SHORT, ERROR_QUORUM_DISK_NOT_FOUND, ERROR_QUORUM_NOT_ALLOWED_IN_THIS_GROUP, ERROR_QUORUM_OWNER_ALIVE, ERROR_QUORUM_RESOURCE, ERROR_QUORUM_RESOURCE_ONLINE_FAILED, ERROR_QUORUMLOG_OPEN_FAILED, ERROR_QUOTA_LIST_INCONSISTENT, ERROR_RANGE_LIST_CONFLICT, ERROR_RANGE_NOT_FOUND, ERROR_RDP_PROTOCOL_ERROR, ERROR_READ_FAULT, ERROR_REC_NON_EXISTENT, ERROR_RECEIVE_EXPEDITED, ERROR_RECEIVE_PARTIAL, ERROR_RECEIVE_PARTIAL_EXPEDITED, ERROR_RECOVERY_FAILURE, ERROR_RECOVERY_NOT_NEEDED, ERROR_REDIR_PAUSED, ERROR_REDIRECTOR_HAS_OPEN_HANDLES, ERROR_REG_NAT_CONSUMPTION, ERROR_REGISTRY_CORRUPT, ERROR_REGISTRY_HIVE_RECOVERED, ERROR_REGISTRY_IO_FAILED, ERROR_REGISTRY_QUOTA_LIMIT, ERROR_REGISTRY_RECOVERED, ERROR_RELOC_CHAIN_XEEDS_SEGLIM, ERROR_REM_NOT_LIST, ERROR_REMOTE_FILE_VERSION_MISMATCH, ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED, ERROR_REMOTE_SESSION_LIMIT_EXCEEDED, ERROR_REMOTE_STORAGE_MEDIA_ERROR, ERROR_REMOTE_STORAGE_NOT_ACTIVE, ERROR_REPARSE, ERROR_REPARSE_ATTRIBUTE_CONFLICT, ERROR_REPARSE_OBJECT, ERROR_REPARSE_TAG_INVALID, ERROR_REPARSE_TAG_MISMATCH, ERROR_REPLY_MESSAGE_MISMATCH, ERROR_REQ_NOT_ACCEP, ERROR_REQUEST_ABORTED, ERROR_REQUEST_OUT_OF_SEQUENCE, ERROR_REQUEST_REFUSED, ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION, ERROR_RESMON_CREATE_FAILED, ERROR_RESMON_INVALID_STATE, ERROR_RESMON_ONLINE_FAILED, ERROR_RESOURCE_CALL_TIMED_OUT, ERROR_RESOURCE_DATA_NOT_FOUND, ERROR_RESOURCE_DISABLED, ERROR_RESOURCE_ENUM_USER_STOP, ERROR_RESOURCE_FAILED, ERROR_RESOURCE_LANG_NOT_FOUND, ERROR_RESOURCE_NAME_NOT_FOUND, ERROR_RESOURCE_NOT_AVAILABLE, ERROR_RESOURCE_NOT_FOUND, ERROR_RESOURCE_NOT_ONLINE, ERROR_RESOURCE_NOT_PRESENT, ERROR_RESOURCE_ONLINE, ERROR_RESOURCE_PROPERTIES_STORED, ERROR_RESOURCE_PROPERTY_UNCHANGEABLE, ERROR_RESOURCE_REQUIREMENTS_CHANGED, ERROR_RESOURCE_TYPE_NOT_FOUND, ERROR_RESOURCEMANAGER_NOT_FOUND, ERROR_RESOURCEMANAGER_READ_ONLY, ERROR_RESTART_APPLICATION, ERROR_RESUME_HIBERNATION, ERROR_RETRY, ERROR_REVISION_MISMATCH, ERROR_RING2_STACK_IN_USE, ERROR_RING2SEG_MUST_BE_MOVABLE, ERROR_RM_ALREADY_STARTED, ERROR_RM_DISCONNECTED, ERROR_RM_METADATA_CORRUPT, ERROR_RM_NOT_ACTIVE, ERROR_RMODE_APP, ERROR_ROLLBACK_TIMER_EXPIRED, ERROR_ROWSNOTRELEASED, ERROR_RPL_NOT_ALLOWED, ERROR_RXACT_COMMIT_FAILURE, ERROR_RXACT_COMMIT_NECESSARY, ERROR_RXACT_COMMITTED, ERROR_RXACT_INVALID_STATE, ERROR_RXACT_STATE_CREATED, ERROR_SAM_INIT_FAILURE, ERROR_SAME_DRIVE, ERROR_SCOPE_NOT_FOUND, ERROR_SCREEN_ALREADY_LOCKED, ERROR_SECRET_TOO_LONG, ERROR_SECTOR_NOT_FOUND, ERROR_SEEK, ERROR_SEEK_ON_DEVICE, ERROR_SEGMENT_NOTIFICATION, ERROR_SEM_IS_SET, ERROR_SEM_NOT_FOUND, ERROR_SEM_OWNER_DIED, ERROR_SEM_TIMEOUT, ERROR_SEM_USER_LIMIT, ERROR_SERIAL_NO_DEVICE, ERROR_SERVER_DISABLED, ERROR_SERVER_HAS_OPEN_HANDLES, ERROR_SERVER_NOT_DISABLED, ERROR_SERVER_SHUTDOWN_IN_PROGRESS, ERROR_SERVER_SID_MISMATCH, ERROR_SERVICE_ALREADY_RUNNING, ERROR_SERVICE_CANNOT_ACCEPT_CTRL, ERROR_SERVICE_DATABASE_LOCKED, ERROR_SERVICE_DEPENDENCY_DELETED, ERROR_SERVICE_DEPENDENCY_FAIL, ERROR_SERVICE_DISABLED, ERROR_SERVICE_DOES_NOT_EXIST, ERROR_SERVICE_EXISTS, ERROR_SERVICE_LOGON_FAILED, ERROR_SERVICE_MARKED_FOR_DELETE, ERROR_SERVICE_NEVER_STARTED, ERROR_SERVICE_NO_THREAD, ERROR_SERVICE_NOT_ACTIVE, ERROR_SERVICE_NOT_FOUND, ERROR_SERVICE_NOT_IN_EXE, ERROR_SERVICE_NOTIFICATION, ERROR_SERVICE_NOTIFY_CLIENT_LAGGING, ERROR_SERVICE_REQUEST_TIMEOUT, ERROR_SERVICE_SPECIFIC_ERROR, ERROR_SERVICE_START_HANG, ERROR_SESSION_CREDENTIAL_CONFLICT, ERROR_SET_NOT_FOUND, ERROR_SET_POWER_STATE_FAILED, ERROR_SET_POWER_STATE_VETOED, ERROR_SETCOUNT_ON_BAD_LB, ERROR_SETMARK_DETECTED, ERROR_SHARED_POLICY, ERROR_SHARING_BUFFER_EXCEEDED, ERROR_SHARING_PAUSED, ERROR_SHARING_VIOLATION, ERROR_SHUTDOWN_CLUSTER, ERROR_SHUTDOWN_IN_PROGRESS, ERROR_SHUTDOWN_IS_SCHEDULED, ERROR_SHUTDOWN_USERS_LOGGED_ON, ERROR_SIGNAL_PENDING, ERROR_SIGNAL_REFUSED, ERROR_SINGLE_INSTANCE_APP, ERROR_SMARTCARD_SUBSYSTEM_FAILURE, ERROR_SMI_PRIMITIVE_INSTALLER_FAILED, ERROR_SOME_NOT_MAPPED, ERROR_SOURCE_ELEMENT_EMPTY, ERROR_SPARSE_NOT_ALLOWED_IN_TRANSACTION, ERROR_SPECIAL_ACCOUNT, ERROR_SPECIAL_GROUP, ERROR_SPECIAL_USER, ERROR_SPL_NO_ADDJOB, ERROR_SPL_NO_STARTDOC, ERROR_SPOOL_FILE_NOT_FOUND, ERROR_STACK_BUFFER_OVERRUN, ERROR_STACK_OVERFLOW, ERROR_STACK_OVERFLOW_READ, ERROR_STATIC_INIT, ERROR_STOPPED_ON_SYMLINK, ERROR_STREAM_MINIVERSION_NOT_FOUND, ERROR_STREAM_MINIVERSION_NOT_VALID, ERROR_SUBST_TO_JOIN, ERROR_SUBST_TO_SUBST, ERROR_SUCCESS, ERROR_SUCCESS_REBOOT_INITIATED, ERROR_SUCCESS_REBOOT_REQUIRED, ERROR_SUCCESS_RESTART_REQUIRED, ERROR_SWAPERROR, ERROR_SXS_ACTIVATION_CONTEXT_DISABLED, ERROR_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT, ERROR_SXS_ASSEMBLY_MISSING, ERROR_SXS_ASSEMBLY_NOT_FOUND, ERROR_SXS_ASSEMBLY_NOT_LOCKED, ERROR_SXS_CANT_GEN_ACTCTX, ERROR_SXS_COMPONENT_STORE_CORRUPT, ERROR_SXS_CORRUPT_ACTIVATION_STACK, ERROR_SXS_CORRUPTION, ERROR_SXS_DUPLICATE_ASSEMBLY_NAME, ERROR_SXS_DUPLICATE_CLSID, ERROR_SXS_DUPLICATE_DLL_NAME, ERROR_SXS_DUPLICATE_IID, ERROR_SXS_DUPLICATE_PROGID, ERROR_SXS_DUPLICATE_TLBID, ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME, ERROR_SXS_EARLY_DEACTIVATION, ERROR_SXS_FILE_HASH_MISMATCH, ERROR_SXS_FILE_HASH_MISSING, ERROR_SXS_FILE_NOT_PART_OF_ASSEMBLY, ERROR_SXS_IDENTITIES_DIFFERENT, ERROR_SXS_IDENTITY_DUPLICATE_ATTRIBUTE, ERROR_SXS_IDENTITY_PARSE_ERROR, ERROR_SXS_INCORRECT_PUBLIC_KEY_TOKEN, ERROR_SXS_INVALID_ACTCTXDATA_FORMAT, ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE, ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME, ERROR_SXS_INVALID_DEACTIVATION, ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME, ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE, ERROR_SXS_INVALID_XML_NAMESPACE_URI, ERROR_SXS_KEY_NOT_FOUND, ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED, ERROR_SXS_MANIFEST_FORMAT_ERROR, ERROR_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT, ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE, ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE, ERROR_SXS_MANIFEST_PARSE_ERROR, ERROR_SXS_MANIFEST_TOO_BIG, ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE, ERROR_SXS_MULTIPLE_DEACTIVATION, ERROR_SXS_POLICY_PARSE_ERROR, ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT, ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET, ERROR_SXS_PROCESS_TERMINATION_REQUESTED, ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING, ERROR_SXS_PROTECTION_CATALOG_NOT_VALID, ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT, ERROR_SXS_PROTECTION_RECOVERY_FAILED, ERROR_SXS_RELEASE_ACTIVATION_CONTEXT, ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED, ERROR_SXS_SECTION_NOT_FOUND, ERROR_SXS_SETTING_NOT_REGISTERED, ERROR_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY, ERROR_SXS_THREAD_QUERIES_DISABLED, ERROR_SXS_TRANSACTION_CLOSURE_INCOMPLETE, ERROR_SXS_UNKNOWN_ENCODING, ERROR_SXS_UNKNOWN_ENCODING_GROUP, ERROR_SXS_UNTRANSLATABLE_HRESULT, ERROR_SXS_VERSION_CONFLICT, ERROR_SXS_WRONG_SECTION_TYPE, ERROR_SXS_XML_E_BADCHARDATA, ERROR_SXS_XML_E_BADCHARINSTRING, ERROR_SXS_XML_E_BADNAMECHAR, ERROR_SXS_XML_E_BADPEREFINSUBSET, ERROR_SXS_XML_E_BADSTARTNAMECHAR, ERROR_SXS_XML_E_BADXMLCASE, ERROR_SXS_XML_E_BADXMLDECL, ERROR_SXS_XML_E_COMMENTSYNTAX, ERROR_SXS_XML_E_DUPLICATEATTRIBUTE, ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE, ERROR_SXS_XML_E_EXPECTINGTAGEND, ERROR_SXS_XML_E_INCOMPLETE_ENCODING, ERROR_SXS_XML_E_INTERNALERROR, ERROR_SXS_XML_E_INVALID_DECIMAL, ERROR_SXS_XML_E_INVALID_HEXIDECIMAL, ERROR_SXS_XML_E_INVALID_STANDALONE, ERROR_SXS_XML_E_INVALID_UNICODE, ERROR_SXS_XML_E_INVALID_VERSION, ERROR_SXS_XML_E_INVALIDATROOTLEVEL, ERROR_SXS_XML_E_INVALIDENCODING, ERROR_SXS_XML_E_INVALIDSWITCH, ERROR_SXS_XML_E_MISSING_PAREN, ERROR_SXS_XML_E_MISSINGEQUALS, ERROR_SXS_XML_E_MISSINGQUOTE, ERROR_SXS_XML_E_MISSINGROOT, ERROR_SXS_XML_E_MISSINGSEMICOLON, ERROR_SXS_XML_E_MISSINGWHITESPACE, ERROR_SXS_XML_E_MULTIPLE_COLONS, ERROR_SXS_XML_E_MULTIPLEROOTS, ERROR_SXS_XML_E_RESERVEDNAMESPACE, ERROR_SXS_XML_E_UNBALANCEDPAREN, ERROR_SXS_XML_E_UNCLOSEDCDATA, ERROR_SXS_XML_E_UNCLOSEDCOMMENT, ERROR_SXS_XML_E_UNCLOSEDDECL, ERROR_SXS_XML_E_UNCLOSEDENDTAG, ERROR_SXS_XML_E_UNCLOSEDSTARTTAG, ERROR_SXS_XML_E_UNCLOSEDSTRING, ERROR_SXS_XML_E_UNCLOSEDTAG, ERROR_SXS_XML_E_UNEXPECTED_STANDALONE, ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE, ERROR_SXS_XML_E_UNEXPECTEDENDTAG, ERROR_SXS_XML_E_UNEXPECTEDEOF, ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK, ERROR_SXS_XML_E_XMLDECLSYNTAX, ERROR_SYMLINK_CLASS_DISABLED, ERROR_SYMLINK_NOT_SUPPORTED, ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED, ERROR_SYNCHRONIZATION_REQUIRED, ERROR_SYSTEM_DEVICE_NOT_FOUND, ERROR_SYSTEM_HIVE_TOO_LARGE, ERROR_SYSTEM_IMAGE_BAD_SIGNATURE, ERROR_SYSTEM_POWERSTATE_COMPLEX_TRANSITION, ERROR_SYSTEM_POWERSTATE_TRANSITION, ERROR_SYSTEM_PROCESS_TERMINATED, ERROR_SYSTEM_SHUTDOWN, ERROR_SYSTEM_TRACE, ERROR_TAG_NOT_FOUND, ERROR_TAG_NOT_PRESENT, ERROR_THREAD_1_INACTIVE, ERROR_THREAD_ALREADY_IN_TASK, ERROR_THREAD_MODE_ALREADY_BACKGROUND, ERROR_THREAD_MODE_NOT_BACKGROUND, ERROR_THREAD_NOT_IN_PROCESS, ERROR_THREAD_WAS_SUSPENDED, ERROR_TIME_SKEW, ERROR_TIMEOUT, ERROR_TIMER_NOT_CANCELED, ERROR_TIMER_RESOLUTION_NOT_SET, ERROR_TIMER_RESUME_IGNORED, ERROR_TLW_WITH_WSCHILD, ERROR_TM_IDENTITY_MISMATCH, ERROR_TM_INITIALIZATION_FAILED, ERROR_TM_VOLATILE, ERROR_TOKEN_ALREADY_IN_USE, ERROR_TOO_MANY_CMDS, ERROR_TOO_MANY_CONTEXT_IDS, ERROR_TOO_MANY_LINKS, ERROR_TOO_MANY_LUIDS_REQUESTED, ERROR_TOO_MANY_MODULES, ERROR_TOO_MANY_MUXWAITERS, ERROR_TOO_MANY_NAMES, ERROR_TOO_MANY_OPEN_FILES, ERROR_TOO_MANY_POSTS, ERROR_TOO_MANY_SECRETS, ERROR_TOO_MANY_SEM_REQUESTS, ERROR_TOO_MANY_SEMAPHORES, ERROR_TOO_MANY_SESS, ERROR_TOO_MANY_SIDS, ERROR_TOO_MANY_TCBS, ERROR_TOO_MANY_THREADS, ERROR_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE, ERROR_TRANSACTION_ALREADY_ABORTED, ERROR_TRANSACTION_ALREADY_COMMITTED, ERROR_TRANSACTION_FREEZE_IN_PROGRESS, ERROR_TRANSACTION_INTEGRITY_VIOLATED, ERROR_TRANSACTION_INVALID_MARSHALL_BUFFER, ERROR_TRANSACTION_NOT_ACTIVE, ERROR_TRANSACTION_NOT_FOUND, ERROR_TRANSACTION_NOT_JOINED, ERROR_TRANSACTION_NOT_REQUESTED, ERROR_TRANSACTION_NOT_ROOT, ERROR_TRANSACTION_OBJECT_EXPIRED, ERROR_TRANSACTION_PROPAGATION_FAILED, ERROR_TRANSACTION_RECORD_TOO_LONG, ERROR_TRANSACTION_REQUEST_NOT_VALID, ERROR_TRANSACTION_REQUIRED_PROMOTION, ERROR_TRANSACTION_RESPONSE_NOT_ENLISTED, ERROR_TRANSACTION_SCOPE_CALLBACKS_NOT_SET, ERROR_TRANSACTION_SUPERIOR_EXISTS, ERROR_TRANSACTIONAL_CONFLICT, ERROR_TRANSACTIONAL_OPEN_NOT_ALLOWED, ERROR_TRANSACTIONMANAGER_NOT_FOUND, ERROR_TRANSACTIONMANAGER_NOT_ONLINE, ERROR_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION, ERROR_TRANSACTIONS_NOT_FROZEN, ERROR_TRANSACTIONS_UNSUPPORTED_REMOTE, ERROR_TRANSFORM_NOT_SUPPORTED, ERROR_TRANSLATION_COMPLETE, ERROR_TRANSPORT_FULL, ERROR_TRUST_FAILURE, ERROR_TRUSTED_DOMAIN_FAILURE, ERROR_TRUSTED_RELATIONSHIP_FAILURE, ERROR_TS_INCOMPATIBLE_SESSIONS, ERROR_TXF_ATTRIBUTE_CORRUPT, ERROR_TXF_DIR_NOT_EMPTY, ERROR_TXF_METADATA_ALREADY_PRESENT, ERROR_UNABLE_TO_CLEAN, ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA, ERROR_UNABLE_TO_INVENTORY_DRIVE, ERROR_UNABLE_TO_INVENTORY_SLOT, ERROR_UNABLE_TO_INVENTORY_TRANSPORT, ERROR_UNABLE_TO_LOAD_MEDIUM, ERROR_UNABLE_TO_LOCK_MEDIA, ERROR_UNABLE_TO_MOVE_REPLACEMENT, ERROR_UNABLE_TO_MOVE_REPLACEMENT_2, ERROR_UNABLE_TO_REMOVE_REPLACED, ERROR_UNABLE_TO_UNLOAD_MEDIA, ERROR_UNDEFINED_CHARACTER, ERROR_UNEXP_NET_ERR, ERROR_UNEXPECTED_MM_CREATE_ERR, ERROR_UNEXPECTED_MM_EXTEND_ERR, ERROR_UNEXPECTED_MM_MAP_ERROR, ERROR_UNEXPECTED_OMID, ERROR_UNHANDLED_EXCEPTION, ERROR_UNIDENTIFIED_ERROR, ERROR_UNKNOWN_COMPONENT, ERROR_UNKNOWN_FEATURE, ERROR_UNKNOWN_PATCH, ERROR_UNKNOWN_PORT, ERROR_UNKNOWN_PRINT_MONITOR, ERROR_UNKNOWN_PRINTER_DRIVER, ERROR_UNKNOWN_PRINTPROCESSOR, ERROR_UNKNOWN_PRODUCT, ERROR_UNKNOWN_PROPERTY, ERROR_UNKNOWN_REVISION, ERROR_UNMAPPED_SUBSTITUTION_STRING, ERROR_UNRECOGNIZED_MEDIA, ERROR_UNRECOGNIZED_VOLUME, ERROR_UNSUPPORTED_COMPRESSION, ERROR_UNSUPPORTED_TYPE, ERROR_UNWIND, ERROR_UNWIND_CONSOLIDATE, ERROR_USER_APC, ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED, ERROR_USER_EXISTS, ERROR_USER_MAPPED_FILE, ERROR_USER_PROFILE_LOAD, ERROR_VALIDATE_CONTINUE, ERROR_VC_DISCONNECTED, ERROR_VDM_DISALLOWED, ERROR_VDM_HARD_ERROR, ERROR_VERIFIER_STOP, ERROR_VERSION_PARSE_ERROR, ERROR_VIRUS_DELETED, ERROR_VIRUS_INFECTED, ERROR_VOLSNAP_HIBERNATE_READY, ERROR_VOLSNAP_PREPARE_HIBERNATE, ERROR_VOLUME_CONTAINS_SYS_FILES, ERROR_VOLUME_DIRTY, ERROR_VOLUME_MOUNTED, ERROR_VOLUME_NOT_SIS_ENABLED, ERROR_VOLUME_NOT_SUPPORT_EFS, ERROR_WAIT_1, ERROR_WAIT_2, ERROR_WAIT_3, ERROR_WAIT_63, ERROR_WAIT_FOR_OPLOCK, ERROR_WAIT_NO_CHILDREN, ERROR_WAKE_SYSTEM, ERROR_WAKE_SYSTEM_DEBUGGER, ERROR_WAS_LOCKED, ERROR_WAS_UNLOCKED, ERROR_WINDOW_NOT_COMBOBOX, ERROR_WINDOW_NOT_DIALOG, ERROR_WINDOW_OF_OTHER_THREAD, ERROR_WINS_INTERNAL, ERROR_WMI_ALREADY_DISABLED, ERROR_WMI_ALREADY_ENABLED, ERROR_WMI_DP_FAILED, ERROR_WMI_DP_NOT_FOUND, ERROR_WMI_GUID_DISCONNECTED, ERROR_WMI_GUID_NOT_FOUND, ERROR_WMI_INSTANCE_NOT_FOUND, ERROR_WMI_INVALID_MOF, ERROR_WMI_INVALID_REGINFO, ERROR_WMI_ITEMID_NOT_FOUND, ERROR_WMI_READ_ONLY, ERROR_WMI_SERVER_UNAVAILABLE, ERROR_WMI_SET_FAILURE, ERROR_WMI_TRY_AGAIN, ERROR_WMI_UNRESOLVED_INSTANCE_REF, ERROR_WORKING_SET_QUOTA, ERROR_WOW_ASSERTION, ERROR_WRITE_FAULT, ERROR_WRITE_PROTECT, ERROR_WRONG_COMPARTMENT, ERROR_WRONG_DISK, ERROR_WRONG_EFS, ERROR_WRONG_PASSWORD, ERROR_WRONG_TARGET_NAME, ERROR_WX86_ERROR, ERROR_WX86_WARNING, ERROR_XML_ENCODING_MISMATCH, ERROR_XML_PARSE_ERROR, ERROR_XMLDSIG_ERROR, EVENT_E_ALL_SUBSCRIBERS_FAILED, EVENT_E_CANT_MODIFY_OR_DELETE_CONFIGURED_OBJECT, EVENT_E_CANT_MODIFY_OR_DELETE_UNCONFIGURED_OBJECT, EVENT_E_COMPLUS_NOT_INSTALLED, EVENT_E_FIRST, EVENT_E_INTERNALERROR, EVENT_E_INTERNALEXCEPTION, EVENT_E_INVALID_EVENT_CLASS_PARTITION, EVENT_E_INVALID_PER_USER_SID, EVENT_E_LAST, EVENT_E_MISSING_EVENTCLASS, EVENT_E_NOT_ALL_REMOVED, EVENT_E_PER_USER_SID_NOT_LOGGED_ON, EVENT_E_QUERYFIELD, EVENT_E_QUERYSYNTAX, EVENT_E_TOO_MANY_METHODS, EVENT_E_USER_EXCEPTION, EVENT_S_FIRST, EVENT_S_LAST, EVENT_S_NOSUBSCRIBERS, EVENT_S_SOME_SUBSCRIBERS_FAILED, FACILITY_AAF, FACILITY_ACS, FACILITY_BACKGROUNDCOPY, FACILITY_CERT, FACILITY_CMI, FACILITY_COMPLUS, FACILITY_CONFIGURATION, FACILITY_CONTROL, FACILITY_DIRECTORYSERVICE, FACILITY_DISPATCH, FACILITY_DPLAY, FACILITY_FVE, FACILITY_FWP, FACILITY_GRAPHICS, FACILITY_HTTP, FACILITY_INTERNET, FACILITY_ITF, FACILITY_MEDIASERVER, FACILITY_METADIRECTORY, FACILITY_MSMQ, FACILITY_NDIS, FACILITY_NT_BIT, FACILITY_NULL, FACILITY_PLA, FACILITY_RPC, FACILITY_SCARD, FACILITY_SECURITY, FACILITY_SETUPAPI, FACILITY_SHELL, FACILITY_SSPI, FACILITY_STATE_MANAGEMENT, FACILITY_STORAGE, FACILITY_SXS, FACILITY_TPM_SERVICES, FACILITY_TPM_SOFTWARE, FACILITY_UMI, FACILITY_URT, FACILITY_USERMODE_COMMONLOG, FACILITY_USERMODE_FILTER_MANAGER, FACILITY_USERMODE_HYPERVISOR, FACILITY_WIN32, FACILITY_WINDOWS, FACILITY_WINDOWS_CE, FACILITY_WINDOWS_DEFENDER, FACILITY_WINDOWSUPDATE, FACILITY_WINRM, FRS_ERR_AUTHENTICATION, FRS_ERR_CHILD_TO_PARENT_COMM, FRS_ERR_INSUFFICIENT_PRIV, FRS_ERR_INTERNAL, FRS_ERR_INTERNAL_API, FRS_ERR_INVALID_API_SEQUENCE, FRS_ERR_INVALID_SERVICE_PARAMETER, FRS_ERR_PARENT_AUTHENTICATION, FRS_ERR_PARENT_INSUFFICIENT_PRIV, FRS_ERR_PARENT_TO_CHILD_COMM, FRS_ERR_SERVICE_COMM, FRS_ERR_STARTING_SERVICE, FRS_ERR_STOPPING_SERVICE, FRS_ERR_SYSVOL_DEMOTE, FRS_ERR_SYSVOL_IS_BUSY, FRS_ERR_SYSVOL_POPULATE, FRS_ERR_SYSVOL_POPULATE_TIMEOUT, FVE_E_ACTION_NOT_ALLOWED, FVE_E_AD_ATTR_NOT_SET, FVE_E_AD_GUID_NOT_FOUND, FVE_E_AD_INSUFFICIENT_BUFFER, FVE_E_AD_INVALID_DATASIZE, FVE_E_AD_INVALID_DATATYPE, FVE_E_AD_NO_VALUES, FVE_E_AD_SCHEMA_NOT_INSTALLED, FVE_E_AUTH_INVALID_APPLICATION, FVE_E_AUTH_INVALID_CONFIG, FVE_E_AUTOUNLOCK_ENABLED, FVE_E_BAD_DATA, FVE_E_BAD_INFORMATION, FVE_E_BCD_APPLICATIONS_PATH_INCORRECT, FVE_E_BOOTABLE_CDDVD, FVE_E_CANNOT_ENCRYPT_NO_KEY, FVE_E_CANNOT_SET_FVEK_ENCRYPTED, FVE_E_CLUSTERING_NOT_SUPPORTED, FVE_E_CONV_READ, FVE_E_CONV_WRITE, FVE_E_DEBUGGER_ENABLED, FVE_E_DRY_RUN_FAILED, FVE_E_FAILED_AUTHENTICATION, FVE_E_FAILED_BAD_FS, FVE_E_FAILED_SECTOR_SIZE, FVE_E_FAILED_WRONG_FS, FVE_E_FIPS_DISABLE_PROTECTION_NOT_ALLOWED, FVE_E_FIPS_PREVENTS_EXTERNAL_KEY_EXPORT, FVE_E_FIPS_PREVENTS_RECOVERY_PASSWORD, FVE_E_FIPS_RNG_CHECK_FAILED, FVE_E_FIRMWARE_TYPE_NOT_SUPPORTED, FVE_E_FOREIGN_VOLUME, FVE_E_FS_MOUNTED, FVE_E_FS_NOT_EXTENDED, FVE_E_INVALID_KEY_FORMAT, FVE_E_INVALID_PASSWORD_FORMAT, FVE_E_INVALID_PROTECTOR_TYPE, FVE_E_KEY_REQUIRED, FVE_E_KEYFILE_INVALID, FVE_E_KEYFILE_NO_VMK, FVE_E_KEYFILE_NOT_FOUND, FVE_E_LOCKED_VOLUME, FVE_E_NO_BOOTMGR_METRIC, FVE_E_NO_BOOTSECTOR_METRIC, FVE_E_NO_LICENSE, FVE_E_NO_MBR_METRIC, FVE_E_NO_PROTECTORS_TO_TEST, FVE_E_NO_TPM_BIOS, FVE_E_NOT_ACTIVATED, FVE_E_NOT_ALLOWED_IN_SAFE_MODE, FVE_E_NOT_ALLOWED_IN_VERSION, FVE_E_NOT_DATA_VOLUME, FVE_E_NOT_DECRYPTED, FVE_E_NOT_ENCRYPTED, FVE_E_NOT_ON_STACK, FVE_E_NOT_OS_VOLUME, FVE_E_NOT_SUPPORTED, FVE_E_OS_NOT_PROTECTED, FVE_E_OVERLAPPED_UPDATE, FVE_E_PIN_INVALID, FVE_E_POLICY_PASSWORD_REQUIRED, FVE_E_PROTECTION_DISABLED, FVE_E_PROTECTOR_EXISTS, FVE_E_PROTECTOR_NOT_FOUND, FVE_E_RAW_ACCESS, FVE_E_RAW_BLOCKED, FVE_E_REBOOT_REQUIRED, FVE_E_RECOVERY_KEY_REQUIRED, FVE_E_RELATIVE_PATH, FVE_E_SECURE_KEY_REQUIRED, FVE_E_SYSTEM_VOLUME, FVE_E_TOKEN_NOT_IMPERSONATED, FVE_E_TOO_SMALL, FVE_E_TPM_DISABLED, FVE_E_TPM_INVALID_PCR, FVE_E_TPM_NO_VMK, FVE_E_TPM_NOT_OWNED, FVE_E_TPM_SRK_AUTH_NOT_ZERO, FVE_E_VOLUME_BOUND_ALREADY, FVE_E_VOLUME_NOT_BOUND, FVE_E_WRONG_BOOTMGR, FVE_E_WRONG_BOOTSECTOR, FVE_E_WRONG_SYSTEM_FS, FWP_E_ACTION_INCOMPATIBLE_WITH_LAYER, FWP_E_ACTION_INCOMPATIBLE_WITH_SUBLAYER, FWP_E_ALREADY_EXISTS, FWP_E_BUILTIN_OBJECT, FWP_E_CALLOUT_NOT_FOUND, FWP_E_CALLOUT_NOTIFICATION_FAILED, FWP_E_CONDITION_NOT_FOUND, FWP_E_CONTEXT_INCOMPATIBLE_WITH_CALLOUT, FWP_E_CONTEXT_INCOMPATIBLE_WITH_LAYER, FWP_E_DUPLICATE_CONDITION, FWP_E_DUPLICATE_KEYMOD, FWP_E_DYNAMIC_SESSION_IN_PROGRESS, FWP_E_EM_NOT_SUPPORTED, FWP_E_FILTER_NOT_FOUND, FWP_E_IN_USE, FWP_E_INCOMPATIBLE_AUTH_METHOD, FWP_E_INCOMPATIBLE_DH_GROUP, FWP_E_INCOMPATIBLE_LAYER, FWP_E_INCOMPATIBLE_SA_STATE, FWP_E_INCOMPATIBLE_TXN, FWP_E_INVALID_ACTION_TYPE, FWP_E_INVALID_AUTH_TRANSFORM, FWP_E_INVALID_CIPHER_TRANSFORM, FWP_E_INVALID_ENUMERATOR, FWP_E_INVALID_FLAGS, FWP_E_INVALID_INTERVAL, FWP_E_INVALID_NET_MASK, FWP_E_INVALID_PARAMETER, FWP_E_INVALID_RANGE, FWP_E_INVALID_WEIGHT, FWP_E_KM_CLIENTS_ONLY, FWP_E_LAYER_NOT_FOUND, FWP_E_LIFETIME_MISMATCH, FWP_E_MATCH_TYPE_MISMATCH, FWP_E_NET_EVENTS_DISABLED, FWP_E_NEVER_MATCH, FWP_E_NO_TXN_IN_PROGRESS, FWP_E_NOT_FOUND, FWP_E_NOTIFICATION_DROPPED, FWP_E_NULL_DISPLAY_NAME, FWP_E_NULL_POINTER, FWP_E_OUT_OF_BOUNDS, FWP_E_PROVIDER_CONTEXT_MISMATCH, FWP_E_PROVIDER_CONTEXT_NOT_FOUND, FWP_E_PROVIDER_NOT_FOUND, FWP_E_RESERVED, FWP_E_SESSION_ABORTED, FWP_E_SUBLAYER_NOT_FOUND, FWP_E_TIMEOUT, FWP_E_TOO_MANY_CALLOUTS, FWP_E_TOO_MANY_SUBLAYERS, FWP_E_TRAFFIC_MISMATCH, FWP_E_TXN_ABORTED, FWP_E_TXN_IN_PROGRESS, FWP_E_TYPE_MISMATCH, FWP_E_WRONG_SESSION, FWP_E_ZERO_LENGTH_ARRAY, INPLACE_E_FIRST, INPLACE_E_LAST, INPLACE_E_NOTOOLSPACE, INPLACE_E_NOTUNDOABLE, INPLACE_S_FIRST, INPLACE_S_LAST, INPLACE_S_TRUNCATED, MARSHAL_E_FIRST, MARSHAL_E_LAST, MARSHAL_S_FIRST, MARSHAL_S_LAST, MEM_E_INVALID_LINK, MEM_E_INVALID_ROOT, MEM_E_INVALID_SIZE, MK_E_CANTOPENFILE, MK_E_CONNECTMANUALLY, MK_E_ENUMERATION_FAILED, MK_E_EXCEEDEDDEADLINE, MK_E_FIRST, MK_E_INTERMEDIATEINTERFACENOTSUPPORTED, MK_E_INVALIDEXTENSION, MK_E_LAST, MK_E_MUSTBOTHERUSER, MK_E_NEEDGENERIC, MK_E_NO_NORMALIZED, MK_E_NOINVERSE, MK_E_NOOBJECT, MK_E_NOPREFIX, MK_E_NOSTORAGE, MK_E_NOTBINDABLE, MK_E_NOTBOUND, MK_E_SYNTAX, MK_E_UNAVAILABLE, MK_S_FIRST, MK_S_HIM, MK_S_LAST, MK_S_ME, MK_S_MONIKERALREADYREGISTERED, MK_S_REDUCED_TO_SELF, MK_S_US, MSDTC_E_DUPLICATE_RESOURCE, MSSIPOTF_E_BAD_FIRST_TABLE_PLACEMENT, MSSIPOTF_E_BAD_MAGICNUMBER, MSSIPOTF_E_BAD_OFFSET_TABLE, MSSIPOTF_E_BADVERSION, MSSIPOTF_E_CANTGETOBJECT, MSSIPOTF_E_CRYPT, MSSIPOTF_E_DSIG_STRUCTURE, MSSIPOTF_E_FAILED_HINTS_CHECK, MSSIPOTF_E_FAILED_POLICY, MSSIPOTF_E_FILE, MSSIPOTF_E_FILE_CHECKSUM, MSSIPOTF_E_FILETOOSMALL, MSSIPOTF_E_NOHEADTABLE, MSSIPOTF_E_NOT_OPENTYPE, MSSIPOTF_E_OUTOFMEMRANGE, MSSIPOTF_E_PCONST_CHECK, MSSIPOTF_E_STRUCTURE, MSSIPOTF_E_TABLE_CHECKSUM, MSSIPOTF_E_TABLE_LONGWORD, MSSIPOTF_E_TABLE_PADBYTES, MSSIPOTF_E_TABLE_TAGORDER, MSSIPOTF_E_TABLES_OVERLAP, NO_ERROR, NOERROR, NTE_BAD_ALGID, NTE_BAD_DATA, NTE_BAD_FLAGS, NTE_BAD_HASH, NTE_BAD_HASH_STATE, NTE_BAD_KEY, NTE_BAD_KEY_STATE, NTE_BAD_KEYSET, NTE_BAD_KEYSET_PARAM, NTE_BAD_LEN, NTE_BAD_PROV_TYPE, NTE_BAD_PROVIDER, NTE_BAD_PUBLIC_KEY, NTE_BAD_SIGNATURE, NTE_BAD_TYPE, NTE_BAD_UID, NTE_BAD_VER, NTE_BUFFER_TOO_SMALL, NTE_BUFFERS_OVERLAP, NTE_DECRYPTION_FAILURE, NTE_DOUBLE_ENCRYPT, NTE_EXISTS, NTE_FAIL, NTE_FIXEDPARAMETER, NTE_HMAC_NOT_SUPPORTED, NTE_INTERNAL_ERROR, NTE_INVALID_HANDLE, NTE_INVALID_PARAMETER, NTE_KEYSET_ENTRY_BAD, NTE_KEYSET_NOT_DEF, NTE_NO_KEY, NTE_NO_MEMORY, NTE_NO_MORE_ITEMS, NTE_NOT_FOUND, NTE_NOT_SUPPORTED, NTE_OP_OK, NTE_PERM, NTE_PROV_DLL_NOT_FOUND, NTE_PROV_TYPE_ENTRY_BAD, NTE_PROV_TYPE_NO_MATCH, NTE_PROV_TYPE_NOT_DEF, NTE_PROVIDER_DLL_FAIL, NTE_SIGNATURE_FILE_BAD, NTE_SILENT_CONTEXT, NTE_SYS_ERR, NTE_TEMPORARY_PROFILE, NTE_TOKEN_KEYSET_STORAGE_FULL, NTE_UI_REQUIRED, OLE_E_ADVF, OLE_E_ADVISENOTSUPPORTED, OLE_E_BLANK, OLE_E_CANT_BINDTOSOURCE, OLE_E_CANT_GETMONIKER, OLE_E_CANTCONVERT, OLE_E_CLASSDIFF, OLE_E_ENUM_NOMORE, OLE_E_FIRST, OLE_E_INVALIDHWND, OLE_E_INVALIDRECT, OLE_E_LAST, OLE_E_NOCACHE, OLE_E_NOCONNECTION, OLE_E_NOSTORAGE, OLE_E_NOT_INPLACEACTIVE, OLE_E_NOTRUNNING, OLE_E_OLEVERB, OLE_E_PROMPTSAVECANCELLED, OLE_E_STATIC, OLE_E_WRONGCOMPOBJ, OLE_S_FIRST, OLE_S_LAST, OLE_S_MAC_CLIPFORMAT, OLE_S_STATIC, OLE_S_USEREG, OLEOBJ_E_FIRST, OLEOBJ_E_INVALIDVERB, OLEOBJ_E_LAST, OLEOBJ_E_NOVERBS, OLEOBJ_S_CANNOT_DOVERB_NOW, OLEOBJ_S_FIRST, OLEOBJ_S_INVALIDHWND, OLEOBJ_S_INVALIDVERB, OLEOBJ_S_LAST, OR_INVALID_OID, OR_INVALID_OXID, OR_INVALID_SET, OSS_ACCESS_SERIALIZATION_ERROR, OSS_API_DLL_NOT_LINKED, OSS_BAD_ARG, OSS_BAD_ENCRULES, OSS_BAD_PTR, OSS_BAD_TABLE, OSS_BAD_TIME, OSS_BAD_VERSION, OSS_BERDER_DLL_NOT_LINKED, OSS_CANT_CLOSE_TRACE_FILE, OSS_CANT_OPEN_TRACE_FILE, OSS_CANT_OPEN_TRACE_WINDOW, OSS_COMPARATOR_CODE_NOT_LINKED, OSS_COMPARATOR_DLL_NOT_LINKED, OSS_CONSTRAINT_DLL_NOT_LINKED, OSS_CONSTRAINT_VIOLATED, OSS_COPIER_DLL_NOT_LINKED, OSS_DATA_ERROR, OSS_FATAL_ERROR, OSS_INDEFINITE_NOT_SUPPORTED, OSS_LIMITED, OSS_MEM_ERROR, OSS_MEM_MGR_DLL_NOT_LINKED, OSS_MORE_BUF, OSS_MORE_INPUT, OSS_MUTEX_NOT_CREATED, OSS_NEGATIVE_UINTEGER, OSS_NULL_FCN, OSS_NULL_TBL, OSS_OID_DLL_NOT_LINKED, OSS_OPEN_TYPE_ERROR, OSS_OUT_MEMORY, OSS_OUT_OF_RANGE, OSS_PDU_MISMATCH, OSS_PDU_RANGE, OSS_PDV_CODE_NOT_LINKED, OSS_PDV_DLL_NOT_LINKED, OSS_PER_DLL_NOT_LINKED, OSS_REAL_CODE_NOT_LINKED, OSS_REAL_DLL_NOT_LINKED, OSS_TABLE_MISMATCH, OSS_TOO_LONG, OSS_TRACE_FILE_ALREADY_OPEN, OSS_TYPE_NOT_SUPPORTED, OSS_UNAVAIL_ENCRULES, OSS_UNIMPLEMENTED, PERSIST_E_NOTSELFSIZING, PERSIST_E_SIZEDEFINITE, PERSIST_E_SIZEINDEFINITE, PLA_E_CABAPI_FAILURE, PLA_E_CONFLICT_INCL_EXCL_API, PLA_E_CREDENTIALS_REQUIRED, PLA_E_DC_ALREADY_EXISTS, PLA_E_DC_START_WAIT_TIMEOUT, PLA_E_DCS_ALREADY_EXISTS, PLA_E_DCS_IN_USE, PLA_E_DCS_NOT_FOUND, PLA_E_DCS_NOT_RUNNING, PLA_E_DCS_SINGLETON_REQUIRED, PLA_E_DCS_START_WAIT_TIMEOUT, PLA_E_EXE_ALREADY_CONFIGURED, PLA_E_EXE_FULL_PATH_REQUIRED, PLA_E_EXE_PATH_NOT_VALID, PLA_E_INVALID_SESSION_NAME, PLA_E_NETWORK_EXE_NOT_VALID, PLA_E_NO_DUPLICATES, PLA_E_NO_MIN_DISK, PLA_E_PLA_CHANNEL_NOT_ENABLED, PLA_E_PROPERTY_CONFLICT, PLA_E_REPORT_WAIT_TIMEOUT, PLA_E_RULES_MANAGER_FAILED, PLA_E_TASKSCHED_CHANNEL_NOT_ENABLED, PLA_E_TOO_MANY_FOLDERS, PLA_S_PROPERTY_IGNORED, REGDB_E_BADTHREADINGMODEL, REGDB_E_CLASSNOTREG, REGDB_E_FIRST, REGDB_E_IIDNOTREG, REGDB_E_INVALIDVALUE, REGDB_E_KEYMISSING, REGDB_E_LAST, REGDB_E_READREGDB, REGDB_E_WRITEREGDB, REGDB_S_FIRST, REGDB_S_LAST, RPC_E_ACCESS_DENIED, RPC_E_ATTEMPTED_MULTITHREAD, RPC_E_CALL_CANCELED, RPC_E_CALL_COMPLETE, RPC_E_CALL_REJECTED, RPC_E_CANTCALLOUT_AGAIN, RPC_E_CANTCALLOUT_INASYNCCALL, RPC_E_CANTCALLOUT_INEXTERNALCALL, RPC_E_CANTCALLOUT_ININPUTSYNCCALL, RPC_E_CANTPOST_INSENDCALL, RPC_E_CANTTRANSMIT_CALL, RPC_E_CHANGED_MODE, RPC_E_CLIENT_CANTMARSHAL_DATA, RPC_E_CLIENT_CANTUNMARSHAL_DATA, RPC_E_CLIENT_DIED, RPC_E_CONNECTION_TERMINATED, RPC_E_DISCONNECTED, RPC_E_FAULT, RPC_E_FULLSIC_REQUIRED, RPC_E_INVALID_CALLDATA, RPC_E_INVALID_DATA, RPC_E_INVALID_DATAPACKET, RPC_E_INVALID_EXTENSION, RPC_E_INVALID_HEADER, RPC_E_INVALID_IPID, RPC_E_INVALID_OBJECT, RPC_E_INVALID_OBJREF, RPC_E_INVALID_PARAMETER, RPC_E_INVALID_STD_NAME, RPC_E_INVALIDMETHOD, RPC_E_NO_CONTEXT, RPC_E_NO_GOOD_SECURITY_PACKAGES, RPC_E_NO_SYNC, RPC_E_NOT_REGISTERED, RPC_E_OUT_OF_RESOURCES, RPC_E_REMOTE_DISABLED, RPC_E_RETRY, RPC_E_SERVER_CANTMARSHAL_DATA, RPC_E_SERVER_CANTUNMARSHAL_DATA, RPC_E_SERVER_DIED, RPC_E_SERVER_DIED_DNE, RPC_E_SERVERCALL_REJECTED, RPC_E_SERVERCALL_RETRYLATER, RPC_E_SERVERFAULT, RPC_E_SYS_CALL_FAILED, RPC_E_THREAD_NOT_INIT, RPC_E_TIMEOUT, RPC_E_TOO_LATE, RPC_E_UNEXPECTED, RPC_E_UNSECURE_CALL, RPC_E_VERSION_MISMATCH, RPC_E_WRONG_THREAD, RPC_S_ADDRESS_ERROR, RPC_S_ALREADY_LISTENING, RPC_S_ALREADY_REGISTERED, RPC_S_BINDING_HAS_NO_AUTH, RPC_S_BINDING_INCOMPLETE, RPC_S_CALL_CANCELLED, RPC_S_CALL_FAILED, RPC_S_CALL_FAILED_DNE, RPC_S_CALL_IN_PROGRESS, RPC_S_CALLPENDING, RPC_S_CANNOT_SUPPORT, RPC_S_CANT_CREATE_ENDPOINT, RPC_S_COMM_FAILURE, RPC_S_DUPLICATE_ENDPOINT, RPC_S_ENTRY_ALREADY_EXISTS, RPC_S_ENTRY_NOT_FOUND, RPC_S_ENTRY_TYPE_MISMATCH, RPC_S_FP_DIV_ZERO, RPC_S_FP_OVERFLOW, RPC_S_FP_UNDERFLOW, RPC_S_GROUP_MEMBER_NOT_FOUND, RPC_S_GRP_ELT_NOT_ADDED, RPC_S_GRP_ELT_NOT_REMOVED, RPC_S_INCOMPLETE_NAME, RPC_S_INTERFACE_NOT_EXPORTED, RPC_S_INTERFACE_NOT_FOUND, RPC_S_INTERNAL_ERROR, RPC_S_INVALID_ASYNC_CALL, RPC_S_INVALID_ASYNC_HANDLE, RPC_S_INVALID_AUTH_IDENTITY, RPC_S_INVALID_BINDING, RPC_S_INVALID_BOUND, RPC_S_INVALID_ENDPOINT_FORMAT, RPC_S_INVALID_NAF_ID, RPC_S_INVALID_NAME_SYNTAX, RPC_S_INVALID_NET_ADDR, RPC_S_INVALID_NETWORK_OPTIONS, RPC_S_INVALID_OBJECT, RPC_S_INVALID_RPC_PROTSEQ, RPC_S_INVALID_STRING_BINDING, RPC_S_INVALID_STRING_UUID, RPC_S_INVALID_TAG, RPC_S_INVALID_TIMEOUT, RPC_S_INVALID_VERS_OPTION, RPC_S_MAX_CALLS_TOO_SMALL, RPC_S_NAME_SERVICE_UNAVAILABLE, RPC_S_NO_BINDINGS, RPC_S_NO_CALL_ACTIVE, RPC_S_NO_CONTEXT_AVAILABLE, RPC_S_NO_ENDPOINT_FOUND, RPC_S_NO_ENTRY_NAME, RPC_S_NO_INTERFACES, RPC_S_NO_MORE_BINDINGS, RPC_S_NO_MORE_MEMBERS, RPC_S_NO_PRINC_NAME, RPC_S_NO_PROTSEQS, RPC_S_NO_PROTSEQS_REGISTERED, RPC_S_NOT_ALL_OBJS_EXPORTED, RPC_S_NOT_ALL_OBJS_UNEXPORTED, RPC_S_NOT_CANCELLED, RPC_S_NOT_LISTENING, RPC_S_NOT_RPC_ERROR, RPC_S_NOTHING_TO_EXPORT, RPC_S_OBJECT_NOT_FOUND, RPC_S_OUT_OF_RESOURCES, RPC_S_PRF_ELT_NOT_ADDED, RPC_S_PRF_ELT_NOT_REMOVED, RPC_S_PROCNUM_OUT_OF_RANGE, RPC_S_PROFILE_NOT_ADDED, RPC_S_PROTOCOL_ERROR, RPC_S_PROTSEQ_NOT_FOUND, RPC_S_PROTSEQ_NOT_SUPPORTED, RPC_S_PROXY_ACCESS_DENIED, RPC_S_SEC_PKG_ERROR, RPC_S_SEND_INCOMPLETE, RPC_S_SERVER_TOO_BUSY, RPC_S_SERVER_UNAVAILABLE, RPC_S_STRING_TOO_LONG, RPC_S_TYPE_ALREADY_REGISTERED, RPC_S_UNKNOWN_AUTHN_LEVEL, RPC_S_UNKNOWN_AUTHN_SERVICE, RPC_S_UNKNOWN_AUTHN_TYPE, RPC_S_UNKNOWN_AUTHZ_SERVICE, RPC_S_UNKNOWN_IF, RPC_S_UNKNOWN_MGR_TYPE, RPC_S_UNSUPPORTED_AUTHN_LEVEL, RPC_S_UNSUPPORTED_NAME_SYNTAX, RPC_S_UNSUPPORTED_TRANS_SYN, RPC_S_UNSUPPORTED_TYPE, RPC_S_UUID_LOCAL_ONLY, RPC_S_UUID_NO_ADDRESS, RPC_S_WAITONTIMER, RPC_S_WRONG_KIND_OF_BINDING, RPC_S_ZERO_DIVIDE, RPC_X_BAD_STUB_DATA, RPC_X_BYTE_COUNT_TOO_SMALL, RPC_X_ENUM_VALUE_OUT_OF_RANGE, RPC_X_INVALID_ES_ACTION, RPC_X_INVALID_PIPE_OBJECT, RPC_X_NO_MORE_ENTRIES, RPC_X_NULL_REF_POINTER, RPC_X_PIPE_CLOSED, RPC_X_PIPE_DISCIPLINE_ERROR, RPC_X_PIPE_EMPTY, RPC_X_SS_CANNOT_GET_CALL_HANDLE, RPC_X_SS_CHAR_TRANS_OPEN_FAIL, RPC_X_SS_CHAR_TRANS_SHORT_FILE, RPC_X_SS_CONTEXT_DAMAGED, RPC_X_SS_HANDLES_MISMATCH, RPC_X_SS_IN_NULL_CONTEXT, RPC_X_WRONG_ES_VERSION, RPC_X_WRONG_PIPE_ORDER, RPC_X_WRONG_PIPE_VERSION, RPC_X_WRONG_STUB_VERSION, S_FALSE, S_OK, SCARD_E_BAD_SEEK, SCARD_E_CANCELLED, SCARD_E_CANT_DISPOSE, SCARD_E_CARD_UNSUPPORTED, SCARD_E_CERTIFICATE_UNAVAILABLE, SCARD_E_COMM_DATA_LOST, SCARD_E_DIR_NOT_FOUND, SCARD_E_DUPLICATE_READER, SCARD_E_FILE_NOT_FOUND, SCARD_E_ICC_CREATEORDER, SCARD_E_ICC_INSTALLATION, SCARD_E_INSUFFICIENT_BUFFER, SCARD_E_INVALID_ATR, SCARD_E_INVALID_CHV, SCARD_E_INVALID_HANDLE, SCARD_E_INVALID_PARAMETER, SCARD_E_INVALID_TARGET, SCARD_E_INVALID_VALUE, SCARD_E_NO_ACCESS, SCARD_E_NO_DIR, SCARD_E_NO_FILE, SCARD_E_NO_KEY_CONTAINER, SCARD_E_NO_MEMORY, SCARD_E_NO_READERS_AVAILABLE, SCARD_E_NO_SERVICE, SCARD_E_NO_SMARTCARD, SCARD_E_NO_SUCH_CERTIFICATE, SCARD_E_NOT_READY, SCARD_E_NOT_TRANSACTED, SCARD_E_PCI_TOO_SMALL, SCARD_E_PROTO_MISMATCH, SCARD_E_READER_UNAVAILABLE, SCARD_E_READER_UNSUPPORTED, SCARD_E_SERVER_TOO_BUSY, SCARD_E_SERVICE_STOPPED, SCARD_E_SHARING_VIOLATION, SCARD_E_SYSTEM_CANCELLED, SCARD_E_TIMEOUT, SCARD_E_UNEXPECTED, SCARD_E_UNKNOWN_CARD, SCARD_E_UNKNOWN_READER, SCARD_E_UNKNOWN_RES_MNG, SCARD_E_UNSUPPORTED_FEATURE, SCARD_E_WRITE_TOO_MANY, SCARD_F_COMM_ERROR, SCARD_F_INTERNAL_ERROR, SCARD_F_UNKNOWN_ERROR, SCARD_F_WAITED_TOO_LONG, SCARD_P_SHUTDOWN, SCARD_S_SUCCESS, SCARD_W_CACHE_ITEM_NOT_FOUND, SCARD_W_CACHE_ITEM_STALE, SCARD_W_CACHE_ITEM_TOO_BIG, SCARD_W_CANCELLED_BY_USER, SCARD_W_CARD_NOT_AUTHENTICATED, SCARD_W_CHV_BLOCKED, SCARD_W_EOF, SCARD_W_REMOVED_CARD, SCARD_W_RESET_CARD, SCARD_W_SECURITY_VIOLATION, SCARD_W_UNPOWERED_CARD, SCARD_W_UNRESPONSIVE_CARD, SCARD_W_UNSUPPORTED_CARD, SCARD_W_WRONG_CHV, SCHED_E_ACCOUNT_DBASE_CORRUPT, SCHED_E_ACCOUNT_INFORMATION_NOT_SET, SCHED_E_ACCOUNT_NAME_NOT_FOUND, SCHED_E_ALREADY_RUNNING, SCHED_E_CANNOT_OPEN_TASK, SCHED_E_INVALID_TASK, SCHED_E_INVALID_TASK_HASH, SCHED_E_INVALIDVALUE, SCHED_E_MALFORMEDXML, SCHED_E_MISSINGNODE, SCHED_E_NAMESPACE, SCHED_E_NO_SECURITY_SERVICES, SCHED_E_PAST_END_BOUNDARY, SCHED_E_SERVICE_NOT_AVAILABLE, SCHED_E_SERVICE_NOT_INSTALLED, SCHED_E_SERVICE_NOT_LOCALSYSTEM, SCHED_E_SERVICE_NOT_RUNNING, SCHED_E_SERVICE_TOO_BUSY, SCHED_E_START_ON_DEMAND, SCHED_E_TASK_ATTEMPTED, SCHED_E_TASK_DISABLED, SCHED_E_TASK_NOT_READY, SCHED_E_TASK_NOT_RUNNING, SCHED_E_TASK_NOT_V1_COMPAT, SCHED_E_TOO_MANY_NODES, SCHED_E_TRIGGER_NOT_FOUND, SCHED_E_UNEXPECTEDNODE, SCHED_E_UNKNOWN_OBJECT_VERSION, SCHED_E_UNSUPPORTED_ACCOUNT_OPTION, SCHED_E_USER_NOT_LOGGED_ON, SCHED_S_BATCH_LOGON_PROBLEM, SCHED_S_EVENT_TRIGGER, SCHED_S_SOME_TRIGGERS_FAILED, SCHED_S_TASK_DISABLED, SCHED_S_TASK_HAS_NOT_RUN, SCHED_S_TASK_NO_MORE_RUNS, SCHED_S_TASK_NO_VALID_TRIGGERS, SCHED_S_TASK_NOT_SCHEDULED, SCHED_S_TASK_QUEUED, SCHED_S_TASK_READY, SCHED_S_TASK_RUNNING, SCHED_S_TASK_TERMINATED, SEC_E_ALGORITHM_MISMATCH, SEC_E_BAD_BINDINGS, SEC_E_BAD_PKGID, SEC_E_BUFFER_TOO_SMALL, SEC_E_CANNOT_INSTALL, SEC_E_CANNOT_PACK, SEC_E_CERT_EXPIRED, SEC_E_CERT_UNKNOWN, SEC_E_CERT_WRONG_USAGE, SEC_E_CONTEXT_EXPIRED, SEC_E_CROSSREALM_DELEGATION_FAILURE, SEC_E_CRYPTO_SYSTEM_INVALID, SEC_E_DECRYPT_FAILURE, SEC_E_DELEGATION_POLICY, SEC_E_DELEGATION_REQUIRED, SEC_E_DOWNGRADE_DETECTED, SEC_E_ENCRYPT_FAILURE, SEC_E_ILLEGAL_MESSAGE, SEC_E_INCOMPLETE_CREDENTIALS, SEC_E_INCOMPLETE_MESSAGE, SEC_E_INSUFFICIENT_MEMORY, SEC_E_INTERNAL_ERROR, SEC_E_INVALID_HANDLE, SEC_E_INVALID_PARAMETER, SEC_E_INVALID_TOKEN, SEC_E_ISSUING_CA_UNTRUSTED, SEC_E_ISSUING_CA_UNTRUSTED_KDC, SEC_E_KDC_CERT_EXPIRED, SEC_E_KDC_CERT_REVOKED, SEC_E_KDC_INVALID_REQUEST, SEC_E_KDC_UNABLE_TO_REFER, SEC_E_KDC_UNKNOWN_ETYPE, SEC_E_LOGON_DENIED, SEC_E_MAX_REFERRALS_EXCEEDED, SEC_E_MESSAGE_ALTERED, SEC_E_MULTIPLE_ACCOUNTS, SEC_E_MUST_BE_KDC, SEC_E_NO_AUTHENTICATING_AUTHORITY, SEC_E_NO_CREDENTIALS, SEC_E_NO_IMPERSONATION, SEC_E_NO_IP_ADDRESSES, SEC_E_NO_KERB_KEY, SEC_E_NO_PA_DATA, SEC_E_NO_S4U_PROT_SUPPORT, SEC_E_NO_SPM, SEC_E_NO_TGT_REPLY, SEC_E_NOT_OWNER, SEC_E_NOT_SUPPORTED, SEC_E_OK, SEC_E_OUT_OF_SEQUENCE, SEC_E_PKINIT_CLIENT_FAILURE, SEC_E_PKINIT_NAME_MISMATCH, SEC_E_POLICY_NLTM_ONLY, SEC_E_QOP_NOT_SUPPORTED, SEC_E_REVOCATION_OFFLINE_C, SEC_E_REVOCATION_OFFLINE_KDC, SEC_E_SECPKG_NOT_FOUND, SEC_E_SECURITY_QOS_FAILED, SEC_E_SHUTDOWN_IN_PROGRESS, SEC_E_SMARTCARD_CERT_EXPIRED, SEC_E_SMARTCARD_CERT_REVOKED, SEC_E_SMARTCARD_LOGON_REQUIRED, SEC_E_STRONG_CRYPTO_NOT_SUPPORTED, SEC_E_TARGET_UNKNOWN, SEC_E_TIME_SKEW, SEC_E_TOO_MANY_PRINCIPALS, SEC_E_UNFINISHED_CONTEXT_DELETED, SEC_E_UNKNOWN_CREDENTIALS, SEC_E_UNSUPPORTED_FUNCTION, SEC_E_UNSUPPORTED_PREAUTH, SEC_E_UNTRUSTED_ROOT, SEC_E_WRONG_CREDENTIAL_HANDLE, SEC_E_WRONG_PRINCIPAL, SEC_I_COMPLETE_AND_CONTINUE, SEC_I_COMPLETE_NEEDED, SEC_I_CONTEXT_EXPIRED, SEC_I_CONTINUE_NEEDED, SEC_I_INCOMPLETE_CREDENTIALS, SEC_I_LOCAL_LOGON, SEC_I_NO_LSA_CONTEXT, SEC_I_NO_RENEGOTIATION, SEC_I_RENEGOTIATE, SEC_I_SIGNATURE_NEEDED, SEVERITY_ERROR, SEVERITY_SUCCESS, SPAPI_E_AUTHENTICODE_DISALLOWED, SPAPI_E_AUTHENTICODE_PUBLISHER_NOT_TRUSTED, SPAPI_E_AUTHENTICODE_TRUST_NOT_ESTABLISHED, SPAPI_E_AUTHENTICODE_TRUSTED_PUBLISHER, SPAPI_E_BAD_INTERFACE_INSTALLSECT, SPAPI_E_BAD_SECTION_NAME_LINE, SPAPI_E_BAD_SERVICE_INSTALLSECT, SPAPI_E_CANT_LOAD_CLASS_ICON, SPAPI_E_CANT_REMOVE_DEVINST, SPAPI_E_CLASS_MISMATCH, SPAPI_E_DEVICE_INSTALL_BLOCKED, SPAPI_E_DEVICE_INSTALLER_NOT_READY, SPAPI_E_DEVICE_INTERFACE_ACTIVE, SPAPI_E_DEVICE_INTERFACE_REMOVED, SPAPI_E_DEVINFO_DATA_LOCKED, SPAPI_E_DEVINFO_LIST_LOCKED, SPAPI_E_DEVINFO_NOT_REGISTERED, SPAPI_E_DEVINST_ALREADY_EXISTS, SPAPI_E_DEVINSTALL_QUEUE_NONNATIVE, SPAPI_E_DI_BAD_PATH, SPAPI_E_DI_DO_DEFAULT, SPAPI_E_DI_DONT_INSTALL, SPAPI_E_DI_FUNCTION_OBSOLETE, SPAPI_E_DI_NOFILECOPY, SPAPI_E_DI_POSTPROCESSING_REQUIRED, SPAPI_E_DRIVER_INSTALL_BLOCKED, SPAPI_E_DRIVER_NONNATIVE, SPAPI_E_DRIVER_STORE_ADD_FAILED, SPAPI_E_DRIVER_STORE_DELETE_FAILED, SPAPI_E_DUPLICATE_FOUND, SPAPI_E_ERROR_NOT_INSTALLED, SPAPI_E_EXPECTED_SECTION_NAME, SPAPI_E_FILE_HASH_NOT_IN_CATALOG, SPAPI_E_FILEQUEUE_LOCKED, SPAPI_E_GENERAL_SYNTAX, SPAPI_E_IN_WOW64, SPAPI_E_INCORRECTLY_COPIED_INF, SPAPI_E_INF_IN_USE_BY_DEVICES, SPAPI_E_INVALID_CLASS, SPAPI_E_INVALID_CLASS_INSTALLER, SPAPI_E_INVALID_COINSTALLER, SPAPI_E_INVALID_DEVINST_NAME, SPAPI_E_INVALID_FILTER_DRIVER, SPAPI_E_INVALID_HWPROFILE, SPAPI_E_INVALID_INF_LOGCONFIG, SPAPI_E_INVALID_MACHINENAME, SPAPI_E_INVALID_PROPPAGE_PROVIDER, SPAPI_E_INVALID_REFERENCE_STRING, SPAPI_E_INVALID_REG_PROPERTY, SPAPI_E_INVALID_TARGET, SPAPI_E_KEY_DOES_NOT_EXIST, SPAPI_E_LINE_NOT_FOUND, SPAPI_E_MACHINE_UNAVAILABLE, SPAPI_E_NO_ASSOCIATED_CLASS, SPAPI_E_NO_ASSOCIATED_SERVICE, SPAPI_E_NO_AUTHENTICODE_CATALOG, SPAPI_E_NO_BACKUP, SPAPI_E_NO_CATALOG_FOR_OEM_INF, SPAPI_E_NO_CLASS_DRIVER_LIST, SPAPI_E_NO_CLASSINSTALL_PARAMS, SPAPI_E_NO_COMPAT_DRIVERS, SPAPI_E_NO_CONFIGMGR_SERVICES, SPAPI_E_NO_DEFAULT_DEVICE_INTERFACE, SPAPI_E_NO_DEVICE_ICON, SPAPI_E_NO_DEVICE_SELECTED, SPAPI_E_NO_DRIVER_SELECTED, SPAPI_E_NO_INF, SPAPI_E_NO_SUCH_DEVICE_INTERFACE, SPAPI_E_NO_SUCH_DEVINST, SPAPI_E_NO_SUCH_INTERFACE_CLASS, SPAPI_E_NON_WINDOWS_DRIVER, SPAPI_E_NON_WINDOWS_NT_DRIVER, SPAPI_E_NOT_AN_INSTALLED_OEM_INF, SPAPI_E_NOT_DISABLEABLE, SPAPI_E_ONLY_VALIDATE_VIA_AUTHENTICODE, SPAPI_E_PNP_REGISTRY_ERROR, SPAPI_E_REMOTE_COMM_FAILURE, SPAPI_E_REMOTE_REQUEST_UNSUPPORTED, SPAPI_E_SCE_DISABLED, SPAPI_E_SECTION_NAME_TOO_LONG, SPAPI_E_SECTION_NOT_FOUND, SPAPI_E_SET_SYSTEM_RESTORE_POINT, SPAPI_E_SIGNATURE_OSATTRIBUTE_MISMATCH, SPAPI_E_UNKNOWN_EXCEPTION, SPAPI_E_UNRECOVERABLE_STACK_OVERFLOW, SPAPI_E_WRONG_INF_STYLE, SPAPI_E_WRONG_INF_TYPE, STG_E_ABNORMALAPIEXIT, STG_E_ACCESSDENIED, STG_E_BADBASEADDRESS, STG_E_CANTSAVE, STG_E_CSS_AUTHENTICATION_FAILURE, STG_E_CSS_KEY_NOT_ESTABLISHED, STG_E_CSS_KEY_NOT_PRESENT, STG_E_CSS_REGION_MISMATCH, STG_E_CSS_SCRAMBLED_SECTOR, STG_E_DISKISWRITEPROTECTED, STG_E_DOCFILECORRUPT, STG_E_DOCFILETOOLARGE, STG_E_EXTANTMARSHALLINGS, STG_E_FILEALREADYEXISTS, STG_E_FILENOTFOUND, STG_E_INCOMPLETE, STG_E_INSUFFICIENTMEMORY, STG_E_INUSE, STG_E_INVALIDFLAG, STG_E_INVALIDFUNCTION, STG_E_INVALIDHANDLE, STG_E_INVALIDHEADER, STG_E_INVALIDNAME, STG_E_INVALIDPARAMETER, STG_E_INVALIDPOINTER, STG_E_LOCKVIOLATION, STG_E_MEDIUMFULL, STG_E_NOMOREFILES, STG_E_NOTCURRENT, STG_E_NOTFILEBASEDSTORAGE, STG_E_NOTSIMPLEFORMAT, STG_E_OLDDLL, STG_E_OLDFORMAT, STG_E_PATHNOTFOUND, STG_E_PROPSETMISMATCHED, STG_E_READFAULT, STG_E_RESETS_EXHAUSTED, STG_E_REVERTED, STG_E_SEEKERROR, STG_E_SHAREREQUIRED, STG_E_SHAREVIOLATION, STG_E_STATUS_COPY_PROTECTION_FAILURE, STG_E_TERMINATED, STG_E_TOOMANYOPENFILES, STG_E_UNIMPLEMENTEDFUNCTION, STG_E_UNKNOWN, STG_E_WRITEFAULT, STG_S_BLOCK, STG_S_CANNOTCONSOLIDATE, STG_S_CONSOLIDATIONFAILED, STG_S_CONVERTED, STG_S_MONITORING, STG_S_MULTIPLEOPENS, STG_S_RETRYNOW, TBS_E_BAD_PARAMETER, TBS_E_BUFFER_TOO_LARGE, TBS_E_COMMAND_CANCELED, TBS_E_INSUFFICIENT_BUFFER, TBS_E_INTERNAL_ERROR, TBS_E_INVALID_CONTEXT, TBS_E_INVALID_CONTEXT_PARAM, TBS_E_INVALID_OUTPUT_POINTER, TBS_E_IOERROR, TBS_E_PPI_NOT_SUPPORTED, TBS_E_SERVICE_DISABLED, TBS_E_SERVICE_NOT_RUNNING, TBS_E_SERVICE_START_PENDING, TBS_E_TOO_MANY_RESOURCES, TBS_E_TOO_MANY_TBS_CONTEXTS, TBS_E_TPM_NOT_FOUND, TBSIMP_E_BUFFER_TOO_SMALL, TBSIMP_E_CLEANUP_FAILED, TBSIMP_E_COMMAND_CANCELED, TBSIMP_E_COMMAND_FAILED, TBSIMP_E_DUPLICATE_VHANDLE, TBSIMP_E_HASH_BAD_KEY, TBSIMP_E_HASH_TABLE_FULL, TBSIMP_E_INVALID_CONTEXT_HANDLE, TBSIMP_E_INVALID_CONTEXT_PARAM, TBSIMP_E_INVALID_OUTPUT_POINTER, TBSIMP_E_INVALID_PARAMETER, TBSIMP_E_INVALID_RESOURCE, TBSIMP_E_LIST_NO_MORE_ITEMS, TBSIMP_E_LIST_NOT_FOUND, TBSIMP_E_NOT_ENOUGH_SPACE, TBSIMP_E_NOT_ENOUGH_TPM_CONTEXTS, TBSIMP_E_NOTHING_TO_UNLOAD, TBSIMP_E_OUT_OF_MEMORY, TBSIMP_E_PPI_NOT_SUPPORTED, TBSIMP_E_RESOURCE_EXPIRED, TBSIMP_E_RPC_INIT_FAILED, TBSIMP_E_SCHEDULER_NOT_RUNNING, TBSIMP_E_TOO_MANY_RESOURCES, TBSIMP_E_TOO_MANY_TBS_CONTEXTS, TBSIMP_E_TPM_ERROR, TBSIMP_E_TPM_INCOMPATIBLE, TBSIMP_E_UNKNOWN_ORDINAL, TPM_E_AREA_LOCKED, TPM_E_AUDITFAIL_SUCCESSFUL, TPM_E_AUDITFAIL_UNSUCCESSFUL, TPM_E_AUDITFAILURE, TPM_E_AUTH_CONFLICT, TPM_E_AUTH2FAIL, TPM_E_AUTHFAIL, TPM_E_BAD_ATTRIBUTES, TPM_E_BAD_COUNTER, TPM_E_BAD_DATASIZE, TPM_E_BAD_DELEGATE, TPM_E_BAD_HANDLE, TPM_E_BAD_KEY_PROPERTY, TPM_E_BAD_LOCALITY, TPM_E_BAD_MIGRATION, TPM_E_BAD_MODE, TPM_E_BAD_ORDINAL, TPM_E_BAD_PARAM_SIZE, TPM_E_BAD_PARAMETER, TPM_E_BAD_PRESENCE, TPM_E_BAD_SCHEME, TPM_E_BAD_SIGNATURE, TPM_E_BAD_TYPE, TPM_E_BAD_VERSION, TPM_E_BADCONTEXT, TPM_E_BADINDEX, TPM_E_BADTAG, TPM_E_CLEAR_DISABLED, TPM_E_COMMAND_BLOCKED, TPM_E_CONTEXT_GAP, TPM_E_DAA_INPUT_DATA0, TPM_E_DAA_INPUT_DATA1, TPM_E_DAA_ISSUER_SETTINGS, TPM_E_DAA_ISSUER_VALIDITY, TPM_E_DAA_RESOURCES, TPM_E_DAA_STAGE, TPM_E_DAA_TPM_SETTINGS, TPM_E_DAA_WRONG_W, TPM_E_DEACTIVATED, TPM_E_DECRYPT_ERROR, TPM_E_DEFEND_LOCK_RUNNING, TPM_E_DELEGATE_ADMIN, TPM_E_DELEGATE_FAMILY, TPM_E_DELEGATE_LOCK, TPM_E_DISABLED, TPM_E_DISABLED_CMD, TPM_E_DOING_SELFTEST, TPM_E_DUPLICATE_VHANDLE, TPM_E_EMBEDDED_COMMAND_BLOCKED, TPM_E_EMBEDDED_COMMAND_UNSUPPORTED, TPM_E_ENCRYPT_ERROR, TPM_E_ERROR_MASK, TPM_E_FAIL, TPM_E_FAILEDSELFTEST, TPM_E_FAMILYCOUNT, TPM_E_INAPPROPRIATE_ENC, TPM_E_INAPPROPRIATE_SIG, TPM_E_INSTALL_DISABLED, TPM_E_INVALID_AUTHHANDLE, TPM_E_INVALID_FAMILY, TPM_E_INVALID_HANDLE, TPM_E_INVALID_KEYHANDLE, TPM_E_INVALID_KEYUSAGE, TPM_E_INVALID_PCR_INFO, TPM_E_INVALID_POSTINIT, TPM_E_INVALID_RESOURCE, TPM_E_INVALID_STRUCTURE, TPM_E_IOERROR, TPM_E_KEY_NOTSUPPORTED, TPM_E_KEY_OWNER_CONTROL, TPM_E_KEYNOTFOUND, TPM_E_MA_AUTHORITY, TPM_E_MA_DESTINATION, TPM_E_MA_SOURCE, TPM_E_MA_TICKET_SIGNATURE, TPM_E_MAXNVWRITES, TPM_E_MIGRATEFAIL, TPM_E_NEEDS_SELFTEST, TPM_E_NO_ENDORSEMENT, TPM_E_NO_NV_PERMISSION, TPM_E_NO_WRAP_TRANSPORT, TPM_E_NOCONTEXTSPACE, TPM_E_NOOPERATOR, TPM_E_NOSPACE, TPM_E_NOSRK, TPM_E_NOT_FULLWRITE, TPM_E_NOTFIPS, TPM_E_NOTLOCAL, TPM_E_NOTRESETABLE, TPM_E_NOTSEALED_BLOB, TPM_E_OWNER_CONTROL, TPM_E_OWNER_SET, TPM_E_PER_NOWRITE, TPM_E_PERMANENTEK, TPM_E_PPI_ACPI_FAILURE, TPM_E_PPI_BIOS_FAILURE, TPM_E_PPI_NOT_SUPPORTED, TPM_E_PPI_USER_ABORT, TPM_E_READ_ONLY, TPM_E_REQUIRES_SIGN, TPM_E_RESOURCEMISSING, TPM_E_RESOURCES, TPM_E_RETRY, TPM_E_SHA_ERROR, TPM_E_SHA_THREAD, TPM_E_SHORTRANDOM, TPM_E_SIZE, TPM_E_TOOMANYCONTEXTS, TPM_E_TRANSPORT_NOTEXCLUSIVE, TPM_E_WRITE_LOCKED, TPM_E_WRONG_ENTITYTYPE, TPM_E_WRONGPCRVAL, TPMAPI_E_ACCESS_DENIED, TPMAPI_E_AUTHORIZATION_FAILED, TPMAPI_E_BUFFER_TOO_SMALL, TPMAPI_E_ENCRYPTION_FAILED, TPMAPI_E_FIPS_RNG_CHECK_FAILED, TPMAPI_E_INTERNAL_ERROR, TPMAPI_E_INVALID_CONTEXT_HANDLE, TPMAPI_E_INVALID_CONTEXT_PARAMS, TPMAPI_E_INVALID_DELEGATE_BLOB, TPMAPI_E_INVALID_ENCODING, TPMAPI_E_INVALID_KEY_BLOB, TPMAPI_E_INVALID_KEY_PARAMS, TPMAPI_E_INVALID_KEY_SIZE, TPMAPI_E_INVALID_MIGRATION_AUTHORIZATION_BLOB, TPMAPI_E_INVALID_OUTPUT_POINTER, TPMAPI_E_INVALID_OWNER_AUTH, TPMAPI_E_INVALID_PARAMETER, TPMAPI_E_INVALID_PCR_DATA, TPMAPI_E_INVALID_PCR_INDEX, TPMAPI_E_INVALID_STATE, TPMAPI_E_MESSAGE_TOO_LARGE, TPMAPI_E_NOT_ENOUGH_DATA, TPMAPI_E_OUT_OF_MEMORY, TPMAPI_E_TBS_COMMUNICATION_ERROR, TPMAPI_E_TOO_MUCH_DATA, TPMAPI_E_TPM_COMMAND_ERROR, TRUST_E_ACTION_UNKNOWN, TRUST_E_BAD_DIGEST, TRUST_E_BASIC_CONSTRAINTS, TRUST_E_CERT_SIGNATURE, TRUST_E_COUNTER_SIGNER, TRUST_E_EXPLICIT_DISTRUST, TRUST_E_FAIL, TRUST_E_FINANCIAL_CRITERIA, TRUST_E_NO_SIGNER_CERT, TRUST_E_NOSIGNATURE, TRUST_E_PROVIDER_UNKNOWN, TRUST_E_SUBJECT_FORM_UNKNOWN, TRUST_E_SUBJECT_NOT_TRUSTED, TRUST_E_SYSTEM_ERROR, TRUST_E_TIME_STAMP, TYPE_E_AMBIGUOUSNAME, TYPE_E_BADMODULEKIND, TYPE_E_BUFFERTOOSMALL, TYPE_E_CANTCREATETMPFILE, TYPE_E_CANTLOADLIBRARY, TYPE_E_CIRCULARTYPE, TYPE_E_DLLFUNCTIONNOTFOUND, TYPE_E_DUPLICATEID, TYPE_E_ELEMENTNOTFOUND, TYPE_E_FIELDNOTFOUND, TYPE_E_INCONSISTENTPROPFUNCS, TYPE_E_INVALIDID, TYPE_E_INVALIDSTATE, TYPE_E_INVDATAREAD, TYPE_E_IOERROR, TYPE_E_LIBNOTREGISTERED, TYPE_E_NAMECONFLICT, TYPE_E_OUTOFBOUNDS, TYPE_E_QUALIFIEDNAMEDISALLOWED, TYPE_E_REGISTRYACCESS, TYPE_E_SIZETOOBIG, TYPE_E_TYPEMISMATCH, TYPE_E_UNDEFINEDTYPE, TYPE_E_UNKNOWNLCID, TYPE_E_UNSUPFORMAT, TYPE_E_WRONGTYPEKIND, VIEW_E_DRAW, VIEW_E_FIRST, VIEW_E_LAST, VIEW_S_ALREADY_FROZEN, VIEW_S_FIRST, VIEW_S_LAST, WAIT_TIMEOUT, WARNING_IPSEC_MM_POLICY_PRUNED, WARNING_IPSEC_QM_POLICY_PRUNED, WSA_E_CANCELLED, WSA_E_NO_MORE, WSA_QOS_ADMISSION_FAILURE, WSA_QOS_BAD_OBJECT, WSA_QOS_BAD_STYLE, WSA_QOS_EFILTERCOUNT, WSA_QOS_EFILTERSTYLE, WSA_QOS_EFILTERTYPE, WSA_QOS_EFLOWCOUNT, WSA_QOS_EFLOWDESC, WSA_QOS_EFLOWSPEC, WSA_QOS_EOBJLENGTH, WSA_QOS_EPOLICYOBJ, WSA_QOS_EPROVSPECBUF, WSA_QOS_EPSFILTERSPEC, WSA_QOS_EPSFLOWSPEC, WSA_QOS_ESDMODEOBJ, WSA_QOS_ESERVICETYPE, WSA_QOS_ESHAPERATEOBJ, WSA_QOS_EUNKOWNPSOBJ, WSA_QOS_GENERIC_ERROR, WSA_QOS_NO_RECEIVERS, WSA_QOS_NO_SENDERS, WSA_QOS_POLICY_FAILURE, WSA_QOS_RECEIVERS, WSA_QOS_REQUEST_CONFIRMED, WSA_QOS_RESERVED_PETYPE, WSA_QOS_SENDERS, WSA_QOS_TRAFFIC_CTRL_ERROR, WSABASEERR, WSAEACCES, WSAEADDRINUSE, WSAEADDRNOTAVAIL, WSAEAFNOSUPPORT, WSAEALREADY, WSAEBADF, WSAECANCELLED, WSAECONNABORTED, WSAECONNREFUSED, WSAECONNRESET, WSAEDESTADDRREQ, WSAEDISCON, WSAEDQUOT, WSAEFAULT, WSAEHOSTDOWN, WSAEHOSTUNREACH, WSAEINPROGRESS, WSAEINTR, WSAEINVAL, WSAEINVALIDPROCTABLE, WSAEINVALIDPROVIDER, WSAEISCONN, WSAELOOP, WSAEMFILE, WSAEMSGSIZE, WSAENAMETOOLONG, WSAENETDOWN, WSAENETRESET, WSAENETUNREACH, WSAENOBUFS, WSAENOMORE, WSAENOPROTOOPT, WSAENOTCONN, WSAENOTEMPTY, WSAENOTSOCK, WSAEOPNOTSUPP, WSAEPFNOSUPPORT, WSAEPROCLIM, WSAEPROTONOSUPPORT, WSAEPROTOTYPE, WSAEPROVIDERFAILEDINIT, WSAEREFUSED, WSAEREMOTE, WSAESHUTDOWN, WSAESOCKTNOSUPPORT, WSAESTALE, WSAETIMEDOUT, WSAETOOMANYREFS, WSAEUSERS, WSAEWOULDBLOCK, WSAHOST_NOT_FOUND, WSANO_DATA, WSANO_RECOVERY, WSANOTINITIALISED, WSASERVICE_NOT_FOUND, WSASYSCALLFAILURE, WSASYSNOTREADY, WSATRY_AGAIN, WSATYPE_NOT_FOUND, WSAVERNOTSUPPORTED, XACT_E_ABORTED, XACT_E_ABORTING, XACT_E_ALREADYINPROGRESS, XACT_E_ALREADYOTHERSINGLEPHASE, XACT_E_CANTRETAIN, XACT_E_CLERKEXISTS, XACT_E_CLERKNOTFOUND, XACT_E_COMMITFAILED, XACT_E_COMMITPREVENTED, XACT_E_CONNECTION_DENIED, XACT_E_CONNECTION_DOWN, XACT_E_DEST_TMNOTAVAILABLE, XACT_E_FIRST, XACT_E_HEURISTICABORT, XACT_E_HEURISTICCOMMIT, XACT_E_HEURISTICDAMAGE, XACT_E_HEURISTICDANGER, XACT_E_INDOUBT, XACT_E_INVALIDCOOKIE, XACT_E_INVALIDLSN, XACT_E_ISOLATIONLEVEL, XACT_E_LAST, XACT_E_LOGFULL, XACT_E_NETWORK_TX_DISABLED, XACT_E_NOASYNC, XACT_E_NOENLIST, XACT_E_NOIMPORTOBJECT, XACT_E_NOISORETAIN, XACT_E_NORESOURCE, XACT_E_NOTCURRENT, XACT_E_NOTIMEOUT, XACT_E_NOTRANSACTION, XACT_E_NOTSUPPORTED, XACT_E_PARTNER_NETWORK_TX_DISABLED, XACT_E_RECOVERYINPROGRESS, XACT_E_REENLISTTIMEOUT, XACT_E_REPLAYREQUEST, XACT_E_TIP_CONNECT_FAILED, XACT_E_TIP_DISABLED, XACT_E_TIP_PROTOCOL_ERROR, XACT_E_TIP_PULL_FAILED, XACT_E_TMNOTAVAILABLE, XACT_E_TRANSACTIONCLOSED, XACT_E_UNABLE_TO_LOAD_DTC_PROXY, XACT_E_UNABLE_TO_READ_DTC_CONFIG, XACT_E_UNKNOWNRMGRID, XACT_E_WRONGSTATE, XACT_E_WRONGUOW, XACT_E_XA_TX_DISABLED, XACT_E_XTIONEXISTS, XACT_S_ABORTING, XACT_S_ALLNORETAIN, XACT_S_ASYNC, XACT_S_DEFECT, XACT_S_FIRST, XACT_S_LAST, XACT_S_LASTRESOURCEMANAGER, XACT_S_LOCALLY_OK, XACT_S_MADECHANGESCONTENT, XACT_S_MADECHANGESINFORM, XACT_S_OKINFORM, XACT_S_READONLY, XACT_S_SINGLEPHASE, XACT_S_SOMENORETAIN, XENROLL_E_CANNOT_ADD_ROOT_CERT, XENROLL_E_KEY_NOT_EXPORTABLE, XENROLL_E_KEYSPEC_SMIME_MISMATCH, XENROLL_E_RESPONSE_KA_HASH_MISMATCH, XENROLL_E_RESPONSE_KA_HASH_NOT_FOUND, XENROLL_E_RESPONSE_UNEXPECTED_KA_HASH`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinNT

  `ACCESS_ALLOWED_ACE_TYPE, ACCESS_ALLOWED_CALLBACK_ACE_TYPE, ACCESS_ALLOWED_CALLBACK_OBJECT_ACE_TYPE, ACCESS_ALLOWED_COMPOUND_ACE_TYPE, ACCESS_ALLOWED_OBJECT_ACE_TYPE, ACCESS_DENIED_ACE_TYPE, ACCESS_DENIED_CALLBACK_ACE_TYPE, ACCESS_DENIED_CALLBACK_OBJECT_ACE_TYPE, ACCESS_DENIED_OBJECT_ACE_TYPE, ACCESS_SYSTEM_SECURITY, ACL_REVISION, ACL_REVISION_DS, ACL_REVISION1, ACL_REVISION2, ACL_REVISION3, ACL_REVISION4, BOOLEAN_FALSE, BOOLEAN_TRUE, CACHE_FULLY_ASSOCIATIVE, COMPRESSION_ENGINE_HIBER, COMPRESSION_ENGINE_MAXIMUM, COMPRESSION_ENGINE_STANDARD, COMPRESSION_FORMAT_DEFAULT, COMPRESSION_FORMAT_LZNT1, COMPRESSION_FORMAT_NONE, COMPRESSION_FORMAT_XPRESS, COMPRESSION_FORMAT_XPRESS_HUFF, CONTAINER_INHERIT_ACE, CREATE_ALWAYS, CREATE_NEW, DACL_SECURITY_INFORMATION, DDD_EXACT_MATCH_ON_REMOVE, DDD_NO_BROADCAST_SYSTEM, DDD_RAW_TARGET_PATH, DDD_REMOVE_DEFINITION, DELETE, EVENT_ALL_ACCESS, EVENT_MODIFY_STATE, EVENTLOG_AUDIT_FAILURE, EVENTLOG_AUDIT_SUCCESS, EVENTLOG_BACKWARDS_READ, EVENTLOG_ERROR_TYPE, EVENTLOG_FORWARDS_READ, EVENTLOG_INFORMATION_TYPE, EVENTLOG_SEEK_READ, EVENTLOG_SEQUENTIAL_READ, EVENTLOG_SUCCESS, EVENTLOG_WARNING_TYPE, FILE_ACTION_ADDED, FILE_ACTION_MODIFIED, FILE_ACTION_REMOVED, FILE_ACTION_RENAMED_NEW_NAME, FILE_ACTION_RENAMED_OLD_NAME, FILE_ADD_FILE, FILE_ADD_SUBDIRECTORY, FILE_ALL_ACCESS, FILE_APPEND_DATA, FILE_ATTRIBUTE_ARCHIVE, FILE_ATTRIBUTE_COMPRESSED, FILE_ATTRIBUTE_DEVICE, FILE_ATTRIBUTE_DIRECTORY, FILE_ATTRIBUTE_ENCRYPTED, FILE_ATTRIBUTE_HIDDEN, FILE_ATTRIBUTE_NORMAL, FILE_ATTRIBUTE_NOT_CONTENT_INDEXED, FILE_ATTRIBUTE_OFFLINE, FILE_ATTRIBUTE_READONLY, FILE_ATTRIBUTE_REPARSE_POINT, FILE_ATTRIBUTE_SPARSE_FILE, FILE_ATTRIBUTE_SYSTEM, FILE_ATTRIBUTE_TEMPORARY, FILE_ATTRIBUTE_VIRTUAL, FILE_CASE_PRESERVED_NAMES, FILE_CASE_SENSITIVE_SEARCH, FILE_CREATE_PIPE_INSTANCE, FILE_DELETE_CHILD, FILE_EXECUTE, FILE_FILE_COMPRESSION, FILE_FLAG_BACKUP_SEMANTICS, FILE_FLAG_DELETE_ON_CLOSE, FILE_FLAG_NO_BUFFERING, FILE_FLAG_OPEN_NO_RECALL, FILE_FLAG_OPEN_REPARSE_POINT, FILE_FLAG_OVERLAPPED, FILE_FLAG_POSIX_SEMANTICS, FILE_FLAG_RANDOM_ACCESS, FILE_FLAG_SEQUENTIAL_SCAN, FILE_FLAG_WRITE_THROUGH, FILE_GENERIC_EXECUTE, FILE_GENERIC_READ, FILE_GENERIC_WRITE, FILE_LIST_DIRECTORY, FILE_NAMED_STREAMS, FILE_NOTIFY_CHANGE_ATTRIBUTES, FILE_NOTIFY_CHANGE_CREATION, FILE_NOTIFY_CHANGE_DIR_NAME, FILE_NOTIFY_CHANGE_FILE_NAME, FILE_NOTIFY_CHANGE_LAST_ACCESS, FILE_NOTIFY_CHANGE_LAST_WRITE, FILE_NOTIFY_CHANGE_NAME, FILE_NOTIFY_CHANGE_SECURITY, FILE_NOTIFY_CHANGE_SIZE, FILE_PERSISTENT_ACLS, FILE_READ_ATTRIBUTES, FILE_READ_DATA, FILE_READ_EA, FILE_READ_ONLY_VOLUME, FILE_SEQUENTIAL_WRITE_ONCE, FILE_SHARE_DELETE, FILE_SHARE_READ, FILE_SHARE_WRITE, FILE_SUPPORTS_ENCRYPTION, FILE_SUPPORTS_EXTENDED_ATTRIBUTES, FILE_SUPPORTS_HARD_LINKS, FILE_SUPPORTS_OBJECT_IDS, FILE_SUPPORTS_OPEN_BY_FILE_ID, FILE_SUPPORTS_REMOTE_STORAGE, FILE_SUPPORTS_REPARSE_POINTS, FILE_SUPPORTS_SPARSE_FILES, FILE_SUPPORTS_TRANSACTIONS, FILE_SUPPORTS_USN_JOURNAL, FILE_TRAVERSE, FILE_TYPE_CHAR, FILE_TYPE_DISK, FILE_TYPE_PIPE, FILE_TYPE_REMOTE, FILE_TYPE_UNKNOWN, FILE_UNICODE_ON_DISK, FILE_VOLUME_IS_COMPRESSED, FILE_VOLUME_QUOTAS, FILE_WRITE_ATTRIBUTES, FILE_WRITE_DATA, FILE_WRITE_EA, GENERIC_ALL, GENERIC_EXECUTE, GENERIC_READ, GENERIC_WRITE, GROUP_SECURITY_INFORMATION, INHERIT_ONLY_ACE, INHERITED_ACE, IO_REPARSE_TAG_CSV, IO_REPARSE_TAG_DFS, IO_REPARSE_TAG_DFSR, IO_REPARSE_TAG_HSM, IO_REPARSE_TAG_HSM2, IO_REPARSE_TAG_MOUNT_POINT, IO_REPARSE_TAG_SIS, IO_REPARSE_TAG_SYMLINK, IO_REPARSE_TAG_WIM, KEY_ALL_ACCESS, KEY_CREATE_LINK, KEY_CREATE_SUB_KEY, KEY_ENUMERATE_SUB_KEYS, KEY_EXECUTE, KEY_NOTIFY, KEY_QUERY_VALUE, KEY_READ, KEY_SET_VALUE, KEY_WOW64_32KEY, KEY_WOW64_64KEY, KEY_WOW64_RES, KEY_WRITE, LABEL_SECURITY_INFORMATION, LANG_AFRIKAANS, LANG_ALBANIAN, LANG_ARABIC, LANG_ARMENIAN, LANG_ASSAMESE, LANG_AZERI, LANG_BASQUE, LANG_BELARUSIAN, LANG_BENGALI, LANG_BULGARIAN, LANG_CATALAN, LANG_CHINESE, LANG_CROATIAN, LANG_CZECH, LANG_DANISH, LANG_DIVEHI, LANG_DUTCH, LANG_ENGLISH, LANG_ESTONIAN, LANG_FAEROESE, LANG_FARSI, LANG_FINNISH, LANG_FRENCH, LANG_GALICIAN, LANG_GEORGIAN, LANG_GERMAN, LANG_GREEK, LANG_GUJARATI, LANG_HEBREW, LANG_HINDI, LANG_HUNGARIAN, LANG_ICELANDIC, LANG_INDONESIAN, LANG_INVARIANT, LANG_ITALIAN, LANG_JAPANESE, LANG_KANNADA, LANG_KASHMIRI, LANG_KAZAK, LANG_KONKANI, LANG_KOREAN, LANG_KYRGYZ, LANG_LATVIAN, LANG_LITHUANIAN, LANG_MACEDONIAN, LANG_MALAY, LANG_MALAYALAM, LANG_MANIPURI, LANG_MARATHI, LANG_MONGOLIAN, LANG_NEPALI, LANG_NEUTRAL, LANG_NORWEGIAN, LANG_ORIYA, LANG_POLISH, LANG_PORTUGUESE, LANG_PUNJABI, LANG_ROMANIAN, LANG_RUSSIAN, LANG_SANSKRIT, LANG_SERBIAN, LANG_SINDHI, LANG_SLOVAK, LANG_SLOVENIAN, LANG_SPANISH, LANG_SWAHILI, LANG_SWEDISH, LANG_SYRIAC, LANG_SYSTEM_DEFAULT, LANG_TAMIL, LANG_TATAR, LANG_TELUGU, LANG_THAI, LANG_TURKISH, LANG_UKRAINIAN, LANG_URDU, LANG_USER_DEFAULT, LANG_UZBEK, LANG_VIETNAMESE, LOCALE_INVARIANT, LOCALE_NEUTRAL, LOCALE_SYSTEM_DEFAULT, LOCALE_USER_DEFAULT, LTP_PC_SMT, MAX_ACL_REVISION, MAXBYTE, MAXCHAR, MAXDWORD, MAXLONG, MAXSHORT, MAXWORD, MEM_COALESCE_PLACEHOLDERS, MEM_COMMIT, MEM_DECOMMIT, MEM_FREE, MEM_IMAGE, MEM_LARGE_PAGES, MEM_MAPPED, MEM_PHYSICAL, MEM_PRESERVE_PLACEHOLDER, MEM_PRIVATE, MEM_RELEASE, MEM_RESERVE, MEM_RESET, MEM_RESET_UNDO, MEM_TOP_DOWN, MIN_ACL_REVISION, MINCHAR, MINLONG, MINSHORT, MUTANT_ALL_ACCESS, MUTANT_QUERY_STATE, NLS_VALID_LOCALE_MASK, NO_PROPAGATE_INHERIT_ACE, NUM_DISCHARGE_POLICIES, OBJECT_INHERIT_ACE, OPEN_ALWAYS, OPEN_EXISTING, OWNER_SECURITY_INFORMATION, PAGE_EXECUTE, PAGE_EXECUTE_READ, PAGE_EXECUTE_READWRITE, PAGE_GUARD, PAGE_NOACCESS, PAGE_READONLY, PAGE_READWRITE, PAGE_WRITECOPY, PROCESS_ALL_ACCESS, PROCESS_CREATE_PROCESS, PROCESS_CREATE_THREAD, PROCESS_DUP_HANDLE, PROCESS_NAME_NATIVE, PROCESS_QUERY_INFORMATION, PROCESS_QUERY_LIMITED_INFORMATION, PROCESS_SET_INFORMATION, PROCESS_SET_QUOTA, PROCESS_SUSPEND_RESUME, PROCESS_SYNCHRONIZE, PROCESS_TERMINATE, PROCESS_VM_OPERATION, PROCESS_VM_READ, PROCESS_VM_WRITE, PROTECTED_DACL_SECURITY_INFORMATION, PROTECTED_SACL_SECURITY_INFORMATION, READ_CONTROL, REG_APP_HIVE, REG_BINARY, REG_CREATED_NEW_KEY, REG_DWORD, REG_DWORD_BIG_ENDIAN, REG_DWORD_LITTLE_ENDIAN, REG_EXPAND_SZ, REG_FORCE_RESTORE, REG_FORCE_UNLOAD, REG_FULL_RESOURCE_DESCRIPTOR, REG_HIVE_EXACT_FILE_GROWTH, REG_HIVE_NO_RM, REG_HIVE_SINGLE_LOG, REG_LATEST_FORMAT, REG_LEGAL_CHANGE_FILTER, REG_LEGAL_OPTION, REG_LINK, REG_MULTI_SZ, REG_NO_COMPRESSION, REG_NO_LAZY_FLUSH, REG_NONE, REG_NOTIFY_CHANGE_ATTRIBUTES, REG_NOTIFY_CHANGE_LAST_SET, REG_NOTIFY_CHANGE_NAME, REG_NOTIFY_CHANGE_SECURITY, REG_NOTIFY_THREAD_AGNOSTIC, REG_OPENED_EXISTING_KEY, REG_OPTION_BACKUP_RESTORE, REG_OPTION_CREATE_LINK, REG_OPTION_NON_VOLATILE, REG_OPTION_OPEN_LINK, REG_OPTION_RESERVED, REG_OPTION_VOLATILE, REG_PROCESS_PRIVATE, REG_QWORD, REG_QWORD_LITTLE_ENDIAN, REG_REFRESH_HIVE, REG_RESOURCE_LIST, REG_RESOURCE_REQUIREMENTS_LIST, REG_STANDARD_FORMAT, REG_START_JOURNAL, REG_SZ, REG_WHOLE_HIVE_VOLATILE, SACL_SECURITY_INFORMATION, SE_ASSIGNPRIMARYTOKEN_NAME, SE_AUDIT_NAME, SE_BACKUP_NAME, SE_CHANGE_NOTIFY_NAME, SE_CREATE_GLOBAL_NAME, SE_CREATE_PAGEFILE_NAME, SE_CREATE_PERMANENT_NAME, SE_CREATE_TOKEN_NAME, SE_DACL_AUTO_INHERIT_REQ, SE_DACL_AUTO_INHERITED, SE_DACL_DEFAULTED, SE_DACL_PRESENT, SE_DACL_PROTECTED, SE_DEBUG_NAME, SE_ENABLE_DELEGATION_NAME, SE_GROUP_DEFAULTED, SE_IMPERSONATE_NAME, SE_INC_BASE_PRIORITY_NAME, SE_INCREASE_QUOTA_NAME, SE_LOAD_DRIVER_NAME, SE_LOCK_MEMORY_NAME, SE_MACHINE_ACCOUNT_NAME, SE_MANAGE_VOLUME_NAME, SE_OWNER_DEFAULTED, SE_PRIVILEGE_ENABLED, SE_PRIVILEGE_ENABLED_BY_DEFAULT, SE_PRIVILEGE_REMOVED, SE_PRIVILEGE_USED_FOR_ACCESS, SE_PROF_SINGLE_PROCESS_NAME, SE_REMOTE_SHUTDOWN_NAME, SE_RESTORE_NAME, SE_RM_CONTROL_VALID, SE_SACL_AUTO_INHERIT_REQ, SE_SACL_AUTO_INHERITED, SE_SACL_DEFAULTED, SE_SACL_PRESENT, SE_SACL_PROTECTED, SE_SECURITY_NAME, SE_SELF_RELATIVE, SE_SHUTDOWN_NAME, SE_SYNC_AGENT_NAME, SE_SYSTEM_ENVIRONMENT_NAME, SE_SYSTEM_PROFILE_NAME, SE_SYSTEMTIME_NAME, SE_TAKE_OWNERSHIP_NAME, SE_TCB_NAME, SE_UNDOCK_NAME, SE_UNSOLICITED_INPUT_NAME, SECTION_ALL_ACCESS, SECTION_EXTEND_SIZE, SECTION_MAP_EXECUTE, SECTION_MAP_EXECUTE_EXPLICIT, SECTION_MAP_READ, SECTION_MAP_WRITE, SECTION_QUERY, SECURITY_DESCRIPTOR_REVISION, SECURITY_DYNAMIC_TRACKING, SECURITY_MAX_SID_SIZE, SECURITY_STATIC_TRACKING, SERVICE_ADAPTER, SERVICE_AUTO_START, SERVICE_BOOT_START, SERVICE_DEMAND_START, SERVICE_DISABLED, SERVICE_DRIVER, SERVICE_ERROR_CRITICAL, SERVICE_ERROR_IGNORE, SERVICE_ERROR_NORMAL, SERVICE_ERROR_SEVERE, SERVICE_FILE_SYSTEM_DRIVER, SERVICE_INTERACTIVE_PROCESS, SERVICE_KERNEL_DRIVER, SERVICE_RECOGNIZER_DRIVER, SERVICE_SYSTEM_START, SERVICE_TYPE_ALL, SERVICE_WIN32, SERVICE_WIN32_OWN_PROCESS, SERVICE_WIN32_SHARE_PROCESS, SID_MAX_SUB_AUTHORITIES, SID_RECOMMENDED_SUB_AUTHORITIES, SID_REVISION, SORT_CHINESE_BIG5, SORT_CHINESE_BOPOMOFO, SORT_CHINESE_PRC, SORT_CHINESE_PRCP, SORT_CHINESE_UNICODE, SORT_DEFAULT, SORT_GEORGIAN_MODERN, SORT_GEORGIAN_TRADITIONAL, SORT_GERMAN_PHONE_BOOK, SORT_HUNGARIAN_DEFAULT, SORT_HUNGARIAN_TECHNICAL, SORT_JAPANESE_UNICODE, SORT_JAPANESE_XJIS, SORT_KOREAN_KSC, SORT_KOREAN_UNICODE, SPECIFIC_RIGHTS_ALL, STANDARD_RIGHTS_ALL, STANDARD_RIGHTS_EXECUTE, STANDARD_RIGHTS_READ, STANDARD_RIGHTS_REQUIRED, STANDARD_RIGHTS_WRITE, STATUS_PENDING, SUBLANG_ARABIC_ALGERIA, SUBLANG_ARABIC_BAHRAIN, SUBLANG_ARABIC_EGYPT, SUBLANG_ARABIC_IRAQ, SUBLANG_ARABIC_JORDAN, SUBLANG_ARABIC_KUWAIT, SUBLANG_ARABIC_LEBANON, SUBLANG_ARABIC_LIBYA, SUBLANG_ARABIC_MOROCCO, SUBLANG_ARABIC_OMAN, SUBLANG_ARABIC_QATAR, SUBLANG_ARABIC_SAUDI_ARABIA, SUBLANG_ARABIC_SYRIA, SUBLANG_ARABIC_TUNISIA, SUBLANG_ARABIC_UAE, SUBLANG_ARABIC_YEMEN, SUBLANG_AZERI_CYRILLIC, SUBLANG_AZERI_LATIN, SUBLANG_CHINESE_HONGKONG, SUBLANG_CHINESE_MACAU, SUBLANG_CHINESE_SIMPLIFIED, SUBLANG_CHINESE_SINGAPORE, SUBLANG_CHINESE_TRADITIONAL, SUBLANG_DEFAULT, SUBLANG_DUTCH, SUBLANG_DUTCH_BELGIAN, SUBLANG_ENGLISH_AUS, SUBLANG_ENGLISH_BELIZE, SUBLANG_ENGLISH_CAN, SUBLANG_ENGLISH_CARIBBEAN, SUBLANG_ENGLISH_EIRE, SUBLANG_ENGLISH_JAMAICA, SUBLANG_ENGLISH_NZ, SUBLANG_ENGLISH_PHILIPPINES, SUBLANG_ENGLISH_SOUTH_AFRICA, SUBLANG_ENGLISH_TRINIDAD, SUBLANG_ENGLISH_UK, SUBLANG_ENGLISH_US, SUBLANG_ENGLISH_ZIMBABWE, SUBLANG_FRENCH, SUBLANG_FRENCH_BELGIAN, SUBLANG_FRENCH_CANADIAN, SUBLANG_FRENCH_LUXEMBOURG, SUBLANG_FRENCH_MONACO, SUBLANG_FRENCH_SWISS, SUBLANG_GERMAN, SUBLANG_GERMAN_AUSTRIAN, SUBLANG_GERMAN_LIECHTENSTEIN, SUBLANG_GERMAN_LUXEMBOURG, SUBLANG_GERMAN_SWISS, SUBLANG_ITALIAN, SUBLANG_ITALIAN_SWISS, SUBLANG_KASHMIRI_INDIA, SUBLANG_KASHMIRI_SASIA, SUBLANG_KOREAN, SUBLANG_LITHUANIAN, SUBLANG_MALAY_BRUNEI_DARUSSALAM, SUBLANG_MALAY_MALAYSIA, SUBLANG_NEPALI_INDIA, SUBLANG_NEUTRAL, SUBLANG_NORWEGIAN_BOKMAL, SUBLANG_NORWEGIAN_NYNORSK, SUBLANG_PORTUGUESE, SUBLANG_PORTUGUESE_BRAZILIAN, SUBLANG_SERBIAN_CYRILLIC, SUBLANG_SERBIAN_LATIN, SUBLANG_SPANISH, SUBLANG_SPANISH_ARGENTINA, SUBLANG_SPANISH_BOLIVIA, SUBLANG_SPANISH_CHILE, SUBLANG_SPANISH_COLOMBIA, SUBLANG_SPANISH_COSTA_RICA, SUBLANG_SPANISH_DOMINICAN_REPUBLIC, SUBLANG_SPANISH_ECUADOR, SUBLANG_SPANISH_EL_SALVADOR, SUBLANG_SPANISH_GUATEMALA, SUBLANG_SPANISH_HONDURAS, SUBLANG_SPANISH_MEXICAN, SUBLANG_SPANISH_MODERN, SUBLANG_SPANISH_NICARAGUA, SUBLANG_SPANISH_PANAMA, SUBLANG_SPANISH_PARAGUAY, SUBLANG_SPANISH_PERU, SUBLANG_SPANISH_PUERTO_RICO, SUBLANG_SPANISH_URUGUAY, SUBLANG_SPANISH_VENEZUELA, SUBLANG_SWEDISH, SUBLANG_SWEDISH_FINLAND, SUBLANG_SYS_DEFAULT, SUBLANG_URDU_INDIA, SUBLANG_URDU_PAKISTAN, SUBLANG_UZBEK_CYRILLIC, SUBLANG_UZBEK_LATIN, SYNCHRONIZE, SYSTEM_ALARM_ACE_TYPE, SYSTEM_ALARM_CALLBACK_ACE_TYPE, SYSTEM_ALARM_CALLBACK_OBJECT_ACE_TYPE, SYSTEM_ALARM_OBJECT_ACE_TYPE, SYSTEM_AUDIT_ACE_TYPE, SYSTEM_AUDIT_CALLBACK_ACE_TYPE, SYSTEM_AUDIT_CALLBACK_OBJECT_ACE_TYPE, SYSTEM_AUDIT_OBJECT_ACE_TYPE, SYSTEM_MANDATORY_LABEL_ACE_TYPE, THREAD_ALL_ACCESS, THREAD_DIRECT_IMPERSONATION, THREAD_GET_CONTEXT, THREAD_IMPERSONATE, THREAD_QUERY_INFORMATION, THREAD_QUERY_LIMITED_INFORMATION, THREAD_SET_CONTEXT, THREAD_SET_INFORMATION, THREAD_SET_LIMITED_INFORMATION, THREAD_SET_THREAD_TOKEN, THREAD_SUSPEND_RESUME, THREAD_TERMINATE, TOKEN_ADJUST_DEFAULT, TOKEN_ADJUST_GROUPS, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_SESSIONID, TOKEN_ALL_ACCESS, TOKEN_ALL_ACCESS_P, TOKEN_ASSIGN_PRIMARY, TOKEN_DUPLICATE, TOKEN_EXECUTE, TOKEN_IMPERSONATE, TOKEN_QUERY, TOKEN_QUERY_SOURCE, TOKEN_READ, TOKEN_WRITE, TRUNCATE_EXISTING, UNPROTECTED_DACL_SECURITY_INFORMATION, UNPROTECTED_SACL_SECURITY_INFORMATION, VALID_INHERIT_FLAGS, VER_AND, VER_BUILDNUMBER, VER_CONDITION_MASK, VER_EQUAL, VER_GREATER, VER_GREATER_EQUAL, VER_LESS, VER_LESS_EQUAL, VER_MAJORVERSION, VER_MINORVERSION, VER_NT_DOMAIN_CONTROLLER, VER_NT_SERVER, VER_NT_WORKSTATION, VER_NUM_BITS_PER_CONDITION_MASK, VER_OR, VER_PLATFORM_WIN32_NT, VER_PLATFORM_WIN32_WINDOWS, VER_PLATFORM_WIN32s, VER_PLATFORMID, VER_PRODUCT_TYPE, VER_SERVICEPACKMAJOR, VER_SERVICEPACKMINOR, VER_SUITENAME, WIN32_WINNT_LONGHORN, WIN32_WINNT_NT4, WIN32_WINNT_VISTA, WIN32_WINNT_WIN10, WIN32_WINNT_WIN2K, WIN32_WINNT_WIN6, WIN32_WINNT_WIN7, WIN32_WINNT_WIN8, WIN32_WINNT_WINBLUE, WIN32_WINNT_WINTHRESHOLD, WIN32_WINNT_WINXP, WIN32_WINNT_WS03, WIN32_WINNT_WS08, WRITE_DAC, WRITE_OWNER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `CallNamedPipe(String lpNamedPipeName, byte[] lpInBuffer, int nInBufferSize, byte[] lpOutBuffer, int nOutBufferSize, IntByReference lpBytesRead, int nTimeOut)`
  Connects to a message-type pipe (and waits if an instance of the pipe is not available), writes to and reads from the pipe, and then closes the pipe.
  `boolean`
  `CloseHandle(WinNT.HANDLE hObject)`
  Closes an open object handle.
  `boolean`
  `ConnectNamedPipe(WinNT.HANDLE hNamedPipe, WinBase.OVERLAPPED lpOverlapped)`
  Enables a named pipe server process to wait for a client process to connect to an instance of a named pipe
  `boolean`
  `CopyFile(String lpExistingFileName, String lpNewFileName, boolean bFailIfExists)`
  Copies an existing file to a new file.
  `boolean`
  `CreateDirectory(String lpPathName, WinBase.SECURITY_ATTRIBUTES lpSecurityAttributes)`
  The CreateDirectory function creates a new directory.
  `WinNT.HANDLE`
  `CreateEvent(WinBase.SECURITY_ATTRIBUTES lpEventAttributes, boolean bManualReset, boolean bInitialState, String lpName)`
  Creates or opens a named or unnamed event object.
  `WinNT.HANDLE`
  `CreateFile(String lpFileName, int dwDesiredAccess, int dwShareMode, WinBase.SECURITY_ATTRIBUTES lpSecurityAttributes, int dwCreationDisposition, int dwFlagsAndAttributes, WinNT.HANDLE hTemplateFile)`
  The CreateFile function creates or opens a file, file stream, directory, physical disk, volume, console buffer, tape drive, communications resource, mailslot, or named pipe.
  `WinNT.HANDLE`
  `CreateFileMapping(WinNT.HANDLE hFile, WinBase.SECURITY_ATTRIBUTES lpAttributes, int flProtect, int dwMaximumSizeHigh, int dwMaximumSizeLow, String lpName)`
  Creates or opens a named or unnamed file mapping object for a specified file.
  `WinNT.HANDLE`
  `CreateIoCompletionPort(WinNT.HANDLE FileHandle, WinNT.HANDLE ExistingCompletionPort, Pointer CompletionKey, int NumberOfConcurrentThreads)`
  Creates an input/output (I/O) completion port and associates it with a specified file handle, or creates an I/O completion port that is not yet associated with a file handle, allowing association at a later time.
  `WinNT.HANDLE`
  `CreateMutex(WinBase.SECURITY_ATTRIBUTES lpMutexAttributes, boolean bInitialOwner, String lpName)`
  Creates or opens a named or unnamed mutex object.
  `WinNT.HANDLE`
  `CreateNamedPipe(String lpName, int dwOpenMode, int dwPipeMode, int nMaxInstances, int nOutBufferSize, int nInBufferSize, int nDefaultTimeOut, WinBase.SECURITY_ATTRIBUTES lpSecurityAttributes)`
  `boolean`
  `CreatePipe(WinNT.HANDLEByReference hReadPipe, WinNT.HANDLEByReference hWritePipe, WinBase.SECURITY_ATTRIBUTES lpPipeAttributes, int nSize)`
  Creates an anonymous pipe, and returns handles to the read and write ends of the pipe.
  `boolean`
  `CreateProcess(String lpApplicationName, String lpCommandLine, WinBase.SECURITY_ATTRIBUTES lpProcessAttributes, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, boolean bInheritHandles, WinDef.DWORD dwCreationFlags, Pointer lpEnvironment, String lpCurrentDirectory, WinBase.STARTUPINFO lpStartupInfo, WinBase.PROCESS_INFORMATION lpProcessInformation)`
  Creates a new process and its primary thread.
  `boolean`
  `CreateProcessW(String lpApplicationName, char[] lpCommandLine, WinBase.SECURITY_ATTRIBUTES lpProcessAttributes, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, boolean bInheritHandles, WinDef.DWORD dwCreationFlags, Pointer lpEnvironment, String lpCurrentDirectory, WinBase.STARTUPINFO lpStartupInfo, WinBase.PROCESS_INFORMATION lpProcessInformation)`
  Creates a new process and its primary thread.
  `WinNT.HANDLE`
  `CreateRemoteThread(WinNT.HANDLE hProcess, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, int dwStackSize, WinBase.FOREIGN_THREAD_START_ROUTINE lpStartAddress, Pointer lpParameter, WinDef.DWORD dwCreationFlags, Pointer lpThreadId)`
  Deprecated.
  Use `CreateRemoteThread(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.platform.win32.WinDef.DWORDByReference)`
  `WinNT.HANDLE`
  `CreateRemoteThread(WinNT.HANDLE hProcess, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, int dwStackSize, Pointer lpStartAddress, Pointer lpParameter, int dwCreationFlags, WinDef.DWORDByReference lpThreadId)`
  Creates a thread that runs in the virtual address space of another process.
  `WinNT.HANDLE`
  `CreateToolhelp32Snapshot(WinDef.DWORD dwFlags, WinDef.DWORD th32ProcessID)`
  Takes a snapshot of the specified processes, as well as the heaps, modules, and threads used by these processes.
  `boolean`
  `DefineDosDevice(int dwFlags, String lpDeviceName, String lpTargetPath)`
  Defines, redefines, or deletes MS-DOS device names.
  `boolean`
  `DeleteFile(String filename)`
  Deletes an existing file.
  `boolean`
  `DeleteVolumeMountPoint(String lpszVolumeMountPoint)`
  Deletes a drive letter or mounted folder
  `boolean`
  `DeviceIoControl(WinNT.HANDLE hDevice, int dwIoControlCode, Pointer lpInBuffer, int nInBufferSize, Pointer lpOutBuffer, int nOutBufferSize, IntByReference lpBytesReturned, Pointer lpOverlapped)`
  Sends a control code directly to a specified device driver, causing the corresponding device to perform the corresponding operation.
  `boolean`
  `DisconnectNamedPipe(WinNT.HANDLE hNamedPipe)`
  Disconnects the server end of a named pipe instance from a client process.
  `boolean`
  `DuplicateHandle(WinNT.HANDLE hSourceProcessHandle, WinNT.HANDLE hSourceHandle, WinNT.HANDLE hTargetProcessHandle, WinNT.HANDLEByReference lpTargetHandle, int dwDesiredAccess, boolean bInheritHandle, int dwOptions)`
  The DuplicateHandle function duplicates an object handle.
  `boolean`
  `EnumResourceNames(WinDef.HMODULE hModule, Pointer type, WinBase.EnumResNameProc proc, Pointer lParam)`
  Enumerates resources of a specified type within a binary module.
  `boolean`
  `EnumResourceTypes(WinDef.HMODULE hModule, WinBase.EnumResTypeProc proc, Pointer lParam)`
  Enumerates resource types within a binary module.
  Starting with Windows Vista, this is typically a language-neutral Portable Executable (LN file), and the enumeration also includes resources from one of the corresponding language-specific resource files (.mui files)-if one exists-that contain localizable language resources.
  `void`
  `ExitProcess(int exitCode)`
  Ends the calling process (this process) and all its threads.
  `int`
  `ExpandEnvironmentStrings(String lpSrc, Pointer lpDst, int nSize)`
  Expands environment-variable strings and replaces them with the values defined for the current user.
  `boolean`
  `FileTimeToLocalFileTime(WinBase.FILETIME lpFileTime, WinBase.FILETIME lpLocalFileTime)`
  Converts a file time to a local file time.
  `boolean`
  `FileTimeToSystemTime(WinBase.FILETIME lpFileTime, WinBase.SYSTEMTIME lpSystemTime)`
  Converts a file time to system time format.
  `boolean`
  `FindClose(WinNT.HANDLE hFindFile)`
  Closes a file search handle opened by the FindFirstFile, FindFirstFileEx, FindFirstFileNameW, FindFirstFileNameTransactedW, FindFirstFileTransacted, FindFirstStreamTransactedW, or FindFirstStreamW functions.
  `WinNT.HANDLE`
  `FindFirstFile(String lpFileName, Pointer lpFindFileData)`
  Searches a directory for a file or subdirectory with a name that matches a specific name (or partial name if wildcards are used).
  `WinNT.HANDLE`
  `FindFirstFileEx(String lpFileName, int fInfoLevelId, Pointer lpFindFileData, int fSearchOp, Pointer lpSearchFilter, WinDef.DWORD dwAdditionalFlags)`
  Searches a directory for a file or subdirectory with a name and attributes that match those specified.
  `WinNT.HANDLE`
  `FindFirstVolume(char[] lpszVolumeName, int cchBufferLength)`
  Retrieves the name of a volume on a computer - used to begin scanning the volumes of a computer
  `WinNT.HANDLE`
  `FindFirstVolumeMountPoint(String lpszRootPathName, char[] lpszVolumeMountPoint, int cchBufferLength)`
  Retrieves the name of a mounted folder on the specified volume - used to begin scanning the mounted folders on a volume
  `boolean`
  `FindNextFile(WinNT.HANDLE hFindFile, Pointer lpFindFileData)`
  Continues a file search from a previous call to the FindFirstFile, FindFirstFileEx, or FindFirstFileTransacted functions.
  `boolean`
  `FindNextVolume(WinNT.HANDLE hFindVolume, char[] lpszVolumeName, int cchBufferLength)`
  Continues a volume search started by a call to the `FindFirstVolume(char[], int)` function - finds one volume per call.
  `boolean`
  `FindNextVolumeMountPoint(WinNT.HANDLE hFindVolumeMountPoint, char[] lpszVolumeMountPoint, int cchBufferLength)`
  Continues a mounted folder search started by a call to the `FindFirstVolumeMountPoint(String, char[], int)` function - finds one (next) mounted folder per call.
  `WinDef.HRSRC`
  `FindResource(WinDef.HMODULE hModule, Pointer name, Pointer type)`
  Determines the location of a resource with the specified type and name in the specified module.
  To specify a language, use the FindResourceEx function.
  `boolean`
  `FindVolumeClose(WinNT.HANDLE hFindVolume)`
  Closes the specified volume search handle.
  `boolean`
  `FindVolumeMountPointClose(WinNT.HANDLE hFindVolumeMountPoint)`
  Closes the specified mounted folder search handle.
  `boolean`
  `FlushFileBuffers(WinNT.HANDLE hFile)`
  Flushes the buffers of a specified file and causes all buffered data to be written to a file.
  `int`
  `FormatMessage(int dwFlags, Pointer lpSource, int dwMessageId, int dwLanguageId, PointerByReference lpBuffer, int nSize, Pointer va_list)`
  The FormatMessage function formats a message string.
  `boolean`
  `FreeEnvironmentStrings(Pointer lpszEnvironmentBlock)`
  `boolean`
  `FreeLibrary(WinDef.HMODULE module)`
  Frees the loaded dynamic-link library (DLL) module and, if necessary, decrements its reference count.
  `WinNT.HRESULT`
  `GetApplicationRestartSettings(WinNT.HANDLE hProcess, char[] pwzCommandline, IntByReference pcchSize, IntByReference pdwFlags)`
  Retrieves the restart information registered for the specified process.
  `boolean`
  `GetCommState(WinNT.HANDLE hFile, WinBase.DCB lpDCB)`
  Retrieves the current control settings for a specified communications device.
  `boolean`
  `GetCommTimeouts(WinNT.HANDLE hFile, WinBase.COMMTIMEOUTS lpCommTimeouts)`
  Retrieves the time-out parameters for all read and write operations on a specified communications device.
  For more information about time-out values for communications devices, see the `SetCommTimeouts(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinBase.COMMTIMEOUTS)` function.
  `boolean`
  `GetComputerName(char[] buffer, IntByReference lpnSize)`
  Retrieves only the NetBIOS name of the local computer.
  `boolean`
  `GetComputerNameEx(int nameType, char[] buffer, IntByReference lpnSize)`
  Retrieves a NetBIOS or DNS name associated with the local computer, according to the `nameType` enumeration value
  `WinNT.HANDLE`
  `GetCurrentProcess()`
  This function returns a pseudohandle for the current process.
  `int`
  `GetCurrentProcessId()`
  This function returns the process identifier of the calling process.
  `WinNT.HANDLE`
  `GetCurrentThread()`
  The GetCurrentThread function retrieves a pseudo handle for the current thread.
  `int`
  `GetCurrentThreadId()`
  The GetCurrentThreadId function retrieves the thread identifier of the calling thread.
  `boolean`
  `GetDiskFreeSpace(String lpRootPathName, WinDef.DWORDByReference lpSectorsPerCluster, WinDef.DWORDByReference lpBytesPerSector, WinDef.DWORDByReference lpNumberOfFreeClusters, WinDef.DWORDByReference lpTotalNumberOfClusters)`
  Retrieves information about the specified disk, including the amount of free space on the disk
  `boolean`
  `GetDiskFreeSpaceEx(String lpDirectoryName, WinNT.LARGE_INTEGER lpFreeBytesAvailable, WinNT.LARGE_INTEGER lpTotalNumberOfBytes, WinNT.LARGE_INTEGER lpTotalNumberOfFreeBytes)`
  The GetDiskFreeSpaceEx function retrieves information about the amount of space that is available on a disk volume, which is the total amount of space, the total amount of free space, and the total amount of free space available to the user that is associated with the calling thread.
  `int`
  `GetDriveType(String lpRootPathName)`
  Determines whether a disk drive is a removable, fixed, CD-ROM, RAM disk, or network drive.
  `Pointer`
  `GetEnvironmentStrings()`
  Retrieves the environment variables for the current process.
  `int`
  `GetEnvironmentVariable(String lpName, char[] lpBuffer, int nSize)`
  Retrieves the contents of the specified variable from the environment block of the calling process.
  `boolean`
  `GetExitCodeProcess(WinNT.HANDLE hProcess, IntByReference lpExitCode)`
  Retrieves the termination status of the specified process.
  `boolean`
  `GetExitCodeThread(WinNT.HANDLE hThread, IntByReference exitCode)`
  Retrieves the termination status of the specified thread.
  `int`
  `GetFileAttributes(String lpFileName)`
  Retrieves file system attributes for a specified file or directory.
  `boolean`
  `GetFileInformationByHandleEx(WinNT.HANDLE hFile, int FileInformationClass, Pointer lpFileInformation, WinDef.DWORD dwBufferSize)`
  Retrieves file information for the specified file.
  `boolean`
  `GetFileTime(WinNT.HANDLE hFile, WinBase.FILETIME lpCreationTime, WinBase.FILETIME lpLastAccessTime, WinBase.FILETIME lpLastWriteTime)`
  Retrieves the date and time that a file or directory was created, last accessed, and last modified.
  `int`
  `GetFileType(WinNT.HANDLE hFile)`
  Retrieves the file type of the specified file.
  `int`
  `GetLastError()`
  The GetLastError function retrieves the calling thread's last-error code value.
  `void`
  `GetLocalTime(WinBase.SYSTEMTIME lpSystemTime)`
  Retrieves the current local date and time.
  `WinDef.DWORD`
  `GetLogicalDriveStrings(WinDef.DWORD nBufferLength, char[] lpBuffer)`
  The GetLogicalDriveStrings function fills a buffer with strings that specify valid drives in the system.
  `boolean`
  `GetLogicalProcessorInformation(Pointer buffer, WinDef.DWORDByReference returnLength)`
  Retrieves information about logical processors and related hardware.
  `boolean`
  `GetLogicalProcessorInformationEx(int relationshipType, Pointer buffer, WinDef.DWORDByReference returnedLength)`
  Retrieves information about the relationships of logical processors and related hardware.
  `WinDef.HMODULE`
  `GetModuleHandle(String name)`
  The GetModuleHandle function retrieves a module handle for the specified module if the file has been mapped into the address space of the calling process.
  `boolean`
  `GetNamedPipeClientComputerName(WinNT.HANDLE Pipe, char[] ClientComputerName, int ClientComputerNameLength)`
  Retrieves the client computer name for the specified named pipe.
  `boolean`
  `GetNamedPipeClientProcessId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ClientProcessId)`
  `boolean`
  `GetNamedPipeClientSessionId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ClientSessionId)`
  `boolean`
  `GetNamedPipeHandleState(WinNT.HANDLE hNamedPipe, IntByReference lpState, IntByReference lpCurInstances, IntByReference lpMaxCollectionCount, IntByReference lpCollectDataTimeout, char[] lpUserName, int nMaxUserNameSize)`
  Retrieves information about a specified named pipe.
  `boolean`
  `GetNamedPipeInfo(WinNT.HANDLE hNamedPipe, IntByReference lpFlags, IntByReference lpOutBufferSize, IntByReference lpInBufferSize, IntByReference lpMaxInstances)`
  Retrieves information about the specified named pipe.
  `boolean`
  `GetNamedPipeServerProcessId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ServerProcessId)`
  `boolean`
  `GetNamedPipeServerSessionId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ServerSessionId)`
  `void`
  `GetNativeSystemInfo(WinBase.SYSTEM_INFO lpSystemInfo)`
  The GetNativeSystemInfo function retrieves information about the current system to an application running under WOW64.
  `WinDef.DWORD`
  `GetPriorityClass(WinNT.HANDLE hProcess)`
  Gets the priority class of the specified process.
  `int`
  `GetPrivateProfileInt(String appName, String keyName, int defaultValue, String fileName)`
  Retrieves an integer associated with a key in the specified section of an initialization file.
  `WinDef.DWORD`
  `GetPrivateProfileSection(String lpAppName, char[] lpReturnedString, WinDef.DWORD nSize, String lpFileName)`
  Retrieves all the keys and values for the specified section of an initialization file.
  `WinDef.DWORD`
  `GetPrivateProfileSectionNames(char[] lpszReturnBuffer, WinDef.DWORD nSize, String lpFileName)`
  Retrieves the names of all sections in an initialization file.
  `WinDef.DWORD`
  `GetPrivateProfileString(String lpAppName, String lpKeyName, String lpDefault, char[] lpReturnedString, WinDef.DWORD nSize, String lpFileName)`
  Retrieves a string from the specified section in an initialization file.
  `Pointer`
  `GetProcAddress(WinDef.HMODULE hmodule, int ordinal)`
  Retrieves the address of an exported function or variable from the specified dynamic-link library (DLL).
  `boolean`
  `GetProcessAffinityMask(WinNT.HANDLE hProcess, BaseTSD.ULONG_PTRByReference lpProcessAffinityMask, BaseTSD.ULONG_PTRByReference lpSystemAffinityMask)`
  Retrieves the process affinity mask for the specified process and the system affinity mask for the system.
  `int`
  `GetProcessId(WinNT.HANDLE process)`
  The GetProcessId function retrieves the process identifier of the specified process.
  `boolean`
  `GetProcessIoCounters(WinNT.HANDLE hProcess, WinNT.IO_COUNTERS lpIoCounters)`
  Retrieves accounting information for all I/O operations performed by the specified process.
  `boolean`
  `GetProcessTimes(WinNT.HANDLE hProcess, WinBase.FILETIME lpCreationTime, WinBase.FILETIME lpExitTime, WinBase.FILETIME lpKernelTime, WinBase.FILETIME lpUserTime)`
  Retrieves timing information for the specified process.
  `int`
  `GetProcessVersion(int processId)`
  The GetProcessVersion function retrieves the major and minor version numbers of the system on which the specified process expects to run.
  `boolean`
  `GetQueuedCompletionStatus(WinNT.HANDLE CompletionPort, IntByReference lpNumberOfBytes, BaseTSD.ULONG_PTRByReference lpCompletionKey, PointerByReference lpOverlapped, int dwMilliseconds)`
  Attempts to dequeue an I/O completion packet from the specified I/O completion port.
  `int`
  `GetShortPathName(String lpszLongPath, char[] lpdzShortPath, int cchBuffer)`
  Retrieves the short path form of the specified path.
  `WinDef.LCID`
  `GetSystemDefaultLCID()`
  Returns the locale identifier for the system locale.
  `void`
  `GetSystemInfo(WinBase.SYSTEM_INFO lpSystemInfo)`
  The GetSystemInfo function returns information about the current system.
  `void`
  `GetSystemTime(WinBase.SYSTEMTIME lpSystemTime)`
  The GetSystemTime function retrieves the current system date and time.
  `boolean`
  `GetSystemTimes(WinBase.FILETIME lpIdleTime, WinBase.FILETIME lpKernelTime, WinBase.FILETIME lpUserTime)`
  Retrieves system timing information.
  `WinDef.DWORD`
  `GetTempPath(WinDef.DWORD nBufferLength, char[] buffer)`
  The GetTempPath function retrieves the path of the directory designated for temporary files.
  `int`
  `GetThreadPriority(WinNT.HANDLE hProcess)`
  Gets the priority value of the specified thread.
  `int`
  `GetTickCount()`
  The GetTickCount function retrieves the number of milliseconds that have elapsed since the system was started, up to 49.7 days.
  `long`
  `GetTickCount64()`
  The GetTickCount64 function retrieves the number of milliseconds that have elapsed since the system was started.
  `WinDef.LCID`
  `GetUserDefaultLCID()`
  Returns the locale identifier for the user default locale.
  `WinDef.DWORD`
  `GetVersion()`
  The GetVersion function returns the current version number of the operating system.
  `boolean`
  `GetVersionEx(WinNT.OSVERSIONINFO lpVersionInfo)`
  The GetVersionEx function obtains extended information about the version of the operating system that is currently running.
  `boolean`
  `GetVersionEx(WinNT.OSVERSIONINFOEX lpVersionInfo)`
  The GetVersionEx function obtains extended information about the version of the operating system that is currently running.
  `boolean`
  `GetVolumeInformation(String lpRootPathName, char[] lpVolumeNameBuffer, int nVolumeNameSize, IntByReference lpVolumeSerialNumber, IntByReference lpMaximumComponentLength, IntByReference lpFileSystemFlags, char[] lpFileSystemNameBuffer, int nFileSystemNameSize)`
  `boolean`
  `GetVolumeNameForVolumeMountPoint(String lpszVolumeMountPoint, char[] lpszVolumeName, int cchBufferLength)`
  Retrieves a volume GUID path for the volume that is associated with the specified volume mount point (drive letter, volume GUID path, or mounted folder).
  `boolean`
  `GetVolumePathName(String lpszFileName, char[] lpszVolumePathName, int cchBufferLength)`
  Retrieves the volume mount point where the specified path is mounted.
  `boolean`
  `GetVolumePathNamesForVolumeName(String lpszVolumeName, char[] lpszVolumePathNames, int cchBufferLength, IntByReference lpcchReturnLength)`
  Retrieves a list of drive letters and mounted folder paths for the specified volume
  `Pointer`
  `GlobalFree(Pointer hGlobal)`
  Frees the specified global memory object and invalidates its handle.
  `boolean`
  `GlobalMemoryStatusEx(WinBase.MEMORYSTATUSEX lpBuffer)`
  Retrieves information about the system's current usage of both physical and virtual memory.
  `boolean`
  `IsProcessorFeaturePresent(int ProcessorFeature)`
  Determines whether the specified processor feature is supported by the current computer.
  `boolean`
  `IsWow64Process(WinNT.HANDLE hProcess, IntByReference Wow64Process)`
  The IsWow64Process function determines whether the specified process is running under WOW64.
  `WinDef.HMODULE`
  `LoadLibraryEx(String lpFileName, WinNT.HANDLE hFile, int flags)`
  Loads the specified module into the address space of the calling process.
  `WinNT.HANDLE`
  `LoadResource(WinDef.HMODULE hModule, WinDef.HRSRC hResource)`
  Retrieves a handle that can be used to obtain a pointer to the first byte of the specified resource in memory.
  `Pointer`
  `LocalAlloc(int uFlags, int uBytes)`
  The LocalAlloc function allocates the specified number of bytes from the heap.
  `Pointer`
  `LocalFree(Pointer hMem)`
  Frees the specified local memory object and invalidates its handle.
  `Pointer`
  `LockResource(WinNT.HANDLE hResource)`
  Retrieves a pointer to the specified resource in memory.
  `Pointer`
  `MapViewOfFile(WinNT.HANDLE hFileMappingObject, int dwDesiredAccess, int dwFileOffsetHigh, int dwFileOffsetLow, int dwNumberOfBytesToMap)`
  Maps a view of a file mapping into the address space of a calling process.
  `boolean`
  `Module32FirstW(WinNT.HANDLE hSnapshot, Tlhelp32.MODULEENTRY32W lpme)`
  Retrieves information about the first module associated with a process.
  `boolean`
  `Module32NextW(WinNT.HANDLE hSnapshot, Tlhelp32.MODULEENTRY32W lpme)`
  Retrieves information about the next module associated with a process or thread.
  `boolean`
  `MoveFile(String lpExistingFileName, String lpNewFileName)`
  Moves an existing file or a directory, including its children.
  `boolean`
  `MoveFileEx(String lpExistingFileName, String lpNewFileName, WinDef.DWORD dwFlags)`
  Moves an existing file or directory, including its children, with various move options.
  `WinNT.HANDLE`
  `OpenEvent(int dwDesiredAccess, boolean bInheritHandle, String lpName)`
  Opens an existing named event object.
  `WinNT.HANDLE`
  `OpenFileMapping(int dwDesiredAccess, boolean bInheritHandle, String lpName)`
  Opens a named file mapping object.
  `WinNT.HANDLE`
  `OpenMutex(int dwDesiredAccess, boolean bInheritHandle, String lpName)`
  Opens an existing named mutex object.
  `WinNT.HANDLE`
  `OpenProcess(int fdwAccess, boolean fInherit, int IDProcess)`
  This function returns a handle to an existing process object.
  `WinNT.HANDLE`
  `OpenThread(int dwDesiredAccess, boolean bInheritHandle, int dwThreadId)`
  The OpenThread function opens an existing thread object.
  `boolean`
  `PeekNamedPipe(WinNT.HANDLE hNamedPipe, byte[] lpBuffer, int nBufferSize, IntByReference lpBytesRead, IntByReference lpTotalBytesAvail, IntByReference lpBytesLeftThisMessage)`
  Copies data from a named or anonymous pipe into a buffer without removing it from the pipe.
  `boolean`
  `PostQueuedCompletionStatus(WinNT.HANDLE CompletionPort, int dwNumberOfBytesTransferred, Pointer dwCompletionKey, WinBase.OVERLAPPED lpOverlapped)`
  Posts an I/O completion packet to an I/O completion port.
  `boolean`
  `Process32First(WinNT.HANDLE hSnapshot, Tlhelp32.PROCESSENTRY32 lppe)`
  Retrieves information about the first process encountered in a system snapshot.
  `boolean`
  `Process32Next(WinNT.HANDLE hSnapshot, Tlhelp32.PROCESSENTRY32 lppe)`
  Retrieves information about the next process recorded in a system snapshot.
  `boolean`
  `ProcessIdToSessionId(int dwProcessId, IntByReference pSessionId)`
  http://msdn.microsoft.com/en-us/library/aa382990(v=vs.85).aspx
  Retrieves the Remote Desktop Services session associated with a specified process.
  `boolean`
  `PulseEvent(WinNT.HANDLE hEvent)`
  Sets the specified event object to the signaled state and then resets it to the nonsignaled state after releasing the appropriate number of waiting threads.
  `int`
  `QueryDosDevice(String lpDeviceName, char[] lpTargetPath, int ucchMax)`
  Retrieves information about MS-DOS device names
  `boolean`
  `QueryFullProcessImageName(WinNT.HANDLE hProcess, int dwFlags, char[] lpExeName, IntByReference lpdwSize)`
  This function retrieves the full path of the executable file of a given process.
  `boolean`
  `ReadDirectoryChangesW(WinNT.HANDLE directory, WinNT.FILE_NOTIFY_INFORMATION info, int length, boolean watchSubtree, int notifyFilter, IntByReference bytesReturned, WinBase.OVERLAPPED overlapped, WinNT.OVERLAPPED_COMPLETION_ROUTINE completionRoutine)`
  Retrieves information that describes the changes within the specified directory.
  `boolean`
  `ReadFile(WinNT.HANDLE hFile, byte[] lpBuffer, int nNumberOfBytesToRead, IntByReference lpNumberOfBytesRead, WinBase.OVERLAPPED lpOverlapped)`
  Reads data from the specified file or input/output (I/O) device.
  `boolean`
  `ReadProcessMemory(WinNT.HANDLE hProcess, Pointer lpBaseAddress, Pointer lpBuffer, int nSize, IntByReference lpNumberOfBytesRead)`
  Reads data from an area of memory in a specified process.
  `WinNT.HRESULT`
  `RegisterApplicationRestart(char[] pwzCommandline, int dwFlags)`
  Registers the active instance of an application for restart.
  `boolean`
  `ReleaseMutex(WinNT.HANDLE handle)`
  Releases ownership of the specified mutex object.
  `boolean`
  `ResetEvent(WinNT.HANDLE hEvent)`
  Resets (to non-signaled state) the specified event object.
  `boolean`
  `SetCommState(WinNT.HANDLE hFile, WinBase.DCB lpDCB)`
  Configures a communications device according to the specifications in a device-control block (a `WinBase.DCB` structure).
  `boolean`
  `SetCommTimeouts(WinNT.HANDLE hFile, WinBase.COMMTIMEOUTS lpCommTimeouts)`
  Sets the time-out parameters for all read and write operations on a specified communications device.
  `boolean`
  `SetEnvironmentVariable(String lpName, String lpValue)`
  The SetEnvironmentVariable function sets the contents of the specified environment variable for the current process.
  `int`
  `SetErrorMode(int umode)`
  Controls whether the system will handle the specified types of serious errors or whether the process will handle them.
  `boolean`
  `SetEvent(WinNT.HANDLE hEvent)`
  Sets the specified event object to the signaled state.
  `boolean`
  `SetFileAttributes(String lpFileName, WinDef.DWORD dwFileAttributes)`
  Sets the attributes for a file or directory.
  `boolean`
  `SetFileInformationByHandle(WinNT.HANDLE hFile, int FileInformationClass, Pointer lpFileInformation, WinDef.DWORD dwBufferSize)`
  Sets the file information for the specified file.
  `int`
  `SetFileTime(WinNT.HANDLE hFile, WinBase.FILETIME lpCreationTime, WinBase.FILETIME lpLastAccessTime, WinBase.FILETIME lpLastWriteTime)`
  Sets the date and time that the specified file or directory was created, last accessed, or last modified.
  `boolean`
  `SetHandleInformation(WinNT.HANDLE hObject, int dwMask, int dwFlags)`
  Sets certain properties of an object handle.
  `void`
  `SetLastError(int dwErrCode)`
  The SetLastError function sets the last-error code for the calling thread.
  `boolean`
  `SetLocalTime(WinBase.SYSTEMTIME lpSystemTime)`
  Sets the current local time and date
  `boolean`
  `SetNamedPipeHandleState(WinNT.HANDLE hNamedPipe, IntByReference lpMode, IntByReference lpMaxCollectionCount, IntByReference lpCollectDataTimeout)`
  Sets the read mode and the blocking mode of the specified named pipe.
  `boolean`
  `SetPriorityClass(WinNT.HANDLE hProcess, WinDef.DWORD dwPriorityClass)`
  Sets the priority class for the specified process.
  `boolean`
  `SetProcessAffinityMask(WinNT.HANDLE hProcess, BaseTSD.ULONG_PTR dwProcessAffinityMask)`
  Sets a processor affinity mask for the threads of the specified process.
  `boolean`
  `SetSystemTime(WinBase.SYSTEMTIME lpSystemTime)`
  The SetSystemTime function modifies the current system date and time.
  `int`
  `SetThreadExecutionState(int esFlags)`
  Enables an application to inform the system that it is in use, thereby preventing the system from entering sleep or turning off the display while the application is running.
  `boolean`
  `SetThreadPriority(WinNT.HANDLE hThread, int nPriority)`
  Sets the priority value for the specified thread.
  `boolean`
  `SetVolumeLabel(String lpRootPathName, String lpVolumeName)`
  Sets the label of a file system volume.
  `boolean`
  `SetVolumeMountPoint(String lpszVolumeMountPoint, String lpszVolumeName)`
  Associates a volume with a drive letter or a directory on another volume.
  `int`
  `SizeofResource(WinDef.HMODULE hModule, WinNT.HANDLE hResource)`
  `boolean`
  `SystemTimeToFileTime(WinBase.SYSTEMTIME lpSystemTime, WinBase.FILETIME lpFileTime)`
  Converts a system time to file time format.
  `boolean`
  `SystemTimeToTzSpecificLocalTime(WinBase.TIME_ZONE_INFORMATION lpTimeZone, WinBase.SYSTEMTIME lpUniversalTime, WinBase.SYSTEMTIME lpLocalTime)`
  Converts a time in Coordinated Universal Time (UTC) to a specified time zone's corresponding local time.
  `boolean`
  `TerminateProcess(WinNT.HANDLE hProcess, int uExitCode)`
  Terminates the specified process and all of its threads.
  `boolean`
  `Thread32First(WinNT.HANDLE hSnapshot, Tlhelp32.THREADENTRY32 lpte)`
  Retrieves information about the first thread of any process encountered in a system snapshot.
  `boolean`
  `Thread32Next(WinNT.HANDLE hSnapshot, Tlhelp32.THREADENTRY32 lpte)`
  Retrieves information about the next process recorded in a system snapshot.
  `boolean`
  `TransactNamedPipe(WinNT.HANDLE hNamedPipe, byte[] lpInBuffer, int nInBufferSize, byte[] lpOutBuffer, int nOutBufferSize, IntByReference lpBytesRead, WinBase.OVERLAPPED lpOverlapped)`
  Combines the functions that write a message to and read a message from the specified named pipe into a single network operation.
  `boolean`
  `UnmapViewOfFile(Pointer lpBaseAddress)`
  Unmaps a mapped view of a file from the calling process's address space.
  `WinNT.HRESULT`
  `UnregisterApplicationRestart()`
  Removes the active instance of an application from the restart list.
  `boolean`
  `VerifyVersionInfoW(WinNT.OSVERSIONINFOEX lpVersionInformation, int dwTypeMask, long dwlConditionMask)`
  Compares a set of operating system version requirements to the corresponding values for the currently running version of the system.
  `long`
  `VerSetConditionMask(long conditionMask, int typeMask, byte condition)`
  Sets the bits of a 64-bit value to indicate the comparison operator to use for a specified operating system version attribute.
  `Pointer`
  `VirtualAllocEx(WinNT.HANDLE hProcess, Pointer lpAddress, BaseTSD.SIZE_T dwSize, int flAllocationType, int flProtect)`
  Reserves, commits, or changes the state of a region of memory within the virtual address space of a specified process.
  `boolean`
  `VirtualFreeEx(WinNT.HANDLE hProcess, Pointer lpAddress, BaseTSD.SIZE_T dwSize, int dwFreeType)`
  Releases, decommits, or releases and decommits a region of memory within the virtual address space of a specified process.
  `boolean`
  `VirtualLock(Pointer lpAddress, BaseTSD.SIZE_T dwSize)`
  Locks the specified region of the process's virtual address space into physical memory, ensuring that subsequent access to the region will not incur a page fault.
  `BaseTSD.SIZE_T`
  `VirtualQueryEx(WinNT.HANDLE hProcess, Pointer lpAddress, WinNT.MEMORY_BASIC_INFORMATION lpBuffer, BaseTSD.SIZE_T dwLength)`
  Retrieves information about a range of pages within the virtual address space of a specified process.
  `boolean`
  `VirtualUnlock(Pointer lpAddress, BaseTSD.SIZE_T dwSize)`
  Unlocks a specified range of pages in the virtual address space of a process, enabling the system to swap the pages out to the paging file if necessary.
  `int`
  `WaitForMultipleObjects(int nCount, WinNT.HANDLE[] hHandle, boolean bWaitAll, int dwMilliseconds)`
  Waits until one or all of the specified objects are in the signaled state or the time-out interval elapses.
  `int`
  `WaitForSingleObject(WinNT.HANDLE hHandle, int dwMilliseconds)`
  Waits until the specified object is in the signaled state or the time-out interval elapses.
  `boolean`
  `WaitNamedPipe(String lpNamedPipeName, int nTimeOut)`
  Waits until either a time-out interval elapses or an instance of the specified named pipe is available for connection - i.e., the pipe's server process has a pending `ConnectNamedPipe(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinBase.OVERLAPPED)` operation on the pipe.
  `boolean`
  `WriteFile(WinNT.HANDLE hFile, byte[] lpBuffer, int nNumberOfBytesToWrite, IntByReference lpNumberOfBytesWritten, WinBase.OVERLAPPED lpOverlapped)`
  Writes data to the specified file or input/output (I/O) device.
  `boolean`
  `WritePrivateProfileSection(String lpAppName, String lpString, String lpFileName)`
  `boolean`
  `WritePrivateProfileString(String lpAppName, String lpKeyName, String lpString, String lpFileName)`
  Copies a string into the specified section of an initialization file.
  `boolean`
  `WriteProcessMemory(WinNT.HANDLE hProcess, Pointer lpBaseAddress, Pointer lpBuffer, int nSize, IntByReference lpNumberOfBytesWritten)`
  Writes data to an area of memory in a specified process.

  ### Methods inherited from interface com.sun.jna.platform.win32.Wincon

  `AllocConsole, AttachConsole, FlushConsoleInputBuffer, FreeConsole, GenerateConsoleCtrlEvent, GetConsoleCP, GetConsoleDisplayMode, GetConsoleMode, GetConsoleOriginalTitle, GetConsoleOutputCP, GetConsoleScreenBufferInfo, GetConsoleTitle, GetConsoleWindow, GetNumberOfConsoleInputEvents, GetNumberOfConsoleMouseButtons, GetStdHandle, ReadConsoleInput, SetConsoleCP, SetConsoleMode, SetConsoleOutputCP, SetConsoleTitle, SetStdHandle, WriteConsole`

- ## Field Details

  - ### INSTANCE

    static final Kernel32 INSTANCE
    The instance.

  - ### LOAD_LIBRARY_AS_DATAFILE

    static final int LOAD_LIBRARY_AS_DATAFILE
    LOAD_LIBRARY_AS_DATAFILE
    0x00000002
    If this value is used, the system maps the file into the calling process's virtual address space as if it were a data file.
    Nothing is done to execute or prepare to execute the mapped file.
    Therefore, you cannot call functions like GetModuleFileName , GetModuleHandle or GetProcAddress with this DLL. Using this value causes writes to read-only memory to raise an access violation.
    Use this flag when you want to load a DLL only to extract messages or resources from it.
    This value can be used with LOAD_LIBRARY_AS_IMAGE_RESOURCE. For more information, see Remarks.
    See Also:
      - Constant Field Values

  - ### NORMAL_PRIORITY_CLASS

    static final WinDef.DWORD NORMAL_PRIORITY_CLASS
    Process priority classes

  - ### IDLE_PRIORITY_CLASS

    static final WinDef.DWORD IDLE_PRIORITY_CLASS

  - ### HIGH_PRIORITY_CLASS

    static final WinDef.DWORD HIGH_PRIORITY_CLASS

  - ### REALTIME_PRIORITY_CLASS

    static final WinDef.DWORD REALTIME_PRIORITY_CLASS

  - ### BELOW_NORMAL_PRIORITY_CLASS

    static final WinDef.DWORD BELOW_NORMAL_PRIORITY_CLASS

  - ### ABOVE_NORMAL_PRIORITY_CLASS

    static final WinDef.DWORD ABOVE_NORMAL_PRIORITY_CLASS

  - ### PROCESS_MODE_BACKGROUND_BEGIN

    static final WinDef.DWORD PROCESS_MODE_BACKGROUND_BEGIN
    Process mode flags

  - ### PROCESS_MODE_BACKGROUND_END

    static final WinDef.DWORD PROCESS_MODE_BACKGROUND_END

  - ### THREAD_PRIORITY_IDLE

    static final int THREAD_PRIORITY_IDLE
    Thread priorities
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_LOWEST

    static final int THREAD_PRIORITY_LOWEST
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_BELOW_NORMAL

    static final int THREAD_PRIORITY_BELOW_NORMAL
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_NORMAL

    static final int THREAD_PRIORITY_NORMAL
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_ABOVE_NORMAL

    static final int THREAD_PRIORITY_ABOVE_NORMAL
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_HIGHEST

    static final int THREAD_PRIORITY_HIGHEST
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_TIME_CRITICAL

    static final int THREAD_PRIORITY_TIME_CRITICAL
    See Also:
      - Constant Field Values

  - ### THREAD_MODE_BACKGROUND_BEGIN

    static final int THREAD_MODE_BACKGROUND_BEGIN
    Thread mode flags
    See Also:
      - Constant Field Values

  - ### THREAD_MODE_BACKGROUND_END

    static final int THREAD_MODE_BACKGROUND_END
    See Also:
      - Constant Field Values

  - ### THREAD_PRIORITY_ERROR_RETURN

    static final int THREAD_PRIORITY_ERROR_RETURN
    Thread priority error code
    See Also:
      - Constant Field Values

  - ### PF_FLOATING_POINT_PRECISION_ERRATA

    static final int PF_FLOATING_POINT_PRECISION_ERRATA
    Processor Feature flags
    See Also:
      - Constant Field Values

  - ### PF_FLOATING_POINT_EMULATED

    static final int PF_FLOATING_POINT_EMULATED
    See Also:
      - Constant Field Values

  - ### PF_COMPARE_EXCHANGE_DOUBLE

    static final int PF_COMPARE_EXCHANGE_DOUBLE
    See Also:
      - Constant Field Values

  - ### PF_MMX_INSTRUCTIONS_AVAILABLE

    static final int PF_MMX_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_PPC_MOVEMEM_64BIT_OK

    static final int PF_PPC_MOVEMEM_64BIT_OK
    See Also:
      - Constant Field Values

  - ### PF_ALPHA_BYTE_INSTRUCTIONS

    static final int PF_ALPHA_BYTE_INSTRUCTIONS
    See Also:
      - Constant Field Values

  - ### PF_XMMI_INSTRUCTIONS_AVAILABLE

    static final int PF_XMMI_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_3DNOW_INSTRUCTIONS_AVAILABLE

    static final int PF_3DNOW_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_RDTSC_INSTRUCTION_AVAILABLE

    static final int PF_RDTSC_INSTRUCTION_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_PAE_ENABLED

    static final int PF_PAE_ENABLED
    See Also:
      - Constant Field Values

  - ### PF_XMMI64_INSTRUCTIONS_AVAILABLE

    static final int PF_XMMI64_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_SSE_DAZ_MODE_AVAILABLE

    static final int PF_SSE_DAZ_MODE_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_NX_ENABLED

    static final int PF_NX_ENABLED
    See Also:
      - Constant Field Values

  - ### PF_SSE3_INSTRUCTIONS_AVAILABLE

    static final int PF_SSE3_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_COMPARE_EXCHANGE128

    static final int PF_COMPARE_EXCHANGE128
    See Also:
      - Constant Field Values

  - ### PF_COMPARE64_EXCHANGE128

    static final int PF_COMPARE64_EXCHANGE128
    See Also:
      - Constant Field Values

  - ### PF_CHANNELS_ENABLED

    static final int PF_CHANNELS_ENABLED
    See Also:
      - Constant Field Values

  - ### PF_XSAVE_ENABLED

    static final int PF_XSAVE_ENABLED
    See Also:
      - Constant Field Values

  - ### PF_ARM_VFP_32_REGISTERS_AVAILABLE

    static final int PF_ARM_VFP_32_REGISTERS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_NEON_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_NEON_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_SECOND_LEVEL_ADDRESS_TRANSLATION

    static final int PF_SECOND_LEVEL_ADDRESS_TRANSLATION
    See Also:
      - Constant Field Values

  - ### PF_VIRT_FIRMWARE_ENABLED

    static final int PF_VIRT_FIRMWARE_ENABLED
    See Also:
      - Constant Field Values

  - ### PF_RDWRFSGSBASE_AVAILABLE

    static final int PF_RDWRFSGSBASE_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_FASTFAIL_AVAILABLE

    static final int PF_FASTFAIL_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_DIVIDE_INSTRUCTION_AVAILABLE

    static final int PF_ARM_DIVIDE_INSTRUCTION_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_64BIT_LOADSTORE_ATOMIC

    static final int PF_ARM_64BIT_LOADSTORE_ATOMIC
    See Also:
      - Constant Field Values

  - ### PF_ARM_EXTERNAL_CACHE_AVAILABLE

    static final int PF_ARM_EXTERNAL_CACHE_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_FMAC_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_FMAC_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_RDRAND_INSTRUCTION_AVAILABLE

    static final int PF_RDRAND_INSTRUCTION_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V8_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V8_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V8_CRYPTO_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V8_CRYPTO_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V8_CRC32_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V8_CRC32_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_RDTSCP_INSTRUCTION_AVAILABLE

    static final int PF_RDTSCP_INSTRUCTION_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_RDPID_INSTRUCTION_AVAILABLE

    static final int PF_RDPID_INSTRUCTION_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V81_ATOMIC_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V81_ATOMIC_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_SSSE3_INSTRUCTIONS_AVAILABLE

    static final int PF_SSSE3_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_SSE4_1_INSTRUCTIONS_AVAILABLE

    static final int PF_SSE4_1_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_SSE4_2_INSTRUCTIONS_AVAILABLE

    static final int PF_SSE4_2_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_AVX_INSTRUCTIONS_AVAILABLE

    static final int PF_AVX_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_AVX2_INSTRUCTIONS_AVAILABLE

    static final int PF_AVX2_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_AVX512F_INSTRUCTIONS_AVAILABLE

    static final int PF_AVX512F_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V82_DP_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V82_DP_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V83_JSCVT_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V83_JSCVT_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### PF_ARM_V83_LRCPC_INSTRUCTIONS_AVAILABLE

    static final int PF_ARM_V83_LRCPC_INSTRUCTIONS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### MAX_PIPE_NAME_LENGTH

    static final int MAX_PIPE_NAME_LENGTH
    See Also:
      - Constant Field Values

- ## Method Details

  - ### ReadFile

    boolean ReadFile(WinNT.HANDLE hFile, byte[] lpBuffer, int nNumberOfBytesToRead, IntByReference lpNumberOfBytesRead, WinBase.OVERLAPPED lpOverlapped)
    Reads data from the specified file or input/output (I/O) device. Reads occur at the position specified by the file pointer if supported by the device. This function is designed for both synchronous and asynchronous operations. For a similar function designed solely for asynchronous operation, see ReadFileEx
    Parameters:
      `hFile` - A handle to the device (for example, a file, file stream, physical disk, volume, console buffer, tape drive, socket, communications resource, mailslot, or pipe).
      `lpBuffer` - A pointer to the buffer that receives the data read from a file or device.
      `nNumberOfBytesToRead` - The maximum number of bytes to be read.
      `lpNumberOfBytesRead` - A pointer to the variable that receives the number of bytes read when using a synchronous hFile parameter
      `lpOverlapped` - A pointer to an OVERLAPPED structure is required if the hFile parameter was opened with FILE_FLAG_OVERLAPPED, otherwise it can be NULL.
    Returns:
      If the function succeeds, the return value is nonzero (TRUE). If the function fails, or is completing asynchronously, the return value is zero (FALSE). To get extended error information, call the GetLastError function. Note The GetLastError code ERROR_IO_PENDING is not a failure; it designates the read operation is pending completion asynchronously. For more information, see Remarks.

  - ### LocalFree

    Pointer LocalFree(Pointer hMem)
    Frees the specified local memory object and invalidates its handle.
    Parameters:
      `hMem` - A handle to the local memory object. If the `hMem` parameter is NULL, `LocalFree` ignores the parameter and returns NULL.
    Returns:
      If the function succeeds, the return value is NULL. If the function fails, the return value is equal to a handle to the local memory object. To get extended error information, call `GetLastError`.
    See Also:
      - LocalFree

  - ### GlobalFree

    Pointer GlobalFree(Pointer hGlobal)
    Frees the specified global memory object and invalidates its handle.
    Parameters:
      `hGlobal` - A handle to the global memory object.
    Returns:
      If the function succeeds, the return value is NULL If the function fails, the return value is equal to a handle to the global memory object. To get extended error information, call `GetLastError`.
    See Also:
      - GlobalFree

  - ### GetModuleHandle

    WinDef.HMODULE GetModuleHandle(String name)
    The GetModuleHandle function retrieves a module handle for the specified module if the file has been mapped into the address space of the calling process.
    Parameters:
      `name` - Pointer to a null-terminated string that contains the name of the module (either a .dll or .exe file).
    Returns:
      If the function succeeds, the return value is a handle to the specified module. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### GetSystemTime

    void GetSystemTime(WinBase.SYSTEMTIME lpSystemTime)
    The GetSystemTime function retrieves the current system date and time. The system time is expressed in Coordinated Universal Time (UTC).
    Parameters:
      `lpSystemTime` - Pointer to a `WinBase.SYSTEMTIME` structure to receive the current system date and time.
    See Also:
      - GetSystemTime documentation

  - ### SetSystemTime

    boolean SetSystemTime(WinBase.SYSTEMTIME lpSystemTime)
    The SetSystemTime function modifies the current system date and time. The system time is expressed in Coordinated Universal Time (UTC).
    Parameters:
      `lpSystemTime` - Pointer to a `WinBase.SYSTEMTIME` structure holding the new system date and time. Note: The `wDayOfWeek` member of the SYSTEMTIME structure is ignored.
    Returns:
      `true` if the function succeeds, `false` otherwise. If the function fails, call `GetLastError()` to get extended error information.
    See Also:
      - SetSystemTime documentation

  - ### GetLocalTime

    void GetLocalTime(WinBase.SYSTEMTIME lpSystemTime)
    Retrieves the current local date and time.
    Parameters:
      `lpSystemTime` - A pointer to a `WinBase.SYSTEMTIME` structure to receive the current local date and time.
    See Also:
      - GetLocalTime documentation

  - ### SetLocalTime

    boolean SetLocalTime(WinBase.SYSTEMTIME lpSystemTime)
    Sets the current local time and date
    Parameters:
      `lpSystemTime` - Pointer to a `WinBase.SYSTEMTIME` structure holding the new system date and time. Note: The `wDayOfWeek` member of the SYSTEMTIME structure is ignored.
    Returns:
      `true` if the function succeeds, `false` otherwise. If the function fails, call `GetLastError()` to get extended error information.
    See Also:
      - SetLocalTime documentation

  - ### GetSystemTimes

    boolean GetSystemTimes(WinBase.FILETIME lpIdleTime, WinBase.FILETIME lpKernelTime, WinBase.FILETIME lpUserTime)
    Retrieves system timing information. On a multiprocessor system, the values returned are the sum of the designated times across all processors.
    Parameters:
      `lpIdleTime` - A pointer to a `WinBase.FILETIME` structure that receives the amount of time that the system has been idle.
      `lpKernelTime` - A pointer to a `WinBase.FILETIME` structure that receives the amount of time that the system has spent executing in Kernel mode (including all threads in all processes, on all processors). This time value also includes the amount of time the system has been idle.
      `lpUserTime` - A pointer to a `WinBase.FILETIME` structure that receives the amount of time that the system has spent executing in User mode (including all threads in all processes, on all processors).
    Returns:
      `true` if the function succeeds, `false` otherwise. If the function fails, call `GetLastError()` to get extended error information.
    See Also:
      - GetSystemTimes documentation

  - ### GetTickCount

    int GetTickCount()
    The GetTickCount function retrieves the number of milliseconds that have elapsed since the system was started, up to 49.7 days.
    Returns:
      Number of milliseconds that have elapsed since the system was started.

  - ### GetTickCount64

    long GetTickCount64()
    The GetTickCount64 function retrieves the number of milliseconds that have elapsed since the system was started.
    Returns:
      Number of milliseconds that have elapsed since the system was started.

  - ### GetCurrentThreadId

    int GetCurrentThreadId()
    The GetCurrentThreadId function retrieves the thread identifier of the calling thread.
    Returns:
      The return value is the thread identifier of the calling thread.

  - ### GetCurrentThread

    WinNT.HANDLE GetCurrentThread()
    The GetCurrentThread function retrieves a pseudo handle for the current thread.
    Returns:
      The return value is a pseudo handle for the current thread.

  - ### GetCurrentProcessId

    int GetCurrentProcessId()
    This function returns the process identifier of the calling process.
    Returns:
      The return value is the process identifier of the calling process.

  - ### GetCurrentProcess

    WinNT.HANDLE GetCurrentProcess()
    This function returns a pseudohandle for the current process.
    Returns:
      The return value is a pseudohandle to the current process.

  - ### GetProcessId

    int GetProcessId(WinNT.HANDLE process)
    The GetProcessId function retrieves the process identifier of the specified process.
    Parameters:
      `process` - Handle to the process. The handle must have the PROCESS_QUERY_INFORMATION access right.
    Returns:
      If the function succeeds, the return value is the process identifier of the specified process. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetProcessVersion

    int GetProcessVersion(int processId)
    The GetProcessVersion function retrieves the major and minor version numbers of the system on which the specified process expects to run.
    Parameters:
      `processId` - Process identifier of the process of interest. A value of zero specifies the calling process.
    Returns:
      If the function succeeds, the return value is the version of the system on which the process expects to run. The high word of the return value contains the major version number. The low word of the return value contains the minor version number. If the function fails, the return value is zero. To get extended error information, call GetLastError. The function fails if ProcessId is an invalid value.

  - ### GetProcessAffinityMask

    boolean GetProcessAffinityMask(WinNT.HANDLE hProcess, BaseTSD.ULONG_PTRByReference lpProcessAffinityMask, BaseTSD.ULONG_PTRByReference lpSystemAffinityMask)
    Retrieves the process affinity mask for the specified process and the system affinity mask for the system.
    Parameters:
      `hProcess` - A handle to the process whose affinity mask is desired.

      This handle must have the `WinNT.PROCESS_QUERY_INFORMATION` or `WinNT.PROCESS_QUERY_LIMITED_INFORMATION` access right.

      `lpProcessAffinityMask` - A pointer to a variable that receives the affinity mask for the specified process.
      `lpSystemAffinityMask` - A pointer to a variable that receives the affinity mask for the system.
    Returns:
      If the function succeeds, returns `true` and the function sets the variables pointed to by `lpProcessAffinityMask` and `lpSystemAffinityMask` to the appropriate affinity masks.

      On a system with more than 64 processors, if the threads of the calling process are in a single processor group, the function sets the variables pointed to by `lpProcessAffinityMask` and `lpSystemAffinityMask` to the process affinity mask and the processor mask of active logical processors for that group. If the calling process contains threads in multiple groups, the function returns zero for both affinity masks.

      If the function fails, the return value is `false`, and the values of the variables pointed to by `lpProcessAffinityMask` and `lpSystemAffinityMask` are undefined. To get extended error information, call `GetLastError()`.

  - ### SetProcessAffinityMask

    boolean SetProcessAffinityMask(WinNT.HANDLE hProcess, BaseTSD.ULONG_PTR dwProcessAffinityMask)
    Sets a processor affinity mask for the threads of the specified process.
    Parameters:
      `hProcess` - A handle to the process whose affinity mask is to be set. This handle must have the `WinNT.PROCESS_SET_INFORMATION` access right.
      `dwProcessAffinityMask` - The affinity mask for the threads of the process.

      On a system with more than 64 processors, the affinity mask must specify processors in a single processor group.

    Returns:
      If the function succeeds, the return value is `true`.

      If the function fails, the return value is `false`. To get extended error information, call `GetLastError()`.

      If the process affinity mask requests a processor that is not configured in the system, the last error code is `WinError.ERROR_INVALID_PARAMETER`.

      On a system with more than 64 processors, if the calling process contains threads in more than one processor group, the last error code is `WinError.ERROR_INVALID_PARAMETER`.

  - ### GetExitCodeProcess

    boolean GetExitCodeProcess(WinNT.HANDLE hProcess, IntByReference lpExitCode)
    Retrieves the termination status of the specified process.
    Parameters:
      `hProcess` - A handle to the process.
      `lpExitCode` - A pointer to a variable to receive the process termination status.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### TerminateProcess

    boolean TerminateProcess(WinNT.HANDLE hProcess, int uExitCode)
    Terminates the specified process and all of its threads.
    Parameters:
      `hProcess` - A handle to the process to be terminated.
      `uExitCode` - The exit code to be used by the process and threads terminated as a result of this call.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetLastError

    int GetLastError()
    The GetLastError function retrieves the calling thread's last-error code value. The last-error code is maintained on a per-thread basis. Multiple threads do not overwrite each other's last-error code.
    Returns:
      The return value is the calling thread's last-error code value.

  - ### SetLastError

    void SetLastError(int dwErrCode)
    The SetLastError function sets the last-error code for the calling thread.
    Parameters:
      `dwErrCode` - Last-error code for the thread.

  - ### GetDriveType

    int GetDriveType(String lpRootPathName)
    Determines whether a disk drive is a removable, fixed, CD-ROM, RAM disk, or network drive.
    Parameters:
      `lpRootPathName` - Pointer to a null-terminated string that specifies the root directory of the disk to return information about. A trailing backslash is required. If this parameter is NULL, the function uses the root of the current directory.
    Returns:
      The return value specifies the type of drive.
    See Also:
      - GetDriveType

  - ### FormatMessage

    int FormatMessage(int dwFlags, Pointer lpSource, int dwMessageId, int dwLanguageId, PointerByReference lpBuffer, int nSize, Pointer va_list)
    The FormatMessage function formats a message string. The function requires a message definition as input. The message definition can come from a buffer passed into the function. It can come from a message table resource in an already-loaded module. Or the caller can ask the function to search the system's message table resource(s) for the message definition. The function finds the message definition in a message table resource based on a message identifier and a language identifier. The function copies the formatted message text to an output buffer, processing any embedded insert sequences if requested.
    Parameters:
      `dwFlags` - Formatting options, and how to interpret the lpSource parameter. The low-order byte of dwFlags specifies how the function handles line breaks in the output buffer. The low-order byte can also specify the maximum width of a formatted output line.

      This version of the function assumes FORMAT_MESSAGE_ALLOCATE_BUFFER is set.

      `lpSource` - Location of the message definition.
      `dwMessageId` - Message identifier for the requested message.
      `dwLanguageId` - Language identifier for the requested message.
      `lpBuffer` - Pointer to a pointer that receives the allocated buffer in which the null-terminated string that specifies the formatted message is written.
      `nSize` - This parameter specifies the minimum number of TCHARs to allocate for an output buffer.
      `va_list` - Pointer to an array of values that are used as insert values in the formatted message.
    Returns:
      If the function succeeds, the return value is the number of TCHARs stored in the output buffer, excluding the terminating null character. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateFile

    WinNT.HANDLE CreateFile(String lpFileName, int dwDesiredAccess, int dwShareMode, WinBase.SECURITY_ATTRIBUTES lpSecurityAttributes, int dwCreationDisposition, int dwFlagsAndAttributes, WinNT.HANDLE hTemplateFile)
    The CreateFile function creates or opens a file, file stream, directory, physical disk, volume, console buffer, tape drive, communications resource, mailslot, or named pipe. The function returns a handle that can be used to access an object.
    Parameters:
      `lpFileName` - A pointer to a null-terminated string that specifies the name of an object to create or open.
      `dwDesiredAccess` - The access to the object, which can be read, write, or both.
      `dwShareMode` - The sharing mode of an object, which can be read, write, both, or none.
      `lpSecurityAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether or not the returned handle can be inherited by child processes. If lpSecurityAttributes is NULL, the handle cannot be inherited.
      `dwCreationDisposition` - An action to take on files that exist and do not exist.
      `dwFlagsAndAttributes` - The file attributes and flags.
      `hTemplateFile` - Handle to a template file with the GENERIC_READ access right. The template file supplies file attributes and extended attributes for the file that is being created. This parameter can be NULL.
    Returns:
      If the function succeeds, the return value is an open handle to a specified file. If a specified file exists before the function call and dwCreationDisposition is CREATE_ALWAYS or OPEN_ALWAYS, a call to GetLastError returns ERROR_ALREADY_EXISTS, even when the function succeeds. If a file does not exist before the call, GetLastError returns 0 (zero). If the function fails, the return value is INVALID_HANDLE_VALUE. To get extended error information, call GetLastError.

  - ### CopyFile

    boolean CopyFile(String lpExistingFileName, String lpNewFileName, boolean bFailIfExists)
    Copies an existing file to a new file.
    Parameters:
      `lpExistingFileName` - The name of an existing file. The name is limited to MAX_PATH characters. To extend this limit to 32,767 wide characters, prepend "\\?\" to the path. For more information, see Naming a File. If lpExistingFileName does not exist, CopyFile fails, and GetLastError returns ERROR_FILE_NOT_FOUND.
      `lpNewFileName` - The name of the new file. The name is limited to MAX_PATH characters. To extend this limit to 32,767 wide characters, prepend "\\?\" to the path. For more information, see Naming a File.
      `bFailIfExists` - If this parameter is TRUE and the new file specified by lpNewFileName already exists, the function fails. If this parameter is FALSE and the new file already exists, the function overwrites the existing file and succeeds.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### MoveFile

    boolean MoveFile(String lpExistingFileName, String lpNewFileName)
    Moves an existing file or a directory, including its children.
    Parameters:
      `lpExistingFileName` - The current name of the file or directory on the local computer. The name is limited to MAX_PATH characters. To extend this limit to 32,767 wide characters, prepend "\\?\" to the path. For more information, see Naming a File.
      `lpNewFileName` - The new name for the file or directory. The new name must not already exist. A new file may be on a different file system or drive. A new directory must be on the same drive. The name is limited to MAX_PATH characters. To extend this limit to 32,767 wide characters, prepend "\\?\" to the path. For more information, see Naming a File.
    Returns:
      true, if successful If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### MoveFileEx

    boolean MoveFileEx(String lpExistingFileName, String lpNewFileName, WinDef.DWORD dwFlags)
    Moves an existing file or directory, including its children, with various move options.
    Parameters:
      `lpExistingFileName` - The current name of the file or directory on the local computer. If dwFlags specifies MOVEFILE_DELAY_UNTIL_REBOOT, the file cannot exist on a remote share, because delayed operations are performed before the network is available. The name is limited to MAX_PATH characters. To extend this limit to 32,767 wide characters, prepend "\\?\" to the path. For more information, see Naming a File Windows 2000: If you prepend the file name with "\\?\", you cannot also specify the MOVEFILE_DELAY_UNTIL_REBOOT flag for dwFlags.
      `lpNewFileName` - The new name of the file or directory on the local computer. When moving a file, the destination can be on a different file system or volume. If the destination is on another drive, you must set the MOVEFILE_COPY_ALLOWED flag in dwFlags. When moving a directory, the destination must be on the same drive. If dwFlags specifies MOVEFILE_DELAY_UNTIL_REBOOT and lpNewFileName is NULL, MoveFileEx registers the lpExistingFileName file to be deleted when the system restarts. If lpExistingFileName refers to a directory, the system removes the directory at restart only if the directory is empty.
      `dwFlags` - This parameter can be one or more of the following values.
    Returns:
      true, if successful If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateDirectory

    boolean CreateDirectory(String lpPathName, WinBase.SECURITY_ATTRIBUTES lpSecurityAttributes)
    The CreateDirectory function creates a new directory. If the underlying file system supports security on files and directories, the function applies a specified security descriptor to the new directory.
    Parameters:
      `lpPathName` - Pointer to a null-terminated string that specifies the path of the directory to be created.
      `lpSecurityAttributes` - Pointer to a SECURITY_ATTRIBUTES structure. The lpSecurityDescriptor member of the structure specifies a security descriptor for the new directory. If lpSecurityAttributes is NULL, the directory gets a default security descriptor.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateIoCompletionPort

    WinNT.HANDLE CreateIoCompletionPort(WinNT.HANDLE FileHandle, WinNT.HANDLE ExistingCompletionPort, Pointer CompletionKey, int NumberOfConcurrentThreads)
    Creates an input/output (I/O) completion port and associates it with a specified file handle, or creates an I/O completion port that is not yet associated with a file handle, allowing association at a later time.
    Parameters:
      `FileHandle` - An open file handle or INVALID_HANDLE_VALUE.
      `ExistingCompletionPort` - A handle to an existing I/O completion port or NULL.
      `CompletionKey` - The per-handle user-defined completion key that is included in every I/O completion packet for the specified file handle.
      `NumberOfConcurrentThreads` - The maximum number of threads that the operating system can allow to concurrently process I/O completion packets for the I/O completion port.
    Returns:
      If the function succeeds, the return value is the handle to an I/O completion port: If the ExistingCompletionPort parameter was NULL, the return value is a new handle. If the ExistingCompletionPort parameter was a valid I/O completion port handle, the return value is that same handle. If the FileHandle parameter was a valid handle, that file handle is now associated with the returned I/O completion port. If the function fails, the return value is NULL. To get extended error information, call the GetLastError function.

  - ### GetQueuedCompletionStatus

    boolean GetQueuedCompletionStatus(WinNT.HANDLE CompletionPort, IntByReference lpNumberOfBytes, BaseTSD.ULONG_PTRByReference lpCompletionKey, PointerByReference lpOverlapped, int dwMilliseconds)
    Attempts to dequeue an I/O completion packet from the specified I/O completion port. If there is no completion packet queued, the function waits for a pending I/O operation associated with the completion port to complete.
    Parameters:
      `CompletionPort` - A handle to the completion port.
      `lpNumberOfBytes` - A pointer to a variable that receives the number of bytes transferred during an I/O operation that has completed.
      `lpCompletionKey` - A pointer to a variable that receives the completion key value associated with the file handle whose I/O operation has completed.
      `lpOverlapped` - A pointer to a variable that receives the address of the OVERLAPPED structure that was specified when the completed I/O operation was started.
      `dwMilliseconds` - The number of milliseconds that the caller is willing to wait for a completion packet to appear at the completion port.
    Returns:
      Returns nonzero (TRUE) if successful or zero (FALSE) otherwise.

  - ### PostQueuedCompletionStatus

    boolean PostQueuedCompletionStatus(WinNT.HANDLE CompletionPort, int dwNumberOfBytesTransferred, Pointer dwCompletionKey, WinBase.OVERLAPPED lpOverlapped)
    Posts an I/O completion packet to an I/O completion port.
    Parameters:
      `CompletionPort` - A handle to an I/O completion port to which the I/O completion packet is to be posted.
      `dwNumberOfBytesTransferred` - The value to be returned through the lpNumberOfBytesTransferred parameter of the GetQueuedCompletionStatus function.
      `dwCompletionKey` - The value to be returned through the lpCompletionKey parameter of the GetQueuedCompletionStatus function.
      `lpOverlapped` - The value to be returned through the lpOverlapped parameter of the GetQueuedCompletionStatus function.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError .

  - ### WaitForSingleObject

    int WaitForSingleObject(WinNT.HANDLE hHandle, int dwMilliseconds)
    Waits until the specified object is in the signaled state or the time-out interval elapses. To enter an alertable wait state, use the WaitForSingleObjectEx function. To wait for multiple objects, use the WaitForMultipleObjects.
    Parameters:
      `hHandle` - A handle to the object. For a list of the object types whose handles can be specified, see the following Remarks section. If this handle is closed while the wait is still pending, the function's behavior is undefined. The handle must have the SYNCHRONIZE access right. For more information, see Standard Access Rights.
      `dwMilliseconds` - The time-out interval, in milliseconds. If a nonzero value is specified, the function waits until the object is signaled or the interval elapses. If dwMilliseconds is zero, the function does not enter a wait state if the object is not signaled; it always returns immediately. If dwMilliseconds is INFINITE, the function will return only when the object is signaled.
    Returns:
      If the function succeeds, the return value indicates the event that caused the function to return.

  - ### WaitForMultipleObjects

    int WaitForMultipleObjects(int nCount, WinNT.HANDLE[] hHandle, boolean bWaitAll, int dwMilliseconds)
    Waits until one or all of the specified objects are in the signaled state or the time-out interval elapses. To enter an alertable wait state, use the WaitForMultipleObjectsEx function.
    Parameters:
      `nCount` - The number of object handles in the array pointed to by lpHandles. The maximum number of object handles is MAXIMUM_WAIT_OBJECTS.
      `hHandle` - An array of object handles. For a list of the object types whose handles can be specified, see the following Remarks section. The array can contain handles to objects of different types. It may not contain multiple copies of the same handle. If one of these handles is closed while the wait is still pending, the function's behavior is undefined. The handles must have the SYNCHRONIZE access right. For more information, see Standard Access Rights.
      `bWaitAll` - If this parameter is TRUE, the function returns when the state of all objects in the lpHandles array is signaled. If FALSE, the function returns when the state of any one of the objects is set to signaled. In the latter case, the return value indicates the object whose state caused the function to return.
      `dwMilliseconds` - The time-out interval, in milliseconds. If a nonzero value is specified, the function waits until the specified objects are signaled or the interval elapses. If dwMilliseconds is zero, the function does not enter a wait state if the specified objects are not signaled; it always returns immediately. If dwMilliseconds is INFINITE, the function will return only when the specified objects are signaled.
    Returns:
      If the function succeeds, the return value indicates the event that caused the function to return.

  - ### DuplicateHandle

    boolean DuplicateHandle(WinNT.HANDLE hSourceProcessHandle, WinNT.HANDLE hSourceHandle, WinNT.HANDLE hTargetProcessHandle, WinNT.HANDLEByReference lpTargetHandle, int dwDesiredAccess, boolean bInheritHandle, int dwOptions)
    The DuplicateHandle function duplicates an object handle.
    Parameters:
      `hSourceProcessHandle` - Handle to the process with the handle to duplicate. The handle must have the PROCESS_DUP_HANDLE access right.
      `hSourceHandle` - Handle to duplicate. This is an open object handle that is valid in the context of the source process.
      `hTargetProcessHandle` - Handle to the process that is to receive the duplicated handle. The handle must have the PROCESS_DUP_HANDLE access right.
      `lpTargetHandle` - Pointer to a variable that receives the duplicate handle. This handle value is valid in the context of the target process. If hSourceHandle is a pseudo handle returned by GetCurrentProcess or GetCurrentThread, DuplicateHandle converts it to a real handle to a process or thread, respectively.
      `dwDesiredAccess` - Access requested for the new handle.
      `bInheritHandle` - Indicates whether the handle is inheritable.
      `dwOptions` - Optional actions.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CloseHandle

    boolean CloseHandle(WinNT.HANDLE hObject)
    Closes an open object handle.
    Parameters:
      `hObject` - Handle to an open object. This parameter can be a pseudo handle or INVALID_HANDLE_VALUE.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `GetLastError`.
    See Also:
      - CloseHandle

  - ### ReadDirectoryChangesW

    boolean ReadDirectoryChangesW(WinNT.HANDLE directory, WinNT.FILE_NOTIFY_INFORMATION info, int length, boolean watchSubtree, int notifyFilter, IntByReference bytesReturned, WinBase.OVERLAPPED overlapped, WinNT.OVERLAPPED_COMPLETION_ROUTINE completionRoutine)
    Retrieves information that describes the changes within the specified directory. The function does not report changes to the specified directory itself. Note: there's no ReadDirectoryChangesA.
    Parameters:
      `directory` - A handle to the directory to be monitored. This directory must be opened with the FILE_LIST_DIRECTORY access right.
      `info` - A pointer to the DWORD-aligned formatted buffer in which the read results are to be returned.
      `length` - The size of the buffer that is pointed to by the lpBuffer parameter, in bytes.
      `watchSubtree` - If this parameter is TRUE, the function monitors the directory tree rooted at the specified directory. If this parameter is FALSE, the function monitors only the directory specified by the hDirectory parameter.
      `notifyFilter` - The filter criteria that the function checks to determine if the wait operation has completed.
      `bytesReturned` - For synchronous calls, this parameter receives the number of bytes transferred into the lpBuffer parameter. For asynchronous calls, this parameter is undefined. You must use an asynchronous notification technique to retrieve the number of bytes transferred.
      `overlapped` - A pointer to an OVERLAPPED structure that supplies data to be used during asynchronous operation. Otherwise, this value is NULL. The Offset and OffsetHigh members of this structure are not used.
      `completionRoutine` - A pointer to a completion routine to be called when the operation has been completed or canceled and the calling thread is in an alertable wait state.
    Returns:
      If the function succeeds, the return value is nonzero. For synchronous calls, this means that the operation succeeded. For asynchronous calls, this indicates that the operation was successfully queued. If the function fails, the return value is zero. To get extended error information, call GetLastError. If the network redirector or the target file system does not support this operation, the function fails with ERROR_INVALID_FUNCTION.

  - ### GetShortPathName

    int GetShortPathName(String lpszLongPath, char[] lpdzShortPath, int cchBuffer)
    Retrieves the short path form of the specified path.
    Parameters:
      `lpszLongPath` - The path string.
      `lpdzShortPath` - A pointer to a buffer to receive the null-terminated short form of the path that lpszLongPath specifies.
      `cchBuffer` - The size of the buffer that lpszShortPath points to, in TCHARs.
    Returns:
      If the function succeeds, the return value is the length, in TCHARs, of the string that is copied to lpszShortPath, not including the terminating null character. If the lpszShortPath buffer is too small to contain the path, the return value is the size of the buffer, in TCHARs, that is required to hold the path and the terminating null character. If the function fails for any other reason, the return value is zero. To get extended error information, call GetLastError.

  - ### LocalAlloc

    Pointer LocalAlloc(int uFlags, int uBytes)
    The LocalAlloc function allocates the specified number of bytes from the heap. Windows memory management does not provide a separate local heap and global heap.
    Parameters:
      `uFlags` - Memory allocation attributes. The default is the LMEM_FIXED value.
      `uBytes` - Number of bytes to allocate. If this parameter is zero and the uFlags parameter specifies LMEM_MOVEABLE, the function returns a handle to a memory object that is marked as discarded.
    Returns:
      If the function succeeds, the return value is a handle to the newly allocated memory object. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### WriteFile

    boolean WriteFile(WinNT.HANDLE hFile, byte[] lpBuffer, int nNumberOfBytesToWrite, IntByReference lpNumberOfBytesWritten, WinBase.OVERLAPPED lpOverlapped)
    Writes data to the specified file or input/output (I/O) device.
    Parameters:
      `hFile` - A handle to the file or I/O device (for example, a file, file stream, physical disk, volume, console buffer, tape drive, socket, communications resource, mailslot, or pipe).
      `lpBuffer` - A pointer to the buffer containing the data to be written to the file or device.
      `nNumberOfBytesToWrite` - The number of bytes to be written to the file or device.
      `lpNumberOfBytesWritten` - A pointer to the variable that receives the number of bytes written when using a synchronous hFile parameter.
      `lpOverlapped` - A pointer to an OVERLAPPED structure is required if the hFile parameter was opened with FILE_FLAG_OVERLAPPED, otherwise this parameter can be NULL.
    Returns:
      If the function succeeds, the return value is nonzero (TRUE). If the function fails, or is completing asynchronously, the return value is zero (FALSE). To get extended error information, call the GetLastError function.

  - ### FlushFileBuffers

    boolean FlushFileBuffers(WinNT.HANDLE hFile)
    Flushes the buffers of a specified file and causes all buffered data to be written to a file.
    Parameters:
      `hFile` - A handle to the open file. If a handle to a communications device, the function only flushes the transmit buffer. If a handle to the server end of a named pipe, the function does not return until the client has read all buffered data from the pipe.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - FlushFileBuffers documentation

  - ### CreateEvent

    WinNT.HANDLE CreateEvent(WinBase.SECURITY_ATTRIBUTES lpEventAttributes, boolean bManualReset, boolean bInitialState, String lpName)
    Creates or opens a named or unnamed event object.
    Parameters:
      `lpEventAttributes` - A pointer to a SECURITY_ATTRIBUTES structure. If this parameter is NULL, the handle cannot be inherited by child processes.
      `bManualReset` - If this parameter is TRUE, the function creates a manual-reset event object, which requires the use of the ResetEvent function to set the event state to nonsignaled. If this parameter is FALSE, the function creates an auto-reset event object, and system automatically resets the event state to nonsignaled after a single waiting thread has been released.
      `bInitialState` - If this parameter is TRUE, the initial state of the event object is signaled; otherwise, it is nonsignaled.
      `lpName` - The name of the event object. The name is limited to MAX_PATH characters. Name comparison is case sensitive.
    Returns:
      If the function succeeds, the return value is a handle to the event object. If the named event object existed before the function call, the function returns a handle to the existing object and GetLastError returns ERROR_ALREADY_EXISTS. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### OpenEvent

    WinNT.HANDLE OpenEvent(int dwDesiredAccess, boolean bInheritHandle, String lpName)
    Opens an existing named event object.
    Parameters:
      `dwDesiredAccess` - The access to the event object. The function fails if the security descriptor of the specified object does not permit the requested access for the calling process. For a list of access rights, see Synchronization Object Security and Access Rights.
      `bInheritHandle` - If this value is TRUE, processes created by this process will inherit the handle. Otherwise, the processes do not inherit this handle.
      `lpName` - The name of the event to be opened. Name comparisons are case sensitive.

      This function can open objects in a private namespace. For more information, see Object Namespaces.

      Terminal Services: The name can have a "Global" or "Local" prefix to explicitly open an object in the global or session namespace. The remainder of the name can contain any character except the backslash character (). For more information, see Kernel Object Namespaces.

      Note Fast user switching is implemented using Terminal Services sessions. The first user to log on uses session 0, the next user to log on uses session 1, and so on. Kernel object names must follow the guidelines outlined for Terminal Services so that applications can support multiple users.

    Returns:
      If the function succeeds, the return value is a handle to the event object.

      If the function fails, the return value is `NULL`. To get extended error information, call `GetLastError()`.

  - ### SetEvent

    boolean SetEvent(WinNT.HANDLE hEvent)
    Sets the specified event object to the signaled state.
    Parameters:
      `hEvent` - A handle to the event object. The CreateEvent or OpenEvent function returns this handle.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### ResetEvent

    boolean ResetEvent(WinNT.HANDLE hEvent)
    Resets (to non-signaled state) the specified event object.
    Parameters:
      `hEvent` - A handle to the event object
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails the return value is zero. To get extended error information, call GetLastError.

  - ### PulseEvent

    boolean PulseEvent(WinNT.HANDLE hEvent)
    Sets the specified event object to the signaled state and then resets it to the nonsignaled state after releasing the appropriate number of waiting threads.
    Parameters:
      `hEvent` - A handle to the event object. The CreateEvent or OpenEvent function returns this handle.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateFileMapping

    WinNT.HANDLE CreateFileMapping(WinNT.HANDLE hFile, WinBase.SECURITY_ATTRIBUTES lpAttributes, int flProtect, int dwMaximumSizeHigh, int dwMaximumSizeLow, String lpName)
    Creates or opens a named or unnamed file mapping object for a specified file.
    Parameters:
      `hFile` - A handle to the file from which to create a file mapping object.
      `lpAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether a returned handle can be inherited by child processes. The lpSecurityDescriptor member of the SECURITY_ATTRIBUTES structure specifies a security descriptor for a new file mapping object.
      `flProtect` - Specifies the page protection of the file mapping object. All mapped views of the object must be compatible with this protection.
      `dwMaximumSizeHigh` - The high-order DWORD of the maximum size of the file mapping object.
      `dwMaximumSizeLow` - The low-order DWORD of the maximum size of the file mapping object.
      `lpName` - The name of the file mapping object.
    Returns:
      If the function succeeds, the return value is a handle to the newly created file mapping object. If the object exists before the function call, the function returns a handle to the existing object (with its current size, not the specified size), and GetLastError returns ERROR_ALREADY_EXISTS. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### OpenFileMapping

    WinNT.HANDLE OpenFileMapping(int dwDesiredAccess, boolean bInheritHandle, String lpName)
    Opens a named file mapping object.
    Parameters:
      `dwDesiredAccess` - The access to the file mapping object. This access is checked against any security descriptor on the target file mapping object. For a list of values, see File Mapping Security and Access Rights.
      `bInheritHandle` - If this parameter is true, a process created by the CreateProcess function can inherit the handle; otherwise, the handle cannot be inherited.
      `lpName` - The name of the file mapping object to be opened.
    Returns:
      If the function succeeds, the return value is an open handle to the specified file mapping object. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### MapViewOfFile

    Pointer MapViewOfFile(WinNT.HANDLE hFileMappingObject, int dwDesiredAccess, int dwFileOffsetHigh, int dwFileOffsetLow, int dwNumberOfBytesToMap)
    Maps a view of a file mapping into the address space of a calling process.
    Parameters:
      `hFileMappingObject` - A handle to a file mapping object. The CreateFileMapping and OpenFileMapping functions return this handle.
      `dwDesiredAccess` - The type of access to a file mapping object, which determines the protection of the pages.
      `dwFileOffsetHigh` - A high-order DWORD of the file offset where the view begins.
      `dwFileOffsetLow` - A low-order DWORD of the file offset where the view is to begin.
      `dwNumberOfBytesToMap` - The number of bytes of a file mapping to map to the view.
    Returns:
      If the function succeeds, the return value is the starting address of the mapped view. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### UnmapViewOfFile

    boolean UnmapViewOfFile(Pointer lpBaseAddress)
    Unmaps a mapped view of a file from the calling process's address space.
    Parameters:
      `lpBaseAddress` - A pointer to the base address of the mapped view of a file that is to be unmapped.
    Returns:
      If the function succeeds, the return value is the starting address of the mapped view. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### GetComputerName

    boolean GetComputerName(char[] buffer, IntByReference lpnSize)
    Retrieves only the NetBIOS name of the local computer.
    Parameters:
      `buffer` - A pointer to a buffer that receives the computer name or the cluster virtual server name. The buffer size should be large enough to contain MAX_COMPUTERNAME_LENGTH + 1 characters.
      `lpnSize` - On input, specifies the size of the buffer, in TCHARs. On output, the number of TCHARs copied to the destination buffer, not including the terminating null character. If the buffer is too small, the function fails and GetLastError returns ERROR_BUFFER_OVERFLOW. The lpnSize parameter specifies the size of the buffer required, including the terminating null character.
    Returns:
      If the function succeeds, the return value is a nonzero value. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetComputerNameEx

    boolean GetComputerNameEx(int nameType, char[] buffer, IntByReference lpnSize)
    Retrieves a NetBIOS or DNS name associated with the local computer, according to the `nameType` enumeration value
    Parameters:
      `nameType` - An enumeration value specifying the type of name to be retrieved - this parameter is a value from the COMPUTER_NAME_FORMAT in the WinBase definitions
      `buffer` - A pointer to a buffer that receives the computer name or the cluster virtual server name. The length of the name may be greater than MAX_COMPUTERNAME_LENGTH characters because DNS allows longer names. To ensure that this buffer is large enough, set this parameter to NULL and use the required buffer size returned in the lpnSize parameter.
      `lpnSize` - On input, specifies the size of the buffer, in TCHARs. On output, the number of TCHARs copied to the destination buffer, not including the terminating null character. If the buffer is too small, the function fails and GetLastError returns ERROR_BUFFER_OVERFLOW. The lpnSize parameter specifies the size of the buffer required, including the terminating null character.
    Returns:
      If the function succeeds, the return value is a nonzero value. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### OpenThread

    WinNT.HANDLE OpenThread(int dwDesiredAccess, boolean bInheritHandle, int dwThreadId)
    The OpenThread function opens an existing thread object.
    Parameters:
      `dwDesiredAccess` - Access to the thread object. This access right is checked against any security descriptor for the thread.
      `bInheritHandle` - If this parameter is TRUE, the new process inherits the handle. If the parameter is FALSE, the handle is not inherited.
      `dwThreadId` - Identifier of the thread to be opened.
    Returns:
      If the function succeeds, the return value is an open handle to the specified process. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### CreateProcess

    boolean CreateProcess(String lpApplicationName, String lpCommandLine, WinBase.SECURITY_ATTRIBUTES lpProcessAttributes, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, boolean bInheritHandles, WinDef.DWORD dwCreationFlags, Pointer lpEnvironment, String lpCurrentDirectory, WinBase.STARTUPINFO lpStartupInfo, WinBase.PROCESS_INFORMATION lpProcessInformation)
    Creates a new process and its primary thread. The new process runs in the security context of the calling process.
    Parameters:
      `lpApplicationName` - The name of the module to be executed.
      `lpCommandLine` - The command line to be executed.
      `lpProcessAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether the returned handle to the new process object can be inherited by child processes. If lpProcessAttributes is NULL, the handle cannot be inherited.
      `lpThreadAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether the returned handle to the new thread object can be inherited by child processes. If lpThreadAttributes is NULL, the handle cannot be inherited.
      `bInheritHandles` - If this parameter TRUE, each inheritable handle in the calling process is inherited by the new process. If the parameter is FALSE, the handles are not inherited. Note that inherited handles have the same value and access rights as the original handles.
      `dwCreationFlags` - The flags that control the priority class and the creation of the process.
      `lpEnvironment` - A pointer to the environment block for the new process. If this parameter is NULL, the new process uses the environment of the calling process.
      `lpCurrentDirectory` - The full path to the current directory for the process.
      `lpStartupInfo` - A pointer to a STARTUPINFO or STARTUPINFOEX structure.
      `lpProcessInformation` - A pointer to a PROCESS_INFORMATION structure that receives identification information about the new process.
    Returns:
      If the function succeeds, the return value is nonzero.

  - ### CreateProcessW

    boolean CreateProcessW(String lpApplicationName, char[] lpCommandLine, WinBase.SECURITY_ATTRIBUTES lpProcessAttributes, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, boolean bInheritHandles, WinDef.DWORD dwCreationFlags, Pointer lpEnvironment, String lpCurrentDirectory, WinBase.STARTUPINFO lpStartupInfo, WinBase.PROCESS_INFORMATION lpProcessInformation)
    Creates a new process and its primary thread. The new process runs in the security context of the calling process.
    Parameters:
      `lpApplicationName` - The name of the module to be executed.
      `lpCommandLine` - The command line to be executed. The maximum length of this string is 32,768 characters, including the Unicode terminating null character. If lpApplicationName is NULL, the module name portion of lpCommandLine is limited to MAX_PATH characters.

      The Unicode version of this function, `CreateProcessW(java.lang.String, char[], com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, boolean, com.sun.jna.platform.win32.WinDef.DWORD, com.sun.jna.Pointer, java.lang.String, com.sun.jna.platform.win32.WinBase.STARTUPINFO, com.sun.jna.platform.win32.WinBase.PROCESS_INFORMATION)`, can modify the contents of this string. Therefore, this parameter cannot be a pointer to read-only memory (such as a const variable or a literal string). If this parameter is a constant string, the function may cause an access violation.

      The lpCommandLine parameter can be NULL. In that case, the function uses the string pointed to by lpApplicationName as the command line.

      If both lpApplicationName and lpCommandLine are non-NULL, the null-terminated string pointed to by lpApplicationName specifies the module to execute, and the null-terminated string pointed to by lpCommandLine specifies the command line. The new process can use GetCommandLine to retrieve the entire command line. Console processes written in C can use the argc and argv arguments to parse the command line. Because argv[0] is the module name, C programmers generally repeat the module name as the first token in the command line.

      If lpApplicationName is NULL, the first white space-delimited token of the command line specifies the module name. If you are using a long file name that contains a space, use quoted strings to indicate where the file name ends and the arguments begin (see the explanation for the lpApplicationName parameter). If the file name does not contain an extension, .exe is appended. Therefore, if the file name extension is .com, this parameter must include the .com extension. If the file name ends in a period (.) with no extension, or if the file name contains a path, .exe is not appended. If the file name does not contain a directory path, the system searches for the executable file in the following sequence:
      - The directory from which the application loaded.
      - The current directory for the parent process.
      - The 32-bit Windows system directory. Use the GetSystemDirectory function to get the path of this directory.
      - The 16-bit Windows system directory. There is no function that obtains the path of this directory, but it is searched. The name of this directory is System.
      - The Windows directory. Use the GetWindowsDirectory function to get the path of this directory.
      - The directories that are listed in the PATH environment variable. Note that this function does not search the per-application path specified by the App Paths registry key. To include this per-application path in the search sequence, use the ShellExecute function.
      The system adds a terminating null character to the command-line string to separate the file name from the arguments. This divides the original string into two strings for internal processing.
      `lpProcessAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether the returned handle to the new process object can be inherited by child processes. If lpProcessAttributes is NULL, the handle cannot be inherited.
      `lpThreadAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether the returned handle to the new thread object can be inherited by child processes. If lpThreadAttributes is NULL, the handle cannot be inherited.
      `bInheritHandles` - If this parameter TRUE, each inheritable handle in the calling process is inherited by the new process. If the parameter is FALSE, the handles are not inherited. Note that inherited handles have the same value and access rights as the original handles.
      `dwCreationFlags` - The flags that control the priority class and the creation of the process.
      `lpEnvironment` - A pointer to the environment block for the new process. If this parameter is NULL, the new process uses the environment of the calling process.
      `lpCurrentDirectory` - The full path to the current directory for the process.
      `lpStartupInfo` - A pointer to a STARTUPINFO or STARTUPINFOEX structure.
      `lpProcessInformation` - A pointer to a PROCESS_INFORMATION structure that receives identification information about the new process.
    Returns:
      If the function succeeds, the return value is nonzero.

  - ### OpenProcess

    WinNT.HANDLE OpenProcess(int fdwAccess, boolean fInherit, int IDProcess)
    This function returns a handle to an existing process object.
    Parameters:
      `fdwAccess` - The access to the process object. This access right is checked against the security descriptor for the process. This parameter can be one or more of the process access rights.

      If the caller has enabled the SeDebugPrivilege privilege, the requested access is granted regardless of the contents of the security descriptor.

      `fInherit` - If this value is TRUE, processes created by this process will inherit the handle. Otherwise, the processes do not inherit this handle.
      `IDProcess` - Specifies the process identifier of the process to open.
    Returns:
      An open handle to the specified process indicates success. NULL indicates failure. To get extended error information, call GetLastError.

  - ### QueryFullProcessImageName

    boolean QueryFullProcessImageName(WinNT.HANDLE hProcess, int dwFlags, char[] lpExeName, IntByReference lpdwSize)
    This function retrieves the full path of the executable file of a given process.
    Parameters:
      `hProcess` - Handle for the running process
      `dwFlags` - 0 - The name should use the Win32 path format. 1(WinNT.PROCESS_NAME_NATIVE) - The name should use the native system path format.
      `lpExeName` - pre-allocated character buffer for the returned path
      `lpdwSize` - input: the size of the allocated buffer output: the length of the returned path in characters
    Returns:
      true if successful false if not. To get extended error information, call GetLastError.

  - ### GetTempPath

    WinDef.DWORD GetTempPath(WinDef.DWORD nBufferLength, char[] buffer)
    The GetTempPath function retrieves the path of the directory designated for temporary files.
    Parameters:
      `nBufferLength` - Size of the string buffer identified by lpBuffer, in TCHARs.
      `buffer` - Pointer to a string buffer that receives the null-terminated string specifying the temporary file path. The returned string ends with a backslash, for example, C:\TEMP\.
    Returns:
      If the function succeeds, the return value is the length, in TCHARs, of the string copied to lpBuffer, not including the terminating null character. If the return value is greater than nBufferLength, the return value is the length, in TCHARs, of the buffer required to hold the path. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetVersion

    WinDef.DWORD GetVersion()
    The GetVersion function returns the current version number of the operating system.
    Returns:
      If the function succeeds, the return value includes the major and minor version numbers of the operating system in the low order word, and information about the operating system platform in the high order word.

  - ### GetVersionEx

    boolean GetVersionEx(WinNT.OSVERSIONINFO lpVersionInfo)
    The GetVersionEx function obtains extended information about the version of the operating system that is currently running.
    Parameters:
      `lpVersionInfo` - Pointer to an OSVERSIONINFO data structure that the function fills with operating system version information.
    Returns:
      If the function succeeds, the return value is a nonzero value. If the function fails, the return value is zero. To get extended error information, call GetLastError. The function fails if you specify an invalid value for the dwOSVersionInfoSize member of the OSVERSIONINFO or OSVERSIONINFOEX structure.

  - ### GetVersionEx

    boolean GetVersionEx(WinNT.OSVERSIONINFOEX lpVersionInfo)
    The GetVersionEx function obtains extended information about the version of the operating system that is currently running.
    Parameters:
      `lpVersionInfo` - Pointer to an OSVERSIONINFOEX data structure that the function fills with operating system version information.
    Returns:
      If the function succeeds, the return value is a nonzero value. If the function fails, the return value is zero. To get extended error information, call GetLastError. The function fails if you specify an invalid value for the dwOSVersionInfoSize member of the OSVERSIONINFO or OSVERSIONINFOEX structure.

  - ### VerifyVersionInfoW

    boolean VerifyVersionInfoW(WinNT.OSVERSIONINFOEX lpVersionInformation, int dwTypeMask, long dwlConditionMask)
    Compares a set of operating system version requirements to the corresponding values for the currently running version of the system. This function is subject to manifest-based behavior.
    Parameters:
      `lpVersionInformation` - A pointer to an `WinNT.OSVERSIONINFOEX` structure containing the operating system version requirements to compare. The `dwTypeMask` parameter indicates the members of this structure that contain information to compare.

      You must set the `dwOSVersionInfoSize` member of this structure to `sizeof(OSVERSIONINFOEX)`. You must also specify valid data for the members indicated by `dwTypeMask`. The function ignores structure members for which the corresponding `dwTypeMask` bit is not set.

      `dwTypeMask` - A mask that indicates the members of the `WinNT.OSVERSIONINFOEX` structure to be tested.
      `dwlConditionMask` - The type of comparison to be used for each `lpVersionInfo` member being compared. To build this value, call the `VerSetConditionMask(long, int, byte)` function once for each `WinNT.OSVERSIONINFOEX` member being compared.
    Returns:
      If the currently running operating system satisfies the specified requirements, the return value is a nonzero value.

      If the current system does not satisfy the requirements, the return value is zero and `GetLastError()` returns `WinError.ERROR_OLD_WIN_VERSION`.

      If the function fails, the return value is zero and `GetLastError()` returns an error code other than `WinError.ERROR_OLD_WIN_VERSION`.

  - ### VerSetConditionMask

    long VerSetConditionMask(long conditionMask, int typeMask, byte condition)
    Sets the bits of a 64-bit value to indicate the comparison operator to use for a specified operating system version attribute. This function is used to build the `dwlConditionMask` parameter of the `VerifyVersionInfoW(com.sun.jna.platform.win32.WinNT.OSVERSIONINFOEX, int, long)` function.
    Parameters:
      `conditionMask` - A value to be passed as the `dwlConditionMask` parameter of the `VerifyVersionInfoW(com.sun.jna.platform.win32.WinNT.OSVERSIONINFOEX, int, long)` function. The function stores the comparison information in the bits of this variable.

      Before the first call to `VerSetConditionMask(long, int, byte)`, initialize this variable to zero. For subsequent calls, pass in the variable used in the previous call.

      `typeMask` - A mask that indicates the member of the `WinNT.OSVERSIONINFOEX` structure whose comparison operator is being set. This value corresponds to one of the bits specified in the `dwTypeMask` parameter for the `VerifyVersionInfoW(com.sun.jna.platform.win32.WinNT.OSVERSIONINFOEX, int, long)` function.
      `condition` - The operator to be used for the comparison. The `VerifyVersionInfoW(com.sun.jna.platform.win32.WinNT.OSVERSIONINFOEX, int, long)` function uses this operator to compare a specified attribute value to the corresponding value for the currently running system.
    Returns:
      The function returns the condition mask value.

  - ### GetSystemInfo

    void GetSystemInfo(WinBase.SYSTEM_INFO lpSystemInfo)
    The GetSystemInfo function returns information about the current system.
    Parameters:
      `lpSystemInfo` - Pointer to a SYSTEM_INFO structure that receives the information.

  - ### GetNativeSystemInfo

    void GetNativeSystemInfo(WinBase.SYSTEM_INFO lpSystemInfo)
    The GetNativeSystemInfo function retrieves information about the current system to an application running under WOW64. If the function is called from a 64-bit application, it is equivalent to the GetSystemInfo function.
    Parameters:
      `lpSystemInfo` - Pointer to a SYSTEM_INFO structure that receives the information.

  - ### IsWow64Process

    boolean IsWow64Process(WinNT.HANDLE hProcess, IntByReference Wow64Process)
    The IsWow64Process function determines whether the specified process is running under WOW64.
    Parameters:
      `hProcess` - Handle to a process.
      `Wow64Process` - Pointer to a value that is set to TRUE if the process is running under WOW64. Otherwise, the value is set to FALSE.
    Returns:
      If the function succeeds, the return value is a nonzero value. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetLogicalProcessorInformation

    boolean GetLogicalProcessorInformation(Pointer buffer, WinDef.DWORDByReference returnLength)
    Retrieves information about logical processors and related hardware.
    Parameters:
      `buffer` - a buffer which receives an array of `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION` structures.
      `returnLength` - on input, specifies the length of the buffer in bytes. On output, receives the number of bytes actually returned, or if `GetLastError()` returned `WinError.ERROR_INSUFFICIENT_BUFFER`, the number of bytes wanted for the call to work.
    Returns:
      `true` on success, `false` on failure. To get extended error information, call `GetLastError()`.

  - ### GetLogicalProcessorInformationEx

    boolean GetLogicalProcessorInformationEx(int relationshipType, Pointer buffer, WinDef.DWORDByReference returnedLength)
    Retrieves information about the relationships of logical processors and related hardware.
    Parameters:
      `relationshipType` - The type of relationship to retrieve. This parameter can be one of the following values: `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationCache`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationGroup`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationNumaNode`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorCore`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorPackage`, or `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationAll`
      `buffer` - A pointer to a buffer that receives an array of `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX` structures. If the function fails, the contents of this buffer are undefined.
      `returnedLength` - On input, specifies the length of the buffer pointed to by Buffer, in bytes. If the buffer is large enough to contain all of the data, this function succeeds and ReturnedLength is set to the number of bytes returned. If the buffer is not large enough to contain all of the data, the function fails, GetLastError returns `WinError.ERROR_INSUFFICIENT_BUFFER`, and ReturnedLength is set to the buffer length required to contain all of the data. If the function fails with an error other than `WinError.ERROR_INSUFFICIENT_BUFFER`, the value of ReturnedLength is undefined.
    Returns:
      If the function succeeds, the return value is `TRUE` and at least one `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX` structure is written to the output buffer.

      If the function fails, the return value is `FALSE`. To get extended error information, call `GetLastError()`.

  - ### GlobalMemoryStatusEx

    boolean GlobalMemoryStatusEx(WinBase.MEMORYSTATUSEX lpBuffer)
    Retrieves information about the system's current usage of both physical and virtual memory.
    Parameters:
      `lpBuffer` - A pointer to a MEMORYSTATUSEX structure that receives information about current memory availability.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetFileInformationByHandleEx

    boolean GetFileInformationByHandleEx(WinNT.HANDLE hFile, int FileInformationClass, Pointer lpFileInformation, WinDef.DWORD dwBufferSize)
    Retrieves file information for the specified file. To set file information using a file handle, see SetFileInformationByHandle.
    Parameters:
      `hFile` - A handle to the file that contains the information to be retrieved.
      `FileInformationClass` - A FILE_INFO_BY_HANDLE_CLASS enumeration value that specifies the type of information to be retrieved.
      `lpFileInformation` - A pointer to the buffer that receives the requested file information. The structure that is returned corresponds to the class that is specified by FileInformationClass.
      `dwBufferSize` - The size of the lpFileInformation buffer, in bytes.
    Returns:
      If the function succeeds, the return value is nonzero and file information data is contained in the buffer pointed to by the lpFileInformation parameter. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### SetFileInformationByHandle

    boolean SetFileInformationByHandle(WinNT.HANDLE hFile, int FileInformationClass, Pointer lpFileInformation, WinDef.DWORD dwBufferSize)
    Sets the file information for the specified file. To retrieve file information using a file handle, see GetFileInformationByHandleEx.
    Parameters:
      `hFile` - A handle to the file for which to change information. This handle must be opened with the appropriate permissions for the requested change. This handle should not be a pipe handle.
      `FileInformationClass` - A FILE_INFO_BY_HANDLE_CLASS enumeration value that specifies the type of information to be changed. Valid values are FILE_BASIC_INFO, FILE_RENAME_INFO, FILE_DISPOSITION_INFO, FILE_ALLOCATION_INFO, FILE_END_OF_FILE_INFO, and FILE_IO_PRIORITY_HINT_INFO
      `lpFileInformation` - A pointer to the buffer that contains the information to change for the specified file information class. The structure that this parameter points to corresponds to the class that is specified by FileInformationClass.
      `dwBufferSize` - The size of the lpFileInformation buffer, in bytes.
    Returns:
      Returns nonzero if successful or zero otherwise. To get extended error information, call GetLastError.

  - ### GetFileTime

    boolean GetFileTime(WinNT.HANDLE hFile, WinBase.FILETIME lpCreationTime, WinBase.FILETIME lpLastAccessTime, WinBase.FILETIME lpLastWriteTime)
    Retrieves the date and time that a file or directory was created, last accessed, and last modified.
    Parameters:
      `hFile` - A handle to the file or directory for which dates and times are to be retrieved. The handle must have been created using the CreateFile function with the GENERIC_READ access right.
      `lpCreationTime` - A pointer to a FILETIME structure to receive the date and time the file or directory was created. This parameter can be NULL if the application does not require this information.
      `lpLastAccessTime` - A pointer to a FILETIME structure to receive the date and time the file or directory was last accessed. The last access time includes the last time the file or directory was written to, read from, or, in the case of executable files, run. This parameter can be NULL if the application does not require this information.
      `lpLastWriteTime` - A pointer to a FILETIME structure to receive the date and time the file or directory was last written to, truncated, or overwritten (for example, with WriteFile or SetEndOfFile). This date and time is not updated when file attributes or security descriptors are changed. This parameter can be NULL if the application does not require this information.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### SetFileTime

    int SetFileTime(WinNT.HANDLE hFile, WinBase.FILETIME lpCreationTime, WinBase.FILETIME lpLastAccessTime, WinBase.FILETIME lpLastWriteTime)
    Sets the date and time that the specified file or directory was created, last accessed, or last modified.
    Parameters:
      `hFile` - A handle to the file or directory. The handle must have been created using the CreateFile function with the FILE_WRITE_ATTRIBUTES access right. For more information, see File Security and Access Rights.
      `lpCreationTime` - A pointer to a FILETIME structure that contains the new creation date and time for the file or directory. This parameter can be NULL if the application does not need to change this information.
      `lpLastAccessTime` - A pointer to a FILETIME structure that contains the new last access date and time for the file or directory. The last access time includes the last time the file or directory was written to, read from, or (in the case of executable files) run. This parameter can be NULL if the application does not need to change this information. To preserve the existing last access time for a file even after accessing a file, call SetFileTime immediately after opening the file handle with this parameter's FILETIME structure members initialized to 0xFFFFFFFF.
      `lpLastWriteTime` - A pointer to a FILETIME structure that contains the new last modified date and time for the file or directory. This parameter can be NULL if the application does not need to change this information.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### SetFileAttributes

    boolean SetFileAttributes(String lpFileName, WinDef.DWORD dwFileAttributes)
    Sets the attributes for a file or directory.
    Parameters:
      `lpFileName` - The name of the file whose attributes are to be set. The name is limited to MAX_PATH characters. To extend this limit to 32,767 wide characters, prepend "\\?\" to the path.
      `dwFileAttributes` - The file attributes to set for the file. This parameter can be one or more values, combined using the bitwise-OR operator. However, all other values override FILE_ATTRIBUTE_NORMAL.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetLogicalDriveStrings

    WinDef.DWORD GetLogicalDriveStrings(WinDef.DWORD nBufferLength, char[] lpBuffer)
    The GetLogicalDriveStrings function fills a buffer with strings that specify valid drives in the system.
    Parameters:
      `nBufferLength` - Maximum size of the buffer pointed to by lpBuffer, in TCHARs. This size does not include the terminating null character. If this parameter is zero, lpBuffer is not used.
      `lpBuffer` - Pointer to a buffer that receives a series of null-terminated strings, one for each valid drive in the system, plus with an additional null character. Each string is a device name.
    Returns:
      If the function succeeds, the return value is the length, in characters, of the strings copied to the buffer, not including the terminating null character. Note that an ANSI-ASCII null character uses one byte, but a Unicode null character uses two bytes. If the buffer is not large enough, the return value is greater than nBufferLength. It is the size of the buffer required to hold the drive strings. If the function fails, the return value is zero. To get extended error information, use the GetLastError function.

  - ### GetDiskFreeSpace

    boolean GetDiskFreeSpace(String lpRootPathName, WinDef.DWORDByReference lpSectorsPerCluster, WinDef.DWORDByReference lpBytesPerSector, WinDef.DWORDByReference lpNumberOfFreeClusters, WinDef.DWORDByReference lpTotalNumberOfClusters)
    Retrieves information about the specified disk, including the amount of free space on the disk
    Parameters:
      `lpRootPathName` - The root directory of the disk for which information is to be returned. If this parameter is NULL, the function uses the root of the current disk. If this parameter is a UNC name, it must include a trailing backslash (for example, "\\MyServer\MyShare\"). Furthermore, a drive specification must have a trailing backslash (for example, "C:\"). The calling application must have FILE_LIST_DIRECTORY access rights for this directory.
      `lpSectorsPerCluster` - A variable that receives the number of sectors per cluster.
      `lpBytesPerSector` - A variable that receives the number of bytes per sector.
      `lpNumberOfFreeClusters` - A variable that receives the total number of free clusters on the disk that are available to the user who is associated with the calling thread. If per-user disk quotas are in use, this value may be less than the total number of free clusters on the disk.
      `lpTotalNumberOfClusters` - A variable that receives the total number of clusters on the disk that are available to the user who is associated with the calling thread. If per-user disk quotas are in use, this value may be less than the total number of clusters on the disk.
    Returns:
      `true` if the function succeeds - to get extended error information, call `GetLastError()`.
    See Also:
      - GetDiskFreeSpace

  - ### GetDiskFreeSpaceEx

    boolean GetDiskFreeSpaceEx(String lpDirectoryName, WinNT.LARGE_INTEGER lpFreeBytesAvailable, WinNT.LARGE_INTEGER lpTotalNumberOfBytes, WinNT.LARGE_INTEGER lpTotalNumberOfFreeBytes)
    The GetDiskFreeSpaceEx function retrieves information about the amount of space that is available on a disk volume, which is the total amount of space, the total amount of free space, and the total amount of free space available to the user that is associated with the calling thread.
    Parameters:
      `lpDirectoryName` - A string that specifies a directory on a disk. If this parameter is NULL, the function uses the root of the current disk. If this parameter is a UNC name, it must include a trailing backslash, for example, `\\MyServer\MyShare\`. This parameter does not have to specify the root directory on a disk. The function accepts any directory on a disk.
      `lpFreeBytesAvailable` - A pointer to a variable that receives the total number of free bytes on a disk that are available to the user who is associated with the calling thread. This parameter can be NULL.
      `lpTotalNumberOfBytes` - A pointer to a variable that receives the total number of bytes on a disk that are available to the user who is associated with the calling thread. This parameter can be NULL.
      `lpTotalNumberOfFreeBytes` - A pointer to a variable that receives the total number of free bytes on a disk. This parameter can be NULL.
    Returns:
      `true` if the function succeeds - to get extended error information, call `GetLastError()`.
    See Also:
      - GetDiskFreeSpaceEx

  - ### DeleteFile

    boolean DeleteFile(String filename)
    Deletes an existing file.
    Parameters:
      `filename` - The name of the file to be deleted.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero (0). To get extended error information, call GetLastError.

  - ### CreatePipe

    boolean CreatePipe(WinNT.HANDLEByReference hReadPipe, WinNT.HANDLEByReference hWritePipe, WinBase.SECURITY_ATTRIBUTES lpPipeAttributes, int nSize)
    Creates an anonymous pipe, and returns handles to the read and write ends of the pipe.
    Parameters:
      `hReadPipe` - A pointer to a variable that receives the read handle for the pipe.
      `hWritePipe` - A pointer to a variable that receives the write handle for the pipe.
      `lpPipeAttributes` - A pointer to a SECURITY_ATTRIBUTES structure that determines whether the returned handle can be inherited by child processes.
      `nSize` - The size of the buffer for the pipe, in bytes.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CallNamedPipe

    boolean CallNamedPipe(String lpNamedPipeName, byte[] lpInBuffer, int nInBufferSize, byte[] lpOutBuffer, int nOutBufferSize, IntByReference lpBytesRead, int nTimeOut)
    Connects to a message-type pipe (and waits if an instance of the pipe is not available), writes to and reads from the pipe, and then closes the pipe.
    Parameters:
      `lpNamedPipeName` - The pipe name.
      `lpInBuffer` - The data to be written to the pipe.
      `nInBufferSize` - The size of the write buffer, in bytes.
      `lpOutBuffer` - The buffer that receives the data read from the pipe.
      `nOutBufferSize` - The size of the read buffer, in bytes.
      `lpBytesRead` - A variable that receives the number of bytes read from the pipe.
      `nTimeOut` - The number of milliseconds to wait for the named pipe to be available.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - CallNamedPipe documentation

  - ### ConnectNamedPipe

    boolean ConnectNamedPipe(WinNT.HANDLE hNamedPipe, WinBase.OVERLAPPED lpOverlapped)
    Enables a named pipe server process to wait for a client process to connect to an instance of a named pipe
    Parameters:
      `hNamedPipe` - A handle to the server end of a named pipe instance.
      `lpOverlapped` - A pointer to an `WinBase.OVERLAPPED` structure.
    Returns:

      If the operation is synchronous, does not return until the operation has completed. If the function succeeds, the return value is `true`. If the function fails, the return value is `false`. To get extended error information, call `GetLastError()`.

      If the operation is asynchronous, returns immediately. If the operation is still pending, the return value is `false` and `GetLastError()` returns `WinError.ERROR_IO_PENDING`.

      If a client connects before the function is called, the function returns `false` and `GetLastError()` returns `WinError.ERROR_PIPE_CONNECTED`.

    See Also:
      - ConnectNamedPipe documentation

  - ### CreateNamedPipe

    WinNT.HANDLE CreateNamedPipe(String lpName, int dwOpenMode, int dwPipeMode, int nMaxInstances, int nOutBufferSize, int nInBufferSize, int nDefaultTimeOut, WinBase.SECURITY_ATTRIBUTES lpSecurityAttributes)
    Parameters:
      `lpName` - The unique pipe name. This string must have the following form:

      `\\.\pipe\pipename`

      The pipename part of the name can include any character other than a backslash, including numbers and special characters. The entire pipe name string can be up to `MAX_PIPE_NAME_LENGTH` characters long. Pipe names are not case sensitive.

      `dwOpenMode` - The open mode. The function fails if specifies anything other than 0 or the allowed flags
      `dwPipeMode` - The pipe mode. The function fails if specifies anything other than 0 or the allowed flags
      `nMaxInstances` - The maximum number of instances that can be created for this pipe. Acceptable values are in the range 1 through `WinBase.PIPE_UNLIMITED_INSTANCES`
      `nOutBufferSize` - The number of bytes to reserve for the output buffer.
      `nInBufferSize` - The number of bytes to reserve for the input buffer.
      `nDefaultTimeOut` - The default time-out value, in milliseconds. A value of zero will result in a default time-out of 50 milliseconds
      `lpSecurityAttributes` - A pointer to a `WinBase.SECURITY_ATTRIBUTES` structure that specifies a security descriptor for the new named pipe. If `null` the named pipe gets a default security descriptor and the handle cannot be inherited.
    Returns:
      If the function succeeds, the return value is a handle to the server end of a named pipe instance. If the function fails, the return value is `WinBase.INVALID_HANDLE_VALUE`. To get extended error information, call `GetLastError()`.
    See Also:
      - CreateNamedPipe documentation

  - ### DisconnectNamedPipe

    boolean DisconnectNamedPipe(WinNT.HANDLE hNamedPipe)
    Disconnects the server end of a named pipe instance from a client process.
    Parameters:
      `hNamedPipe` - A handle to an instance of a named pipe.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - DisconnectNamedPipe documentation

  - ### GetNamedPipeClientComputerName

    boolean GetNamedPipeClientComputerName(WinNT.HANDLE Pipe, char[] ClientComputerName, int ClientComputerNameLength)
    Retrieves the client computer name for the specified named pipe.
    Parameters:
      `Pipe` - A handle to an instance of a named pipe.
      `ClientComputerName` - The buffer to receive the computer name. Note: use `Native.toString(char[])` to convert it to a `String`
      `ClientComputerNameLength` - The size of the `ClientComputerName` buffer, in bytes.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeClientComputerName documentation

  - ### GetNamedPipeClientProcessId

    boolean GetNamedPipeClientProcessId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ClientProcessId)
    Parameters:
      `Pipe` - A handle to an instance of a named pipe.
      `ClientProcessId` - Recipient of the process identifier
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeClientProcessId documentation

  - ### GetNamedPipeClientSessionId

    boolean GetNamedPipeClientSessionId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ClientSessionId)
    Parameters:
      `Pipe` - A handle to an instance of a named pipe.
      `ClientSessionId` - Recipient of the session identifier
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeClientProcessId documentation

  - ### GetNamedPipeHandleState

    boolean GetNamedPipeHandleState(WinNT.HANDLE hNamedPipe, IntByReference lpState, IntByReference lpCurInstances, IntByReference lpMaxCollectionCount, IntByReference lpCollectDataTimeout, char[] lpUserName, int nMaxUserNameSize)
    Retrieves information about a specified named pipe.
    Parameters:
      `hNamedPipe` - A handle to the named pipe for which information is wanted.
      `lpState` - A pointer to a variable that indicates the current state of the handle. This parameter can be `null` if this information is not needed.
      `lpCurInstances` - A pointer to a variable that receives the number of current pipe instances. This parameter can be `null` if this information is not needed.
      `lpMaxCollectionCount` - A pointer to a variable that receives the maximum number of bytes to be collected on the client's computer before transmission to the server. This parameter can be `null` if this information is not needed.
      `lpCollectDataTimeout` - A pointer to a variable that receives the maximum time, in milliseconds, that can pass before a remote named pipe transfers information over the network. This parameter can be `null` if this information is not needed.
      `lpUserName` - A buffer that receives the user name string associated with the client application. This parameter can be `null` if this information is not needed.
      `nMaxUserNameSize` - The size of the buffer specified by the `lpUserName` parameter. This parameter is ignored if `lpUserName` is `null`.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeHandleState documentation

  - ### GetNamedPipeInfo

    boolean GetNamedPipeInfo(WinNT.HANDLE hNamedPipe, IntByReference lpFlags, IntByReference lpOutBufferSize, IntByReference lpInBufferSize, IntByReference lpMaxInstances)
    Retrieves information about the specified named pipe.
    Parameters:
      `hNamedPipe` - A handle to the named pipe instance.
      `lpFlags` - A pointer to a variable that receives the type of the named pipe. This parameter can be `null` if this information is not needed.
      `lpOutBufferSize` - A pointer to a variable that receives the size of the buffer for outgoing data, in bytes. This parameter can be `null` if this information is not needed.
      `lpInBufferSize` - A pointer to a variable that receives the size of the buffer for incoming data, in bytes. This parameter can be `null` if this information is not needed.
      `lpMaxInstances` - A pointer to a variable that receives the maximum number of pipe instances that can be created. This parameter can be `null` if this information is not needed.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeInfo documentation

  - ### GetNamedPipeServerProcessId

    boolean GetNamedPipeServerProcessId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ServerProcessId)
    Parameters:
      `Pipe` - A handle to an instance of a named pipe.
      `ServerProcessId` - Recipient of the process identifier.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeServerProcessId documentation

  - ### GetNamedPipeServerSessionId

    boolean GetNamedPipeServerSessionId(WinNT.HANDLE Pipe, WinDef.ULONGByReference ServerSessionId)
    Parameters:
      `Pipe` - A handle to an instance of a named pipe.
      `ServerSessionId` - session identifier.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - GetNamedPipeServerSessionId documentation

  - ### PeekNamedPipe

    boolean PeekNamedPipe(WinNT.HANDLE hNamedPipe, byte[] lpBuffer, int nBufferSize, IntByReference lpBytesRead, IntByReference lpTotalBytesAvail, IntByReference lpBytesLeftThisMessage)
    Copies data from a named or anonymous pipe into a buffer without removing it from the pipe.
    Parameters:
      `hNamedPipe` - A handle to the pipe.
      `lpBuffer` - A buffer that receives data read from the pipe. This parameter can be `null` if no data is to be read.
      `nBufferSize` - The size of the buffer specified by the `lpBuffer parameter`, in bytes. This parameter is ignored if `lpBuffer` is `null`.
      `lpBytesRead` - A variable that receives the number of bytes read from the pipe. This parameter can be `null` if no data is to be read.
      `lpTotalBytesAvail` - A variable that receives the total number of bytes available to be read from the pipe. This parameter can be `null` if no data is to be read.
      `lpBytesLeftThisMessage` - A variable that receives the number of bytes remaining in this message. This parameter can be `null` if no data is to be read.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - PeekNamedPipe documentation

  - ### SetNamedPipeHandleState

    boolean SetNamedPipeHandleState(WinNT.HANDLE hNamedPipe, IntByReference lpMode, IntByReference lpMaxCollectionCount, IntByReference lpCollectDataTimeout)
    Sets the read mode and the blocking mode of the specified named pipe.
    Parameters:
      `hNamedPipe` - A handle to the named pipe instance.
      `lpMode` - The new pipe mode. The mode is a combination of a read-mode flag and a wait-mode flag. This parameter can be `null` if the mode is not being set.
      `lpMaxCollectionCount` - The maximum number of bytes collected on the client computer before transmission to the server. This parameter can be `null` if the count is not being set.
      `lpCollectDataTimeout` - The maximum time, in milliseconds, that can pass before a remote named pipe transfers information over the network. This parameter can be `null` if the timeout is not being set.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - SetNamedPipeHandleState documentation

  - ### TransactNamedPipe

    boolean TransactNamedPipe(WinNT.HANDLE hNamedPipe, byte[] lpInBuffer, int nInBufferSize, byte[] lpOutBuffer, int nOutBufferSize, IntByReference lpBytesRead, WinBase.OVERLAPPED lpOverlapped)
    Combines the functions that write a message to and read a message from the specified named pipe into a single network operation.
    Parameters:
      `hNamedPipe` - A handle to the named pipe
      `lpInBuffer` - The buffer containing the data to be written to the pipe.
      `nInBufferSize` - The size of the input buffer, in bytes.
      `lpOutBuffer` - The buffer that receives the data read from the pipe.
      `nOutBufferSize` - The size of the output buffer, in bytes.
      `lpBytesRead` - Variable that receives the number of bytes read from the pipe.
      `lpOverlapped` - A pointer to an `WinBase.OVERLAPPED` structure. Can be `null` if pipe not opened with `WinNT.FILE_FLAG_OVERLAPPED`.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - TransactNamedPipe documentation

  - ### WaitNamedPipe

    boolean WaitNamedPipe(String lpNamedPipeName, int nTimeOut)
    Waits until either a time-out interval elapses or an instance of the specified named pipe is available for connection - i.e., the pipe's server process has a pending `ConnectNamedPipe(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinBase.OVERLAPPED)` operation on the pipe.
    Parameters:
      `lpNamedPipeName` - The name of the named pipe. The string must include the name of the computer on which the server process is executing. The following pipe name format is used:

      `\\servername\pipe\pipename`

      A period may be used for the servername if the pipe is local.

      `nTimeOut` - The number of milliseconds that the function will wait for an instance of the named pipe to be available.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - WaitNamedPipe documentation

  - ### SetHandleInformation

    boolean SetHandleInformation(WinNT.HANDLE hObject, int dwMask, int dwFlags)
    Sets certain properties of an object handle.
    Parameters:
      `hObject` - A handle to an object whose information is to be set.
      `dwMask` - A mask that specifies the bit flags to be changed. Use the same constants shown in the description of dwFlags.
      `dwFlags` - Set of bit flags that specifies properties of the object handle.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetFileAttributes

    int GetFileAttributes(String lpFileName)
    Retrieves file system attributes for a specified file or directory.
    Parameters:
      `lpFileName` - The name of the file or directory. Prepend \\?\ to the path for names up to 32,767 wide characters
    Returns:
      INVALID_FILE_ATTRIBUTES if the function fails, otherwise the file attributes WinNT.FILE_ATTRIBUTE_*

  - ### GetFileType

    int GetFileType(WinNT.HANDLE hFile)
    Retrieves the file type of the specified file.
    Parameters:
      `hFile` - A handle to the file.
    Returns:
      FILE_TYPE_UNKNOWN if the function fails, or if the type is unknown. You can distinguish between a "valid" return of FILE_TYPE_UNKNOWN and its return due to a calling error (for example, passing an invalid handle to GetFileType) by calling GetLastError. If the function worked properly and FILE_TYPE_UNKNOWN was returned, a call to GetLastError will return NO_ERROR.

  - ### DeviceIoControl

    boolean DeviceIoControl(WinNT.HANDLE hDevice, int dwIoControlCode, Pointer lpInBuffer, int nInBufferSize, Pointer lpOutBuffer, int nOutBufferSize, IntByReference lpBytesReturned, Pointer lpOverlapped)
    Sends a control code directly to a specified device driver, causing the corresponding device to perform the corresponding operation.
    Parameters:
      `hDevice` - A handle to the device on which the operation is to be performed. The device is typically a volume, directory, file, or stream. To retrieve a device handle, use the CreateFile function. For more information, see Remarks.
      `dwIoControlCode` - The control code for the operation. This value identifies the specific operation to be performed and the type of device on which to perform it. For a list of the control codes, see Remarks. The documentation for each control code provides usage details for the lpInBuffer, nInBufferSize, lpOutBuffer, and nOutBufferSize parameters.
      `lpInBuffer` - A pointer to the input buffer that contains the data required to perform the operation. The format of this data depends on the value of the dwIoControlCode parameter. This parameter can be NULL if dwIoControlCode specifies an operation that does not require input data.
      `nInBufferSize` - The size of the input buffer, in bytes.
      `lpOutBuffer` - A pointer to the output buffer that is to receive the data returned by the operation. The format of this data depends on the value of the dwIoControlCode parameter. This parameter can be NULL if dwIoControlCode specifies an operation that does not return data.
      `nOutBufferSize` - The size of the output buffer, in bytes.
      `lpBytesReturned` - A pointer to a variable that receives the size of the data stored in the output buffer, in bytes. If the output buffer is too small to receive any data, the call fails, GetLastError returns ERROR_INSUFFICIENT_BUFFER, and lpBytesReturned is zero. If the output buffer is too small to hold all of the data but can hold some entries, some drivers will return as much data as fits. In this case, the call fails, GetLastError returns ERROR_MORE_DATA, and lpBytesReturned indicates the amount of data received. Your application should call DeviceIoControl again with the same operation, specifying a new starting point. If lpOverlapped is NULL, lpBytesReturned cannot be NULL. Even when an operation returns no output data and lpOutBuffer is NULL, DeviceIoControl makes use of lpBytesReturned. After such an operation, the value of lpBytesReturned is meaningless. If lpOverlapped is not NULL, lpBytesReturned can be NULL. If this parameter is not NULL and the operation returns data, lpBytesReturned is meaningless until the overlapped operation has completed. To retrieve the number of bytes returned, call GetOverlappedResult. If hDevice is associated with an I/O completion port, you can retrieve the number of bytes returned by calling GetQueuedCompletionStatus.
      `lpOverlapped` - A pointer to an OVERLAPPED structure. If hDevice was opened without specifying FILE_FLAG_OVERLAPPED, lpOverlapped is ignored. If hDevice was opened with the FILE_FLAG_OVERLAPPED flag, the operation is performed as an overlapped (asynchronous) operation. In this case, lpOverlapped must point to a valid OVERLAPPED structure that contains a handle to an event object. Otherwise, the function fails in unpredictable ways. For overlapped operations, DeviceIoControl returns immediately, and the event object is signaled when the operation has been completed. Otherwise, the function does not return until the operation has been completed or an error occurs.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateToolhelp32Snapshot

    WinNT.HANDLE CreateToolhelp32Snapshot(WinDef.DWORD dwFlags, WinDef.DWORD th32ProcessID)
    Takes a snapshot of the specified processes, as well as the heaps, modules, and threads used by these processes.
    Parameters:
      `dwFlags` - The portions of the system to be included in the snapshot.
      `th32ProcessID` - The process identifier of the process to be included in the snapshot. This parameter can be zero to indicate the current process. This parameter is used when the TH32CS_SNAPHEAPLIST, TH32CS_SNAPMODULE, TH32CS_SNAPMODULE32, or TH32CS_SNAPALL value is specified. Otherwise, it is ignored and all processes are included in the snapshot. If the specified process is the Idle process or one of the CSRSS processes, this function fails and the last error code is ERROR_ACCESS_DENIED because their access restrictions prevent user-level code from opening them. If the specified process is a 64-bit process and the caller is a 32-bit process, this function fails and the last error code is ERROR_PARTIAL_COPY (299).
    Returns:
      If the function succeeds, it returns an open handle to the specified snapshot. If the function fails, it returns INVALID_HANDLE_VALUE. To get extended error information, call GetLastError. Possible error codes include ERROR_BAD_LENGTH.

  - ### Process32First

    boolean Process32First(WinNT.HANDLE hSnapshot, Tlhelp32.PROCESSENTRY32 lppe)
    Retrieves information about the first process encountered in a system snapshot.
    Parameters:
      `hSnapshot` - A handle to the snapshot returned from a previous call to the CreateToolhelp32Snapshot function.
      `lppe` - A pointer to a PROCESSENTRY32 structure. It contains process information such as the name of the executable file, the process identifier, and the process identifier of the parent process.
    Returns:
      Returns TRUE if the first entry of the process list has been copied to the buffer or FALSE otherwise. The ERROR_NO_MORE_FILES error value is returned by the GetLastError function if no processes exist or the snapshot does not contain process information.

  - ### Process32Next

    boolean Process32Next(WinNT.HANDLE hSnapshot, Tlhelp32.PROCESSENTRY32 lppe)
    Retrieves information about the next process recorded in a system snapshot.
    Parameters:
      `hSnapshot` - A handle to the snapshot returned from a previous call to the CreateToolhelp32Snapshot function.
      `lppe` - A pointer to a PROCESSENTRY32 structure.
    Returns:
      Returns TRUE if the next entry of the process list has been copied to the buffer or FALSE otherwise. The ERROR_NO_MORE_FILES error value is returned by the GetLastError function if no processes exist or the snapshot does not contain process information.

  - ### Thread32First

    boolean Thread32First(WinNT.HANDLE hSnapshot, Tlhelp32.THREADENTRY32 lpte)
    Retrieves information about the first thread of any process encountered in a system snapshot.
    Parameters:
      `hSnapshot` - A handle to the snapshot returned from a previous call to the CreateToolhelp32Snapshot function.
      `lpte` - A pointer to a THREADENTRY32 structure.
    Returns:
      Returns TRUE if the first entry of the thread list has been copied to the buffer or FALSE otherwise. The ERROR_NO_MORE_FILES error value is returned by the GetLastError function if no threads exist or the snapshot does not contain thread information.

  - ### Thread32Next

    boolean Thread32Next(WinNT.HANDLE hSnapshot, Tlhelp32.THREADENTRY32 lpte)
    Retrieves information about the next process recorded in a system snapshot.
    Parameters:
      `hSnapshot` - A handle to the snapshot returned from a previous call to the CreateToolhelp32Snapshot function.
      `lpte` - A pointer to a THREADENTRY32 structure.
    Returns:
      Returns TRUE if the next entry of the thread list has been copied to the buffer or FALSE otherwise. The ERROR_NO_MORE_FILES error value is returned by the GetLastError function if no threads exist or the snapshot does not contain thread information.

  - ### SetEnvironmentVariable

    boolean SetEnvironmentVariable(String lpName, String lpValue)
    The SetEnvironmentVariable function sets the contents of the specified environment variable for the current process.
    Parameters:
      `lpName` - Pointer to a string containing the name of the environment variable to set.
      `lpValue` - Pointer to a string containing the value to set it to. if this value is NULL, the variable is deleted from the current process' environment.
    Returns:
      If the function succeeds, the return value is non-zero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetEnvironmentVariable

    int GetEnvironmentVariable(String lpName, char[] lpBuffer, int nSize)
    Retrieves the contents of the specified variable from the environment block of the calling process.
    Parameters:
      `lpName` - The name of the environment variable.
      `lpBuffer` - A pointer to a buffer that receives the contents of the specified environment variable as a null-terminated string. An environment variable has a maximum size limit of 32,767 characters, including the null-terminating character.
      `nSize` - The size of the buffer pointed to by the lpBuffer parameter, including the null-terminating character, in characters.
    Returns:
      If the function succeeds, the return value is the number of characters stored in the buffer pointed to by lpBuffer, not including the terminating null character. If lpBuffer is not large enough to hold the data, the return value is the buffer size, in characters, required to hold the string and its terminating null character and the contents of lpBuffer are undefined. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetEnvironmentStrings

    Pointer GetEnvironmentStrings()

    Retrieves the environment variables for the current process. The block of variables format is as follows:

    `Var1=Value1\0 Var2=Value2\0 Var3=Value3\0 ... VarN=ValueN\0\0`

    Returns:
      If the function succeeds, the return value is a `Pointer`. to the environment block of the current process. If fails, then `null` is returned. When the data is no longer needed the memory block must be released using `FreeEnvironmentStrings(Pointer)`
    See Also:
      - GetEnvironmentStrings documentation

  - ### FreeEnvironmentStrings

    boolean FreeEnvironmentStrings(Pointer lpszEnvironmentBlock)
    Parameters:
      `lpszEnvironmentBlock` - A pointer to a block of environment strings obtained by calling the `GetEnvironmentStrings()` function
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - FreeEnvironmentStrings documentation

  - ### GetSystemDefaultLCID

    WinDef.LCID GetSystemDefaultLCID()
    Returns the locale identifier for the system locale.
    Returns:
      Returns the locale identifier for the system default locale, identified by LOCALE_SYSTEM_DEFAULT.

  - ### GetUserDefaultLCID

    WinDef.LCID GetUserDefaultLCID()
    Returns the locale identifier for the user default locale.
    Returns:
      Returns the locale identifier for the user default locale, represented as LOCALE_USER_DEFAULT. If the user default locale is a custom locale, this function always returns LOCALE_CUSTOM_DEFAULT, regardless of the custom locale that is selected. For example, whether the user locale is Hawaiian (US), haw-US, or Fijiian (Fiji), fj-FJ, the function returns the same value.

  - ### GetPrivateProfileInt

    int GetPrivateProfileInt(String appName, String keyName, int defaultValue, String fileName)
    Retrieves an integer associated with a key in the specified section of an initialization file.
    Parameters:
      `appName` - The name of the section in the initialization file.
      `keyName` - The name of the key whose value is to be retrieved. This value is in the form of a string; the `GetPrivateProfileInt(java.lang.String, java.lang.String, int, java.lang.String)` function converts the string into an integer and returns the integer.
      `defaultValue` - The default value to return if the key name cannot be found in the initialization file.
      `fileName` - The name of the initialization file. If this parameter does not contain a full path to the file, the system searches for the file in the Windows directory.
    Returns:
      The return value is the integer equivalent of the string following the specified key name in the specified initialization file. If the key is not found, the return value is the specified default value.

  - ### GetPrivateProfileString

    WinDef.DWORD GetPrivateProfileString(String lpAppName, String lpKeyName, String lpDefault, char[] lpReturnedString, WinDef.DWORD nSize, String lpFileName)
    Retrieves a string from the specified section in an initialization file.
    Parameters:
      `lpAppName` - The name of the section containing the key name. If this parameter is `null`, the `GetPrivateProfileString(java.lang.String, java.lang.String, java.lang.String, char[], com.sun.jna.platform.win32.WinDef.DWORD, java.lang.String)` function copies all section names in the file to the supplied buffer.
      `lpKeyName` - The name of the key whose associated string is to be retrieved. If this parameter is `null`, all key names in the section specified by the `lpAppName` parameter are copied to the buffer specified by the `lpReturnedString` parameter.
      `lpDefault` - A default string. If the `lpKeyName` key cannot be found in the initialization file, `GetPrivateProfileString(java.lang.String, java.lang.String, java.lang.String, char[], com.sun.jna.platform.win32.WinDef.DWORD, java.lang.String)` copies the default string to the `lpReturnedString` buffer. If this parameter is `null`, the default is an empty string, `""`.

      Avoid specifying a default string with trailing blank characters. The function inserts a `null` character in the `lpReturnedString` buffer to strip any trailing blanks.

      `lpReturnedString` - A pointer to the buffer that receives the retrieved string.
      `nSize` - The size of the buffer pointed to by the `lpReturnedString` parameter, in characters.
      `lpFileName` - The name of the initialization file. If this parameter does not contain a full path to the file, the system searches for the file in the Windows directory.
    Returns:
      The return value is the number of characters copied to the buffer, not including the terminating `null` character.

      If neither `lpAppName` nor `lpKeyName` is `null` and the supplied destination buffer is too small to hold the requested string, the string is truncated and followed by a `null` character, and the return value is equal to `nSize` minus one.

      If either `lpAppName` or `lpKeyName` is `null` and the supplied destination buffer is too small to hold all the strings, the last string is truncated and followed by two `null` characters. In this case, the return value is equal to `nSize` minus two.

      In the event the initialization file specified by `lpFileName` is not found, or contains invalid values, this function will set errorno with a value of '0x2' (File Not Found). To retrieve extended error information, call `GetLastError()`.

  - ### WritePrivateProfileString

    boolean WritePrivateProfileString(String lpAppName, String lpKeyName, String lpString, String lpFileName)
    Copies a string into the specified section of an initialization file. If the file was created using Unicode characters, the function writes Unicode characters to the file. Otherwise, the function writes ANSI characters.
    Parameters:
      `lpAppName` - The name of the section to which the string will be copied. If the section does not exist, it is created. The name of the section is case-independent; the string can be any combination of uppercase and lowercase letters.
      `lpKeyName` - The name of the key to be associated with a string. If the key does not exist in the specified section, it is created. If this parameter is `null`, the entire section, including all entries within the section, is deleted.
      `lpString` - A string to be written to the file. If this parameter is `null`, the key pointed to by the `lpKeyName` parameter is deleted.
      `lpFileName` - The name of the initialization file.
    Returns:
      If the function successfully copies the string to the initialization file, the return value is `true`.

      If the function fails, or if it flushes the cached version of the most recently accessed initialization file, the return value is `false`. To get extended error information, call `GetLastError()`.

  - ### GetPrivateProfileSection

    WinDef.DWORD GetPrivateProfileSection(String lpAppName, char[] lpReturnedString, WinDef.DWORD nSize, String lpFileName)
    Retrieves all the keys and values for the specified section of an initialization file.

    Each string has the following format: `key=string`.

    This operation is atomic; no updates to the specified initialization file are allowed while the key name and value pairs for the section are being copied to the buffer pointed to by the `lpReturnedString` parameter.

    Parameters:
      `lpAppName` - The name of the section in the initialization file.
      `lpReturnedString` - A buffer that receives the key name and value pairs associated with the named section. The buffer is filled with one or more `null` -terminated strings; the last string is followed by a second `null` character.
      `nSize` - The size of the buffer pointed to by the `lpReturnedString` parameter, in characters. The maximum profile section size is 32,767 characters.
      `lpFileName` - The name of the initialization file. If this parameter does not contain a full path to the file, the system searches for the file in the Windows directory.
    Returns:
      The number of characters copied to the buffer, not including the terminating null character. If the buffer is not large enough to contain all the key name and value pairs associated with the named section, the return value is equal to `nSize` minus two.

  - ### GetPrivateProfileSectionNames

    WinDef.DWORD GetPrivateProfileSectionNames(char[] lpszReturnBuffer, WinDef.DWORD nSize, String lpFileName)
    Retrieves the names of all sections in an initialization file.

    This operation is atomic; no updates to the initialization file are allowed while the section names are being copied to the buffer.

    Parameters:
      `lpszReturnBuffer` - A pointer to a buffer that receives the section names associated with the named file. The buffer is filled with one or more `null` -terminated strings; the last string is followed by a second `null` character.
      `nSize` - size of the buffer pointed to by the `lpszReturnBuffer` parameter, in characters.
      `lpFileName` - The name of the initialization file. If this parameter is `NULL`, the function searches the Win.ini file. If this parameter does not contain a full path to the file, the system searches for the file in the Windows directory.
    Returns:
      The return value specifies the number of characters copied to the specified buffer, not including the terminating `null` character. If the buffer is not large enough to contain all the section names associated with the specified initialization file, the return value is equal to the size specified by `nSize` minus two.

  - ### WritePrivateProfileSection

    boolean WritePrivateProfileSection(String lpAppName, String lpString, String lpFileName)
    Parameters:
      `lpAppName` - The name of the section in which data is written. This section name is typically the name of the calling application.
      `lpString` - The new key names and associated values that are to be written to the named section. This string is limited to 65,535 bytes. Must be filled with zero or many `null`-terminated strings of the form `key=value`, appended by an additional `null` byte to terminate the list.
      `lpFileName` - The name of the initialization file. If this parameter does not contain a full path for the file, the function searches the Windows directory for the file. If the file does not exist and lpFileName does not contain a full path, the function creates the file in the Windows directory.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### FileTimeToLocalFileTime

    boolean FileTimeToLocalFileTime(WinBase.FILETIME lpFileTime, WinBase.FILETIME lpLocalFileTime)
    Converts a file time to a local file time.
    Parameters:
      `lpFileTime` - [in] A pointer to a FILETIME structure containing the UTC-based file time to be converted into a local file time.
      `lpLocalFileTime` - [out] A pointer to a FILETIME structure to receive the converted local file time. This parameter cannot be the same as the lpFileTime parameter.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### SystemTimeToTzSpecificLocalTime

    boolean SystemTimeToTzSpecificLocalTime(WinBase.TIME_ZONE_INFORMATION lpTimeZone, WinBase.SYSTEMTIME lpUniversalTime, WinBase.SYSTEMTIME lpLocalTime)
    Converts a time in Coordinated Universal Time (UTC) to a specified time zone's corresponding local time.
    Parameters:
      `lpTimeZone` - [in, optional] A pointer to a TIME_ZONE_INFORMATION structure that specifies the time zone of interest. If lpTimeZone is NULL, the function uses the currently active time zone.
      `lpUniversalTime` - [in] A pointer to a SYSTEMTIME structure that specifies the UTC time to be converted. The function converts this universal time to the specified time zone's corresponding local time.
      `lpLocalTime` - [out] A pointer to a SYSTEMTIME structure that receives the local time.
    Returns:
      status

  - ### SystemTimeToFileTime

    boolean SystemTimeToFileTime(WinBase.SYSTEMTIME lpSystemTime, WinBase.FILETIME lpFileTime)
    Converts a system time to file time format. System time is based on Coordinated Universal Time (UTC).
    Parameters:
      `lpSystemTime` - [in] A pointer to a SYSTEMTIME structure that contains the system time to be converted from UTC to file time format.
      `lpFileTime` - [out] A pointer to a FILETIME structure to receive the converted system time.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### FileTimeToSystemTime

    boolean FileTimeToSystemTime(WinBase.FILETIME lpFileTime, WinBase.SYSTEMTIME lpSystemTime)
    Converts a file time to system time format. System time is based on Coordinated Universal Time (UTC).
    Parameters:
      `lpFileTime` - [in] A pointer to a FILETIME structure containing the file time to be converted to system (UTC) date and time format. This value must be less than 0x8000000000000000. Otherwise, the function fails.
      `lpSystemTime` - A pointer to a SYSTEMTIME structure to receive the converted file time.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateRemoteThread

    @Deprecated WinNT.HANDLE CreateRemoteThread(WinNT.HANDLE hProcess, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, int dwStackSize, WinBase.FOREIGN_THREAD_START_ROUTINE lpStartAddress, Pointer lpParameter, WinDef.DWORD dwCreationFlags, Pointer lpThreadId)
    Deprecated.
    Use `CreateRemoteThread(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, com.sun.jna.Pointer, com.sun.jna.Pointer, int, com.sun.jna.platform.win32.WinDef.DWORDByReference)`

  - ### CreateRemoteThread

    WinNT.HANDLE CreateRemoteThread(WinNT.HANDLE hProcess, WinBase.SECURITY_ATTRIBUTES lpThreadAttributes, int dwStackSize, Pointer lpStartAddress, Pointer lpParameter, int dwCreationFlags, WinDef.DWORDByReference lpThreadId)
    Creates a thread that runs in the virtual address space of another process.
    Parameters:
      `hProcess` - A handle to the process in which the thread is to be created.
      `lpThreadAttributes` - The `WinBase.SECURITY_ATTRIBUTES` structure that specifies a security descriptor for the new thread. If `null`, the thread gets a default security descriptor and the handle cannot be inherited.
      `dwStackSize` - The initial size of the stack, in bytes. The system rounds this value to the nearest page. If this parameter is 0 (zero), the new thread uses the default size for the executable.
      `lpStartAddress` - The application-defined `WinBase.FOREIGN_THREAD_START_ROUTINE` to be executed by the thread and represents the starting address of the thread in the remote process. The function must exist in the remote process.
      `lpParameter` - A pointer to a variable to be passed to the thread function.
      `dwCreationFlags` - The flags that control the creation of the thread.
      `lpThreadId` - A variable that receives the thread identifier. If this parameter is `null`, the thread identifier is not returned.
    Returns:
      If the function succeeds, the return value is a handle to the new thread. If the function fails, the return value is `null`. To get extended error information, call `GetLastError()`.
    See Also:
      - CreateRemoteThread documentation

  - ### WriteProcessMemory

    boolean WriteProcessMemory(WinNT.HANDLE hProcess, Pointer lpBaseAddress, Pointer lpBuffer, int nSize, IntByReference lpNumberOfBytesWritten)
    Writes data to an area of memory in a specified process. The entire area to be written to must be accessible or the operation fails.
    Parameters:
      `hProcess` - A handle to the process memory to be modified.
      `lpBaseAddress` - The base address in the specified process to which data is written.
      `lpBuffer` - The buffer that contains data to be written in the address space of the specified process.
      `nSize` - The number of bytes to be written to the specified process.
      `lpNumberOfBytesWritten` - A variable that receives the number of bytes transferred into the specified process. If `null` the parameter is ignored.
    Returns:
      `true` if successful, `false` otherwise. To get extended error information, call `GetLastError()`.
    See Also:
      - WriteProcessMemory documentation

  - ### ReadProcessMemory

    boolean ReadProcessMemory(WinNT.HANDLE hProcess, Pointer lpBaseAddress, Pointer lpBuffer, int nSize, IntByReference lpNumberOfBytesRead)
    Reads data from an area of memory in a specified process. The entire area to be read must be accessible or the operation fails.
    Parameters:
      `hProcess` - A handle to the process with memory that is being read. The handle must have PROCESS_VM_READ access to the process.
      `lpBaseAddress` - A pointer to the base address in the specified process from which to read.
      Before any data transfer occurs, the system verifies that all data in the base address and memory of the specified size is accessible for read access, and if it is not accessible the function fails.
      `lpBuffer` - A pointer to a buffer that receives the contents from the address space of the specified process.
      `nSize` - The number of bytes to be read from the specified process.
      `lpNumberOfBytesRead` - A pointer to a variable that receives the number of bytes transferred into the specified buffer. If lpNumberOfBytesRead is NULL, the parameter is ignored.
    Returns:
      If the function succeeds, the return value is nonzero.
      If the function fails, the return value is 0 (zero). To get extended error information, call GetLastError.
      The function fails if the requested read operation crosses into an area of the process that is inaccessible.
    See Also:
      - MSDN

  - ### VirtualQueryEx

    BaseTSD.SIZE_T VirtualQueryEx(WinNT.HANDLE hProcess, Pointer lpAddress, WinNT.MEMORY_BASIC_INFORMATION lpBuffer, BaseTSD.SIZE_T dwLength)
    Retrieves information about a range of pages within the virtual address space of a specified process.
    Parameters:
      `hProcess` - A handle to the process whose memory information is queried.
      `lpAddress` - The base address of the region of pages to be queried.
      `lpBuffer` - A `WinNT.MEMORY_BASIC_INFORMATION` structure in which information about the specified page range is returned.
      `dwLength` - The size of the buffer pointed to by the `lpBuffer` parameter, in bytes.
    Returns:
      The return value is the actual number of bytes returned in the information buffer. If the function fails, the return value is zero. To get extended error information, call `GetLastError()`.
    See Also:
      - VirtualQueryEx documentation

  - ### DefineDosDevice

    boolean DefineDosDevice(int dwFlags, String lpDeviceName, String lpTargetPath)
    Defines, redefines, or deletes MS-DOS device names.
    Parameters:
      `dwFlags` - The controllable aspects of the function - see the various `DDD_XXX` constants
      `lpDeviceName` - The MS-DOS device name string specifying the device the function is defining, redefining, or deleting. The device name string must not have a colon as the last character, unless a drive letter is being defined, redefined, or deleted. For example, drive `C` would be the string "C:". In no case is a trailing backslash ("\") allowed.
      `lpTargetPath` - The path string that will implement this device. The string is an MS-DOS path string unless the `DDD_RAW_TARGET_PATH` flag is specified, in which case this string is a path string.
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - DefineDosDevice

  - ### QueryDosDevice

    int QueryDosDevice(String lpDeviceName, char[] lpTargetPath, int ucchMax)
    Retrieves information about MS-DOS device names
    Parameters:
      `lpDeviceName` - An MS-DOS device name string specifying the target of the query. The device name cannot have a trailing backslash; for example, use "C:", not "C:\". This parameter can be NULL. In that case, the function will store a list of all existing MS-DOS device names into the buffer.
      `lpTargetPath` - A buffer that will receive the result of the query. The function fills this buffer with one or more null-terminated strings. The final null-terminated string is followed by an additional NULL. If device name is non-NULL, the function retrieves information about the particular MS-DOS device. The first null-terminated string stored into the buffer is the current mapping for the device. The other null-terminated strings represent undeleted prior mappings for the device. Each null-terminated string stored into the buffer is the name of an existing MS-DOS device, for example, `\Device\HarddiskVolume1` or `\Device\Floppy0`.
      `ucchMax` - The maximum number of characters that can be stored into the buffer
    Returns:
      If the function succeeds, the return value is the number of characters stored into the buffer, otherwise zero. Use `GetLastError()` to get extended error information. If the buffer is too small, the function fails and the last error code is `ERROR_INSUFFICIENT_BUFFER`.
    See Also:
      - QueryDosDevice

  - ### FindFirstFile

    WinNT.HANDLE FindFirstFile(String lpFileName, Pointer lpFindFileData)
    Searches a directory for a file or subdirectory with a name that matches a specific name (or partial name if wildcards are used). To specify additional attributes to use in a search, use the FindFirstFileEx function.
    Parameters:
      `lpFileName` - The directory or path, and the file name. The file name can include wildcard characters, for example, an asterisk (*) or a question mark (?). This parameter should not be NULL, an invalid string (for example, an empty string or a string that is missing the terminating null character), or end in a trailing backslash (\). If the string ends with a wildcard, period, or directory name, the user must have access to the root and all subdirectories on the path. In the ANSI version of this function, the name is limited to MAX_PATH characters. To extend this limit to approximately 32,000 wide characters, call the Unicode version of the function (FindFirstFileExW), and prepend "\\?\" to the path. For more information, see Naming a File. Tip Starting in Windows 10, version 1607, for the unicode version of this function (FindFirstFileExW), you can opt-in to remove the MAX_PATH character limitation without prepending "\\?\". See the "Maximum Path Limitation" section of Naming Files, Paths, and Namespaces for details.
      `lpFindFileData` - A pointer to the buffer that receives the file data. The pointer type is determined by the level of information that is specified in the fInfoLevelId parameter.
    Returns:
      If the function succeeds, the return value is a search handle used in a subsequent call to FindNextFile or FindClose, and the lpFindFileData parameter contains information about the first file or directory found. If the function fails or fails to locate files from the search string in the lpFileName parameter, the return value is INVALID_HANDLE_VALUE and the contents of lpFindFileData are indeterminate. To get extended error information, call the GetLastError function. If the function fails because no matching files can be found, the GetLastError function returns ERROR_FILE_NOT_FOUND.

  - ### FindFirstFileEx

    WinNT.HANDLE FindFirstFileEx(String lpFileName, int fInfoLevelId, Pointer lpFindFileData, int fSearchOp, Pointer lpSearchFilter, WinDef.DWORD dwAdditionalFlags)
    Searches a directory for a file or subdirectory with a name and attributes that match those specified. For the most basic version of this function, see FindFirstFile.
    Parameters:
      `lpFileName` - The directory or path, and the file name. The file name can include wildcard characters, for example, an asterisk (*) or a question mark (?). This parameter should not be NULL, an invalid string (for example, an empty string or a string that is missing the terminating null character), or end in a trailing backslash (\). If the string ends with a wildcard, period, or directory name, the user must have access to the root and all subdirectories on the path. In the ANSI version of this function, the name is limited to MAX_PATH characters. To extend this limit to approximately 32,000 wide characters, call the Unicode version of the function (FindFirstFileExW), and prepend "\\?\" to the path. For more information, see Naming a File. Tip Starting in Windows 10, version 1607, for the unicode version of this function (FindFirstFileExW), you can opt-in to remove the MAX_PATH character limitation without prepending "\\?\". See the "Maximum Path Limitation" section of Naming Files, Paths, and Namespaces for details.
      `fInfoLevelId` - The information level of the returned data. This parameter is one of the FINDEX_INFO_LEVELS enumeration values.
      `lpFindFileData` - A pointer to the buffer that receives the file data. The pointer type is determined by the level of information that is specified in the fInfoLevelId parameter.
      `fSearchOp` - The type of filtering to perform that is different from wildcard matching. This parameter is one of the FINDEX_SEARCH_OPS enumeration values.
      `lpSearchFilter` - A pointer to the search criteria if the specified fSearchOp needs structured search information. At this time, none of the supported fSearchOp values require extended search information. Therefore, this pointer must be NULL.
      `dwAdditionalFlags` - Specifies additional flags that control the search. FIND_FIRST_EX_CASE_SENSITIVE (0x01) - Searches are case-sensitive. FIND_FIRST_EX_LARGE_FETCH (0x02) - Uses a larger buffer for directory queries, which can increase performance of the find operation. Windows Server 2008, Windows Vista, Windows Server 2003 and Windows XP: This value is not supported until Windows Server 2008 R2 and Windows 7.
    Returns:
      If the function succeeds, the return value is a search handle used in a subsequent call to FindNextFile or FindClose, and the lpFindFileData parameter contains information about the first file or directory found. If the function fails or fails to locate files from the search string in the lpFileName parameter, the return value is INVALID_HANDLE_VALUE and the contents of lpFindFileData are indeterminate. To get extended error information, call the GetLastError function. If the function fails because no matching files can be found, the GetLastError function returns ERROR_FILE_NOT_FOUND.

  - ### FindNextFile

    boolean FindNextFile(WinNT.HANDLE hFindFile, Pointer lpFindFileData)
    Continues a file search from a previous call to the FindFirstFile, FindFirstFileEx, or FindFirstFileTransacted functions.
    Parameters:
      `hFindFile` - The search handle returned by a previous call to the FindFirstFile or FindFirstFileEx function.
      `lpFindFileData` - A pointer to the WIN32_FIND_DATA structure that receives information about the found file or subdirectory.
    Returns:
      If the function succeeds, the return value is nonzero and the lpFindFileData parameter contains information about the next file or directory found. If the function fails, the return value is zero and the contents of lpFindFileData are indeterminate. To get extended error information, call the GetLastError function. If the function fails because no more matching files can be found, the GetLastError function returns ERROR_NO_MORE_FILES.

  - ### FindClose

    boolean FindClose(WinNT.HANDLE hFindFile)
    Closes a file search handle opened by the FindFirstFile, FindFirstFileEx, FindFirstFileNameW, FindFirstFileNameTransactedW, FindFirstFileTransacted, FindFirstStreamTransactedW, or FindFirstStreamW functions.
    Parameters:
      `hFindFile` - The file search handle.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### FindFirstVolumeMountPoint

    WinNT.HANDLE FindFirstVolumeMountPoint(String lpszRootPathName, char[] lpszVolumeMountPoint, int cchBufferLength)
    Retrieves the name of a mounted folder on the specified volume - used to begin scanning the mounted folders on a volume
    Parameters:
      `lpszRootPathName` - A volume GUID path for the volume to scan for mounted folders. A trailing backslash is required.
      `lpszVolumeMountPoint` - A buffer that receives the name of the first mounted folder that is found.
      `cchBufferLength` - The length of the buffer that receives the path to the mounted folder
    Returns:
      If succeeds, a search handle used in a subsequent call to the FindNextVolumeMountPoint and FindVolumeMountPointClose functions. Otherwise, the return value is the `WinBase.INVALID_HANDLE_VALUE`. To get extended error information, call `GetLastError()`.
    See Also:
      - FindFirstVolumeMountPoint

  - ### FindNextVolumeMountPoint

    boolean FindNextVolumeMountPoint(WinNT.HANDLE hFindVolumeMountPoint, char[] lpszVolumeMountPoint, int cchBufferLength)
    Continues a mounted folder search started by a call to the `FindFirstVolumeMountPoint(String, char[], int)` function - finds one (next) mounted folder per call.
    Parameters:
      `hFindVolumeMountPoint` - A mounted folder search handle returned by a previous call to the `FindFirstVolumeMountPoint(String, char[], int)` function.
      `lpszVolumeMountPoint` - A buffer that receives the name of the (next) mounted folder that is found.
      `cchBufferLength` - The length of the buffer that receives the path to the mounted folder
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information. If no more mount points found then the reported error is `ERROR_NO_MORE_FILES`. In this case, simply call `FindVolumeMountPointClose(com.sun.jna.platform.win32.WinNT.HANDLE)`
    See Also:
      - FindNextVolumeMountPoint

  - ### FindVolumeMountPointClose

    boolean FindVolumeMountPointClose(WinNT.HANDLE hFindVolumeMountPoint)
    Closes the specified mounted folder search handle.
    Parameters:
      `hFindVolumeMountPoint` - A mounted folder search handle returned by a previous call to the `FindFirstVolumeMountPoint(String, char[], int)` function.
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - FindVolumeMountPointClose

  - ### GetVolumeNameForVolumeMountPoint

    boolean GetVolumeNameForVolumeMountPoint(String lpszVolumeMountPoint, char[] lpszVolumeName, int cchBufferLength)
    Retrieves a volume GUID path for the volume that is associated with the specified volume mount point (drive letter, volume GUID path, or mounted folder).
    Parameters:
      `lpszVolumeMountPoint` - A string that contains the path of a mounted folder (e.g., "Y:\MountX\") or a drive letter (for example, "X:\"). The string must end with a trailing backslash.
      `lpszVolumeName` - A buffer that receives the volume GUID path - if there is more than one volume GUID path for the volume, only the first one in the mount manager's cache is returned.
      `cchBufferLength` - The length of the output buffer - a reasonable size for the buffer to accommodate the largest possible volume GUID path is at 50 characters
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - GetVolumeNameForVolumeMountPoint

  - ### SetVolumeLabel

    boolean SetVolumeLabel(String lpRootPathName, String lpVolumeName)
    Sets the label of a file system volume.
    Parameters:
      `lpRootPathName` - The volume's drive letter (for example, `X:\`) or the path of a mounted folder that is associated with the volume (for example, `Y:\MountX\`). The string must end with a trailing backslash. If this parameter is NULL, the root of the current directory is used.
      `lpVolumeName` - The new label for the volume. If this parameter is NULL, the function deletes any existing label from the specified volume and does not assign a new label.
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - SetVolumeLabel

  - ### SetVolumeMountPoint

    boolean SetVolumeMountPoint(String lpszVolumeMountPoint, String lpszVolumeName)
    Associates a volume with a drive letter or a directory on another volume.
    Parameters:
      `lpszVolumeMountPoint` - The user-mode path to be associated with the volume. This may be a drive letter (for example, "X:\") or a directory on another volume (for example, "Y:\MountX\"). The string must end with a trailing backslash.
      `lpszVolumeName` - A volume GUID path for the volume.
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - SetVolumeMountPoint

  - ### DeleteVolumeMountPoint

    boolean DeleteVolumeMountPoint(String lpszVolumeMountPoint)
    Deletes a drive letter or mounted folder
    Parameters:
      `lpszVolumeMountPoint` - The drive letter or mounted folder to be deleted. A trailing backslash is required, for example, "X:\" or "Y:\MountX\".
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - DeleteVolumeMountPoint

  - ### GetVolumeInformation

    boolean GetVolumeInformation(String lpRootPathName, char[] lpVolumeNameBuffer, int nVolumeNameSize, IntByReference lpVolumeSerialNumber, IntByReference lpMaximumComponentLength, IntByReference lpFileSystemFlags, char[] lpFileSystemNameBuffer, int nFileSystemNameSize)
    Parameters:
      `lpRootPathName` - A string that contains the root directory of the volume to be described. If this parameter is `null`, the root of the current directory is used. A trailing backslash is required. For example, you specify "\\MyServer\MyShare\", or "C:\".
      `lpVolumeNameBuffer` - If not `null` then receives the name of the specified volume. The buffer size is specified by the `nVolumeNameSize` parameter.
      `nVolumeNameSize` - The length of the volume name buffer - max. size is `WinDef.MAX_PATH` + 1 - ignored if no volume name buffer provided
      `lpVolumeSerialNumber` - Receives the volume serial number - can be `null` if the serial number is not required
      `lpMaximumComponentLength` - Receives the maximum length of a file name component that the underlying file system supports - can be `null` if this data is not required
      `lpFileSystemFlags` - Receives flags associated with the file system - can be `null` if this data is not required
      `lpFileSystemNameBuffer` - If not `null` then receives the name of the file system. The buffer size is specified by the `nFileSystemNameSize` parameter.
      `nFileSystemNameSize` - The length of the file system name buffer - max. size is `WinDef.MAX_PATH` + 1 - ignored if no file system name buffer provided
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - GetVolumeInformation

  - ### GetVolumePathName

    boolean GetVolumePathName(String lpszFileName, char[] lpszVolumePathName, int cchBufferLength)
    Retrieves the volume mount point where the specified path is mounted.
    Parameters:
      `lpszFileName` - The input path string. Both absolute and relative file and directory names, for example "..", are acceptable in this path. If you specify a relative directory or file name without a volume qualifier, returns the drive letter of the boot volume. If this parameter is an empty string, the function fails but the last error is set to `ERROR_SUCCESS`.
      `lpszVolumePathName` - Buffer receives the volume mount point for the input path.
      `cchBufferLength` - The length of the output buffer
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - GetVolumePathName

  - ### GetVolumePathNamesForVolumeName

    boolean GetVolumePathNamesForVolumeName(String lpszVolumeName, char[] lpszVolumePathNames, int cchBufferLength, IntByReference lpcchReturnLength)
    Retrieves a list of drive letters and mounted folder paths for the specified volume
    Parameters:
      `lpszVolumeName` - A volume GUID path for the volume
      `lpszVolumePathNames` - A buffer that receives the list of drive letters and mounted folder paths. The list is an array of null-terminated strings terminated by an additional NULL character. If the buffer is not large enough to hold the complete list, the buffer holds as much of the list as possible.
      `cchBufferLength` - The available length of the buffer - including all NULL characters.
      `lpcchReturnLength` - If the call is successful, this parameter is the number of character copied to the buffer. Otherwise, this parameter is the size of the buffer required to hold the complete list
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information. If the buffer is not large enough to hold the complete list, the error code is `ERROR_MORE_DATA` and the `lpcchReturnLength` parameter receives the required buffer size.
    See Also:
      - GetVolumePathNamesForVolumeName

  - ### FindFirstVolume

    WinNT.HANDLE FindFirstVolume(char[] lpszVolumeName, int cchBufferLength)
    Retrieves the name of a volume on a computer - used to begin scanning the volumes of a computer
    Parameters:
      `lpszVolumeName` - A buffer that receives a null-terminated string that specifies a volume GUID path for the first volume that is found
      `cchBufferLength` - The length of the buffer to receive the volume GUID path
    Returns:
      If the function succeeds, the return value is a search handle used in a subsequent call to the `FindNextVolume(com.sun.jna.platform.win32.WinNT.HANDLE, char[], int)` and `FindVolumeClose(com.sun.jna.platform.win32.WinNT.HANDLE)` functions. Otherwise, the return value is the `WinBase.INVALID_HANDLE_VALUE`. To get extended error information, call `GetLastError()`.
    See Also:
      - FindFirstVolume
      - `Kernel32Util.extractVolumeGUID(String)`

  - ### FindNextVolume

    boolean FindNextVolume(WinNT.HANDLE hFindVolume, char[] lpszVolumeName, int cchBufferLength)
    Continues a volume search started by a call to the `FindFirstVolume(char[], int)` function - finds one volume per call.
    Parameters:
      `hFindVolume` - The volume search handle returned by a previous call to the `FindFirstVolume(char[], int)`.
      `lpszVolumeName` - A buffer that receives a null-terminated string that specifies a volume GUID path for the (next) path that is found
      `cchBufferLength` - The length of the buffer to receive the volume GUID path
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information. If no more volumes found then the reported error is `ERROR_NO_MORE_FILES`. In this case, simply call `FindVolumeClose(com.sun.jna.platform.win32.WinNT.HANDLE)`
    See Also:
      - FindNextVolume
      - `Kernel32Util.extractVolumeGUID(String)`

  - ### FindVolumeClose

    boolean FindVolumeClose(WinNT.HANDLE hFindVolume)
    Closes the specified volume search handle.
    Parameters:
      `hFindVolume` - The volume search handle returned by a previous call to the `FindFirstVolume(char[], int)`.
    Returns:
      `true` if succeeds. If fails then call `GetLastError()` to get extended error information
    See Also:
      - FindVolumeClose

  - ### GetCommState

    boolean GetCommState(WinNT.HANDLE hFile, WinBase.DCB lpDCB)
    Retrieves the current control settings for a specified communications device.
    Parameters:
      `hFile` - [in] A handle to the communications device.
      The `CreateFile(String, int, int, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, int, com.sun.jna.platform.win32.WinNT.HANDLE)` function returns this `WinNT.HANDLE`.
      `lpDCB` - [in, out] A pointer to a `WinBase.DCB` structure that receives the control settings information.
    Returns:
      If the function succeeds, the return value is nonzero.
      If the function fails, the return value is zero. To get extended error information, call `GetLastError()`.

  - ### GetCommTimeouts

    boolean GetCommTimeouts(WinNT.HANDLE hFile, WinBase.COMMTIMEOUTS lpCommTimeouts)
    Retrieves the time-out parameters for all read and write operations on a specified communications device.
    For more information about time-out values for communications devices, see the `SetCommTimeouts(com.sun.jna.platform.win32.WinNT.HANDLE, com.sun.jna.platform.win32.WinBase.COMMTIMEOUTS)` function.
    Parameters:
      `hFile` - [in] A handle to the communications device. The `CreateFile(String, int, int, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, int, com.sun.jna.platform.win32.WinNT.HANDLE)` function returns this handle.
      `lpCommTimeouts` - [in] A pointer to a `WinBase.COMMTIMEOUTS` structure in which the time-out information is returned.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `GetLastError()`.

  - ### SetCommState

    boolean SetCommState(WinNT.HANDLE hFile, WinBase.DCB lpDCB)
    Configures a communications device according to the specifications in a device-control block (a `WinBase.DCB` structure). The function reinitializes all hardware and control settings, but it does not empty output or input queues.
    Parameters:
      `hFile` - [in] A handle to the communications device. The `CreateFile(String, int, int, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, int, com.sun.jna.platform.win32.WinNT.HANDLE)` function returns this handle.
      `lpDCB` - [in] A pointer to a `WinBase.DCB` structure that contains the configuration information for the specified communications device.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `GetLastError()`.

  - ### SetCommTimeouts

    boolean SetCommTimeouts(WinNT.HANDLE hFile, WinBase.COMMTIMEOUTS lpCommTimeouts)
    Sets the time-out parameters for all read and write operations on a specified communications device.
    Parameters:
      `hFile` - [in] A handle to the communications device. The `CreateFile(String, int, int, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, int, com.sun.jna.platform.win32.WinNT.HANDLE)` function returns this handle.
      `lpCommTimeouts` - [in] A pointer to a `WinBase.COMMTIMEOUTS` structure that contains the new time-out values.
    Returns:
      If the function succeeds, the return value is nonzero.
      If the function fails, the return value is zero. To get extended error information, call `GetLastError()`.

  - ### ProcessIdToSessionId

    boolean ProcessIdToSessionId(int dwProcessId, IntByReference pSessionId)
    http://msdn.microsoft.com/en-us/library/aa382990(v=vs.85).aspx
    Retrieves the Remote Desktop Services session associated with a specified process.

        BOOL ProcessIdToSessionId(_In_ DWORD dwProcessId, _Out_ DWORD *pSessionId);

    Parameters:
      `dwProcessId` - Specifies a process identifier.
      Use the GetCurrentProcessId function to retrieve the process identifier for the current process.
      `pSessionId` - Pointer to a variable that receives the identifier of the Remote Desktop Services session under which the specified process is running.
      To retrieve the identifier of the session currently attached to the console, use the WTSGetActiveConsoleSessionId function.
    Returns:
      If the function succeeds, the return value is true.
      If the function fails, the return value is false. To get extended error information, call GetLastError.

  - ### LoadLibraryEx

    WinDef.HMODULE LoadLibraryEx(String lpFileName, WinNT.HANDLE hFile, int flags)
    Loads the specified module into the address space of the calling process. The specified module may cause other modules to be loaded.

         HMODULE WINAPI LoadLibraryEx(
           _In_       LPCTSTR lpFileName,
           _Reserved_ HANDLE  hFile,
           _In_       DWORD   dwFlags
         );

    Parameters:
      `lpFileName` - A string that specifies the file name of the module to load. This name is not related to the name stored in a library module itself, as specified by the LIBRARY keyword in the module-definition (.def) file.
      The module can be a library module (a .dll file) or an executable module (an .exe file). If the specified module is an executable module, static imports are not loaded; instead, the module is loaded as if DONT_RESOLVE_DLL_REFERENCES was specified. See the dwFlags parameter for more information.
      If the string specifies a module name without a path and the file name extension is omitted, the function appends the default library extension .dll to the module name. To prevent the function from appending .dll to the module name, include a trailing point character (.) in the module name string.
      If the string specifies a fully qualified path, the function searches only that path for the module. When specifying a path, be sure to use backslashes (\), not forward slashes (/). For more information about paths, see "Naming Files, Paths, and Namespaces" on MSDN.
      If the string specifies a module name without a path and more than one loaded module has the same base name and extension, the function returns a handle to the module that was loaded first.
      If the string specifies a module name without a path and a module of the same name is not already loaded, or if the string specifies a module name with a relative path, the function searches for the specified module. The function also searches for modules if loading the specified module causes the system to load other associated modules (that is, if the module has dependencies). The directories that are searched and the order in which they are searched depend on the specified path and the dwFlags parameter. For more information, see Remarks.
      If the function cannot find the module or one of its dependencies, the function fails.
      `hFile` - This parameter is reserved for future use. It must be NULL.
      `flags` - The action to be taken when loading the module.
      If no flags are specified, the behavior of this function is identical to that of the LoadLibrary function.
      This parameter can be one of the following values.
      DONT_RESOLVE_DLL_REFERENCES: 0x00000001
      If this value is used, and the executable module is a DLL, the system does not call DllMain for process and thread initialization and termination. Also, the system does not load additional executable modules that are referenced by the specified module.
      Do not use this value; it is provided only for backward compatibility. If you are planning to access only data or resources in the DLL, use LOAD_LIBRARY_AS_DATAFILE_EXCLUSIVE or LOAD_LIBRARY_AS_IMAGE_RESOURCE or both. Otherwise, load the library as a DLL or executable module using the LoadLibrary function.
      LOAD_IGNORE_CODE_AUTHZ_LEVEL: 0x00000010
      If this value is used, the system does not check AppLocker rules or apply Software Restriction Policies for the DLL. AppLocker was introduced in Windows 7 and Windows Server 2008 R2. This action applies only to the DLL being loaded and not to its dependencies. This value is recommended for use in setup programs that must run extracted DLLs during installation.
      Windows Server 2008 R2 and Windows 7: On systems with KB2532445 installed, the caller must be running as "LocalSystem" or "TrustedInstaller"; otherwise the system ignores this flag.
      LOAD_LIBRARY_AS_DATAFILE: 0x00000002
      If this value is used, the system maps the file into the calling process's virtual address space as if it were a data file. Nothing is done to execute or prepare to execute the mapped file. Therefore, you cannot call functions like GetModuleFileName, GetModuleHandle or GetProcAddress with this DLL. Using this value causes writes to read-only memory to raise an access violation. Use this flag when you want to load a DLL only to extract messages or resources from it.
      This value can be used with LOAD_LIBRARY_AS_IMAGE_RESOURCE. For more information, see Remarks
      LOAD_LIBRARY_AS_DATAFILE_EXCLUSIVE: 0x00000040
      Similar to LOAD_LIBRARY_AS_DATAFILE, except that the DLL file is opened with exclusive write access for the calling process. Other processes cannot open the DLL file for write access while it is in use. However, the DLL can still be opened by other processes.
      This value can be used with LOAD_LIBRARY_AS_IMAGE_RESOURCE. This value is not supported until Windows Vista.
      LOAD_LIBRARY_AS_IMAGE_RESOURCE: 0x00000020
      If this value is used, the system maps the file into the process's virtual address space as an image file. However, the loader does not load the static imports or perform the other usual initialization steps. Use this flag when you want to load a DLL only to extract messages or resources from it.
      Unless the application depends on the file having the in-memory layout of an image, this value should be used with either LOAD_LIBRARY_AS_DATAFILE_EXCLUSIVE or LOAD_LIBRARY_AS_DATAFILE. This value is not supported until Windows Vista.
      LOAD_LIBRARY_SEARCH_APPLICATION_DIR: 0x00000200
      If this value is used, the application's installation directory is searched for the DLL and its dependencies. Directories in the standard search path are not searched. This value cannot be combined with LOAD_WITH_ALTERED_SEARCH_PATH.
      Windows 7, Windows Server 2008 R2, Windows Vista, and Windows Server 2008: This value requires KB2533623 to be installed.
      LOAD_LIBRARY_SEARCH_DEFAULT_DIRS: 0x00001000
      This value is a combination of LOAD_LIBRARY_SEARCH_APPLICATION_DIR, LOAD_LIBRARY_SEARCH_SYSTEM32, and LOAD_LIBRARY_SEARCH_USER_DIRS. Directories in the standard search path are not searched. This value cannot be combined with LOAD_WITH_ALTERED_SEARCH_PATH.
      This value represents the recommended maximum number of directories an application should include in its DLL search path.
      Windows 7, Windows Server 2008 R2, Windows Vista, and Windows Server 2008: This value requires KB2533623 to be installed.
      LOAD_LIBRARY_SEARCH_DLL_LOAD_DIR: 0x00000100
      If this value is used, the directory that contains the DLL is temporarily added to the beginning of the list of directories that are searched for the DLL's dependencies. Directories in the standard search path are not searched.
      The lpFileName parameter must specify a fully qualified path. This value cannot be combined with LOAD_WITH_ALTERED_SEARCH_PATH.
      For example, if Lib2.dll is a dependency of C:\Dir1\Lib1.dll, loading Lib1.dll with this value causes the system to search for Lib2.dll only in C:\Dir1. To search for Lib2.dll in C:\Dir1 and all of the directories in the DLL search path, combine this value with LOAD_LIBRARY_DEFAULT_DIRS.
      Windows 7, Windows Server 2008 R2, Windows Vista, and Windows Server 2008: This value requires KB2533623 to be installed.
      LOAD_LIBRARY_SEARCH_SYSTEM32: 0x00000800
      If this value is used, %windows%\system32 is searched for the DLL and its dependencies. Directories in the standard search path are not searched. This value cannot be combined with LOAD_WITH_ALTERED_SEARCH_PATH.
      Windows 7, Windows Server 2008 R2, Windows Vista, and Windows Server 2008: This value requires KB2533623 to be installed.
      LOAD_LIBRARY_SEARCH_USER_DIRS: 0x00000400
      If this value is used, directories added using the AddDllDirectory or the SetDllDirectory function are searched for the DLL and its dependencies. If more than one directory has been added, the order in which the directories are searched is unspecified. Directories in the standard search path are not searched. This value cannot be combined with LOAD_WITH_ALTERED_SEARCH_PATH.
      Windows 7, Windows Server 2008 R2, Windows Vista, and Windows Server 2008: This value requires KB2533623 to be installed.
      LOAD_WITH_ALTERED_SEARCH_PATH: 0x00000008
      If this value is used and lpFileName specifies an absolute path, the system uses the alternate file search strategy discussed in the Remarks section to find associated executable modules that the specified module causes to be loaded. If this value is used and lpFileName specifies a relative path, the behavior is undefined.
      If this value is not used, or if lpFileName does not specify a path, the system uses the standard search strategy discussed in the Remarks section to find associated executable modules that the specified module causes to be loaded.
      This value cannot be combined with any LOAD_LIBRARY_SEARCH flag.
    Returns:
      If the function succeeds, the return value is a handle to the loaded module.
      If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### FindResource

    WinDef.HRSRC FindResource(WinDef.HMODULE hModule, Pointer name, Pointer type)
    Determines the location of a resource with the specified type and name in the specified module.
    To specify a language, use the FindResourceEx function.
    Parameters:
      `hModule` - A handle to the module whose portable executable file or an accompanying MUI file contains the resource.
      If this parameter is NULL, the function searches the module used to create the current process.
      `name` - The name of the resource.
      Alternately, rather than a pointer, this parameter can be MAKEINTRESOURCE(ID), where ID is the integer identifier of the resource.
      For more information, see the Remarks section below.
      `type` - The resource type.
      Alternately, rather than a pointer, this parameter can be MAKEINTRESOURCE(ID), where ID is the integer identifier of the given resource type.
      For standard resource types, see Resource Types. For more information, see the Remarks section below.
    Returns:
      If the function succeeds, the return value is a handle to the specified resource's information block.
      To obtain a handle to the resource, pass this handle to the LoadResource function.
      If the function fails, the return value is NULL.
      To get extended error information, call GetLastError.

  - ### LoadResource

    WinNT.HANDLE LoadResource(WinDef.HMODULE hModule, WinDef.HRSRC hResource)
    Retrieves a handle that can be used to obtain a pointer to the first byte of the specified resource in memory.
    Parameters:
      `hModule` - A handle to the module whose executable file contains the resource.
      If hModule is NULL, the system loads the resource from the module that was used to create the current process.
      `hResource` - A handle to the resource to be loaded.
      This handle is returned by the FindResource or FindResourceEx function.
    Returns:
      If the function succeeds, the return value is a handle to the data associated with the resource.
      If the function fails, the return value is NULL.
      To get extended error information, call GetLastError.

  - ### LockResource

    Pointer LockResource(WinNT.HANDLE hResource)
    Retrieves a pointer to the specified resource in memory.
    Parameters:
      `hResource` - A handle to the resource to be accessed.
      The LoadResource function returns this handle.
      Note that this parameter is listed as an HGLOBAL variable only for backward compatibility.
      Do not pass any value as a parameter other than a successful return value from the LoadResource function.
    Returns:
      If the loaded resource is available, the return value is a pointer to the first byte of the resource; otherwise, it is NULL.

  - ### SizeofResource

    int SizeofResource(WinDef.HMODULE hModule, WinNT.HANDLE hResource)
    Parameters:
      `hModule` - A handle to the module whose executable file contains the resource.
      `hResource` - A handle to the resource. This handle must be created by using the FindResource or FindResourceEx function.
    Returns:
      If the function succeeds, the return value is the number of bytes in the resource.
      If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### FreeLibrary

    boolean FreeLibrary(WinDef.HMODULE module)
    Frees the loaded dynamic-link library (DLL) module and, if necessary, decrements its reference count. When the reference count reaches zero, the module is unloaded from the address space of the calling process and the handle is no longer valid.
    Parameters:
      `module` - A handle to the loaded library module. The LoadLibrary, LoadLibraryEx, GetModuleHandle, or GetModuleHandleEx function returns this handle.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call the GetLastError function.

  - ### EnumResourceTypes

    boolean EnumResourceTypes(WinDef.HMODULE hModule, WinBase.EnumResTypeProc proc, Pointer lParam)
    Enumerates resource types within a binary module.
    Starting with Windows Vista, this is typically a language-neutral Portable Executable (LN file), and the enumeration also includes resources from one of the corresponding language-specific resource files (.mui files)-if one exists-that contain localizable language resources. It is also possible to use hModule to specify a .mui file, in which case only that file is searched for resource types.
    Alternately, applications can call EnumResourceTypesEx, which provides more precise control over which resource files to enumerate.
    Parameters:
      `hModule` - A handle to a module to be searched.
      This handle must be obtained through LoadLibrary or LoadLibraryEx.
      See Remarks for more information. If this parameter is NULL, that is equivalent to passing in a handle to the module used to create the current process.
      `proc` - A pointer to the callback function to be called for each enumerated resource type.
      For more information, see the EnumResTypeProc function.
      `lParam` - An application-defined value passed to the callback function.
    Returns:
      Returns TRUE if successful; otherwise, FALSE. To get extended error information, call GetLastError.

  - ### EnumResourceNames

    boolean EnumResourceNames(WinDef.HMODULE hModule, Pointer type, WinBase.EnumResNameProc proc, Pointer lParam)
    Enumerates resources of a specified type within a binary module.
    For Windows Vista and later, this is typically a language-neutral Portable Executable (LN file), and the enumeration will also include resources from the corresponding language-specific resource files (.mui files) that contain localizable language resources.
    It is also possible for hModule to specify an .mui file, in which case only that file is searched for resources.
    Parameters:
      `hModule` - A handle to a module to be searched.
      Starting with Windows Vista, if this is an LN file, then appropriate .mui files (if any exist) are included in the search.
      If this parameter is NULL, that is equivalent to passing in a handle to the module used to create the current process.
      `type` - The type of the resource for which the name is being enumerated.
      Alternately, rather than a pointer, this parameter can be MAKEINTRESOURCE(ID), where ID is an integer value representing a predefined resource type.
      For a list of predefined resource types, see Resource Types. For more information, see the Remarks section below.
      `proc` - A pointer to the callback function to be called for each enumerated resource name or ID. For more information, see EnumResNameProc.
      `lParam` - An application-defined value passed to the callback function. This parameter can be used in error checking.
    Returns:
      The return value is TRUE if the function succeeds or FALSE if the function does not find a resource of the type specified, or if the function fails for another reason. To get extended error information, call GetLastError.

  - ### Module32FirstW

    boolean Module32FirstW(WinNT.HANDLE hSnapshot, Tlhelp32.MODULEENTRY32W lpme)
    Retrieves information about the first module associated with a process.
    Parameters:
      `hSnapshot` - A handle to the snapshot returned from a previous call to the CreateToolhelp32Snapshot function.
      `lpme` - A pointer to a MODULEENTRY32 structure.
    Returns:
      Returns TRUE if the first entry of the module list has been copied to the buffer or FALSE otherwise.
      The ERROR_NO_MORE_FILES error value is returned by the GetLastError function if no modules exist or the snapshot does not contain module information.
    See Also:
      - MSDN

  - ### Module32NextW

    boolean Module32NextW(WinNT.HANDLE hSnapshot, Tlhelp32.MODULEENTRY32W lpme)
    Retrieves information about the next module associated with a process or thread.
    Parameters:
      `hSnapshot` - A handle to the snapshot returned from a previous call to the CreateToolhelp32Snapshot function.
      `lpme` - A pointer to a MODULEENTRY32 structure.
    Returns:
      Returns TRUE if the first entry of the module list has been copied to the buffer or FALSE otherwise.
      The ERROR_NO_MORE_FILES error value is returned by the GetLastError function if no modules exist or the snapshot does not contain module information.
    See Also:
      - MSDN

  - ### SetErrorMode

    int SetErrorMode(int umode)
    Controls whether the system will handle the specified types of serious errors or whether the process will handle them.
    Parameters:
      `umode` - The process error mode.
    Returns:
      The return value is the previous state of the error-mode bit flags.
    See Also:
      - MSDN

  - ### GetProcAddress

    Pointer GetProcAddress(WinDef.HMODULE hmodule, int ordinal) throws LastErrorException
    Retrieves the address of an exported function or variable from the specified dynamic-link library (DLL).

    This function is mapped to enable accessing function on win32 systems only accessible by their ordinal value.

    To access functions by their name, please use NativeLibrary#getFunction.

    Parameters:
      `hmodule` - A handle to the DLL module that contains the function or variable. The LoadLibrary, LoadLibraryEx, LoadPackagedLibrary, or GetModuleHandle function returns this handle.
      `ordinal` - ordinal value of the function export
    Returns:
      address of the exported function
    Throws:
      `LastErrorException`

  - ### SetThreadExecutionState

    int SetThreadExecutionState(int esFlags)
    Enables an application to inform the system that it is in use, thereby preventing the system from entering sleep or turning off the display while the application is running.
    Parameters:
      `esFlags` - The thread's execution requirements. This parameter can be one or more of the following values (ORed together)
      - `WinBase.ES_AWAYMODE_REQUIRED`
      - `WinBase.ES_CONTINUOUS`
      - `WinBase.ES_DISPLAY_REQUIRED`
      - `WinBase.ES_SYSTEM_REQUIRED`
      - `WinBase.ES_USER_PRESENT`
    Returns:
      If the function succeeds, the return value is the previous thread execution state.

      If the function fails, the return value is 0

  - ### ExpandEnvironmentStrings

    int ExpandEnvironmentStrings(String lpSrc, Pointer lpDst, int nSize)
    Expands environment-variable strings and replaces them with the values defined for the current user.
    Parameters:
      `lpSrc` - A buffer that contains one or more environment-variable strings in the form: %variableName%. For each such reference, the %variableName% portion is replaced with the current value of that environment variable.

      Case is ignored when looking up the environment-variable name. If the name is not found, the %variableName% portion is left unexpanded.

      Note that this function does not support all the features that Cmd.exe supports. For example, it does not support %variableName:str1=str2% or %variableName:~offset,length%.

      `lpDst` - A pointer to a buffer that receives the result of expanding the environment variable strings in the lpSrc buffer. Note that this buffer cannot be the same as the lpSrc buffer.
      `nSize` - The maximum number of characters that can be stored in the buffer pointed to by the lpDst parameter. When using ANSI strings, the buffer size should be the string length, plus terminating null character, plus one. When using Unicode strings, the buffer size should be the string length plus the terminating null character.
    Returns:
      If the function succeeds, the return value is the number of TCHARs stored in the destination buffer, including the terminating null character. If the destination buffer is too small to hold the expanded string, the return value is the required buffer size, in characters.

      If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetProcessTimes

    boolean GetProcessTimes(WinNT.HANDLE hProcess, WinBase.FILETIME lpCreationTime, WinBase.FILETIME lpExitTime, WinBase.FILETIME lpKernelTime, WinBase.FILETIME lpUserTime)
    Retrieves timing information for the specified process.
    Parameters:
      `hProcess` - A handle to the process whose timing information is sought. The handle must have the PROCESS_QUERY_INFORMATION or PROCESS_QUERY_LIMITED_INFORMATION access right.
      `lpCreationTime` - A pointer to a FILETIME structure that receives the creation time of the process.
      `lpExitTime` - A pointer to a FILETIME structure that receives the exit time of the process. If the process has not exited, the content of this structure is undefined.
      `lpKernelTime` - A pointer to a FILETIME structure that receives the amount of time that the process has executed in kernel mode. The time that each of the threads of the process has executed in kernel mode is determined, and then all of those times are summed together to obtain this value.
      `lpUserTime` - A pointer to a FILETIME structure that receives the amount of time that the process has executed in user mode. The time that each of the threads of the process has executed in user mode is determined, and then all of those times are summed together to obtain this value. Note that this value can exceed the amount of real time elapsed (between lpCreationTime and lpExitTime) if the process executes across multiple CPU cores.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetProcessIoCounters

    boolean GetProcessIoCounters(WinNT.HANDLE hProcess, WinNT.IO_COUNTERS lpIoCounters)
    Retrieves accounting information for all I/O operations performed by the specified process.
    Parameters:
      `hProcess` - A handle to the process. The handle must have the PROCESS_QUERY_INFORMATION or PROCESS_QUERY_LIMITED_INFORMATION access right.
      `lpIoCounters` - A pointer to an IO_COUNTERS structure that receives the I/O accounting information for the process.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CreateMutex

    WinNT.HANDLE CreateMutex(WinBase.SECURITY_ATTRIBUTES lpMutexAttributes, boolean bInitialOwner, String lpName)
    Creates or opens a named or unnamed mutex object.
    Parameters:
      `lpMutexAttributes` - A pointer to a `WinBase.SECURITY_ATTRIBUTES` structure. If this parameter is NULL, the mutex handle cannot be inherited by child processes.

      The lpSecurityDescriptor member of the structure specifies a security descriptor for the new mutex. If lpMutexAttributes is NULL, the mutex gets a default security descriptor. The ACLs in the default security descriptor for a mutex come from the primary or impersonation token of the creator.

      `bInitialOwner` - If this value is TRUE and the caller created the mutex, the calling thread obtains initial ownership of the mutex object. Otherwise, the calling thread does not obtain ownership of the mutex. To determine if the caller created the mutex, see the Return Values section.
      `lpName` - The name of the mutex object. The name is limited to `WinDef.MAX_PATH` characters. Name comparison is case sensitive.

      If lpName matches the name of an existing named mutex object, this function requests the `WinBase.MUTEX_ALL_ACCESS` access right. In this case, the bInitialOwner parameter is ignored because it has already been set by the creating process. If the lpMutexAttributes parameter is not NULL, it determines whether the handle can be inherited, but its security-descriptor member is ignored.

      If lpName is NULL, the mutex object is created without a name.

      If lpName matches the name of an existing event, semaphore, waitable timer, job, or file-mapping object, the function fails and the `Native.getLastError()` function returns `WinError.ERROR_INVALID_HANDLE`. This occurs because these objects share the same namespace.

      The name can have a "Global\" or "Local\" prefix to explicitly create the object in the global or session namespace. The remainder of the name can contain any character except the backslash character (\).

    Returns:
      If the function succeeds, the return value is a handle to the newly created mutex object.

      If the function fails, the return value is NULL. To get extended error information, call `Native.getLastError()`.

      If the mutex is a named mutex and the object existed before this function call, the return value is a handle to the existing object, `Native.getLastError()` returns `WinError.ERROR_ALREADY_EXISTS`, bInitialOwner is ignored, and the calling thread is not granted ownership. However, if the caller has limited access rights, the function will fail with `WinError.ERROR_ACCESS_DENIED` and the caller should use the `OpenMutex(int, boolean, java.lang.String)` function.

  - ### OpenMutex

    WinNT.HANDLE OpenMutex(int dwDesiredAccess, boolean bInheritHandle, String lpName)
    Opens an existing named mutex object.
    Parameters:
      `dwDesiredAccess` - The access to the mutex object. Only the `WinNT.SYNCHRONIZE` access right is required to use a mutex; to change the mutex's security, specify `WinBase.MUTEX_ALL_ACCESS`.
      `bInheritHandle` - If this value is TRUE, processes created by this process will inherit the handle. Otherwise, the processes do not inherit this handle.
      `lpName` - The name of the mutex to be opened. Name comparisons are case sensitive.

      This function can open objects in a private namespace.

      Terminal Services: The name can have a "Global\" or "Local\" prefix to explicitly open an object in the global or session namespace. The remainder of the name can contain any character except the backslash character (\).

    Returns:
      If the function succeeds, the return value is a handle to the mutex object.

      If the function fails, the return value is NULL. To get extended error information, call `Native.getLastError()`.

      If a named mutex does not exist, the function fails and `Native.getLastError()` returns ERROR_FILE_NOT_FOUND.

  - ### ReleaseMutex

    boolean ReleaseMutex(WinNT.HANDLE handle)
    Releases ownership of the specified mutex object.
    Parameters:
      `handle` - A handle to the mutex object. The CreateMutex or OpenMutex function returns this handle.
    Returns:
      If the function succeeds, the return value is nonzero.

      If the function fails, the return value is zero. To get extended error information, call `Native.getLastError()`.

  - ### ExitProcess

    void ExitProcess(int exitCode)
    Ends the calling process (this process) and all its threads. From Java, this will will cause the process to terminate without execution of any shutdown hooks

  - ### VirtualAllocEx

    Pointer VirtualAllocEx(WinNT.HANDLE hProcess, Pointer lpAddress, BaseTSD.SIZE_T dwSize, int flAllocationType, int flProtect)
    Reserves, commits, or changes the state of a region of memory within the virtual address space of a specified process. The function initializes the memory it allocates to zero.
    Parameters:
      `hProcess` - The handle to a process. The function allocates memory within the virtual address space of this process.

      The handle must have the PROCESS_VM_OPERATION access right.

      `lpAddress` - The pointer that specifies a desired starting address for the region of pages that you want to allocate.

      If you are reserving memory, the function rounds this address down to the nearest multiple of the allocation granularity.

      If you are committing memory that is already reserved, the function rounds this address down to the nearest page boundary. To determine the size of a page and the allocation granularity on the host computer, use the `GetSystemInfo(com.sun.jna.platform.win32.WinBase.SYSTEM_INFO)` function.

      If lpAddress is `NULL`, the function determines where to allocate the region.

      If this address is within an enclave that you have not initialized by calling InitializeEnclave, VirtualAllocEx allocates a page of zeros for the enclave at that address. The page must be previously uncommitted, and will not be measured with the EEXTEND instruction of the Intel Software Guard Extensions programming model.

      If the address in within an enclave that you initialized, then the allocation operation fails with the ERROR_INVALID_ADDRESS error.

      `dwSize` - The size of the region of memory to allocate, in bytes.

      If lpAddress is NULL, the function rounds dwSize up to the next page boundary.

      If lpAddress is not `NULL`, the function allocates all pages that contain one or more bytes in the range from lpAddress to lpAddress+dwSize. This means, for example, that a 2-byte range that straddles a page boundary causes the function to allocate both pages.

      `flAllocationType` - The type of memory allocation. This parameter must contain one of the following values.
      - `WinNT.MEM_COMMIT`
      - `WinNT.MEM_RESERVE`
      - `WinNT.MEM_RESET`
      - `WinNT.MEM_RESET_UNDO`

      This parameter can also specify the following values as indicated.

      - `WinNT.MEM_LARGE_PAGES`
      - `WinNT.MEM_PHYSICAL`
      - `WinNT.MEM_TOP_DOWN`
      `flProtect` - The memory protection for the region of pages to be allocated. If the pages are being committed, you can specify any one of the memory protection constants.
    Returns:
      If the function succeeds, the return value is the base address of the allocated region of pages.

      If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### GetExitCodeThread

    boolean GetExitCodeThread(WinNT.HANDLE hThread, IntByReference exitCode)
    Retrieves the termination status of the specified thread.
    Parameters:
      `hThread` - A handle to the thread.

      The handle must have the THREAD_QUERY_INFORMATION or THREAD_QUERY_LIMITED_INFORMATION access right.

      Windows Server 2003 and Windows XP: The handle must have the THREAD_QUERY_INFORMATION access right.

      `exitCode` - A pointer to a variable to receive the thread termination status. For more information, see Remarks.
    Returns:
      If the function succeeds, the return value is nonzero.

      If the function fails, the return value is zero.

  - ### GetPriorityClass

    WinDef.DWORD GetPriorityClass(WinNT.HANDLE hProcess)
    Gets the priority class of the specified process.
    Parameters:
      `hProcess` - A handle to the process.
    Returns:
      If the function succeeds, the return value is the priority class of the specified process.

      If the function fails, the return value is zero.

  - ### SetPriorityClass

    boolean SetPriorityClass(WinNT.HANDLE hProcess, WinDef.DWORD dwPriorityClass)
    Sets the priority class for the specified process.
    Parameters:
      `hProcess` - A handle to the process.
      `dwPriorityClass` - The priority class for the process.
    Returns:
      If the function succeeds, the return value is nonzero.

  - ### GetThreadPriority

    int GetThreadPriority(WinNT.HANDLE hProcess)
    Gets the priority value of the specified thread.
    Parameters:
      `hProcess` - A handle to the process.
    Returns:
      If the function succeeds, the return value is the priority class of the specified thread.

      If the function fails, the return value is THREAD_PRIORITY_ERROR_RETURN.

  - ### SetThreadPriority

    boolean SetThreadPriority(WinNT.HANDLE hThread, int nPriority)
    Sets the priority value for the specified thread.
    Parameters:
      `hThread` - A handle to the thread whose priority value is to be set.
      `nPriority` - The priority value for the thread.
    Returns:
      If the function succeeds, the return value is nonzero.

  - ### VirtualFreeEx

    boolean VirtualFreeEx(WinNT.HANDLE hProcess, Pointer lpAddress, BaseTSD.SIZE_T dwSize, int dwFreeType)
    Releases, decommits, or releases and decommits a region of memory within the virtual address space of a specified process.
    Parameters:
      `hProcess` - A handle to a process. The function frees memory within the virtual address space of the process.

      The handle must have the PROCESS_VM_OPERATION access right.

      `lpAddress` - A pointer to the starting address of the region of memory to be freed.

      If the dwFreeType parameter is MEM_RELEASE, lpAddress must be the base address returned by the VirtualAllocEx function when the region is reserved.

      `dwSize` - The size of the region of memory to free, in bytes.

      If the dwFreeType parameter is MEM_RELEASE, dwSize must be 0 (zero). The function frees the entire region that is reserved in the initial allocation call to VirtualAllocEx.

      If dwFreeType is MEM_DECOMMIT, the function decommits all memory pages that contain one or more bytes in the range from the lpAddress parameter to (lpAddress+dwSize). This means, for example, that a 2-byte region of memory that straddles a page boundary causes both pages to be decommitted. If lpAddress is the base address returned by VirtualAllocEx and dwSize is 0 (zero), the function decommits the entire region that is allocated by VirtualAllocEx. After that, the entire region is in the reserved state.

      `dwFreeType` - One of the following values:
      - `WinNT.MEM_COALESCE_PLACEHOLDERS`
      - `WinNT.MEM_PRESERVE_PLACEHOLDER`
      - `WinNT.MEM_DECOMMIT`
      - `WinNT.MEM_RELEASE`
    Returns:
      If the function succeeds, the return value is a nonzero value.

      If the function fails, the return value is 0 (zero). To get extended error information, call GetLastError.

  - ### RegisterApplicationRestart

    WinNT.HRESULT RegisterApplicationRestart(char[] pwzCommandline, int dwFlags)
    Registers the active instance of an application for restart.

    Usage Note

    The registered callback is only invoked if the default error handling of the JVM does not intercept first. It was tested with OpenJDK and it was found, that the error handling of the JVM had to be disabled by running the process with "-XX:+UseOSErrorReporting".

    Parameters:
      `pwzCommandline` - A pointer to a Unicode string that specifies the command-line arguments for the application when it is restarted. The maximum size of the command line that you can specify is RESTART_MAX_CMD_LINE characters. Do not include the name of the executable in the command line; this function adds it for you.

      If this parameter is NULL or an empty string, the previously registered command line is removed. If the argument contains spaces, use quotes around the argument.

      `dwFlags` - This parameter can be 0 or one or more of the following values.

      Value | Meaning
      --- | ---
      RESTART_NO_CRASH (1) | Do not restart the process if it terminates due to an unhandled exception.
      RESTART_NO_HANG (2) | Do not restart the process if it terminates due to the application not responding.
      RESTART_NO_PATCH (4) | Do not restart the process if it terminates due to the installation of an update.
      RESTART_NO_REBOOT (8) | Do not restart the process if the computer is restarted as the result of an update.

    Returns:
      This function returns S_OK on success or one of the following error codes.

      Return code | Description
      --- | ---
      E_FAIL | Internal error.
      E_INVALIDARG | The specified command line is too long.

    See Also:
      - MSDN Entry

  - ### UnregisterApplicationRestart

    WinNT.HRESULT UnregisterApplicationRestart()
    Removes the active instance of an application from the restart list.
    Returns:
      This function returns S_OK on success or one of the following error codes.

      Return code | Description
      --- | ---
      E_FAIL | Internal error.

    See Also:
      - MSDN Entry

  - ### GetApplicationRestartSettings

    WinNT.HRESULT GetApplicationRestartSettings(WinNT.HANDLE hProcess, char[] pwzCommandline, IntByReference pcchSize, IntByReference pdwFlags)
    Retrieves the restart information registered for the specified process.
    Parameters:
      `hProcess` - A handle to the process. This handle must have the PROCESS_VM_READ access right.
      `pwzCommandline` - A pointer to a buffer that receives the restart command line specified by the application when it called the RegisterApplicationRestart function. The maximum size of the command line, in characters, is RESTART_MAX_CMD_LINE. Can be NULL if pcchSize is zero.
      `pcchSize` - On input, specifies the size of the pwzCommandLine buffer, in characters.

      If the buffer is not large enough to receive the command line, the function fails with HRESULT_FROM_WIN32(ERROR_INSUFFICIENT_BUFFER) and sets this parameter to the required buffer size, in characters.

      On output, specifies the size of the buffer that was used.

      To determine the required buffer size, set pwzCommandLine to NULL and this parameter to zero. The size includes one for the null-terminator character. Note that the function returns S_OK, not HRESULT_FROM_WIN32(ERROR_INSUFFICIENT_BUFFER) in this case.

      `pdwFlags` - A pointer to a variable that receives the flags specified by the application when it called the RegisterApplicationRestart function.
    Returns:
      This function returns S_OK on success or one of the following error codes.

      Return code | Description
      --- | ---
      E_INVALIDARG | One or more parameters are not valid.
      HRESULT_FROM_WIN32(ERROR_NOT_FOUND) | The application did not register for restart.
      HRESULT_FROM_WIN32(ERROR_INSUFFICIENT_BUFFER) | The pwzCommandLine buffer is too small. The function returns the required buffer size in pcchSize. Use the required size to reallocate the buffer.

    See Also:
      - MSDN Entry

  - ### VirtualLock

    boolean VirtualLock(Pointer lpAddress, BaseTSD.SIZE_T dwSize)
    Locks the specified region of the process's virtual address space into physical memory, ensuring that subsequent access to the region will not incur a page fault.
    Parameters:
      `lpAddress` - A pointer to the base address of the region of pages to be locked.
      `dwSize` - The size of the region to be locked, in bytes. The region of affected pages includes all pages that contain one or more bytes in the range from the lpAddress parameter to (lpAddress+dwSize). This means that a 2-byte range straddling a page boundary causes both pages to be locked.
    Returns:
      `true` if locking succeeded.

      All pages in the specified region must be committed. Memory protected with `PAGE_NOACCESS` cannot be locked.

      Locking pages into memory may degrade the performance of the system by reducing the available RAM and forcing the system to swap out other critical pages to the paging file. Each version of Windows has a limit on the maximum number of pages a process can lock. This limit is intentionally small to avoid severe performance degradation. Applications that need to lock larger numbers of pages must first call the SetProcessWorkingSetSize function to increase their minimum and maximum working set sizes. The maximum number of pages that a process can lock is equal to the number of pages in its minimum working set minus a small overhead.

      Pages that a process has locked remain in physical memory until the process unlocks them or terminates. These pages are guaranteed not to be written to the pagefile while they are locked.

      To unlock a region of locked pages, use the VirtualUnlock function. Locked pages are automatically unlocked when the process terminates.

      This function is not like the GlobalLock or LocalLock function in that it does not increment a lock count and translate a handle into a pointer. There is no lock count for virtual pages, so multiple calls to the VirtualUnlock function are never required to unlock a region of pages.

  - ### VirtualUnlock

    boolean VirtualUnlock(Pointer lpAddress, BaseTSD.SIZE_T dwSize)
    Unlocks a specified range of pages in the virtual address space of a process, enabling the system to swap the pages out to the paging file if necessary.
    Parameters:
      `lpAddress` - A pointer to the base address of the region of pages to be unlocked.
      `dwSize` - The size of the region being unlocked, in bytes. The region of affected pages includes all pages containing one or more bytes in the range from the lpAddress parameter to (lpAddress+dwSize). This means that a 2-byte range straddling a page boundary causes both pages to be unlocked.
    Returns:
      `true` if unlocking succeeded.

      For the function to succeed, the range specified need not match a range passed to a previous call to the VirtualLock function, but all pages in the range must be locked. If any of the pages in the specified range are not locked, VirtualUnlock removes such pages from the working set, sets last error to ERROR_NOT_LOCKED, and returns FALSE.

      Calling VirtualUnlock on a range of memory that is not locked releases the pages from the process's working set.

  - ### IsProcessorFeaturePresent

    boolean IsProcessorFeaturePresent(int ProcessorFeature)
    Determines whether the specified processor feature is supported by the current computer.
    Parameters:
      `ProcessorFeature` - The processor feature to be tested.
    Returns:
      If the feature is supported, the return value is true. If the feature is not supported, the return value is false. If the HAL does not support detection of the feature, whether or not the hardware supports the feature, the return value is also false.